SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_abilalu
--

CREATE TABLE IF NOT EXISTS tbl_abilalu (
  idabilita int(11),
  idcompetenza int(11),
  numeroordine int(11),
  sintabilcono varchar(80),
  abilcono text,
  obminimi tinyint(1),
  abil_cono varchar(1)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_abildoc
--

CREATE TABLE IF NOT EXISTS tbl_abildoc (
  idabilita int(11),
  idcompetenza int(11),
  numeroordine int(11),
  sintabilcono varchar(80),
  abilcono text,
  obminimi tinyint(1),
  abil_cono varchar(1)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_abilscol
--

CREATE TABLE IF NOT EXISTS tbl_abilscol (
  idabilita int(11),
  idcompetenza int(11),
  numeroordine int(11),
  sintabilcono varchar(80),
  abilcono text,
  obminimi tinyint(1),
  abil_cono varchar(1)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_alunni
--

CREATE TABLE IF NOT EXISTS tbl_alunni (
  idalunno int(11),
  cognome varchar(30) DEFAULT '',
  nome varchar(30) DEFAULT '',
  datanascita date DEFAULT NULL,
  sesso char(1) DEFAULT NULL,
  codfiscale varchar(16),
  certificato tinyint(1) DEFAULT '0',
  codmeccanografico char(20) DEFAULT NULL,
  idcomnasc int(11) DEFAULT '0',
  indirizzo varchar(60) DEFAULT NULL,
  idcomres int(11) DEFAULT '0',
  telefono varchar(15) DEFAULT NULL,
  telcel varchar(25) DEFAULT NULL,
  email varchar(100) DEFAULT NULL,
  email2 varchar(100) DEFAULT NULL,
  idclasse int(11) DEFAULT '0',
  idclasseesame INT(11) NULL DEFAULT '0',
  autentrata varchar(100) DEFAULT NULL,
  autuscita varchar(100) DEFAULT NULL,
  idtutore int(11) DEFAULT '0',
  idutente int(11) DEFAULT '0',
  idesterno varchar(16) DEFAULT NULL,
  pwesterna varchar(16) DEFAULT NULL,
  note varchar(50) DEFAULT '',
  numeroregistro char(20) DEFAULT NULL,
  provenienza char(50) DEFAULT NULL,
  titoloammissione char(50) DEFAULT NULL,
  sequenzaiscrizione int(1) DEFAULT '1',
  firmapropria tinyint(1) DEFAULT '0',
  autuscitaantclasse tinyint(1) DEFAULT '0',
  autorizzazioni text,
  oraultimamodifica timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
  ) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_amministrativi
--

CREATE TABLE IF NOT EXISTS tbl_amministrativi (
  idamministrativo int(11),
  cognome varchar(30) DEFAULT '',
  nome varchar(30) DEFAULT '',
  datanascita date DEFAULT NULL,
  idcomnasc int(11) DEFAULT '0',
  indirizzo varchar(30) DEFAULT NULL,
  idcomres int(11) DEFAULT '0',
  telefono varchar(15) DEFAULT NULL,
  telcel varchar(15) DEFAULT NULL,
  email varchar(50) DEFAULT NULL,
  idutente int(11) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_annotazioni
--

CREATE TABLE IF NOT EXISTS tbl_annotazioni (
  idannotazione int(11),
  idclasse int(11),
  iddocente int(11),
  data date,
  testo text,
  visibilitagenitori boolean DEFAULT 0,
  visibilitaalunni boolean DEFAULT 0,
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------
-- -------------------------------------
--
-- Struttura della tabella tbl_assemblee

CREATE TABLE tbl_assemblee (
  idassemblea int(11),
  idclasse int(11),
  datarichiesta date,
  dataassemblea date,
  orainizio int(2),
  orafine int(2),
  docenteconcedente1 int(11) DEFAULT '0',
  docenteconcedente2 int(11) DEFAULT '0',
  concesso1 tinyint(1) DEFAULT '0',
  concesso2 tinyint(1) DEFAULT '0',
  docenteautorizzante int(11) DEFAULT '0',
  autorizzato tinyint(1) DEFAULT '0',
  docentepresente1 int(11) DEFAULT '0',
  docentepresente2 int(11) DEFAULT '0',
  idmateria1 int(11),
  idmateria2 int(11),
  rappresentante1 int(11) DEFAULT '0',
  rappresentante2 int(11) DEFAULT '0',
  alunnopresidente int(11) DEFAULT '0',
  alunnosegretario int(11) DEFAULT '0',
  oratermine time,
  verbale text,
  visione_verbale tinyint(1) DEFAULT '0',
  commenti_verbale text,
  rapportoperdirigente text,
  docente_visione int(11) DEFAULT '0',
  note text,
  consegna_verbale tinyint(1),
  odg text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Struttura della tabella tbl_assenze
--

CREATE TABLE IF NOT EXISTS tbl_assenze (
  idassenza int(11),
  idalunno int(11) DEFAULT '0',
  data date DEFAULT NULL,
  giustifica tinyint(1),
  iddocentegiust int(11) DEFAULT NULL,
  datagiustifica date DEFAULT NULL,
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  dataammonizione date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_asslezione
--

CREATE TABLE IF NOT EXISTS tbl_asslezione (
  idassenzalezione int(11),
  idalunno int(11),
  idlezione int(11),
  idmateria int(11),
  data date,
  oreassenza smallint(6),
  forzata tinyint(1) DEFAULT '0',
  giustifica tinyint(1) DEFAULT '0',
  iddocentegiust int(11) DEFAULT NULL,
  datagiustifica date DEFAULT NULL,
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_avvisi
--

CREATE TABLE IF NOT EXISTS tbl_avvisi (
  idavviso int(11),
  oggetto varchar(80),
  testo mediumblob,
  destinatari varchar(10),
  inizio date,
  fine date
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS tbl_assenze (
  idassenza int(11),
  idalunno int(11) DEFAULT '0',
  data date DEFAULT NULL,
  giustifica tinyint(1),
  iddocentegiust int(11) DEFAULT NULL,
  datagiustifica date DEFAULT NULL,
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  dataammonizione date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_cambiamenticlasse
--

CREATE TABLE IF NOT EXISTS tbl_cambiamenticlasse (
  idcambiamentoclasse int(11),
  idalunno int(11),
  idclasse int(11),
  datafine date,
  dataultimamodifica timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Contiene la cronologia dei cambiamenti di classe degli alunni';

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_cattnosupp
--

CREATE TABLE IF NOT EXISTS tbl_cattnosupp (
  idcattedra int(11),
  iddocente int(11) DEFAULT '0',
  idmateria int(11) DEFAULT '0',
  idclasse int(11) DEFAULT '0',
  idalunno int(11) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_cattsupp
--

CREATE TABLE IF NOT EXISTS tbl_cattsupp (
  idcattedra int(11),
  iddocente int(11) DEFAULT '0',
  idmateria int(11) DEFAULT '0',
  idclasse int(11) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE tbl_certcompcompetenze (
  idccc int(11) NOT NULL,
  numprogressivo int(11) DEFAULT NULL,
  compcheuropea varchar(512) DEFAULT NULL,
  compprofilo text,
  livscuola int(11) DEFAULT NULL,
  valido tinyint(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE tbl_certcomplivelli (
  idccl int(11) NOT NULL,
  livello varchar(512) DEFAULT NULL,
  indicatoreesplicativo varchar(512) DEFAULT NULL,
  indicatorenumerico int(11) DEFAULT NULL,
  livscuola int(11) DEFAULT NULL,
  valido tinyint(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE tbl_certcompvalutazioni (
  idccv int(11) NOT NULL,
  idalunno int(11) DEFAULT NULL,
  idccc int(11) DEFAULT NULL,
  idccl int(11) DEFAULT NULL,
  giud varchar(512) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE tbl_certcompproposte (
  idccp int(11) NOT NULL,
  idalunno int(11) DEFAULT NULL,
  iddocente int(11) DEFAULT NULL, 
  idccc int(11) DEFAULT NULL,
  idccl int(11) DEFAULT NULL,
  giud varchar(512) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


ALTER TABLE tbl_certcomplivelli
  ADD PRIMARY KEY (idccl);

ALTER TABLE tbl_certcompproposte
  ADD PRIMARY KEY (idccp);

ALTER TABLE tbl_certcompvalutazioni
  ADD PRIMARY KEY (idccv);

ALTER TABLE tbl_certcompcompetenze
  ADD PRIMARY KEY (idccc);

ALTER TABLE tbl_certcompcompetenze
  MODIFY idccc int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE tbl_certcomplivelli
  MODIFY idccl int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE tbl_certcompvalutazioni
  MODIFY idccv int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE tbl_certcompproposte
  MODIFY idccp int(11) NOT NULL AUTO_INCREMENT;

CREATE TABLE IF NOT EXISTS tbl_circolari (
  idcircolare int(11),
  iddocumento int(11) DEFAULT '0',
  descrizione varchar(100) DEFAULT NULL,
  destinatari varchar(10) DEFAULT NULL,
  ricevuta tinyint(1) DEFAULT '0',
  datainserimento date DEFAULT NULL,
  datafine date DEFAULT NULL,
  ultimamodifica timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_classi
--

CREATE TABLE IF NOT EXISTS tbl_classi (
  idclasse int(11),
  anno int(11) DEFAULT '0',
  sezione char(1) DEFAULT '',
  specializzazione varchar(50) DEFAULT NULL,
  oresett int(11),
  idcoordinatore int(11) DEFAULT '0',
  rappresentante1 int(11) DEFAULT '0',
  rappresentante2 int(11) DEFAULT '0',
  idmoodle char(5) DEFAULT '',
  aprifila1 int(11) DEFAULT 0,
  aprifila2 int(11) DEFAULT 0,
  chiudifila1 int(11) DEFAULT 0,
  chiudifila2 int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_collegamenti
--

CREATE TABLE IF NOT EXISTS tbl_collegamenti (
  idcollegamento int(11),
  descrizione varchar(80),
  link varchar(255),
  destinatari varchar(10)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_competalu
--

CREATE TABLE IF NOT EXISTS tbl_competalu (
  idcompetenza int(11),
  idclasse int(11),
  idmateria int(11),
  idalunno int(11),
  numeroordine int(11),
  sintcomp varchar(80),
  competenza text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_competdoc
--

CREATE TABLE IF NOT EXISTS tbl_competdoc (
  idcompetenza int(11),
  idclasse int(11),
  idmateria int(11),
  numeroordine int(11),
  sintcomp varchar(80),
  competenza text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_competscol
--

CREATE TABLE IF NOT EXISTS tbl_competscol (
  idcompetenza int(11),
  idmateria int(11),
  anno int(11),
  numeroordine int(11),
  sintcomp varchar(80),
  competenza text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_compob
--

CREATE TABLE IF NOT EXISTS tbl_compob (
  idobiettivo int(11),
  numeroordine int(11),
  sintob varchar(80),
  obiettivo text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_compsubob
--

CREATE TABLE IF NOT EXISTS tbl_compsubob (
  idsubob int(11),
  idobiettivo int(11),
  numeroordine int(11),
  sintsubob varchar(80),
  subob text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_comuni
--

CREATE TABLE IF NOT EXISTS tbl_comuni (
  idcomune int(11),
  denominazione varchar(30) DEFAULT '',
  codiceistat int(11) DEFAULT NULL,
  statoestero varchar(1) DEFAULT NULL,
  codcatastale varchar(4)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS tbl_confermatelegram (
  idutente int(11),
  tokendiconferma char(200),
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


-- --------------------------------------------------------

CREATE TABLE IF NOT EXISTS tbl_consorientativi (
  idalunno int(11),
  consiglioorientativo text,
   oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS tbl_dad (
  iddad int(11) AUTO_INCREMENT PRIMARY KEY,
  idclasse int(11),
  datadad date
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Struttura della tabella tbl_deroghe
--

CREATE TABLE IF NOT EXISTS tbl_deroghe (
  idderoga int(11),
  data date,
  idalunno int(11),
  motivo char(200),
  numeroore int(1) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_derogheinserimento
--

CREATE TABLE IF NOT EXISTS tbl_derogheinserimento (
  idderogainserimento int(11),
  iddocente int(11),
  data date,
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_diariocl
--

CREATE TABLE IF NOT EXISTS tbl_diariocl (
  iddiariocl int(11),
  idclasse int(11),
  data date,
  iddocente int(11),
  testo longtext,
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_diffusionecircolari
--

CREATE TABLE IF NOT EXISTS tbl_diffusionecircolari (
  iddiffusionecircolare int(11),
  idcircolare int(11),
  idutente int(11) DEFAULT '0',
  datalettura date DEFAULT NULL,
  dataconfermalettura date DEFAULT NULL,
  ultimamodifica timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_docenti
--

CREATE TABLE IF NOT EXISTS tbl_docenti (
  iddocente int(11),
  cognome varchar(30) DEFAULT '',
  nome varchar(30) DEFAULT '',
  datanascita date DEFAULT NULL,
  idcomnasc int(11) DEFAULT '0',
  indirizzo varchar(30) DEFAULT NULL,
  idcomres int(11) DEFAULT '0',
  telefono varchar(15) DEFAULT NULL,
  telcel varchar(15) DEFAULT NULL,
  email varchar(50) DEFAULT NULL,
  idutente int(11) DEFAULT '0',
  sostegno tinyint(1) DEFAULT '0',
  nummaxcolloqui tinyint(1) DEFAULT '5',
  gestoremoodle tinyint(1) DEFAULT '0',
  collegamentowebex char(255) DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_documenti
--

CREATE TABLE IF NOT EXISTS tbl_documenti (
  iddocumento int(11),
  idmateria int(11),
  idclasse int(11),
  iddocente int(11),
  idalunno int(11),
  idtipodocumento int(11),
  pei tinyint(1) DEFAULT NULL,
  datadocumento date,
  descrizione varchar(255),
  docbin mediumblob,
  docmd5 varchar(64),
  docnome varchar(255),
  docsize varchar(50),
  doctype varchar(50),
  ultimamodifica timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_entrateclassi
--

CREATE TABLE IF NOT EXISTS tbl_entrateclassi (
  identrataclasse int(11),
  idclasse int(11),
  data date,
  ora time,
  idannotazione int(11) not null default 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Struttura della tabella tbl_esiti
--

CREATE TABLE IF NOT EXISTS tbl_esiti (
  idesito int(11),
  idalunno int(11),
  idclasse int(11),
  esito int(11),
  integrativo int(11) DEFAULT '0',
  media decimal(4,2) DEFAULT NULL,
  validita int(11) DEFAULT '1' COMMENT '1 - valido, 2 - deroga, 3 - non valido',
  creditotot int(2) DEFAULT NULL,
  credito int(2) DEFAULT NULL,
  votoammissione int(2) DEFAULT NULL,
  ultimamodifica timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_esami3m
--

CREATE TABLE IF NOT EXISTS tbl_esami3m (
  idesame int(11),
  idclasse int(11),
  datascrutinio date,
  stato char(1),
  luogoscrutinio varchar(100) DEFAULT '',
  dataverbale date,
  datastampa date,
  ultimamodifica timestamp DEFAULT CURRENT_TIMESTAMP,
  idcommissione int(11),
  testo1 longtext,
  testo2 longtext,
  testo3 longtext,
  testo4 longtext,
  orainizio char(5),
  orafine char(5)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_escommissioni
--

CREATE TABLE IF NOT EXISTS tbl_escommissioni (
  idescommissione int(11),
  denominazione char(30),
  nomepresidente char(30),
  cognomepresidente char(30),
  idsegretario int(11)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_escompcommissioni
--

CREATE TABLE IF NOT EXISTS tbl_escompcommissioni (
  idescompcommissione int(11),
  idcommissione int(11),
  iddocente int(11)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_esesiti
--

CREATE TABLE IF NOT EXISTS tbl_esesiti (
  idalunno int(11),
  votoammissione int(2),
  votom1 int(2),
  votom2 int(2),
  votom3 int(2),
  votom4 int(2),
  votom5 int(2),
  votom6 int(2),
  votom7 int(2),
  votom8 int(2),
  votom9 int(2),
  votoorale int(2),
  mediascrcolloq decimal(4,2),
  mediafinale decimal(4,2),
  votofinale int(2),
  scarto decimal(2,2),
  idesesiti int(11),
  consorientcons text,
  consorientcomm text,
  provasceltam1 char(6),
  provasceltam2 char(6),
  provasceltam3 char(6),
  provasceltam4 char(6),
  provasceltam5 char(6),
  provasceltam6 char(6),
  provasceltam7 char(6),
  provasceltam8 char(6),
  provasceltam9 char(6),
  criteri1 text,
  criteri2 text,
  criteri3 text,
  criteri4 text,
  criteri5 text,
  criteri6 text,
  criteri7 text,
  criteri8 text,
  criteri9 text,
  votopniita smallint(6),
  votopnimat smallint(6),
  tracciacolloquio text,
  datacolloquio date,
  giudiziocolloquio text,
  giudiziocomplessivo text,
  lode tinyint(1),
  unanimita tinyint(1),
  ammissioneterza tinyint(1)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_esmaterie
--

CREATE TABLE IF NOT EXISTS tbl_esmaterie (
  idesmaterie int(11),
  idclasse int(11),
  m1s char(5),
  m1e char(30),
  m1m tinyint(4),
  m2s char(5),
  m2e char(30),
  m2m tinyint(4),
  m3s char(5),
  m3e char(30),
  m3m tinyint(4),
  m4s char(5),
  m4e char(30),
  m4m tinyint(4),
  m5s char(5),
  m5e char(30),
  m5m tinyint(4),
  m6s char(5),
  m6e char(30),
  m6m tinyint(4),
  m7s char(5),
  m7e char(30),
  m7m tinyint(4),
  m8s char(5),
  m8e char(30),
  m8m tinyint(4),
  m9s char(5),
  m9e char(30),
  m9m tinyint(4),
  num2lin smallint(6),
  numpni smallint(6)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Indexes for dumped tables
--


--
-- Struttura della tabella tbl_festivita
--

CREATE TABLE IF NOT EXISTS tbl_festivita (
  idfestivita int(11),
  data date,
  note varchar(30) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS tbl_sospensionicolloqui (
  idsospensionecolloqui int(11),
  data date,
  datafine date,
  note varchar(30) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
-- --------------------------------------------------------

--
-- Struttura della tabella tbl_firme
--

CREATE TABLE IF NOT EXISTS tbl_firme (
  idfirma int(11),
  idlezione int(11),
  iddocente int(11),
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_giudizi
--

CREATE TABLE IF NOT EXISTS tbl_giudizi (
  idgiudizio int(11),
  idclasse int(11),
  periodo char(1),
  idalunno int(11),
  giudizio text,
  ultimamodifica timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------




--
-- Struttura della tabella tbl_goindirizzo
--

CREATE TABLE IF NOT EXISTS tbl_goindirizzo (
  idindirizzo int(11),
  idsettore int(11),
  denominazione text,
  codsidi text
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8;

--
-- Dump dei dati per la tabella tbl_goindirizzo
--

INSERT INTO tbl_goindirizzo (idindirizzo, idsettore, denominazione, codsidi) VALUES
  (1, 1, 'Classico', ''),
  (2, 2, 'Scientifico', ''),
  (3, 2, 'Scientifico - Opzione Scienze Applicate', ''),
  (4, 2, 'Scientifico - Sezione ad Indirizzo Sportivo', ''),
  (5, 3, 'Linguistico', ''),
  (6, 4, 'Artistico Nuovo Ordinamento - Biennio Comune', ''),
  (7, 5, 'Scienze Umane', ''),
  (8, 5, 'Scienze Umane - Opz. Economico Sociale', ''),
  (9, 6, 'Musicale e Coreutico - Sez. Musicale', ''),
  (10, 6, 'Musicale e Coreutico - Sez. Coreutica', ''),
  (11, 7, 'Amm. Finan. Marketing - Biennio Comune', ''),
  (12, 7, 'Turismo', ''),
  (13, 7, 'Biennio Settore Economico', ''),
  (14, 8, 'Mecc. Meccatron. Ener. - Biennio Comune', ''),
  (15, 8, 'Biennio Settore Tecnologico', ''),
  (16, 8, 'Trasporti E Logistica - Biennio Comune', ''),
  (17, 8, 'Elettr. Ed Elettrotec.- Biennio Comune', ''),
  (18, 8, 'Infor. Telecom. - Biennio Comune', ''),
  (19, 8, 'Grafica E Comunicazione', ''),
  (20, 8, 'Chim. Mater. Biotecn. - Biennio Comune', ''),
  (21, 8, 'Sistema Moda - Biennio Comune', ''),
  (22, 8, 'Agraria, Agroal. E Agroind. - Biennio Com.', ''),
  (23, 8, 'Costr., Amb. E Territorio - Biennio Com.', ''),
  (24, 9, 'Servizi Per L&#39;Agricoltura E Lo Sviluppo Rurale', ''),
  (25, 9, 'Servizi Socio-Sanitari', ''),
  (26, 9, 'Enogas. Ospit. Alberg. - Biennio Comune', ''),
  (27, 9, 'Servizi Commerciali', ''),
  (28, 10, 'Manutenzione E Assistenza Tecnica', ''),
  (29, 10, 'Prod. Industr. Artig. - Biennio Comune', '');

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_gopercorso
--

CREATE TABLE IF NOT EXISTS tbl_gopercorso (
  idpercorso int(11),
  denominazione text
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

--
-- Dump dei dati per la tabella tbl_gopercorso
--

INSERT INTO tbl_gopercorso (idpercorso, denominazione) VALUES
  (1, 'Liceo'),
  (2, 'Istituto Tecnico'),
  (3, 'Istituto Professionale'),
  (4, 'Liceo Europeo/Internazionale'),
  (5, 'IeFP presso i centri di formazione professionale regionali'),
  (6, 'IeFP - SussidiarietÃ  integrativa (diploma quinquennale rilasciato dall&#39;istituto professionale + qualifica IeFP)'),
  (7, 'IeFP - SussidiarietÃ  complementare - percorso triennale (solo qualifica IeFP)'),
  (8, 'IeFP - SussidiarietÃ  complementare - percorso quadriennale (diploma IeFP)'),
  (9, 'Qualunque scelta'),
  (10, 'Apprendistato'),
  (11, 'Nessuna scelta comunicata');

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_gosettore
--

CREATE TABLE IF NOT EXISTS tbl_gosettore (
  idsettore int(11),
  idpercorso int(11),
  denominazione text,
  codsidi text
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

--
-- Dump dei dati per la tabella tbl_gosettore
--

INSERT INTO tbl_gosettore (idsettore, idpercorso, denominazione, codsidi) VALUES
  (1, 1, 'Classico', ''),
  (2, 1, 'Scientifico', ''),
  (3, 1, 'Linguistico', ''),
  (4, 1, 'Artistico', ''),
  (5, 1, 'Scienze Umane', ''),
  (6, 1, 'Musicale e Coreutico', ''),
  (7, 2, 'Istituto tecnico settore economico', ''),
  (8, 2, 'Istituto tecnico settore tecnologico', ''),
  (9, 3, 'Istituto professionale settore servizi', ''),
  (10, 3, 'Istituto professionale settore industria e artigianato', ''),
  (11, 4, 'Europeo', ''),
  (12, 4, 'Internazionale', '');

--
-- Indexes for dumped tables
--



--
-- Struttura della tabella tbl_gruppi
--

CREATE TABLE IF NOT EXISTS tbl_gruppi (
  idgruppo int(11),
  descrizione varchar(255) DEFAULT '',
  iddocente int(11),
  idmateria int(11)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_gruppialunni
--

CREATE TABLE IF NOT EXISTS tbl_gruppialunni (
  idgruppoalunno int(11),
  idgruppo int(11),
  idalunno int(11),
  ultimamodifica timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_lezioni
--

CREATE TABLE IF NOT EXISTS tbl_lezioni (
  idlezione int(11),
  idclasse int(11),
  datalezione date,
  iddocente int(11),
  idmateria int(11),
  idlezionegruppo int(11) DEFAULT NULL COMMENT 'Se vuota lezione normale',
  numeroore smallint(6),
  orainizio smallint(6),
  argomenti varchar(512),
  attivita varchar(512),
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_lezionicert
--

CREATE TABLE IF NOT EXISTS tbl_lezionicert (
  idlezione int(11),
  idclasse int(11),
  datalezione date,
  iddocente int(11),
  idalunno int(11),
  idmateria int(11),
  numeroore smallint(6),
  orainizio smallint(6),
  argomenti varchar(512),
  attivita varchar(512),
  idlezionenorm int(11),
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_lezionigruppi
--

CREATE TABLE IF NOT EXISTS tbl_lezionigruppi (
  idlezionegruppo int(11),
  datalezione date,
  idgruppo int(11),
  numeroore smallint(6),
  orainizio smallint(6),
  argomenti varchar(512),
  attivita varchar(512),
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_logacc
--

CREATE TABLE IF NOT EXISTS tbl_logacc (
  idlog int(11),
  utente varchar(30),
  dataacc varchar(20),
  comando text,
  indirizzo char(50)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_materie
--

CREATE TABLE IF NOT EXISTS tbl_materie (
  idmateria int(11),
  denominazione varchar(50) DEFAULT '',
  idclasseconcorso int(11) DEFAULT '0',
  tipovalutazione varchar(4),
  sigla varchar(5),
  progrpag int(11),
  media tinyint(1) DEFAULT '1',
  classesidi int(5) DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_materiesidi
--

CREATE TABLE IF NOT EXISTS tbl_materiesidi (
  tiposcuola int(1),
  descrizione varchar(255),
  codice int(5),
  descrizionebreve char(50) DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_menu
--

CREATE TABLE IF NOT EXISTS tbl_menu (
  idvoce int(11),
  menu varchar(50),
  voce varchar(50),
  programma varchar(50),
  ordine tinyint(4),
  abilitazioni varchar(10)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_notealunno
--

CREATE TABLE IF NOT EXISTS tbl_notealunno (
  idnotaalunno int(11),
  idclasse int(11),
  data date,
  iddocente int(11) DEFAULT NULL,
  testo text,
  provvedimenti text,
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_noteclasse
--

CREATE TABLE IF NOT EXISTS tbl_noteclasse (
  idnotaclasse int(11),
  data date,
  idclasse int(11),
  iddocente int(11) DEFAULT NULL,
  testo text,
  provvedimenti text,
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_noteindalu
--

CREATE TABLE IF NOT EXISTS tbl_noteindalu (
  idnoteindalu int(11),
  idnotaalunno int(11),
  idalunno int(11)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_orario
--

CREATE TABLE IF NOT EXISTS tbl_orario (
  idorario int(11),
  ora tinyint(4),
  giorno tinyint(4),
  inizio time,
  fine time,
  valido tinyint(1) DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_orericevimento
--

CREATE TABLE IF NOT EXISTS tbl_orericevimento (
  idoraricevimento int(11),
  iddocente int(11),
  idorario int(11),
  note varchar(30) DEFAULT NULL,
  valido tinyint(1) DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_osssist
--

CREATE TABLE IF NOT EXISTS tbl_osssist (
  idosssist int(11),
  idalunno int(11),
  idclasse int(11),
  data date,
  iddocente int(11),
  idlezione int(11) DEFAULT '0',
  idmateria int(11) DEFAULT '0',
  testo text,
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_paramcomunicazpers
--

CREATE TABLE IF NOT EXISTS tbl_otp (
  idotp int(11) NOT NULL AUTO_INCREMENT PRIMARY KEY,
  valore char(32) DEFAULT '',
  idutente int(11),
  funzione char(32) DEFAULT '',
  nummaxutilizzi int(2) DEFAULT 0,
  numutilizzi int(2) DEFAULT 0,
  timecreazione int(11) DEFAULT 0,
  timeultimoutilizzo int(11) DEFAULT 0,
  valido boolean DEFAULT 1)
  ENGINE=InnoDB DEFAULT CHARSET=utf8;




CREATE TABLE IF NOT EXISTS tbl_paramcomunicazpers (
  idparamcomunicazpers int(11),
  idutente int(11),
  nomeparametro varchar(20),
  valore varchar(100)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_parametri
--

CREATE TABLE IF NOT EXISTS tbl_parametri (
  idparametro int(11),
  gruppo varchar(255),
  parametro varchar(255),
  valore varchar(255),
  descrizione varchar(512),
  valoriammessi varchar(255) DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_prenotazioni
--

CREATE TABLE IF NOT EXISTS tbl_prenotazioni (
  idprenotazione int(11),
  idalunno int(11),
  idoraricevimento int(11),
  data date,
  conferma tinyint(1),
  note varchar(255) DEFAULT NULL,
  valido tinyint(1) DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_presenzeforzate
--

CREATE TABLE IF NOT EXISTS tbl_presenzeforzate (
  idpresenzaforzata int(11),
  idalunno int(11),
  data date DEFAULT NULL,
  motivo varchar(200) DEFAULT NULL,
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_proposte
--

CREATE TABLE IF NOT EXISTS tbl_proposte (
  idproposta int(11),
  idalunno int(11),
  idmateria int(11),
  periodo char(1),
  orale int(11) DEFAULT NULL,
  scritto int(11) DEFAULT NULL,
  pratico int(11) DEFAULT NULL,
  unico int(11) DEFAULT NULL,
  condotta int(11) DEFAULT NULL,
  assenze int(11) DEFAULT '0',
  note varchar(180) DEFAULT NULL,
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_province
--

CREATE TABLE IF NOT EXISTS tbl_province (
  idprovincia int(11),
  codregione int(2),
  denregione char(50),
  codprovincia int(3),
  denprovincia char(50),
  siglaprovincia char(2)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Tabella delle province';

-- --------------------------------------------------------
CREATE TABLE IF NOT EXISTS tbl_richiesteferie (
  idrichiestaferie int(11),
  iddocente int(11) DEFAULT '0',
  subject varchar(1000) NULL DEFAULT NULL,
  testomail varchar(2000) NULL,
  erroremail boolean NULL DEFAULT NULL,
  concessione tinyint NULL DEFAULT NULL,
  orariorichiesta char(5) NULL DEFAULT NULL,
  numerogiorni TINYINT NOT NULL DEFAULT 0, 
  orepermessobreve TINYINT NOT NULL DEFAULT 0,
  annullata tinyint NOT NULL DEFAULT 0,
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
  
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
--
-- Struttura della tabella tbl_ritardi
--

CREATE TABLE IF NOT EXISTS tbl_ritardi (
  idalunno int(11) DEFAULT '0',
  data date DEFAULT NULL,
  oraentrata time DEFAULT NULL,
  idritardo int(11),
  numeroore tinyint(4),
  giustifica tinyint(1),
  iddocentegiust int(11) DEFAULT NULL,
  datagiustifica date DEFAULT NULL,
  autorizzato tinyint(4) DEFAULT '0',
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  calcolato char(1) DEFAULT 'I',
  dataammonizione date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_scrutini
--

CREATE TABLE IF NOT EXISTS tbl_scrutini (
  idscrutinio int(11),
  idclasse int(11),
  periodo char(1),
  datascrutinio date,
  stato char(1),
  orainizioscrutinio time,
  orafinescrutinio time,
  luogoscrutinio varchar(100) DEFAULT '',
  dataverbale date,
  sostituzioni varchar(512),
  segretario int(11),
  datastampa date,
  firmadirigente char(50),
  testo1 text,
  testo2 text,
  testo3 text,
  testo4 text,
  criteri text,
  ultimamodifica timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_sezioni
--

CREATE TABLE IF NOT EXISTS tbl_seed (
  idseed int(11) AUTO_INCREMENT PRIMARY KEY,
  seed char(32)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;






CREATE TABLE IF NOT EXISTS tbl_sezioni (
  idsezione int(11),
  denominazione char(1) DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------
CREATE TABLE IF NOT EXISTS tbl_torlist (
  idtorlist int(11),
  indirizzo char(60),
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

ALTER TABLE tbl_torlist
ADD PRIMARY KEY (idtorlist), ADD KEY indirizzo (indirizzo);

ALTER TABLE tbl_torlist
MODIFY idtorlist int(11) AUTO_INCREMENT;

--
-- Struttura della tabella tbl_sms
--

CREATE TABLE IF NOT EXISTS tbl_sms (
  idsms int(11),
  tipo char(10),
  sottotipo char(10),
  iddestinatario int(11),
  idinvio CHAR(100),
  celldestinatario varchar(15),
  idtestosms int(11),
  esito varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

CREATE TABLE IF NOT EXISTS tbl_sospinviosms (
  idsospinviosms int(11),
  datasosp date,
  ultimamodifica timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



--
-- Struttura della tabella tbl_specializzazioni
--

CREATE TABLE IF NOT EXISTS tbl_specializzazioni (
  idspecializzazione int(11),
  denominazione varchar(50) DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_testi
--

CREATE TABLE IF NOT EXISTS tbl_testi (
  idtesto int(11),
  nometesto char(20),
  valore text,
  spiegazione varchar(255),
  possibilivalori char(255)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_testisms
--

CREATE TABLE IF NOT EXISTS tbl_testisms (
  idtestosms int(11),
  testo varchar(2048),
  idinvio char(100),
  idutente int(11),
  dataora timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_timbrature
--

CREATE TABLE IF NOT EXISTS tbl_timbrature (
  idtimbratura int(11),
  idalunno int(11),
  tipotimbratura char(1),
  datatimbratura date,
  oratimbratura time,
  utilizzata tinyint(1),
  forzata tinyint(4) DEFAULT '0',
  ultimamodifica timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_tipidocumenti
--

CREATE TABLE IF NOT EXISTS tbl_tipidocumenti (
  idtipodocumento int(11),
  descrizione text CHARACTER SET utf8
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_tipiesiti
--

CREATE TABLE IF NOT EXISTS tbl_tipiesiti (
  idtipoesito int(11),
  descrizione varchar(80),
  passaggio tinyint(1)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_tipoprog
--

CREATE TABLE IF NOT EXISTS tbl_tipoprog (
  idtipoprogr int(11),
  idalunno int(11),
  idmateria int(11),
  tipoprogr char(1) COMMENT 'Normale, Obiettivi minimi, Personalizzata'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_tutori
--

CREATE TABLE IF NOT EXISTS tbl_tutori (
  idtutore int(11),
  cognome varchar(30) DEFAULT '',
  nome varchar(30) DEFAULT '',
  datanascita date DEFAULT NULL,
  idcomnasc int(11) DEFAULT '0',
  indirizzo varchar(30) DEFAULT NULL,
  idcomres int(11) DEFAULT '0',
  telefono varchar(15) DEFAULT NULL,
  telcel varchar(15) DEFAULT NULL,
  email varchar(30) DEFAULT NULL,
  tipo char(1) DEFAULT NULL,
  idalunno int(11),
  idutente int(11)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_usciteanticipate
--

CREATE TABLE IF NOT EXISTS tbl_usciteanticipate (
  idalunno int(11) DEFAULT '0',
  data date DEFAULT NULL,
  orauscita time DEFAULT NULL,
  iduscita int(11),
  numeroore tinyint(4),
  giustifica tinyint(1),
  iddocentegiust int(11) DEFAULT NULL,
  datagiustifica date DEFAULT NULL,
  dataammonizione date DEFAULT NULL,
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


-- --------------------------------------------------------

--
-- Struttura della tabella tbl_entrateclassi
--

CREATE TABLE IF NOT EXISTS tbl_usciteclassi (
  iduscitaclasse int(11),
  idclasse int(11),
  data date,
  ora time,
  idannotazione int(11) not null default 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


--
-- Struttura della tabella tbl_usciteanticipate
--

CREATE TABLE IF NOT EXISTS tbl_autorizzazioniuscite (
  idalunno int(11) DEFAULT '0',
  data date DEFAULT NULL,
  orauscita time DEFAULT NULL,
  idautorizzazioneuscita int(11),
  iddocenteautorizzante int(11) DEFAULT NULL,
  testoautorizzazione varchar(500) DEFAULT NULL,
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_utenti
--

CREATE TABLE IF NOT EXISTS tbl_utenti (
  idutente int(11),
  userid varchar(15) DEFAULT '',
  password varchar(128) DEFAULT '',
  tipo char(1) DEFAULT '',
  dischpwd tinyint(1) DEFAULT '0',
  ultimamodifica timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  passprecedenti text,
  token char(5),
  schematoken char(50),
  modoinviotoken char(1),
  idtelegram int(15),
  ultimoaccessoapp BIGINT,
  tokenresetpwd char(32),
  oracreazionetoken int(11),
  numutilizzitoken tinyint(1)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

ALTER TABLE tbl_utenti ADD oidc_uid VARCHAR(255) NOT NULL  AFTER numutilizzitoken, ADD oidc_authmode VARCHAR(1) NOT NULL DEFAULT 'd' COMMENT 'd = disabled, e = enabled, x = exclusive'  AFTER oidc_uid;
ALTER TABLE tbl_utenti ADD wifi TINYINT NOT NULL DEFAULT '0' AFTER oidc_authmode;
-- --------------------------------------------------------

--
-- Struttura della tabella tbl_valutazioniabilcono
--

CREATE TABLE IF NOT EXISTS tbl_valutazioniabilcono (
  idvalabilcono int(11),
  voto decimal(4,2) DEFAULT '0.00',
  idvalint int(11),
  idabilita int(11) COMMENT 'Se PEI=0 fa riferimento ad abildoc altrimenti ad abilalu',
  pei tinyint(1) DEFAULT '0',
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_valutazionicomp
--

CREATE TABLE IF NOT EXISTS tbl_valutazionicomp (
  idvalcomp int(11),
  voto decimal(4,2) DEFAULT '0.00',
  idalunno int(11),
  idmateria int(11),
  iddocente int(11),
  idclasse int(11) DEFAULT '0',
  data date DEFAULT NULL,
  giudizio varchar(200) DEFAULT NULL,
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_valutazionifinali
--

CREATE TABLE IF NOT EXISTS tbl_valutazionifinali (
  idvalfin int(11),
  idalunno int(11) DEFAULT '0',
  idmateria int(11) DEFAULT '0',
  votoscritto char(4) DEFAULT NULL,
  votoorale char(4) DEFAULT NULL,
  votopratico char(4) DEFAULT NULL,
  votoaltro char(4) DEFAULT NULL,
  votounico char(4) DEFAULT NULL,
  debito tinyint(1) DEFAULT '0',
  assenze int(11) DEFAULT '0',
  periodo char(1) DEFAULT NULL COMMENT 'Quadrimestre, ecc.',
  progrpag tinyint(4) DEFAULT NULL COMMENT 'Progressivo in pagella',
  codsissi char(15),
  note varchar(180) DEFAULT NULL,
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_valutazioniintermedie
--

CREATE TABLE IF NOT EXISTS tbl_valutazioniintermedie (
  idvalint int(11),
  idalunno int(11) DEFAULT '0',
  idmateria int(11) DEFAULT '0',
  iddocente int(11) DEFAULT '0',
  idclasse int(11) DEFAULT '0',
  idlezione int(11) DEFAULT NULL,
  tipo char(1) DEFAULT NULL,
  data date DEFAULT NULL,
  voto decimal(4,2) DEFAULT '0.00',
  giudizio varchar(1000) DEFAULT NULL,
  pei tinyint(1) DEFAULT '0',
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struttura della tabella tbl_valutazioniobcomp
--

CREATE TABLE IF NOT EXISTS tbl_valutazioniobcomp (
  idvalobcomp int(11),
  voto decimal(4,2) DEFAULT '0.00',
  idvalcomp int(11),
  idsubob int(11),
  oraultmod timestamp DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS tbl_recuperipermessi (
  idrecupero int(11),
  iddocente int(11),
  datarecupero date DEFAULT NULL,
  numeroore int(1),
  motivo varchar(50) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
--
-- Indexes for dumped tables
--

--
-- Indexes for table tbl_abilalu
--
ALTER TABLE tbl_abilalu
ADD PRIMARY KEY (idabilita), ADD KEY idcompetenza (idcompetenza);

--
-- Indexes for table tbl_abildoc
--
ALTER TABLE tbl_abildoc
ADD PRIMARY KEY (idabilita), ADD KEY idcompetenza (idcompetenza);

--
-- Indexes for table tbl_abilscol
--
ALTER TABLE tbl_abilscol
ADD PRIMARY KEY (idabilita), ADD UNIQUE KEY idcompetenza (idcompetenza,numeroordine,abil_cono);

ALTER TABLE tbl_diffusionecircolari
ADD KEY utenti(idutente), ADD KEY circolare(idcircolare);

ALTER TABLE tbl_recuperipermessi
ADD PRIMARY KEY (idrecupero);

ALTER TABLE tbl_recuperipermessi
MODIFY idrecupero int(11) AUTO_INCREMENT;
--
-- Indexes for table tbl_alunni
--
ALTER TABLE tbl_alunni
ADD PRIMARY KEY (idalunno), ADD KEY idclasse (idclasse);

--
-- Indexes for table tbl_amministrativi
--
ALTER TABLE tbl_amministrativi
ADD PRIMARY KEY (idamministrativo);

--
-- Indexes for table tbl_annotazioni
--
ALTER TABLE tbl_annotazioni
ADD PRIMARY KEY (idannotazione), ADD KEY data (data);

--
-- Indexes for table tbl_assemblee
--
ALTER TABLE tbl_assemblee
ADD PRIMARY KEY (idassemblea);



--
-- Indexes for table tbl_assenze
--
ALTER TABLE tbl_assenze
ADD PRIMARY KEY (idassenza), ADD KEY data (data), ADD KEY datagiustifica (datagiustifica);

ALTER TABLE tbl_assenze ADD UNIQUE(idalunno, data);

--
-- Indexes for table tbl_asslezione
--
ALTER TABLE tbl_asslezione
ADD PRIMARY KEY (idassenzalezione), ADD KEY idalunno (idalunno), ADD KEY idlezione (idlezione), ADD KEY data (data);

--
-- Indexes for table tbl_avvisi
--
ALTER TABLE tbl_avvisi
ADD PRIMARY KEY (idavviso);

--
-- Indexes for table tbl_cambiamenticlasse
--
ALTER TABLE tbl_cambiamenticlasse
ADD PRIMARY KEY (idcambiamentoclasse);

--
-- Indexes for table tbl_cattnosupp
--
ALTER TABLE tbl_cattnosupp
ADD PRIMARY KEY (idcattedra), ADD KEY idclasse (idclasse), ADD KEY iddocente (iddocente), ADD KEY idmateria (idmateria), ADD KEY idalunno (idalunno);

--
-- Indexes for table tbl_cattsupp
--
ALTER TABLE tbl_cattsupp
ADD PRIMARY KEY (idcattedra);

--
-- Indexes for table tbl_circolari
--
ALTER TABLE tbl_circolari
ADD PRIMARY KEY (idcircolare);

--
-- Indexes for table tbl_classi
--
ALTER TABLE tbl_classi
ADD PRIMARY KEY (idclasse);

--
-- Indexes for table tbl_collegamenti
--
ALTER TABLE tbl_collegamenti
ADD PRIMARY KEY (idcollegamento);

--
-- Indexes for table tbl_competalu
--
ALTER TABLE tbl_competalu
ADD PRIMARY KEY (idcompetenza);

--
-- Indexes for table tbl_competdoc
--
ALTER TABLE tbl_competdoc
ADD PRIMARY KEY (idcompetenza);

--
-- Indexes for table tbl_competscol
--
ALTER TABLE tbl_competscol
ADD PRIMARY KEY (idcompetenza);

--
-- Indexes for table tbl_compob
--
ALTER TABLE tbl_compob
ADD PRIMARY KEY (idobiettivo);

--
-- Indexes for table tbl_compsubob
--
ALTER TABLE tbl_compsubob
ADD PRIMARY KEY (idsubob);

--
-- Indexes for table tbl_comuni
--
ALTER TABLE tbl_comuni
ADD PRIMARY KEY (idcomune);

--
-- Indexes for table tbl_deroghe
--
ALTER TABLE tbl_deroghe
ADD PRIMARY KEY (idderoga);

--
-- Indexes for table tbl_derogheinserimento
--
ALTER TABLE tbl_derogheinserimento
ADD PRIMARY KEY (idderogainserimento);

--
-- Indexes for table tbl_diariocl
--
ALTER TABLE tbl_diariocl
ADD PRIMARY KEY (iddiariocl), ADD KEY data (data);

--
-- Indexes for table tbl_diffusionecircolari
--
ALTER TABLE tbl_diffusionecircolari
ADD PRIMARY KEY (iddiffusionecircolare);

--
-- Indexes for table tbl_docenti
--
ALTER TABLE tbl_docenti
ADD PRIMARY KEY (iddocente);

--
-- Indexes for table tbl_documenti
--
ALTER TABLE tbl_documenti
ADD PRIMARY KEY (iddocumento);

--
-- Indexes for table tbl_entrateclassi
--
ALTER TABLE tbl_entrateclassi
ADD PRIMARY KEY (identrataclasse);

ALTER TABLE tbl_usciteclassi
ADD PRIMARY KEY (iduscitaclasse);

--
-- Indexes for table tbl_esiti
--
ALTER TABLE tbl_esiti
ADD PRIMARY KEY (idesito);

--
-- Indexes for table tbl_festivita
--
ALTER TABLE tbl_festivita
ADD PRIMARY KEY (idfestivita);


ALTER TABLE tbl_sospensionicolloqui
ADD PRIMARY KEY (idsospensionecolloqui);
--
-- Indexes for table tbl_firme
--
ALTER TABLE tbl_firme
ADD PRIMARY KEY (idfirma);

--
-- Indexes for table tbl_giudizi
--
ALTER TABLE tbl_giudizi
ADD PRIMARY KEY (idgiudizio);

--
-- Indexes for table tbl_gruppi
--
ALTER TABLE tbl_gruppi
ADD PRIMARY KEY (idgruppo);

--
-- Indexes for table tbl_gruppialunni
--
ALTER TABLE tbl_gruppialunni
ADD PRIMARY KEY (idgruppoalunno);

--
-- Indexes for table tbl_lezioni
--
ALTER TABLE tbl_lezioni
ADD PRIMARY KEY (idlezione), ADD UNIQUE KEY uk_principale (idclasse,idmateria,datalezione,orainizio,numeroore), ADD KEY datalezione (datalezione), ADD KEY idclasse (idclasse);

--
-- Indexes for table tbl_lezionicert
--
ALTER TABLE tbl_lezionicert
ADD PRIMARY KEY (idlezione), ADD KEY datalezione (datalezione), ADD KEY idclasse (idclasse);

--
-- Indexes for table tbl_lezionigruppi
--
ALTER TABLE tbl_lezionigruppi
ADD PRIMARY KEY (idlezionegruppo), ADD KEY datalezione (datalezione);

--
-- Indexes for table tbl_logacc
--
ALTER TABLE tbl_logacc
ADD PRIMARY KEY (idlog);

--
-- Indexes for table tbl_materie
--
ALTER TABLE tbl_materie
ADD PRIMARY KEY (idmateria);

--
-- Indexes for table tbl_materiesidi
--
ALTER TABLE tbl_materiesidi
ADD PRIMARY KEY (codice);

--
-- Indexes for table tbl_menu
--
ALTER TABLE tbl_menu
ADD PRIMARY KEY (idvoce);

--
-- Indexes for table tbl_notealunno
--
ALTER TABLE tbl_notealunno
ADD PRIMARY KEY (idnotaalunno), ADD KEY data (data);

--
-- Indexes for table tbl_noteclasse
--
ALTER TABLE tbl_noteclasse
ADD PRIMARY KEY (idnotaclasse), ADD KEY data (data);

--
-- Indexes for table tbl_noteindalu
--
ALTER TABLE tbl_noteindalu
ADD PRIMARY KEY (idnoteindalu);

--
-- Indexes for table tbl_orario
--
ALTER TABLE tbl_orario
ADD PRIMARY KEY (idorario);

--
-- Indexes for table tbl_orericevimento
--
ALTER TABLE tbl_orericevimento
ADD PRIMARY KEY (idoraricevimento);

--
-- Indexes for table tbl_osssist
--
ALTER TABLE tbl_osssist
ADD PRIMARY KEY (idosssist), ADD KEY data (data);

--
-- Indexes for table tbl_paramcomunicazpers
--
ALTER TABLE tbl_paramcomunicazpers
ADD PRIMARY KEY (idparamcomunicazpers);

--
-- Indexes for table tbl_parametri
--
ALTER TABLE tbl_parametri
ADD PRIMARY KEY (idparametro);

ALTER TABLE tbl_parametri 
ADD UNIQUE (parametro);
--
-- Indexes for table tbl_prenotazioni
--
ALTER TABLE tbl_prenotazioni
ADD PRIMARY KEY (idprenotazione);

--
-- Indexes for table tbl_presenzeforzate
--
ALTER TABLE tbl_presenzeforzate
ADD PRIMARY KEY (idpresenzaforzata), ADD KEY data (data);

--
-- Indexes for table tbl_proposte
--
ALTER TABLE tbl_proposte
ADD PRIMARY KEY (idproposta), ADD KEY idmateria (idmateria), ADD KEY periodo (periodo), ADD KEY idalunno (idalunno);

--
-- Indexes for table tbl_province
--
ALTER TABLE tbl_province
ADD PRIMARY KEY (idprovincia);

--
-- Indexes for table tbl_ritardi
--
ALTER TABLE tbl_richiesteferie
ADD PRIMARY KEY (idrichiestaferie);



ALTER TABLE tbl_ritardi
ADD PRIMARY KEY (idritardo), ADD KEY data (data), ADD KEY datagiustifica (datagiustifica);

--
-- Indexes for table tbl_scrutini
--
ALTER TABLE tbl_scrutini
ADD PRIMARY KEY (idscrutinio);

--
-- Indexes for table tbl_sezioni
--
ALTER TABLE tbl_sezioni
ADD PRIMARY KEY (idsezione);

--
-- Indexes for table tbl_sms
--
ALTER TABLE tbl_sms
ADD PRIMARY KEY (idsms);

--
-- Indexes for table tbl_specializzazioni
--
ALTER TABLE tbl_specializzazioni
ADD PRIMARY KEY (idspecializzazione);

--
-- Indexes for table tbl_testi
--
ALTER TABLE tbl_testi
ADD PRIMARY KEY (idtesto);

--
-- Indexes for table tbl_testisms
--
ALTER TABLE tbl_testisms
ADD PRIMARY KEY (idtestosms);

--
-- Indexes for table tbl_timbrature
--
ALTER TABLE tbl_timbrature
ADD PRIMARY KEY (idtimbratura), ADD KEY datatimbratura (datatimbratura);

--
-- Indexes for table tbl_tipidocumenti
--
ALTER TABLE tbl_tipidocumenti
ADD PRIMARY KEY (idtipodocumento);

--
-- Indexes for table tbl_tipiesiti
--
ALTER TABLE tbl_tipiesiti
ADD PRIMARY KEY (idtipoesito);

--
-- Indexes for table tbl_tipoprog
--
ALTER TABLE tbl_tipoprog
ADD PRIMARY KEY (idtipoprogr);

--
-- Indexes for table tbl_tutori
--
ALTER TABLE tbl_tutori
ADD PRIMARY KEY (idtutore);

--
-- Indexes for table tbl_usciteanticipate
--
ALTER TABLE tbl_usciteanticipate
ADD PRIMARY KEY (iduscita), ADD KEY data (data);

--
-- Indexes for table tbl_autorizzazioniusciteanticipate
--
ALTER TABLE tbl_autorizzazioniuscite
ADD PRIMARY KEY (idautorizzazioneuscita);
--
-- Indexes for table tbl_utenti
--
ALTER TABLE tbl_utenti
ADD PRIMARY KEY (idutente);

--
-- Indexes for table tbl_valutazioniabilcono
--
ALTER TABLE tbl_valutazioniabilcono
ADD PRIMARY KEY (idvalabilcono), ADD KEY idvalint (idvalint);

--
-- Indexes for table tbl_valutazionicomp
--
ALTER TABLE tbl_valutazionicomp
ADD PRIMARY KEY (idvalcomp);

--
-- Indexes for table tbl_valutazionifinali
--
ALTER TABLE tbl_valutazionifinali
ADD PRIMARY KEY (idvalfin);

--
-- Indexes for table tbl_valutazioniintermedie
--
ALTER TABLE tbl_valutazioniintermedie
ADD PRIMARY KEY (idvalint), ADD KEY idalunno (idalunno), ADD KEY idlezione (idlezione), ADD KEY data (data);

--
-- Indexes for table tbl_valutazioniobcomp
--
ALTER TABLE tbl_valutazioniobcomp
ADD PRIMARY KEY (idvalobcomp);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table tbl_abilalu
--
ALTER TABLE tbl_abilalu
MODIFY idabilita int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_abildoc
--
ALTER TABLE tbl_abildoc
MODIFY idabilita int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_abilscol
--
ALTER TABLE tbl_abilscol
MODIFY idabilita int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_alunni
--
ALTER TABLE tbl_alunni
MODIFY idalunno int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_amministrativi
--
ALTER TABLE tbl_amministrativi
MODIFY idamministrativo int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_annotazioni
--
ALTER TABLE tbl_annotazioni
MODIFY idannotazione int(11) AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table tbl_assemblee
--

ALTER TABLE tbl_assemblee
MODIFY idassemblea int(11) AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table tbl_assenze
--
ALTER TABLE tbl_assenze
MODIFY idassenza int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_asslezione
--
ALTER TABLE tbl_asslezione
MODIFY idassenzalezione int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_avvisi
--
ALTER TABLE tbl_avvisi
MODIFY idavviso int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_cambiamenticlasse
--
ALTER TABLE tbl_cambiamenticlasse
MODIFY idcambiamentoclasse int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_cattnosupp
--
ALTER TABLE tbl_cattnosupp
MODIFY idcattedra int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_cattsupp
--
ALTER TABLE tbl_cattsupp
MODIFY idcattedra int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_circolari
--
ALTER TABLE tbl_circolari
MODIFY idcircolare int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_classi
--
ALTER TABLE tbl_classi
MODIFY idclasse int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_collegamenti
--
ALTER TABLE tbl_collegamenti
MODIFY idcollegamento int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_competalu
--
ALTER TABLE tbl_competalu
MODIFY idcompetenza int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_competdoc
--
ALTER TABLE tbl_competdoc
MODIFY idcompetenza int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_competscol
--
ALTER TABLE tbl_competscol
MODIFY idcompetenza int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_compob
--
ALTER TABLE tbl_compob
MODIFY idobiettivo int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_compsubob
--
ALTER TABLE tbl_compsubob
MODIFY idsubob int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_comuni
--
ALTER TABLE tbl_comuni
MODIFY idcomune int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_deroghe
--
ALTER TABLE tbl_deroghe
MODIFY idderoga int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_derogheinserimento
--
ALTER TABLE tbl_derogheinserimento
MODIFY idderogainserimento int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_diariocl
--
ALTER TABLE tbl_diariocl
MODIFY iddiariocl int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_diffusionecircolari
--
ALTER TABLE tbl_diffusionecircolari
MODIFY iddiffusionecircolare int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_docenti
--
ALTER TABLE tbl_docenti
MODIFY iddocente int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_documenti
--
ALTER TABLE tbl_documenti
MODIFY iddocumento int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_entrateclassi
--
ALTER TABLE tbl_entrateclassi
MODIFY identrataclasse int(11) AUTO_INCREMENT;

ALTER TABLE tbl_usciteclassi
MODIFY iduscitaclasse int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_esiti
--
ALTER TABLE tbl_esiti
MODIFY idesito int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_festivita
--
ALTER TABLE tbl_festivita
MODIFY idfestivita int(11) AUTO_INCREMENT;

ALTER TABLE tbl_sospensionicolloqui
MODIFY idsospensionecolloqui int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_firme
--
ALTER TABLE tbl_firme
MODIFY idfirma int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_giudizi
--
ALTER TABLE tbl_giudizi
MODIFY idgiudizio int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_gruppi
--

--
-- Indexes for table tbl_goindirizzo
--
ALTER TABLE tbl_goindirizzo
ADD PRIMARY KEY (idindirizzo);

--
-- Indexes for table tbl_gopercorso
--
ALTER TABLE tbl_gopercorso
ADD PRIMARY KEY (idpercorso);

--
-- Indexes for table tbl_gosettore
--
ALTER TABLE tbl_gosettore
ADD PRIMARY KEY (idsettore);




ALTER TABLE tbl_gruppi
MODIFY idgruppo int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_gruppialunni
--
ALTER TABLE tbl_gruppialunni
MODIFY idgruppoalunno int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_lezioni
--
ALTER TABLE tbl_lezioni
MODIFY idlezione int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_lezionicert
--
ALTER TABLE tbl_lezionicert
MODIFY idlezione int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_lezionigruppi
--
ALTER TABLE tbl_lezionigruppi
MODIFY idlezionegruppo int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_logacc
--
ALTER TABLE tbl_logacc
MODIFY idlog int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_materie
--
ALTER TABLE tbl_materie
MODIFY idmateria int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_menu
--
ALTER TABLE tbl_menu
MODIFY idvoce int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_notealunno
--
ALTER TABLE tbl_notealunno
MODIFY idnotaalunno int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_noteclasse
--
ALTER TABLE tbl_noteclasse
MODIFY idnotaclasse int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_noteindalu
--
ALTER TABLE tbl_noteindalu
MODIFY idnoteindalu int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_orario
--
ALTER TABLE tbl_orario
MODIFY idorario int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_orericevimento
--
ALTER TABLE tbl_orericevimento
MODIFY idoraricevimento int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_osssist
--
ALTER TABLE tbl_osssist
MODIFY idosssist int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_parametri
--
ALTER TABLE tbl_parametri
MODIFY idparametro int(11) AUTO_INCREMENT;


ALTER TABLE tbl_paramcomunicazpers
MODIFY idparamcomunicazpers int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_prenotazioni
--
ALTER TABLE tbl_prenotazioni
MODIFY idprenotazione int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_presenzeforzate
--
ALTER TABLE tbl_presenzeforzate
MODIFY idpresenzaforzata int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_proposte
--
ALTER TABLE tbl_proposte
MODIFY idproposta int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_province
--
ALTER TABLE tbl_province
MODIFY idprovincia int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_ritardi
--
ALTER TABLE tbl_richiesteferie
MODIFY idrichiestaferie int(11) AUTO_INCREMENT;

ALTER TABLE tbl_ritardi
MODIFY idritardo int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_scrutini
--
ALTER TABLE tbl_scrutini
MODIFY idscrutinio int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_sezioni
--
ALTER TABLE tbl_sezioni
MODIFY idsezione int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_sms
--
ALTER TABLE tbl_sms
MODIFY idsms int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_specializzazioni
--

--
-- Indexes for table tbl_sospinviosms
--
ALTER TABLE tbl_sospinviosms
ADD PRIMARY KEY (idsospinviosms);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table tbl_sospinviosms
--
ALTER TABLE tbl_sospinviosms
MODIFY idsospinviosms int(11) AUTO_INCREMENT;




ALTER TABLE tbl_specializzazioni
MODIFY idspecializzazione int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_testi
--
ALTER TABLE tbl_testi
MODIFY idtesto int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_testisms
--
ALTER TABLE tbl_testisms
MODIFY idtestosms int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_timbrature
--
ALTER TABLE tbl_timbrature
MODIFY idtimbratura int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_tipidocumenti
--
ALTER TABLE tbl_tipidocumenti
MODIFY idtipodocumento int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_tipiesiti
--
ALTER TABLE tbl_tipiesiti
MODIFY idtipoesito int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_tipoprog
--
ALTER TABLE tbl_tipoprog
MODIFY idtipoprogr int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_tutori
--
ALTER TABLE tbl_tutori
MODIFY idtutore int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_usciteanticipate
--
ALTER TABLE tbl_usciteanticipate
MODIFY iduscita int(11) AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table tbl_usciteanticipate
--
ALTER TABLE tbl_autorizzazioniuscite
MODIFY idautorizzazioneuscita int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_utenti
--
ALTER TABLE tbl_utenti
MODIFY idutente int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_valutazioniabilcono
--
ALTER TABLE tbl_valutazioniabilcono
MODIFY idvalabilcono int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_valutazionicomp
--
ALTER TABLE tbl_valutazionicomp
MODIFY idvalcomp int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_valutazionifinali
--
ALTER TABLE tbl_valutazionifinali
MODIFY idvalfin int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_valutazioniintermedie
--
ALTER TABLE tbl_valutazioniintermedie
MODIFY idvalint int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_valutazioniobcomp
--
ALTER TABLE tbl_valutazioniobcomp
MODIFY idvalobcomp int(11) AUTO_INCREMENT;
--
-- Limiti per le tabelle scaricate
--

--
-- Limiti per la tabella tbl_abilalu
--
ALTER TABLE tbl_abilalu
ADD CONSTRAINT tbl_abilalu_ibfk_1 FOREIGN KEY (idcompetenza) REFERENCES tbl_competalu (idcompetenza) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Limiti per la tabella tbl_abildoc
--
ALTER TABLE tbl_abildoc
ADD CONSTRAINT tbl_abildoc_ibfk_1 FOREIGN KEY (idcompetenza) REFERENCES tbl_competdoc (idcompetenza) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Limiti per la tabella tbl_valutazioniabilcono
--
ALTER TABLE tbl_valutazioniabilcono
ADD CONSTRAINT tbl_valutazioniabilcono_ibfk_1 FOREIGN KEY (idvalint) REFERENCES tbl_valutazioniintermedie (idvalint) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Indexes for table tbl_esami3m
--
ALTER TABLE tbl_esami3m
ADD PRIMARY KEY (idesame);

--
-- Indexes for table tbl_escommissioni
--
ALTER TABLE tbl_escommissioni
ADD PRIMARY KEY (idescommissione);

--
-- Indexes for table tbl_escompcommissioni
--
ALTER TABLE tbl_escompcommissioni
ADD PRIMARY KEY (idescompcommissione);

--
-- Indexes for table tbl_esesiti
--
ALTER TABLE tbl_esesiti
ADD PRIMARY KEY (idesesiti);

--
-- Indexes for table tbl_esmaterie
--
ALTER TABLE tbl_esmaterie
ADD PRIMARY KEY (idesmaterie);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table tbl_esami3m
--
ALTER TABLE tbl_esami3m
MODIFY idesame int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_escommissioni
--
ALTER TABLE tbl_escommissioni
MODIFY idescommissione int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_escompcommissioni
--
ALTER TABLE tbl_escompcommissioni
MODIFY idescompcommissione int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_esesiti
--
ALTER TABLE tbl_esesiti
MODIFY idesesiti int(11) AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table tbl_esmaterie
--
ALTER TABLE tbl_esmaterie
MODIFY idesmaterie int(11) AUTO_INCREMENT;


-- IMPORTAZIONE DATI

INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'versioneprecedente', '2023.4', 'Versione del software', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'nome_scuola', '', 'Nome della scuola', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'comune_scuola', '', 'Comune sede della scuola', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'sito_scuola', 'http://', 'Indirizzo web dell''home page della scuola', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('tempo', 'numeroanni', '5', 'Numero annualit&agrave; da gestire', '3|5|8');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('tempo', 'numeromassimoore', '6', 'Numero massimo di ore nella giornata', '4|5|6|7|8|9|10');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'plesso_specializzazione', 'Specializzazione', 'Significato del terzo valore di descrizione di una classe (dopo anno e sezione)', 'Plesso|Specializzazione');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('tempo', 'annoscol', '2023', 'Anno di inizio dell''anno scolastico (formato AAAA)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'numeroperiodi', '2', 'Numero periodi (2 - quadrimestri, 3 - trimestri)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('tempo', 'fineprimo', '2024-01-31', 'Giorno fine primo periodo (AAAA-MM-GG)', 'data');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('tempo', 'finesecondo', '', 'Eventuale giorno fine secondo periodo (AAAA-MM-GG)', 'data');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'cartellabuffer', '../buffer', 'Percorso della cartella da utilizzare come buffer (devono essere impostati i permessi di scrittura)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'editorhtml', 'TinyMCE', 'Editor che deve essere usato per le textarea (non cambiare se non si sa quello che si fa)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'logcompleto', 'yes', '''yes'' verrano registrate tutte le operazioni di scrittura, ''no'' verranno registrati solo gli accessi, ''all'' verranno registrate tutte le query (''yes'' e ''all'' fanno aumentare notevolmente le dimensioni del log)', 'no|yes|all');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('funzioni', 'argomentigenitori', 'yes', 'Visualizzazione argomenti delle lezioni per i genitori (yes / no)', 'no|yes');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('tempo', 'numeromaxorelez', '3', 'Numero massimo di ore di una lezione', '1|2|3|4|5');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('tempo', 'giornilezsett', '6', 'Giorni di lezione settimanali', '5|6');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('funzioni', 'giudizisuscheda', 'yes', 'Visualizzazione dei giudizi e delle annotazioni sulla scheda di valutazione (yes / no)', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'livello_scuola', '4', '1 - Primaria, 2 - Media, 3 - istituto comprensivo (classi 1-8), 4 - superiori', '1|2|3|4');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'gestionedocumenti', 'hd', 'Modalit&agrave; memorizzazione documenti (''db'' - database o ''hd'' - file system)', 'db|hd');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'valutazionedecimale', 'yes', 'Abilitazione valutazione decimale, se ''no'' sono permessi solo i giudizi.', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'votominimoattribuibile', '1', 'Voto minimo attribuibile.', '1|2|3|4|5');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('funzioni', 'votigenitori', 'yes', 'Visualizzazione voti per i genitori', 'no|yes');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('funzioni', 'notegenitori', 'yes', 'Visualizzazione note per i genitori', 'no|yes');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('funzioni', 'assenzegenitori', 'yes', 'Visualizzazione assenze per i genitori', 'no|yes');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('funzioni', 'gestioneutentialunni', 'yes', 'Abilita la gestione degli utenti di tipo alunno', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'ordinevalutazioni', 'C', 'Ordine dei voti nelle maschere: Crescente o Decrescente', 'C|D');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('tempo', 'datafinelezioni', '2024-06-10', 'Data di fine delle lezioni ', 'data');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('tempo', 'datainiziolezioni', '2023-09-12', 'Data di inizio delle lezioni', 'data');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('tempo', 'datafinecolloqui', '2024-05-31', 'Data di fine colloqui', 'data');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sms', 'utentesms', '', 'Nome utente per servizio invio sms.', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sms', 'passsms', '', 'Password per servizio invio sms.', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'chiaveuniversale', '', 'Chiave di accesso universale', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'sola_lettura', 'no', 'Sola lettura', 'no|yes');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sms', 'costosmsclassic', '0.064', 'Costo di un sms skebby classic.', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sms', 'costosmsplus', '0.068', 'Costo di un sms skebby classic plus con rapporto di consegna.', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sms', 'testatasms', '', 'Testata degli SMS (max. 11 caratteri).', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'maxgiornipass', '99999', 'Durata massima della password in giorni', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('funzioni', 'visualizzapagelle', 'yes', 'Visualizzazione delle pagelle da parte dei genitori.', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'tipologiascuola', '', 'Tipologia di scuola da riportare sulle schede.', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'nomescuola', '', 'Nome scuola da riportare sulle schede.', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'provincia', '', 'Provincia della scuola', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'codicemeccanografico', '', 'Codice meccanografico della scuola', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'indirizzoscuola', '', 'Indirizzo della scuola (via e numero civico)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'istitutostatale', 'yes', 'Istituto statale (yes/no).', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'dsga', '', 'Nome e cognome del D.S.G.A.', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('funzioni', 'giustifica_ritardi', 'yes', 'Gestione autorizzazione ritardi', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('funzioni', 'giustificauscite', 'no', 'Richiesta giustificazione per uscite anticipate', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('funzioni', 'agg_dati_genitori', 'yes', 'PossibilitÃ  per i genitori di aggiornare i propri dati di contatto.', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('funzioni', 'tipo_pagella_genitori', 'MIN', 'Tipo di scheda di valutazione da visualizzare per i genitori', 'A3|A4|MIN');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('funzioni', 'disabilitaassenzeindad', 'no', 'Disabilita la gestione assenze giornate per le giornate in DAD', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('funzioni', 'giustificaasslezione', 'no', 'Richiesta giustificazione per assenze alle singole lezioni', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'capscuola', '', 'Codice Avviamento Postale della scuola.', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('tempo', 'maxgiorniritardolez', '99999', 'Massimo ritardo per inserimento o modifica della lezione (in giorni).', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('tempo', 'distanza_assemblee', '3', 'Minimo numero di giorni tra richiesta assemblea e suo svolgimento', '1|2|3|4|5|6|7|8');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'gestcentrautorizz', 'no', 'Gestione ritardi e uscite anticipate solo da staff (yes/no).', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'gesttimbrature', 'no','Gestione rilevazione entrate e uscite tramite badge (yes/no).', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'maxritardogiust', '2','Massimo ritardo nella presentazione delle giustifiche di assenze e ritardi.', '1|2|3|4|5|6');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'modocron', 'acc','Modo di gestione dei lavori automatici quitidiani (acc=primo accesso - cron=esecuzione script cron.', 'acc|cron');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'visvotocomp', 'yes','Visualizzazione del voto medio di comportamento per i tutor.', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'nomefilelog', md5(rand()),'Nome file di log.', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'ritardobreve', '10','Massimo numero di minuti per ritardo breve.', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'valutazionepercompetenze', 'yes', 'Gestione della valutazione per competenze', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'numeroritardisms', '0', 'Per valore diverso da 0 gli sms saranno inviati solo per numero ritardi maggiori del valore specificato.', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'passwordesame', '', 'Password per accedere a funzioni d''esame.', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'indirizzo_scuola', 'Via aaaaaaaaaa, n. 0 - 00000 Comune (PR) - Tel. 0000000000000 - Email: email@server.it','Indirizzo completo della scuola.', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'gestcentrassenze', 'no', 'Gestione assenze solo da staff', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'sitoinmanutenzione', 'no', 'Blocco accesso per genitori e docenti non staff', 'yes|no');

INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'g02', 'SCA', 'Giudizio abbreviato per valutazione equivalente a 2', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'g03', 'SCA', 'Giudizio abbreviato per valutazione equivalente a 3', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'g04', 'INS', 'Giudizio abbreviato per valutazione equivalente a 4', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'g05', 'MED', 'Giudizio abbreviato per valutazione equivalente a 5', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'g06', 'SUF', 'Giudizio abbreviato per valutazione equivalente a 6', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'g07', 'BUO', 'Giudizio abbreviato per valutazione equivalente a 7', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'g08', 'DIS', 'Giudizio abbreviato per valutazione equivalente a 8', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'g09', 'OTT', 'Giudizio abbreviato per valutazione equivalente a 9', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'g10', 'ECC', 'Giudizio abbreviato per valutazione equivalente a 10', '');

INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giud02', 'Scarso', 'Giudzio per valutazione equivalente a 2', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giud03', 'Scarso', 'Giudzio per valutazione equivalente a 3', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giud04', 'Insufficiente', 'Giudzio per valutazione equivalente a 4', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giud05', 'Mediocre', 'Giudzio per valutazione equivalente a 5', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giud06', 'Sufficiente', 'Giudzio per valutazione equivalente a 6', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giud07', 'Buono', 'Giudzio per valutazione equivalente a 7', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giud08', 'Distinto', 'Giudzio per valutazione equivalente a 8', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giud09', 'Ottimo', 'Giudzio per valutazione equivalente a 9', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giud10', 'Eccellente', 'Giudzio per valutazione equivalente a 10', '');

INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('moodle', 'urlmoodle', 'http://[url sito moodle]', 'Url del sito moodle per operazioni di sincronizzazione', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('moodle', 'tokenservizimoodle', '', 'Token per accesso web service moodle di interfaccia con LAMPSchool', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'indirizzomailfrom', 'lampschool@[serveristituto]', 'Indirizzo mail di partenza delle mail', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'indirizzomailassenze', '[codicescuola]@istruzione.it', 'Indirizzo mail per comunicazione richieste astensione dal lavoro', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'mailresponsabilesostituzioni', '', 'Indirizzo mail del responsabile delle sostituzioni docenti assenti', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('tempo', 'numeromassimooreassemblea', '2', 'Massimo numero ore durata assemblea di classe', '1|2');


INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'tokenbototp', '', 'Token del BOT Telegram di ricezione OTP per accesso','');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'urlbottelegram', 'https://www.sitoscuola.it/lampschool/bots/', 'URL del bot telegram','');

INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'gc01', 'NONCOR', 'Primo giudizio abbreviato per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'gc02', 'SPPCCOR', 'Secondo giudizio abbreviato per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'gc03', 'PCOCOR', 'Terzo giudizio abbreviato per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'gc04', 'NONSEMCOR', 'Quarto giudizio abbreviato per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'gc05', 'QUACOR', 'Quinto giudizio abbreviato per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'gc06', 'APPCOR', 'Sesto giudizio abbreviato per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'gc07', 'ABBCOR', 'Settimo giudizio abbreviato per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'gc08', 'GENCOR', 'Ottavo giudizio abbreviato per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'gc09', 'MOLCOR', 'Nono giudizio abbreviato per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'gc10', 'ESEMPL', 'Decimo giudizio abbreviato per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');

INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giudcomp01', 'Non corretto', 'Primo giudizio per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giudcomp02', 'Spesso poco corretto', 'Secondo giudizio per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giudcomp03', 'Poco corretto', 'Terzo giudizio per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giudcomp04', 'Non sempre corretto', 'Quarto giudizio per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giudcomp05', 'Quasi corretto', 'Quinto giudizio per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giudcomp06', 'Appena corretto', 'Sesto giudizio per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giudcomp07', 'Abbastanza corretto', 'Settimo giudizio per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giudcomp08', 'Generalmente corretto', 'Ottavo giudizio per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giudcomp09', 'Molto corretto', 'Nono giudizio per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'giudcomp10', 'Esemplare', 'Decimo giudizio per valutazione di comportamento (inserire NULL per non utilizzarlo)', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('voti', 'solovotiinteri', 'no', 'Stabilisce se le valutazioni delle verifiche devono essere solo intere.', 'no|yes');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'timbratureritardiabilitati', 'yes', 'Abilitazione a ricezione timbrature ritardi', 'no|yes');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'codicevicario', '', 'Codice del docente con funzioni di vicario','');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'emailgestbadge', '', 'Email del gestore dei badge per le timbrature','');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'gensolocomunicazioni', 'no', 'Abilita il registro ai genitori solo per comunicazioni','no|yes');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('funzioni', 'stampacertificazioni', 'yes', 'Stampa certificazione competenze per i genitori', 'no|yes');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'tipogestassenzelezione', 'auto', 'man - inserimento manuale , auto - calcolo da ritardi e uscite, ibr - ibrido','auto|man|ibr');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'tempomassimosessione', '60', 'Tempo logout in minuti dopo ultima azione', '5|10|15|20|30|40|50|60|120|1440');

INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'mailpermdopoauto', 'yes', 'Invio della mail per richiesta permesso a protocollo dopo autorizzazione (yes/no).', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'abilgiustonline', 'no', 'Abilitazione giustifiche online (yes/no).', 'yes|no');

INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('autenticazione', 'oidc_issuer', NULL, 'URL del server e realm di autenticazione OpenID', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('autenticazione', 'oidc_client_id', NULL, 'Client ID', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('autenticazione', 'oidc_enabled', 'no', 'Abilita accesso tramite OIDC, se impostato su exclusive l accesso al registro sarà possibile solo tramite OIDC.', 'no|yes|exclusive');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('autenticazione', 'oidc_provider_name', NULL, 'Nome da mostrare sulla pagina di accesso per OIDC.', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('autenticazione', 'oidc_client_secret', NULL, 'Client secret', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('autenticazione', 'oidc_redirect_uri', NULL, 'Redirect URI dopo il logout', '');

INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('redis', 'redis_host', NULL, 'Hostname del server REDIS', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('redis', 'redis_port', '6379', 'Porta del server REDIS', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('redis', 'redis_user', NULL, 'Username del server REDIS', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('redis', 'redis_pass', NULL, 'Password del server REDIS', '');

INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('adsync', 'broker_host', NULL, 'Hostname del broker MQTT per il modulo Active Directory', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('adsync', 'broker_port', '1883', 'Porta del broker MQTT per il modulo Active Directory', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('adsync', 'broker_user', NULL, 'Username del broker MQTT per il modulo Active Directory', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('adsync', 'broker_pass', NULL, 'Password del broker MQTT per il modulo Active Directory', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('adsync', 'broker_topic', 'adsync', 'Topic mqtt su cui inviare le code', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('adsync', 'ad_module_enabled', 'no', 'Abilitazione modulo Active Directory', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('adsync', 'adautosync_disabled', 'no', 'Disattivazione sincronizzazione automatica', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('adsync', 'adgroup_alunni', NULL, 'Gruppo AD da associare agli alunni', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('adsync', 'adgroup_docenti', NULL, 'Gruppo AD da associare ai docenti', '');

INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'entrate_max', '5', 'Numero di ingressi in ritardo per quadrimestre che fa scattare allarme rosso sulla pagina di inserimento', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'uscite_max', '5', 'Numero di uscite anticipate per quadrimestre che fa scattare allarme rosso sulla pagina', '');

INSERT INTO tbl_materie (idmateria, denominazione, idclasseconcorso, tipovalutazione, sigla) VALUES (-1, 'Comportamento', 0, 'CU', 'COMPO');
INSERT INTO tbl_materie (idmateria, denominazione, idclasseconcorso, tipovalutazione, sigla) VALUES ( 0, 'Supplenza',     0, 'N', 'SUPP');

INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'gest_itrp', 'no','Rilevazione entrate e uscite tramite NUOVO sistema di badge. NON ABILITARE CON IL VECCHIO SISTEMA ATTIVO!', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('sistema', 'protogiustonline', 'totp', 'Protocollo di gestione OTP assenze online', 'totp|sms');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('tempo', 'orarioingresso', '08:05', 'Orario massimo di ingresso a scuola dopo il quale viene registrato un ritardo espresso in formato HH:mm', '');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'pwdreset', 'no','Reset password autonomo', 'yes|no');
INSERT INTO tbl_parametri (gruppo, parametro, valore, descrizione, valoriammessi) VALUES ('scuola', 'appuntamentoonline', 'no','Colloqui mattutini online', 'yes|no');

ALTER TABLE `tbl_alunni`
  ADD `censito` VARCHAR(5) NOT NULL DEFAULT '0' after `autorizzazioni`,
  ADD `idgrupporitardo` INT NOT NULL DEFAULT '1' after `censito`,
  ADD `telproprio` VARCHAR(20) NOT NULL DEFAULT '' after `idgrupporitardo`,
  ADD `mailpropria` VARCHAR(100) NOT NULL DEFAULT '' after `telproprio`,
  ADD `totpgiustass` VARCHAR(120) NULL DEFAULT NULL AFTER `mailpropria`;

CREATE TABLE IF NOT EXISTS tbl_gruppiritardi ( 
    `idgrupporitardo` INT NOT NULL AUTO_INCREMENT , 
    `minutiaggiuntivi` INT NOT NULL , 
    `descrizione` VARCHAR(50) NOT NULL , 
    PRIMARY KEY (`idgrupporitardo`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO tbl_gruppiritardi (idgrupporitardo, minutiaggiuntivi, descrizione) VALUES (1, 0, "Gruppo Predefinito");

-- Viene eseguita l'update seguente perché la variabile MySQL auto_increment_offset ha come valore predefinito 1
-- in quel caso anche se si specifica 0 per idmateria, MySQL imposta il valore a 1
UPDATE tbl_materie set idmateria = 0 where idmateria = 1;
-- Questo ALTER TABLE permette di avere l'idmateria a 1 al prossimo INSERT;
ALTER TABLE tbl_materie AUTO_INCREMENT = 1;


INSERT INTO tbl_tipiesiti (idtipoesito, descrizione, passaggio) VALUES
  (1, 'ammesso|alla classe successiva', 0),
  (2, 'non ammesso|alla classe successiva', 1),
  (3, 'ammesso|all''esame', 0),
  (4, 'non ammesso|all''esame', 1);


INSERT INTO tbl_utenti (idutente, userid, password, tipo) VALUES
  (0, 'adminlamp', 'c3284d0f94606de1fd2af172aba15bf3', 'M');
-- Viene eseguita l'update seguente perché la variabile MySQL auto_increment_offset ha come valore predefinito 1
-- in quel caso anche se si specifica 0 per idutente, MySQL imposta il valore a 1
UPDATE tbl_utenti set idutente = 0 where idutente = 1;
-- Questo ALTER TABLE permette di avere l'idutente a 1 al prossimo INSERT;
ALTER TABLE tbl_utenti AUTO_INCREMENT = 1;


INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (1, 'passdoc00', 'Egr. Prof.', 'Formula prima del nome del docente', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (2, 'passdoc01', 'Le credenziali per l''accesso al Registro On Line LAMPSchool per il corrente A.S. sono:', 'Testo prima di comunicazione password per docente.', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (3, 'passdoc02', 'Si raccomanda di cambiare la password al primo accesso.
Il sottoscritto si impegna:
- a non divulgare la suddetta password ad altri soggetti;
- a comunicare immediatamente alla segreteria lâ€™eventuale furto, smarrimento o perdita della riservatezza esclusiva della password al fine del suo bloccaggio e/o sostituzione;
Dichiara di essere a conoscenza:
- che username e password sono nominali;
- che tutte le operazioni con essi effettuate sono direttamente attribuibili al proprietario (firma elettronica);
- che gli accessi e tutte le operazioni effettuate vengono registrati e controllati;
- che utilizzi impropri della suddetta password sono puniti a norma di legge;
- che lâ€™accesso e lâ€™utilizzo del servizio verranno bloccati in caso di utilizzi impropri della sopra citata password, di una sua divulgazione o di un suo smarrimento, come pure in caso di eventuali violazioni di legge commesse mediante lâ€™utilizzo della stessa.', 'Testo dopo comunicazione password per docente.', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (4, 'passalu00', 'Gent.mo genitore dell''alunno', 'Formula prima del nome dell''alunno', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (5, 'passalu01', 'Con le credenziali qui fornite potrÃ  accedere allâ€™area riservata ai genitori del Registro Online LAMPSchool per lâ€™A.S. 2022-2023.
In tale area, raggiungibile con il link â€™Registro On Line ITTâ€™ del sito www.isdimaggio.it, potrÃ  visualizzare i dati relativi al percorso scolastico di suo figlio: assenze, ritardi, uscite anticipate, valutazioni, note, comunicazioni della scuola, pagelle, argomenti delle lezioni, ecc.', 'Testo prima di comunicazione password per alunno.', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (6, 'passalu02', 'Sperando di averle fatto cosa gradita si coglie l''occasione per salutarLa cordialmente.', 'Testo dopo comunicazione password per alunni.', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (7, 'ricevutapassalu', 'no', 'Stampa del tagliando di ricevuta in fondo a comunicazione.', 'yes|no');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (8, 'verbscrutint01', 'Il giorno [data], alle ore [orainizio] sotto la presidenza di [presidente], presso [luogo] si riunisce il Consiglio della Classe [classe] con la sola presenza dei docenti.
Constatato il collegio perfetto, costituito dal Presidente e dai docenti sotto indicati', 'Prima parte verbale scrutinio intermedio', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (9, 'verbscrutint02', 'il Presidente dÃ  inizio alle operazioni di scrutinio.
Totale componenti Consiglio di Classe: [numero docenti] docenti + 1 Presidente = [numero votanti] VOTANTI.
Svolge le mansioni di Segretario per questa riunione [segretario] su conforme decisione del Consiglio di Classe.

Il Presidente, dichiarata aperta la seduta, dÃ  inizio allo scrutinio del [quadrimestre].

Si dÃ  lettura delle proposte di voto delle singole discipline e del voto assegnato per il comportamento; i voti proposti vengono poi riportati sulle schede di valutazione dei singoli alunni e si trascrive il giudizio per lâ€™IRC o lâ€™eventuale AttivitÃ  Alternativa.', 'Seconda parte verbale scrutinio intermedio', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (10, 'verbscrutint03', '[omissis]', 'Terza parte verbale scrutinio intermedio', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (11, 'verbscrutint04', 'Terminata la discussione si approva allâ€™unanimitÃ  e si allega prospetto riepilogativo delle valutazioni disciplinari di ogni singolo alunno/a.

La seduta Ã© tolta alle ore [orafine].

Seguono le firme del Consiglio di Classe.
', 'Quarta parte verbale scrutinio intermedio', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (12, 'verbscrutfin01', 'Il giorno [data], alle ore [orainizio] sotto la presidenza di [presidente], presso [luogo] si riunisce il Consiglio della Classe [classe] con la sola presenza dei docenti.
Constatato il collegio perfetto, costituito dal Presidente e dai docenti sotto indicati', 'Prima parte verbale scrutinio finale', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (13, 'verbscrutfin02', 'il Presidente dÃ  inizio alle operazioni di scrutinio.
Totale componenti Consiglio di Classe: [numero docenti] docenti + 1 Presidente = [numero votanti] VOTANTI.
Svolge le mansioni di Segretario per questa riunione [segretario] su conforme decisione del Consiglio di Classe.

Il Presidente, dichiarata aperta la seduta, dÃ  inizio allo scrutinio del [quadrimestre].

Si dÃ  lettura delle proposte di voto delle singole discipline e del voto assegnato per il comportamento; i voti proposti vengono poi riportati sulle schede di valutazione dei singoli alunni e si trascrive il giudizio per lâ€™IRC o lâ€™eventuale AttivitÃ  Alternativa.', 'Seconda parte verbale scrutinio finale', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (14, 'verbscrutfin03', '[omissis]', 'Terza parte verbale scrutinio finale', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (15, 'verbscrutfin04', 'Terminata la discussione si approva allâ€™unanimitÃ  e si allega prospetto riepilogativo delle valutazioni disciplinari di ogni singolo alunno/a.

La seduta Ã¨ tolta alle ore [orafine].

Seguono le firme del Consiglio di Classe.
', 'Quarta parte verbale scrutinio finale', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (18, 'criterival', 'Per la valutazione degli alunni, periodica e finale, si considerano i seguenti aspetti:
LIVELLI DI PARTENZA
CapacitÃ  , ritmi di apprendimento, progressi negli studi
Situazione socio-familiare (nei casi in cui si influenzano le condizioni di apprendimento)
Raggiungimento di obiettivi educativi e didattici proposti (anche in forma individualizzata e/o personalizzata)
ACQUISIZIONE DI CAPACITAâ€™, ABILITAâ€™ E CONOSCENZE
Le valutazioni periodica ed annuale si basano sulla raccolta continua e sistematica di dati ed informazioni sul comportamento e sugli apprendimenti, rilevati con vari strumenti: osservazioni occasionali e sistematiche, conversazioni, interrogazioni, varie tipologie di prove scritte, test standardizzati.
La valutazione non mai Ã¨ una media matematica delle rilevazioni svolte durante il quadrimestre, perchÃ¨ si deve tenere conto delle rilevazioni effettuate, del percorso formativo personale e della progressione in miglioramento dellâ€™apprendimento e della maturazione dellâ€™alunno.
Ammissione alla classe successiva nella secondaria di 1Â° grado ed esame di terza media
Sono ammessi alla classe successiva, ovvero allâ€™esame di Stato a conclusione del ciclo, gli studenti che hanno ottenuto un voto non inferiore a sei decimi in ciascuna disciplina. Lâ€™esito dellâ€™esame conclusivo del primo ciclo Ã¨ espresso con valutazione complessiva in decimi e illustrato con una certificazione analitica dei traguardi di competenza e del livello globale di maturazione raggiunti dallâ€™alunno. Conseguono il diploma gli studenti che ottengono una valutazione non inferiore a sei decimi.
Criteri di valutazione delle singole discipline
ITALIANO: comprensione di testi orali e scritti di uso quotidiano e letterario; produzione di testi scritti e orali di vario tipo; conoscenza ed uso delle strutture della lingua; capacitÃ   di organizzare e rielaborare le conoscenze.
STORIA: conoscenza degli eventi storici e capacitÃ   di porli in relazione; comprensione ed uso del linguaggio della materia; avviamento alla metodologia della ricerca. Comprensione dei fondamenti e delle istituzioni della vita sociale e civile.
GEOGRAFIA: conoscenza e comprensione  dellâ€™ambiente fisico e umano; uso del linguaggio e degli strumenti della disciplina; individuazione di aspetti e problemi del rapporto uomo-ambiente; capacitÃ   di confrontare territori diversamente organizzati.
INGLESE: comprensione della lingua orale e scritta; produzione nella lingua orale e scritta; conoscenza e uso delle strutture e funzioni linguistiche; conoscenza della cultura e della civiltÃ .
SECONDA LINGUA COMUNITARIA: comprensione della lingua orale e scritta; produzione nella lingua orale e scritta; conoscenza e uso delle strutture e funzioni linguistiche; conoscenza della cultura e della civiltÃ .
MATEMATICA: uso corretto delle operazioni aritmetiche;  individuazione e applicazione di proprietÃ , relazioni  e procedimenti; identificazione e comprensione di problemi e formulazione di soluzioni e loro verifica;  comprensione e  uso dei linguaggi specifici.
SCIENZE: conoscenza degli elementi propri della disciplina; osservazione e descrizione di fatti e fenomeni; avvio alla formulazione di ipotesi e loro verifica; comprensione e  uso dei linguaggi specifici.
TECNOLOGIA: conoscenza ed analisi del settore produttivo di provenienza di oggetti presi in esame; conoscenza di tecniche e tecnologie;  uso degli strumenti specifici e loro applicazione nel disegno geometrico e tecnico.
MUSICA: conoscenza e uso degli elementi  principali del linguaggio musicale; esecuzione con la voce e con uno strumento semplici brani anche in un contesto di musica dâ€™assieme; ascolto e analisi degli elementi del linguaggio musicale; improvvisazione e produzione di semplici sequenze ritmiche e melodiche.
ARTE E IMMAGINE: capacitÃ  di vedere e osservare; comprendere e usare i linguaggi visivi specifici; conoscenza e uso delle tecniche espressive;  produzione e rielaborazione dei messaggi visivi; lettura di documenti del patrimonio culturale e artistico.
EDUCAZIONE FISICA: capacitÃ  di eseguire movimenti in modo coordinato; migliorare resistenza, forza, velocitÃ , mobilitÃ  articolare; rispettare le regole delle discipline sportive praticate; consapevolezza del corretto comportamento sulla strada.
COMPORTAMENTO: rispetto delle regole della convivenza sociale nel rapporto con compagni, docenti e altro personale scolastico. Utilizzo di un linguaggio adeguato; Rispetto di locali, arredi e materiali scolastici.

INFORMATICA: capacitÃ  di risolvere i problemi con sistemi automatizzati', 'Criteri attribuzione voto finale', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (19, 'verbscruting01', 'Il giorno [data], alle ore [orainizio] sotto la presidenza di [presidente], presso [luogo] si riunisce il Consiglio della Classe [classe] con la sola presenza dei docenti.
Constatato il collegio perfetto, costituito dal Presidente e dai docenti sotto indicati', 'Prima parte verbale scrutinio integrativo', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (20, 'verbscruting02', 'il Presidente dÃ  inizio alle operazioni di scrutinio integrativo.
Totale componenti Consiglio di Classe: [numero docenti] docenti + 1 Presidente = [numero votanti] VOTANTI.
Svolge le mansioni di Segretario per questa riunione [segretario] su conforme decisione del Consiglio di Classe.

Il Presidente, dichiarata aperta la seduta, dÃ  inizio allo scrutinio integrativo.

Si dÃ  lettura delle proposte di voto delle singole discipline e del voto assegnato per il comportamento per gli alunni con giudizio sospeso; i voti proposti vengono poi riportati sulle schede di valutazione dei singoli alunni e si trascrive il giudizio per lâ€™IRC o lâ€™eventuale AttivitÃ  Alternativa.', 'Seconda parte verbale scrutinio integrativo', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (21, 'verbscruting03', '[omissis]', 'Terza parte verbale scrutinio integrativo', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (22, 'verbscruting04', 'Terminata la discussione si approva allâ€™unanimitÃ  e si allega prospetto riepilogativo delle valutazioni disciplinari di ogni singolo alunno/a.

La seduta Ã¨ tolta alle ore [orafine].

Seguono le firme del Consiglio di Classe.
', 'Quarta parte verbale scrutinio integrativo', '');

INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (23, 'ammonizmancgiust', 'L''alunno [alunno] Ã¨ ammonito ai sensi del regolamento disciplinare.', 'Dicitura del provvedimento disciplinare per mancata giustifica di assenza o ritardo entro i termini', '');

INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (24, 'passalu03', '(Da restituire alla segreteria)', 'Dicitura a chi restituire il tagliando', '');

INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (25, 'passalu04', 'Il/la sottoscritto/a genitore dell''alunno/a', 'Formula della ricevuta prima del nome dell''alunno', '');

INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (26, 'passalu05', ', dichiara di aver ricevuto i dati di accesso al registro online LAMPschool.', 'Formula della ricevuta dopo il nome dell''alunno', '');

INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (27, 'testoverbesa01', 'Valutazone dei risultati degli esami e decisioni conseguenti.

Il giorno [giorno] del mese di [mese] dell''anno [anno] alle ore [orainizio], sotto la presidenza del prof. [presidente], Presidente della Commissione, si riunisce la sottocommissione [commissione], composta dai professori [elenco docenti] per procedere alla valutazione dei risultati degli esami ai sensi delle norme vigenti.
Funge da segretario il prof. [segretario].
Sulla base delle risultanze complessive del giudizio di idoneitÃ , delle prove scritte - inclusa quella nazionale - e del colloquio pluridisciplinare, la sottocommissione esaminatrice che, comunque, Ã¨ chiamata ad operare collegialmente nella correzione degli elaborati e nello svolgimento dei colloqui, assegna ad ogni candidato il voto finale.
', 'Prima parte verbale esame di stato terza media', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (28, 'testoverbesa02', 'Tale valutazione, in tutti i casi in cui risulta positiva, si conclude con l''attribuzione della valutazione espressa in decimi, che viene segnata a fianco di ogni nominativo e con la verifica ed eventuale integrazione del consiglio orientativo.
I risultati da sottoporre alla ratifica della Commissione plenaria sono i seguenti:', 'Seconda parte verbale esame di stato terza media', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (29, 'testoverbesa03', '[omissis]', 'Terza parte verbale esame di stato terza media', '');

INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (30, 'testoverbesa04', 'I risultati decisi "a maggioranza" vengono evidenziati con una (M) segnata tra parentesi a fianco del nome o del giudizio relativo. Tutti gli altri risultati privi di indicazione sono stati decisi all''unanimitÃ .

Dalle discussioni e dalle osservazioni della sottocommissione Ã¨ inoltre emerso quanto segue:


La seduta Ã¨ tolta alle ore [orafine] dopo la lettura e l''approvazione del presente verbale.

La sottocommissione [commissione]:', 'Quarta parte del verbale esame di stato terza media', '');

INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (31, 'passmoodlealu00', 'Gent.mo genitore dell''alunno', 'Formula prima del nome dell''alunno', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (32, 'passmoodlealu01', 'Con le credenziali qui fornite potrÃ  accedere allâ€™area riservata ai genitori del Registro Online LAMPSchool per lâ€™A.S. 2022-2023.
In tale area, raggiungibile con il link â€™Registro On Line ITTâ€™ del sito www.isdimaggio.it, potrÃ  visualizzare i dati relativi al percorso scolastico di suo figlio: assenze, ritardi, uscite anticipate, valutazioni, note, comunicazioni della scuola, pagelle, argomenti delle lezioni, ecc.', 'Testo prima di comunicazione password per alunno.', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (33, 'passmoodlealu02', 'Sperando di averle fatto cosa gradita si coglie l''occasione per salutarLa cordialmente.', 'Testo dopo comunicazione password per alunni.', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (34, 'alupassalu00', 'Gent.mo alunno', 'Formula prima del nome dell''alunno', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (35, 'alupassalu01', 'Con le credenziali qui fornite potrai  accedere allâ€™area riservata agli alunni del Registro Online LAMPSchool.
In tale area potrai visualizzare i dati relativi al tuo percorso scolastico: assenze, ritardi, uscite anticipate, valutazioni, note, argomenti delle lezioni, ecc. I rappresentanti di classe potranno inoltre gestire l''iter delle assemblee di classe.', 'Testo prima di comunicazione password per alunno.', '');
INSERT INTO tbl_testi (idtesto, nometesto, valore, spiegazione, possibilivalori) VALUES (36, 'alupassalu02', 'Ricorda che i dati di accesso sono personali e sarai ritenuto direttamente responsabile di quello che viene fatto con il tuo account.', 'Testo dopo comunicazione password per alunni.', '');





INSERT INTO tbl_compob (idobiettivo, numeroordine, sintob, obiettivo) VALUES
  (2, 3, 'PARTECIPAZIONE E IMPEGNO', ''),
  (3, 4, 'RISPETTO DEL MATERIALE PERSONALE E SCOLASTICO', ''),
  (5, 2, 'RISPETTO DI SÃˆ, RELAZIONE CON I COMPAGNI E CON GLI ADULTI', ''),
  (6, 1, 'RISPETTO DELLE REGOLE', '');



INSERT INTO tbl_compsubob (idsubob, idobiettivo, numeroordine, sintsubob, subob) VALUES
  (27, 4, 1, 'Arredi e locali', 'Rispetta e gestisce correttamente gli arredi ed i locali.'),
  (28, 4, 2, 'Spazi esterni e altri ambienti', 'Rispetta e gestisce correttamente gli spazi esterni e gli altri ambienti in cui si svolgono le attivitÃ .'),
  (30, 6, 1, 'Aspetta il proprio turno per parlare', ''),
  (31, 6, 2, 'Usa un linguaggio adeguato al contesto scolastico, rispettoso e corretto', ''),
  (32, 6, 3, 'Dimostra autocontrollo durante le lezioni', ''),
  (33, 6, 4, 'Dimostra autocontrollo nelle attivitÃ  non strutturate', ''),
  (34, 6, 5, 'Ha un atteggiamento responsabile durante il tempo mensa e gli intervalli', ''),
  (35, 6, 6, 'Rispetta gli orari ed Ã¨ puntuale in entrata, nei rientri, nei cambi dellâ€™ora.', ''),
  (36, 6, 7, 'Ha un abbigliamento adeguato allâ€™ambiente scolastico', ''),
  (37, 5, 1, 'Ha cura della propria igiene e persona', ''),
  (38, 5, 2, 'Gestisce i conflitti senza assumere atteggiamenti aggressivi verbali e/o fisici', ''),
  (39, 5, 3, 'Chiede il permesso per utilizzare il materiale altrui', ''),
  (40, 5, 4, 'Si dimostra disponibile e collaborativo verso i compagni', ''),
  (41, 5, 5, 'Rispetta la figura dellâ€™adulto  e ne riconosce lâ€™autoritÃ ', ''),
  (42, 5, 6, 'Si dimostra disponibile e collaborativo verso gli adulti', ''),
  (43, 5, 7, 'Chiede aiuto allâ€™adulto quando Ã¨ in difficoltÃ ', ''),
  (44, 2, 1, 'Partecipa con impegno e responsabilitÃ  alle lezioni', ''),
  (45, 2, 2, 'Segue con attenzione e dimostra interesse', ''),
  (46, 2, 3, 'Offre un contributo attivo alle lezioni', ''),
  (47, 2, 4, 'Sa organizzare il lavoro in modo autonomo', ''),
  (48, 2, 5, 'Ãˆ puntuale nello svolgimento degli incarichi (compiti, studio, elaboratiâ€¦)', ''),
  (52, 3, 1, 'Corretta gestione del libretto personale (es. firme)', ''),
  (53, 3, 2, 'Corretta gestione del diario e del corredo scolastico proprio ed altrui', ''),
  (54, 3, 3, 'Rispetto e corretta gestione degli arredi, dei locali e degli spazi comuni', '');


INSERT INTO tbl_province (idprovincia, codregione, denregione, codprovincia, denprovincia, siglaprovincia) VALUES
  (1, 1, 'Piemonte', 1, 'Torino', 'TO'),
  (2, 1, 'Piemonte', 2, 'Vercelli', 'VC'),
  (3, 1, 'Piemonte', 3, 'Novara', 'NO'),
  (4, 1, 'Piemonte', 4, 'Cuneo', 'CN'),
  (5, 1, 'Piemonte', 5, 'Asti', 'AT'),
  (6, 1, 'Piemonte', 6, 'Alessandria', 'AL'),
  (7, 1, 'Piemonte', 96, 'Biella', 'BI'),
  (8, 1, 'Piemonte', 103, 'Verbano-Cusio-Ossola', 'VB'),
  (9, 2, 'Valle dAosta', 7, 'Valle dAosta', 'AO'),
  (10, 3, 'Lombardia', 12, 'Varese', 'VA'),
  (11, 3, 'Lombardia', 13, 'Como', 'CO'),
  (12, 3, 'Lombardia', 14, 'Sondrio', 'SO'),
  (13, 3, 'Lombardia', 15, 'Milano', 'MI'),
  (14, 3, 'Lombardia', 16, 'Bergamo', 'BG'),
  (15, 3, 'Lombardia', 17, 'Brescia', 'BS'),
  (16, 3, 'Lombardia', 18, 'Pavia', 'PV'),
  (17, 3, 'Lombardia', 19, 'Cremona', 'CR'),
  (18, 3, 'Lombardia', 20, 'Mantova', 'MN'),
  (19, 3, 'Lombardia', 97, 'Lecco', 'LC'),
  (20, 3, 'Lombardia', 98, 'Lodi', 'LO'),
  (21, 3, 'Lombardia', 108, 'Monza e della Brianza', 'MB'),
  (22, 4, 'Trentino-Alto Adige', 21, 'Bolzano', 'BZ'),
  (23, 4, 'Trentino-Alto Adige', 22, 'Trento', 'TN'),
  (24, 5, 'Veneto', 23, 'Verona', 'VR'),
  (25, 5, 'Veneto', 24, 'Vicenza', 'VI'),
  (26, 5, 'Veneto', 25, 'Belluno', 'BL'),
  (27, 5, 'Veneto', 26, 'Treviso', 'TV'),
  (28, 5, 'Veneto', 27, 'Venezia', 'VE'),
  (29, 5, 'Veneto', 28, 'Padova', 'PD'),
  (30, 5, 'Veneto', 29, 'Rovigo', 'RO'),
  (31, 6, 'Friuli-Venezia Giulia', 30, 'Udine', 'UD'),
  (32, 6, 'Friuli-Venezia Giulia', 31, 'Gorizia', 'GO'),
  (33, 6, 'Friuli-Venezia Giulia', 32, 'Trieste', 'TS'),
  (34, 6, 'Friuli-Venezia Giulia', 93, 'Pordenone', 'PN'),
  (35, 7, 'Liguria', 8, 'Imperia', 'IM'),
  (36, 7, 'Liguria', 9, 'Savona', 'SV'),
  (37, 7, 'Liguria', 10, 'Genova', 'GE'),
  (38, 7, 'Liguria', 11, 'La Spezia', 'SP'),
  (39, 8, 'Emilia-Romagna', 33, 'Piacenza', 'PC'),
  (40, 8, 'Emilia-Romagna', 34, 'Parma', 'PR'),
  (41, 8, 'Emilia-Romagna', 35, 'Reggio nellEmilia', 'RE'),
  (42, 8, 'Emilia-Romagna', 36, 'Modena', 'MO'),
  (43, 8, 'Emilia-Romagna', 37, 'Bologna', 'BO'),
  (44, 8, 'Emilia-Romagna', 38, 'Ferrara', 'FE'),
  (45, 8, 'Emilia-Romagna', 39, 'Ravenna', 'RA'),
  (46, 8, 'Emilia-Romagna', 40, 'Forlì-Cesena', 'FC'),
  (47, 8, 'Emilia-Romagna', 99, 'Rimini', 'RN'),
  (48, 9, 'Toscana', 45, 'Massa-Carrara', 'MS'),
  (49, 9, 'Toscana', 46, 'Lucca', 'LU'),
  (50, 9, 'Toscana', 47, 'Pistoia', 'PT'),
  (51, 9, 'Toscana', 48, 'Firenze', 'FI'),
  (52, 9, 'Toscana', 49, 'Livorno', 'LI'),
  (53, 9, 'Toscana', 50, 'Pisa', 'PI'),
  (54, 9, 'Toscana', 51, 'Arezzo', 'AR'),
  (55, 9, 'Toscana', 52, 'Siena', 'SI'),
  (56, 9, 'Toscana', 53, 'Grosseto', 'GR'),
  (57, 9, 'Toscana', 100, 'Prato', 'PO'),
  (58, 10, 'Umbria', 54, 'Perugia', 'PG'),
  (59, 10, 'Umbria', 55, 'Terni', 'TR'),
  (60, 11, 'Marche', 41, 'Pesaro e Urbino', 'PU'),
  (61, 11, 'Marche', 42, 'Ancona', 'AN'),
  (62, 11, 'Marche', 43, 'Macerata', 'MC'),
  (63, 11, 'Marche', 44, 'Ascoli Piceno', 'AP'),
  (64, 11, 'Marche', 109, 'Fermo', 'FM'),
  (65, 12, 'Lazio', 56, 'Viterbo', 'VT'),
  (66, 12, 'Lazio', 57, 'Rieti', 'RI'),
  (67, 12, 'Lazio', 58, 'Roma', 'RM'),
  (68, 12, 'Lazio', 59, 'Latina', 'LT'),
  (69, 12, 'Lazio', 60, 'Frosinone', 'FR'),
  (70, 13, 'Abruzzo', 66, 'LAquila', 'AQ'),
  (71, 13, 'Abruzzo', 67, 'Teramo', 'TE'),
  (72, 13, 'Abruzzo', 68, 'Pescara', 'PE'),
  (73, 13, 'Abruzzo', 69, 'Chieti', 'CH'),
  (74, 14, 'Molise', 70, 'Campobasso', 'CB'),
  (75, 14, 'Molise', 94, 'Isernia', 'IS'),
  (76, 15, 'Campania', 61, 'Caserta', 'CE'),
  (77, 15, 'Campania', 62, 'Benevento', 'BN'),
  (78, 15, 'Campania', 63, 'Napoli', 'NA'),
  (79, 15, 'Campania', 64, 'Avellino', 'AV'),
  (80, 15, 'Campania', 65, 'Salerno', 'SA'),
  (81, 16, 'Puglia', 71, 'Foggia', 'FG'),
  (82, 16, 'Puglia', 72, 'Bari', 'BA'),
  (83, 16, 'Puglia', 73, 'Taranto', 'TA'),
  (84, 16, 'Puglia', 74, 'Brindisi', 'BR'),
  (85, 16, 'Puglia', 75, 'Lecce', 'LE'),
  (86, 16, 'Puglia', 110, 'Barletta-Andria-Trani', 'BT'),
  (87, 17, 'Basilicata', 76, 'Potenza', 'PZ'),
  (88, 17, 'Basilicata', 77, 'Matera', 'MT'),
  (89, 18, 'Calabria', 78, 'Cosenza', 'CS'),
  (90, 18, 'Calabria', 79, 'Catanzaro', 'CZ'),
  (91, 18, 'Calabria', 80, 'Reggio di Calabria', 'RC'),
  (92, 18, 'Calabria', 101, 'Crotone', 'KR'),
  (93, 18, 'Calabria', 102, 'Vibo Valentia', 'VV'),
  (94, 19, 'Sicilia', 81, 'Trapani', 'TP'),
  (95, 19, 'Sicilia', 82, 'Palermo', 'PA'),
  (96, 19, 'Sicilia', 83, 'Messina', 'ME'),
  (97, 19, 'Sicilia', 84, 'Agrigento', 'AG'),
  (98, 19, 'Sicilia', 85, 'Caltanissetta', 'CL'),
  (99, 19, 'Sicilia', 86, 'Enna', 'EN'),
  (100, 19, 'Sicilia', 87, 'Catania', 'CT'),
  (101, 19, 'Sicilia', 88, 'Ragusa', 'RG'),
  (102, 19, 'Sicilia', 89, 'Siracusa', 'SR'),
  (103, 20, 'Sardegna', 90, 'Sassari', 'SS'),
  (104, 20, 'Sardegna', 91, 'Nuoro', 'NU'),
  (105, 20, 'Sardegna', 92, 'Cagliari', 'CA'),
  (106, 20, 'Sardegna', 95, 'Oristano', 'OR'),
  (107, 20, 'Sardegna', 104, 'Olbia-Tempio', 'OT'),
  (108, 20, 'Sardegna', 105, 'Ogliastra', 'OG'),
  (109, 20, 'Sardegna', 106, 'Medio Campidano', 'VS'),
  (110, 20, 'Sardegna', 107, 'Carbonia-Iglesias', 'CI');



--
-- Dump dei dati per la tabella tbl_comuni
--

INSERT INTO tbl_comuni (idcomune, denominazione, codiceistat, statoestero, codcatastale) VALUES
  (1, 'AgliÃ¨', 1001, 'N', 'A074'),
  (2, 'Airasca', 1002, 'N', 'A109'),
  (3, 'Ala Di Stura', 1003, 'N', 'A117'),
  (4, 'Albiano d''Ivrea', 1004, 'N', 'A157'),
  (5, 'Alice Superiore', 1005, 'N', 'A199'),
  (6, 'Almese', 1006, 'N', 'A218'),
  (7, 'Alpette', 1007, 'N', 'A221'),
  (8, 'Alpignano', 1008, 'N', 'A222'),
  (9, 'Andezeno', 1009, 'N', 'A275'),
  (10, 'Andrate', 1010, 'N', 'A282'),
  (11, 'Angrogna', 1011, 'N', 'A295'),
  (12, 'Arignano', 1012, 'N', 'A405'),
  (13, 'Avigliana', 1013, 'N', 'A518'),
  (14, 'Azeglio', 1014, 'N', 'A525'),
  (15, 'Bairo', 1015, 'N', 'A584'),
  (16, 'Balangero', 1016, 'N', 'A587'),
  (17, 'Baldissero Canavese', 1017, 'N', 'A590'),
  (18, 'Baldissero Torinese', 1018, 'N', 'A591'),
  (19, 'Balme', 1019, 'N', 'A599'),
  (20, 'Banchette', 1020, 'N', 'A607'),
  (21, 'Barbania', 1021, 'N', 'A625'),
  (22, 'Bardonecchia', 1022, 'N', 'A651'),
  (23, 'Barone Canavese', 1023, 'N', 'A673'),
  (24, 'Beinasco', 1024, 'N', 'A734'),
  (25, 'Bibiana', 1025, 'N', 'A853'),
  (26, 'Bobbio Pellice', 1026, 'N', 'A910'),
  (27, 'Bollengo', 1027, 'N', 'A941'),
  (28, 'Borgaro Torinese', 1028, 'N', 'A990'),
  (29, 'Borgiallo', 1029, 'N', 'B003'),
  (30, 'Borgofranco d''Ivrea', 1030, 'N', 'B015'),
  (31, 'Borgomasino', 1031, 'N', 'B021'),
  (32, 'Borgone Susa', 1032, 'N', 'B024'),
  (33, 'Bosconero', 1033, 'N', 'B075'),
  (34, 'Brandizzo', 1034, 'N', 'B121'),
  (35, 'Bricherasio', 1035, 'N', 'B171'),
  (36, 'Brosso', 1036, 'N', 'B205'),
  (37, 'Brozolo', 1037, 'N', 'B209'),
  (38, 'Bruino', 1038, 'N', 'B216'),
  (39, 'Brusasco', 1039, 'N', 'B225'),
  (40, 'Bruzolo', 1040, 'N', 'B232'),
  (41, 'Buriasco', 1041, 'N', 'B278'),
  (42, 'Burolo', 1042, 'N', 'B279'),
  (43, 'Busano', 1043, 'N', 'B284'),
  (44, 'Bussoleno', 1044, 'N', 'B297'),
  (45, 'Buttigliera Alta', 1045, 'N', 'B305'),
  (46, 'Cafasse', 1046, 'N', 'B350'),
  (47, 'Caluso', 1047, 'N', 'B435'),
  (48, 'Cambiano', 1048, 'N', 'B462'),
  (49, 'Campiglione-Fenile', 1049, 'N', 'B512'),
  (50, 'Candia Canavese', 1050, 'N', 'B588'),
  (51, 'Candiolo', 1051, 'N', 'B592'),
  (52, 'Canischio', 1052, 'N', 'B605'),
  (53, 'Cantalupa', 1053, 'N', 'B628'),
  (54, 'Cantoira', 1054, 'N', 'B637'),
  (55, 'Caprie', 1055, 'N', 'B705'),
  (56, 'Caravino', 1056, 'N', 'B733'),
  (57, 'Carema', 1057, 'N', 'B762'),
  (58, 'Carignano', 1058, 'N', 'B777'),
  (59, 'Carmagnola', 1059, 'N', 'B791'),
  (60, 'Casalborgone', 1060, 'N', 'B867'),
  (61, 'Cascinette d''Ivrea', 1061, 'N', 'B953'),
  (62, 'Caselette', 1062, 'N', 'B955'),
  (63, 'Caselle Torinese', 1063, 'N', 'B960'),
  (64, 'Castagneto Po', 1064, 'N', 'C045'),
  (65, 'Castagnole Piemonte', 1065, 'N', 'C048'),
  (66, 'Castellamonte', 1066, 'N', 'C133'),
  (67, 'Castelnuovo Nigra', 1067, 'N', 'C241'),
  (68, 'Castiglione Torinese', 1068, 'N', 'C307'),
  (69, 'Cavagnolo', 1069, 'N', 'C369'),
  (70, 'Cavour', 1070, 'N', 'C404'),
  (71, 'Cercenasco', 1071, 'N', 'C487'),
  (72, 'Ceres', 1072, 'N', 'C497'),
  (73, 'Ceresole Reale', 1073, 'N', 'C505'),
  (74, 'Cesana Torinese', 1074, 'N', 'C564'),
  (75, 'Chialamberto', 1075, 'N', 'C604'),
  (76, 'Chianocco', 1076, 'N', 'C610'),
  (77, 'Chiaverano', 1077, 'N', 'C624'),
  (78, 'Chieri', 1078, 'N', 'C627'),
  (79, 'Chiesanuova', 1079, 'N', 'C629'),
  (80, 'Chiomonte', 1080, 'N', 'C639'),
  (81, 'Chiusa di San Michele', 1081, 'N', 'C655'),
  (82, 'Chivasso', 1082, 'N', 'C665'),
  (83, 'Ciconio', 1083, 'N', 'C679'),
  (84, 'Cintano', 1084, 'N', 'C711'),
  (85, 'Cinzano', 1085, 'N', 'C715'),
  (86, 'CiriÃ¨', 1086, 'N', 'C722'),
  (87, 'Claviere', 1087, 'N', 'C793'),
  (88, 'Coassolo Torinese', 1088, 'N', 'C801'),
  (89, 'Coazze', 1089, 'N', 'C803'),
  (90, 'Collegno', 1090, 'N', 'C860'),
  (91, 'Colleretto Castelnuovo', 1091, 'N', 'C867'),
  (92, 'Colleretto Giacosa', 1092, 'N', 'C868'),
  (93, 'Condove', 1093, 'N', 'C955'),
  (94, 'Corio', 1094, 'N', 'D008'),
  (95, 'Cossano Canavese', 1095, 'N', 'D092'),
  (96, 'Cuceglio', 1096, 'N', 'D197'),
  (97, 'Cumiana', 1097, 'N', 'D202'),
  (98, 'CuorgnÃ¨', 1098, 'N', 'D208'),
  (99, 'Druento', 1099, 'N', 'D373'),
  (100, 'Exilles', 1100, 'N', 'D433'),
  (101, 'Favria', 1101, 'N', 'D520'),
  (102, 'Feletto', 1102, 'N', 'D524'),
  (103, 'Fenestrelle', 1103, 'N', 'D532'),
  (104, 'Fiano', 1104, 'N', 'D562'),
  (105, 'Fiorano Canavese', 1105, 'N', 'D608'),
  (106, 'Foglizzo', 1106, 'N', 'D646'),
  (107, 'Forno Canavese', 1107, 'N', 'D725'),
  (108, 'Frassinetto', 1108, 'N', 'D781'),
  (109, 'Front', 1109, 'N', 'D805'),
  (110, 'Frossasco', 1110, 'N', 'D812'),
  (111, 'Garzigliana', 1111, 'N', 'D931'),
  (112, 'Gassino Torinese', 1112, 'N', 'D933'),
  (113, 'Germagnano', 1113, 'N', 'D983'),
  (114, 'Giaglione', 1114, 'N', 'E009'),
  (115, 'Giaveno', 1115, 'N', 'E020'),
  (116, 'Givoletto', 1116, 'N', 'E067'),
  (117, 'Gravere', 1117, 'N', 'E154'),
  (118, 'Groscavallo', 1118, 'N', 'E199'),
  (119, 'Grosso', 1119, 'N', 'E203'),
  (120, 'Grugliasco', 1120, 'N', 'E216'),
  (121, 'Ingria', 1121, 'N', 'E301'),
  (122, 'Inverso Pinasca', 1122, 'N', 'E311'),
  (123, 'Isolabella', 1123, 'N', 'E345'),
  (124, 'Issiglio', 1124, 'N', 'E368'),
  (125, 'Ivrea', 1125, 'N', 'E379'),
  (126, 'La Cassa', 1126, 'N', 'E394'),
  (127, 'La Loggia', 1127, 'N', 'E423'),
  (128, 'Lanzo Torinese', 1128, 'N', 'E445'),
  (129, 'Lauriano', 1129, 'N', 'E484'),
  (130, 'LeinÃ¬', 1130, 'N', 'E518'),
  (131, 'Lemie', 1131, 'N', 'E520'),
  (132, 'Lessolo', 1132, 'N', 'E551'),
  (133, 'Levone', 1133, 'N', 'E566'),
  (134, 'Locana', 1134, 'N', 'E635'),
  (135, 'Lombardore', 1135, 'N', 'E660'),
  (136, 'Lombriasco', 1136, 'N', 'E661'),
  (137, 'LoranzÃ¨', 1137, 'N', 'E683'),
  (138, 'Lugnacco', 1138, 'N', 'E727'),
  (139, 'Luserna San Giovanni', 1139, 'N', 'E758'),
  (140, 'Lusernetta', 1140, 'N', 'E759'),
  (141, 'LusigliÃ¨', 1141, 'N', 'E763'),
  (142, 'Macello', 1142, 'N', 'E782'),
  (143, 'Maglione', 1143, 'N', 'E817'),
  (144, 'Marentino', 1144, 'N', 'E941'),
  (145, 'Massello', 1145, 'N', 'F041'),
  (146, 'Mathi', 1146, 'N', 'F053'),
  (147, 'Mattie', 1147, 'N', 'F058'),
  (148, 'MazzÃ¨', 1148, 'N', 'F067'),
  (149, 'Meana di Susa', 1149, 'N', 'F074'),
  (150, 'Mercenasco', 1150, 'N', 'F140'),
  (151, 'Meugliano', 1151, 'N', 'F164'),
  (152, 'Mezzenile', 1152, 'N', 'F182'),
  (153, 'Mombello di Torino', 1153, 'N', 'F315'),
  (154, 'Mompantero', 1154, 'N', 'F318'),
  (155, 'Monastero di Lanzo', 1155, 'N', 'F327'),
  (156, 'Moncalieri', 1156, 'N', 'F335'),
  (157, 'Moncenisio', 1157, 'N', 'D553'),
  (158, 'Montaldo Torinese', 1158, 'N', 'F407'),
  (159, 'Montalenghe', 1159, 'N', 'F411'),
  (160, 'Montalto Dora', 1160, 'N', 'F420'),
  (161, 'Montanaro', 1161, 'N', 'F422'),
  (162, 'Monteu da Po', 1162, 'N', 'F651'),
  (163, 'Moriondo Torinese', 1163, 'N', 'F733'),
  (164, 'Nichelino', 1164, 'N', 'F889'),
  (165, 'Noasca', 1165, 'N', 'F906'),
  (166, 'Nole', 1166, 'N', 'F925'),
  (167, 'Nomaglio', 1167, 'N', 'F927'),
  (168, 'None', 1168, 'N', 'F931'),
  (169, 'Novalesa', 1169, 'N', 'F948'),
  (170, 'Oglianico', 1170, 'N', 'G010'),
  (171, 'Orbassano', 1171, 'N', 'G087'),
  (172, 'Orio Canavese', 1172, 'N', 'G109'),
  (173, 'Osasco', 1173, 'N', 'G151'),
  (174, 'Osasio', 1174, 'N', 'G152'),
  (175, 'Oulx', 1175, 'N', 'G196'),
  (176, 'Ozegna', 1176, 'N', 'G202'),
  (177, 'Palazzo Canavese', 1177, 'N', 'G262'),
  (178, 'Pancalieri', 1178, 'N', 'G303'),
  (179, 'Parella', 1179, 'N', 'G330'),
  (180, 'Pavarolo', 1180, 'N', 'G387'),
  (181, 'Pavone Canavese', 1181, 'N', 'G392'),
  (182, 'Pecco', 1182, 'N', 'G396'),
  (183, 'Pecetto Torinese', 1183, 'N', 'G398'),
  (184, 'Perosa Argentina', 1184, 'N', 'G463'),
  (185, 'Perosa Canavese', 1185, 'N', 'G462'),
  (186, 'Perrero', 1186, 'N', 'G465'),
  (187, 'Pertusio', 1187, 'N', 'G477'),
  (188, 'Pessinetto', 1188, 'N', 'G505'),
  (189, 'Pianezza', 1189, 'N', 'G559'),
  (190, 'Pinasca', 1190, 'N', 'G672'),
  (191, 'Pinerolo', 1191, 'N', 'G674'),
  (192, 'Pino Torinese', 1192, 'N', 'G678'),
  (193, 'Piobesi Torinese', 1193, 'N', 'G684'),
  (194, 'Piossasco', 1194, 'N', 'G691'),
  (195, 'Piscina', 1195, 'N', 'G705'),
  (196, 'Piverone', 1196, 'N', 'G719'),
  (197, 'Poirino', 1197, 'N', 'G777'),
  (198, 'Pomaretto', 1198, 'N', 'G805'),
  (199, 'Pont-Canavese', 1199, 'N', 'G826'),
  (200, 'Porte', 1200, 'N', 'G900'),
  (201, 'Pragelato', 1201, 'N', 'G973'),
  (202, 'Prali', 1202, 'N', 'G978'),
  (203, 'Pralormo', 1203, 'N', 'G979'),
  (204, 'Pramollo', 1204, 'N', 'G982'),
  (205, 'Prarostino', 1205, 'N', 'G986'),
  (206, 'Prascorsano', 1206, 'N', 'G988'),
  (207, 'Pratiglione', 1207, 'N', 'G997'),
  (208, 'Quagliuzzo', 1208, 'N', 'H100'),
  (209, 'Quassolo', 1209, 'N', 'H120'),
  (210, 'Quincinetto', 1210, 'N', 'H127'),
  (211, 'Reano', 1211, 'N', 'H207'),
  (212, 'Ribordone', 1212, 'N', 'H270'),
  (213, 'Riva presso Chieri', 1215, 'N', 'H337'),
  (214, 'Rivalba', 1213, 'N', 'H333'),
  (215, 'Rivalta di Torino', 1214, 'N', 'H335'),
  (216, 'Rivara', 1216, 'N', 'H338'),
  (217, 'Rivarolo Canavese', 1217, 'N', 'H340'),
  (218, 'Rivarossa', 1218, 'N', 'H344'),
  (219, 'Rivoli', 1219, 'N', 'H355'),
  (220, 'Robassomero', 1220, 'N', 'H367'),
  (221, 'Rocca Canavese', 1221, 'N', 'H386'),
  (222, 'Roletto', 1222, 'N', 'H498'),
  (223, 'Romano Canavese', 1223, 'N', 'H511'),
  (224, 'Ronco Canavese', 1224, 'N', 'H539'),
  (225, 'Rondissone', 1225, 'N', 'H547'),
  (226, 'RorÃ ', 1226, 'N', 'H554'),
  (227, 'Rosta', 1228, 'N', 'H583'),
  (228, 'Roure', 1227, 'N', 'H555'),
  (229, 'Rubiana', 1229, 'N', 'H627'),
  (230, 'Rueglio', 1230, 'N', 'H631'),
  (231, 'Salassa', 1231, 'N', 'H691'),
  (232, 'Salbertrand', 1232, 'N', 'H684'),
  (233, 'Salerano Canavese', 1233, 'N', 'H702'),
  (234, 'Salza di Pinerolo', 1234, 'N', 'H734'),
  (235, 'Samone', 1235, 'N', 'H753'),
  (236, 'San Benigno Canavese', 1236, 'N', 'H775'),
  (237, 'San Carlo Canavese', 1237, 'N', 'H789'),
  (238, 'San Colombano Belmonte', 1238, 'N', 'H804'),
  (239, 'San Didero', 1239, 'N', 'H820'),
  (240, 'San Francesco al Campo', 1240, 'N', 'H847'),
  (241, 'San Germano Chisone', 1242, 'N', 'H862'),
  (242, 'San Gillio', 1243, 'N', 'H873'),
  (243, 'San Giorgio Canavese', 1244, 'N', 'H890'),
  (244, 'San Giorio di Susa', 1245, 'N', 'H900'),
  (245, 'San Giusto Canavese', 1246, 'N', 'H936'),
  (246, 'San Martino Canavese', 1247, 'N', 'H997'),
  (247, 'San Maurizio Canavese', 1248, 'N', 'I024'),
  (248, 'San Mauro Torinese', 1249, 'N', 'I030'),
  (249, 'San Pietro Val Lemina', 1250, 'N', 'I090'),
  (250, 'San Ponso', 1251, 'N', 'I126'),
  (251, 'San Raffaele Cimena', 1252, 'N', 'I137'),
  (252, 'San Sebastiano da Po', 1253, 'N', 'I152'),
  (253, 'San Secondo di Pinerolo', 1254, 'N', 'I154'),
  (254, 'Sangano', 1241, 'N', 'H855'),
  (255, 'Sant''Ambrogio di Torino', 1255, 'N', 'I258'),
  (256, 'Sant''Antonino di Susa', 1256, 'N', 'I296'),
  (257, 'Santena', 1257, 'N', 'I327'),
  (258, 'Sauze di Cesana', 1258, 'N', 'I465'),
  (259, 'Sauze d''Oulx', 1259, 'N', 'I466'),
  (260, 'Scalenghe', 1260, 'N', 'I490'),
  (261, 'Scarmagno', 1261, 'N', 'I511'),
  (262, 'Sciolze', 1262, 'N', 'I539'),
  (263, 'Sestriere', 1263, 'N', 'I692'),
  (264, 'Settimo Rottaro', 1264, 'N', 'I701'),
  (265, 'Settimo Torinese', 1265, 'N', 'I703'),
  (266, 'Settimo Vittone', 1266, 'N', 'I702'),
  (267, 'Sparone', 1267, 'N', 'I886'),
  (268, 'Strambinello', 1268, 'N', 'I969'),
  (269, 'Strambino', 1269, 'N', 'I970'),
  (270, 'Susa', 1270, 'N', 'L013'),
  (271, 'Tavagnasco', 1271, 'N', 'L066'),
  (272, 'Torino', 1272, 'N', 'L219'),
  (273, 'Torrazza Piemonte', 1273, 'N', 'L238'),
  (274, 'Torre Canavese', 1274, 'N', 'L247'),
  (275, 'Torre Pellice', 1275, 'N', 'L277'),
  (276, 'Trana', 1276, 'N', 'L327'),
  (277, 'Trausella', 1277, 'N', 'L338'),
  (278, 'Traversella', 1278, 'N', 'L345'),
  (279, 'Traves', 1279, 'N', 'L340'),
  (280, 'Trofarello', 1280, 'N', 'L445'),
  (281, 'Usseaux', 1281, 'N', 'L515'),
  (282, 'Usseglio', 1282, 'N', 'L516'),
  (283, 'Vaie', 1283, 'N', 'L538'),
  (284, 'Val della Torre', 1284, 'N', 'L555'),
  (285, 'Valgioie', 1285, 'N', 'L578'),
  (286, 'Vallo Torinese', 1286, 'N', 'L629'),
  (287, 'Valperga', 1287, 'N', 'L644'),
  (288, 'Valprato Soana', 1288, 'N', 'B510'),
  (289, 'Varisella', 1289, 'N', 'L685'),
  (290, 'Vauda Canavese', 1290, 'N', 'L698'),
  (291, 'Venaria Reale', 1292, 'N', 'L727'),
  (292, 'Venaus', 1291, 'N', 'L726'),
  (293, 'Verolengo', 1293, 'N', 'L779'),
  (294, 'Verrua Savoia', 1294, 'N', 'L787'),
  (295, 'VestignÃ¨', 1295, 'N', 'L811'),
  (296, 'VialfrÃ¨', 1296, 'N', 'L830'),
  (297, 'Vico Canavese', 1297, 'N', 'L548'),
  (298, 'Vidracco', 1298, 'N', 'L857'),
  (299, 'Vigone', 1299, 'N', 'L898'),
  (300, 'Villafranca Piemonte', 1300, 'N', 'L948'),
  (301, 'Villanova Canavese', 1301, 'N', 'L982'),
  (302, 'Villar Dora', 1303, 'N', 'L999'),
  (303, 'Villar Focchiardo', 1305, 'N', 'M007'),
  (304, 'Villar Pellice', 1306, 'N', 'M013'),
  (305, 'Villar Perosa', 1307, 'N', 'M014'),
  (306, 'Villarbasse', 1302, 'N', 'M002'),
  (307, 'Villareggia', 1304, 'N', 'M004'),
  (308, 'Villastellone', 1308, 'N', 'M027'),
  (309, 'Vinovo', 1309, 'N', 'M060'),
  (310, 'Virle Piemonte', 1310, 'N', 'M069'),
  (311, 'Vische', 1311, 'N', 'M071'),
  (312, 'Vistrorio', 1312, 'N', 'M080'),
  (313, 'ViÃ¹', 1313, 'N', 'M094'),
  (314, 'Volpiano', 1314, 'N', 'M122'),
  (315, 'Volvera', 1315, 'N', 'M133'),
  (316, 'Alagna Valsesia', 2002, 'N', 'A119'),
  (317, 'Albano Vercellese', 2003, 'N', 'A130'),
  (318, 'Alice Castello', 2004, 'N', 'A198'),
  (319, 'Arborio', 2006, 'N', 'A358'),
  (320, 'Asigliano Vercellese', 2007, 'N', 'A466'),
  (321, 'Balmuccia', 2008, 'N', 'A600'),
  (322, 'Balocco', 2009, 'N', 'A601'),
  (323, 'BianzÃ¨', 2011, 'N', 'A847'),
  (324, 'Boccioleto', 2014, 'N', 'A914'),
  (325, 'Borgo d''Ale', 2015, 'N', 'B009'),
  (326, 'Borgo Vercelli', 2017, 'N', 'B046'),
  (327, 'Borgosesia', 2016, 'N', 'B041'),
  (328, 'Breia', 2019, 'N', 'B136'),
  (329, 'Buronzo', 2021, 'N', 'B280'),
  (330, 'Campertogno', 2025, 'N', 'B505'),
  (331, 'Carcoforo', 2029, 'N', 'B752'),
  (332, 'Caresana', 2030, 'N', 'B767'),
  (333, 'Caresanablot', 2031, 'N', 'B768'),
  (334, 'Carisio', 2032, 'N', 'B782'),
  (335, 'Casanova Elvo', 2033, 'N', 'B928'),
  (336, 'Cellio', 2038, 'N', 'C450'),
  (337, 'Cervatto', 2041, 'N', 'C548'),
  (338, 'Cigliano', 2042, 'N', 'C680'),
  (339, 'Civiasco', 2043, 'N', 'C757'),
  (340, 'Collobiano', 2045, 'N', 'C884'),
  (341, 'Costanzana', 2047, 'N', 'D113'),
  (342, 'Cravagliana', 2048, 'N', 'D132'),
  (343, 'Crescentino', 2049, 'N', 'D154'),
  (344, 'Crova', 2052, 'N', 'D187'),
  (345, 'Desana', 2054, 'N', 'D281'),
  (346, 'Fobello', 2057, 'N', 'D641'),
  (347, 'Fontanetto Po', 2058, 'N', 'D676'),
  (348, 'Formigliana', 2059, 'N', 'D712'),
  (349, 'Gattinara', 2061, 'N', 'D938'),
  (350, 'Ghislarengo', 2062, 'N', 'E007'),
  (351, 'Greggio', 2065, 'N', 'E163'),
  (352, 'Guardabosone', 2066, 'N', 'E237'),
  (353, 'Lamporo', 2067, 'N', 'E433'),
  (354, 'Lenta', 2068, 'N', 'E528'),
  (355, 'Lignana', 2070, 'N', 'E583'),
  (356, 'Livorno Ferraris', 2071, 'N', 'E626'),
  (357, 'Lozzolo', 2072, 'N', 'E711'),
  (358, 'Mollia', 2078, 'N', 'F297'),
  (359, 'Moncrivello', 2079, 'N', 'F342'),
  (360, 'Motta de'' Conti', 2082, 'N', 'F774'),
  (361, 'Olcenengo', 2088, 'N', 'G016'),
  (362, 'Oldenico', 2089, 'N', 'G018'),
  (363, 'Palazzolo Vercellese', 2090, 'N', 'G266'),
  (364, 'Pertengo', 2091, 'N', 'G471'),
  (365, 'Pezzana', 2093, 'N', 'G528'),
  (366, 'Pila', 2096, 'N', 'G666'),
  (367, 'Piode', 2097, 'N', 'G685'),
  (368, 'Postua', 2102, 'N', 'G940'),
  (369, 'Prarolo', 2104, 'N', 'G985'),
  (370, 'Quarona', 2107, 'N', 'H108'),
  (371, 'Quinto Vercellese', 2108, 'N', 'H132'),
  (372, 'Rassa', 2110, 'N', 'H188'),
  (373, 'Rima San Giuseppe', 2111, 'N', 'H291'),
  (374, 'Rimasco', 2112, 'N', 'H292'),
  (375, 'Rimella', 2113, 'N', 'H293'),
  (376, 'Riva Valdobbia', 2114, 'N', 'H329'),
  (377, 'Rive', 2115, 'N', 'H346'),
  (378, 'Roasio', 2116, 'N', 'H365'),
  (379, 'Ronsecco', 2118, 'N', 'H549'),
  (380, 'Rossa', 2121, 'N', 'H577'),
  (381, 'Rovasenda', 2122, 'N', 'H364'),
  (382, 'Sabbia', 2123, 'N', 'H648'),
  (383, 'Salasco', 2126, 'N', 'H690'),
  (384, 'Sali Vercellese', 2127, 'N', 'H707'),
  (385, 'Saluggia', 2128, 'N', 'H725'),
  (386, 'San Germano Vercellese', 2131, 'N', 'H861'),
  (387, 'San Giacomo Vercellese', 2035, 'N', 'B952'),
  (388, 'SanthiÃ ', 2133, 'N', 'I337'),
  (389, 'Scopa', 2134, 'N', 'I544'),
  (390, 'Scopello', 2135, 'N', 'I545'),
  (391, 'Serravalle Sesia', 2137, 'N', 'I663'),
  (392, 'Stroppiana', 2142, 'N', 'I984'),
  (393, 'Tricerro', 2147, 'N', 'L420'),
  (394, 'Trino', 2148, 'N', 'L429'),
  (395, 'Tronzano Vercellese', 2150, 'N', 'L451'),
  (396, 'Valduggia', 2152, 'N', 'L566'),
  (397, 'Varallo', 2156, 'N', 'L669'),
  (398, 'Vercelli', 2158, 'N', 'L750'),
  (399, 'Villarboit', 2163, 'N', 'M003'),
  (400, 'Villata', 2164, 'N', 'M028'),
  (401, 'Vocca', 2166, 'N', 'M106'),
  (402, 'Agrate Conturbia', 3001, 'N', 'A088'),
  (403, 'Ameno', 3002, 'N', 'A264'),
  (404, 'Armeno', 3006, 'N', 'A414'),
  (405, 'Arona', 3008, 'N', 'A429'),
  (406, 'Barengo', 3012, 'N', 'A653'),
  (407, 'Bellinzago Novarese', 3016, 'N', 'A752'),
  (408, 'Biandrate', 3018, 'N', 'A844'),
  (409, 'Boca', 3019, 'N', 'A911'),
  (410, 'Bogogno', 3021, 'N', 'A929'),
  (411, 'Bolzano Novarese', 3022, 'N', 'A953'),
  (412, 'Borgo Ticino', 3025, 'N', 'B043'),
  (413, 'Borgolavezzaro', 3023, 'N', 'B016'),
  (414, 'Borgomanero', 3024, 'N', 'B019'),
  (415, 'Briga Novarese', 3026, 'N', 'B176'),
  (416, 'Briona', 3027, 'N', 'B183'),
  (417, 'Caltignaga', 3030, 'N', 'B431'),
  (418, 'Cameri', 3032, 'N', 'B473'),
  (419, 'Carpignano Sesia', 3036, 'N', 'B823'),
  (420, 'Casalbeltrame', 3037, 'N', 'B864'),
  (421, 'Casaleggio Novara', 3039, 'N', 'B883'),
  (422, 'Casalino', 3040, 'N', 'B897'),
  (423, 'Casalvolone', 3041, 'N', 'B920'),
  (424, 'Castellazzo Novarese', 3042, 'N', 'C149'),
  (425, 'Castelletto sopra Ticino', 3043, 'N', 'C166'),
  (426, 'Cavaglietto', 3044, 'N', 'C364'),
  (427, 'Cavaglio d''Agogna', 3045, 'N', 'C365'),
  (428, 'Cavallirio', 3047, 'N', 'C378'),
  (429, 'Cerano', 3049, 'N', 'C483'),
  (430, 'Colazza', 3051, 'N', 'C829'),
  (431, 'Comignago', 3052, 'N', 'C926'),
  (432, 'Cressa', 3055, 'N', 'D162'),
  (433, 'Cureggio', 3058, 'N', 'D216'),
  (434, 'Divignano', 3060, 'N', 'D309'),
  (435, 'Dormelletto', 3062, 'N', 'D347'),
  (436, 'Fara Novarese', 3065, 'N', 'D492'),
  (437, 'Fontaneto d''Agogna', 3066, 'N', 'D675'),
  (438, 'Galliate', 3068, 'N', 'D872'),
  (439, 'Garbagna Novarese', 3069, 'N', 'D911'),
  (440, 'Gargallo', 3070, 'N', 'D921'),
  (441, 'Gattico', 3071, 'N', 'D937'),
  (442, 'Ghemme', 3073, 'N', 'E001'),
  (443, 'Gozzano', 3076, 'N', 'E120'),
  (444, 'Granozzo con Monticello', 3077, 'N', 'E143'),
  (445, 'Grignasco', 3079, 'N', 'E177'),
  (446, 'Invorio', 3082, 'N', 'E314'),
  (447, 'Landiona', 3083, 'N', 'E436'),
  (448, 'Lesa', 3084, 'N', 'E544'),
  (449, 'Maggiora', 3088, 'N', 'E803'),
  (450, 'Mandello Vitta', 3090, 'N', 'E880'),
  (451, 'Marano Ticino', 3091, 'N', 'E907'),
  (452, 'Massino Visconti', 3093, 'N', 'F047'),
  (453, 'Meina', 3095, 'N', 'F093'),
  (454, 'Mezzomerico', 3097, 'N', 'F188'),
  (455, 'Miasino', 3098, 'N', 'F191'),
  (456, 'Momo', 3100, 'N', 'F317'),
  (457, 'Nebbiuno', 3103, 'N', 'F859'),
  (458, 'Nibbiola', 3104, 'N', 'F886'),
  (459, 'Novara', 3106, 'N', 'F952'),
  (460, 'Oleggio', 3108, 'N', 'G019'),
  (461, 'Oleggio Castello', 3109, 'N', 'G020'),
  (462, 'Orta San Giulio', 3112, 'N', 'G134'),
  (463, 'Paruzzaro', 3114, 'N', 'G349'),
  (464, 'Pella', 3115, 'N', 'G421'),
  (465, 'Pettenasco', 3116, 'N', 'G520'),
  (466, 'Pisano', 3119, 'N', 'G703'),
  (467, 'Pogno', 3120, 'N', 'G775'),
  (468, 'Pombia', 3121, 'N', 'G809'),
  (469, 'Prato Sesia', 3122, 'N', 'H001'),
  (470, 'Recetto', 3129, 'N', 'H213'),
  (471, 'Romagnano Sesia', 3130, 'N', 'H502'),
  (472, 'Romentino', 3131, 'N', 'H518'),
  (473, 'San Maurizio d''Opaglio', 3133, 'N', 'I025'),
  (474, 'San Nazzaro Sesia', 3134, 'N', 'I052'),
  (475, 'San Pietro Mosezzo', 3135, 'N', 'I116'),
  (476, 'Sillavengo', 3138, 'N', 'I736'),
  (477, 'Sizzano', 3139, 'N', 'I767'),
  (478, 'Soriso', 3140, 'N', 'I857'),
  (479, 'Sozzago', 3141, 'N', 'I880'),
  (480, 'Suno', 3143, 'N', 'L007'),
  (481, 'Terdobbiate', 3144, 'N', 'L104'),
  (482, 'Tornaco', 3146, 'N', 'L223'),
  (483, 'Trecate', 3149, 'N', 'L356'),
  (484, 'Vaprio d''Agogna', 3153, 'N', 'L668'),
  (485, 'Varallo Pombia', 3154, 'N', 'L670'),
  (486, 'Veruno', 3157, 'N', 'L798'),
  (487, 'Vespolate', 3158, 'N', 'L808'),
  (488, 'Vicolungo', 3159, 'N', 'L847'),
  (489, 'Vinzaglio', 3164, 'N', 'M062'),
  (490, 'Acceglio', 4001, 'N', 'A016'),
  (491, 'Aisone', 4002, 'N', 'A113'),
  (492, 'Alba', 4003, 'N', 'A124'),
  (493, 'Albaretto della Torre', 4004, 'N', 'A139'),
  (494, 'Alto', 4005, 'N', 'A238'),
  (495, 'Argentera', 4006, 'N', 'A394'),
  (496, 'Arguello', 4007, 'N', 'A396'),
  (497, 'Bagnasco', 4008, 'N', 'A555'),
  (498, 'Bagnolo Piemonte', 4009, 'N', 'A571'),
  (499, 'Baldissero d''Alba', 4010, 'N', 'A589'),
  (500, 'Barbaresco', 4011, 'N', 'A629'),
  (501, 'Barge', 4012, 'N', 'A660'),
  (502, 'Barolo', 4013, 'N', 'A671'),
  (503, 'Bastia MondovÃ¬', 4014, 'N', 'A709'),
  (504, 'Battifollo', 4015, 'N', 'A716'),
  (505, 'Beinette', 4016, 'N', 'A735'),
  (506, 'Bellino', 4017, 'N', 'A750'),
  (507, 'Belvedere Langhe', 4018, 'N', 'A774'),
  (508, 'Bene Vagienna', 4019, 'N', 'A779'),
  (509, 'Benevello', 4020, 'N', 'A782'),
  (510, 'Bergolo', 4021, 'N', 'A798'),
  (511, 'Bernezzo', 4022, 'N', 'A805'),
  (512, 'Bonvicino', 4023, 'N', 'A979'),
  (513, 'Borgo San Dalmazzo', 4025, 'N', 'B033'),
  (514, 'Borgomale', 4024, 'N', 'B018'),
  (515, 'Bosia', 4026, 'N', 'B079'),
  (516, 'Bossolasco', 4027, 'N', 'B084'),
  (517, 'Boves', 4028, 'N', 'B101'),
  (518, 'Bra', 4029, 'N', 'B111'),
  (519, 'Briaglia', 4030, 'N', 'B167'),
  (520, 'Briga Alta', 4031, 'N', 'B175'),
  (521, 'Brondello', 4032, 'N', 'B200'),
  (522, 'Brossasco', 4033, 'N', 'B204'),
  (523, 'Busca', 4034, 'N', 'B285'),
  (524, 'Camerana', 4035, 'N', 'B467'),
  (525, 'Camo', 4036, 'N', 'B489'),
  (526, 'Canale', 4037, 'N', 'B573'),
  (527, 'Canosio', 4038, 'N', 'B621'),
  (528, 'Caprauna', 4039, 'N', 'B692'),
  (529, 'Caraglio', 4040, 'N', 'B719'),
  (530, 'Caramagna Piemonte', 4041, 'N', 'B720'),
  (531, 'CardÃ¨', 4042, 'N', 'B755'),
  (532, 'CarrÃ¹', 4043, 'N', 'B841'),
  (533, 'Cartignano', 4044, 'N', 'B845'),
  (534, 'Casalgrasso', 4045, 'N', 'B894'),
  (535, 'Castagnito', 4046, 'N', 'C046'),
  (536, 'Casteldelfino', 4047, 'N', 'C081'),
  (537, 'Castellar', 4048, 'N', 'C140'),
  (538, 'Castelletto Stura', 4049, 'N', 'C165'),
  (539, 'Castelletto Uzzone', 4050, 'N', 'C167'),
  (540, 'Castellinaldo', 4051, 'N', 'C173'),
  (541, 'Castellino Tanaro', 4052, 'N', 'C176'),
  (542, 'Castelmagno', 4053, 'N', 'C205'),
  (543, 'Castelnuovo di Ceva', 4054, 'N', 'C214'),
  (544, 'Castiglione Falletto', 4055, 'N', 'C314'),
  (545, 'Castiglione Tinella', 4056, 'N', 'C317'),
  (546, 'Castino', 4057, 'N', 'C323'),
  (547, 'Cavallerleone', 4058, 'N', 'C375'),
  (548, 'Cavallermaggiore', 4059, 'N', 'C376'),
  (549, 'Celle di Macra', 4060, 'N', 'C441'),
  (550, 'Centallo', 4061, 'N', 'C466'),
  (551, 'Ceresole Alba', 4062, 'N', 'C504'),
  (552, 'Cerretto Langhe', 4063, 'N', 'C530'),
  (553, 'Cervasca', 4064, 'N', 'C547'),
  (554, 'Cervere', 4065, 'N', 'C550'),
  (555, 'Ceva', 4066, 'N', 'C589'),
  (556, 'Cherasco', 4067, 'N', 'C599'),
  (557, 'Chiusa di Pesio', 4068, 'N', 'C653'),
  (558, 'CigliÃ¨', 4069, 'N', 'C681'),
  (559, 'Cissone', 4070, 'N', 'C738'),
  (560, 'Clavesana', 4071, 'N', 'C792'),
  (561, 'Corneliano d''Alba', 4072, 'N', 'D022'),
  (562, 'Cortemilia', 4073, 'N', 'D062'),
  (563, 'Cossano Belbo', 4074, 'N', 'D093'),
  (564, 'Costigliole Saluzzo', 4075, 'N', 'D120'),
  (565, 'Cravanzana', 4076, 'N', 'D133'),
  (566, 'Crissolo', 4077, 'N', 'D172'),
  (567, 'Cuneo', 4078, 'N', 'D205'),
  (568, 'Demonte', 4079, 'N', 'D271'),
  (569, 'Diano d''Alba', 4080, 'N', 'D291'),
  (570, 'Dogliani', 4081, 'N', 'D314'),
  (571, 'Dronero', 4082, 'N', 'D372'),
  (572, 'Elva', 4083, 'N', 'D401'),
  (573, 'Entracque', 4084, 'N', 'D410'),
  (574, 'Envie', 4085, 'N', 'D412'),
  (575, 'Farigliano', 4086, 'N', 'D499'),
  (576, 'Faule', 4087, 'N', 'D511'),
  (577, 'Feisoglio', 4088, 'N', 'D523'),
  (578, 'Fossano', 4089, 'N', 'D742'),
  (579, 'Frabosa Soprana', 4090, 'N', 'D751'),
  (580, 'Frabosa Sottana', 4091, 'N', 'D752'),
  (581, 'Frassino', 4092, 'N', 'D782'),
  (582, 'Gaiola', 4093, 'N', 'D856'),
  (583, 'Gambasca', 4094, 'N', 'D894'),
  (584, 'Garessio', 4095, 'N', 'D920'),
  (585, 'Genola', 4096, 'N', 'D967'),
  (586, 'Gorzegno', 4097, 'N', 'E111'),
  (587, 'Gottasecca', 4098, 'N', 'E115'),
  (588, 'Govone', 4099, 'N', 'E118'),
  (589, 'Grinzane Cavour', 4100, 'N', 'E182'),
  (590, 'Guarene', 4101, 'N', 'E251'),
  (591, 'Igliano', 4102, 'N', 'E282'),
  (592, 'Isasca', 4103, 'N', 'E327'),
  (593, 'La Morra', 4105, 'N', 'E430'),
  (594, 'Lagnasco', 4104, 'N', 'E406'),
  (595, 'Lequio Berria', 4106, 'N', 'E540'),
  (596, 'Lequio Tanaro', 4107, 'N', 'E539'),
  (597, 'Lesegno', 4108, 'N', 'E546'),
  (598, 'Levice', 4109, 'N', 'E564'),
  (599, 'Limone Piemonte', 4110, 'N', 'E597'),
  (600, 'Lisio', 4111, 'N', 'E615'),
  (601, 'Macra', 4112, 'N', 'E789'),
  (602, 'Magliano Alfieri', 4113, 'N', 'E809'),
  (603, 'Magliano Alpi', 4114, 'N', 'E808'),
  (604, 'Mango', 4115, 'N', 'E887'),
  (605, 'Manta', 4116, 'N', 'E894'),
  (606, 'Marene', 4117, 'N', 'E939'),
  (607, 'Margarita', 4118, 'N', 'E945'),
  (608, 'Marmora', 4119, 'N', 'E963'),
  (609, 'Marsaglia', 4120, 'N', 'E973'),
  (610, 'Martiniana Po', 4121, 'N', 'E988'),
  (611, 'Melle', 4122, 'N', 'F114'),
  (612, 'Moiola', 4123, 'N', 'F279'),
  (613, 'Mombarcaro', 4124, 'N', 'F309'),
  (614, 'Mombasiglio', 4125, 'N', 'F312'),
  (615, 'Monastero di Vasco', 4126, 'N', 'F326'),
  (616, 'Monasterolo Casotto', 4127, 'N', 'F329'),
  (617, 'Monasterolo di Savigliano', 4128, 'N', 'F330'),
  (618, 'Monchiero', 4129, 'N', 'F338'),
  (619, 'MondovÃ¬', 4130, 'N', 'F351'),
  (620, 'Monesiglio', 4131, 'N', 'F355'),
  (621, 'Monforte d''Alba', 4132, 'N', 'F358'),
  (622, 'MontÃ ', 4133, 'N', 'F385'),
  (623, 'Montaldo di MondovÃ¬', 4134, 'N', 'F405'),
  (624, 'Montaldo Roero', 4135, 'N', 'F408'),
  (625, 'Montanera', 4136, 'N', 'F424'),
  (626, 'Montelupo Albese', 4137, 'N', 'F550'),
  (627, 'Montemale di Cuneo', 4138, 'N', 'F558'),
  (628, 'Monterosso Grana', 4139, 'N', 'F608'),
  (629, 'Monteu Roero', 4140, 'N', 'F654'),
  (630, 'Montezemolo', 4141, 'N', 'F666'),
  (631, 'Monticello d''Alba', 4142, 'N', 'F669'),
  (632, 'Moretta', 4143, 'N', 'F723'),
  (633, 'Morozzo', 4144, 'N', 'F743'),
  (634, 'Murazzano', 4145, 'N', 'F809'),
  (635, 'Murello', 4146, 'N', 'F811'),
  (636, 'Narzole', 4147, 'N', 'F846'),
  (637, 'Neive', 4148, 'N', 'F863'),
  (638, 'Neviglie', 4149, 'N', 'F883'),
  (639, 'Niella Belbo', 4150, 'N', 'F894'),
  (640, 'Niella Tanaro', 4151, 'N', 'F895'),
  (641, 'Novello', 4152, 'N', 'F961'),
  (642, 'Nucetto', 4153, 'N', 'F972'),
  (643, 'Oncino', 4154, 'N', 'G066'),
  (644, 'Ormea', 4155, 'N', 'G114'),
  (645, 'Ostana', 4156, 'N', 'G183'),
  (646, 'Paesana', 4157, 'N', 'G228'),
  (647, 'Pagno', 4158, 'N', 'G240'),
  (648, 'Pamparato', 4159, 'N', 'G302'),
  (649, 'Paroldo', 4160, 'N', 'G339'),
  (650, 'Perletto', 4161, 'N', 'G457'),
  (651, 'Perlo', 4162, 'N', 'G458'),
  (652, 'Peveragno', 4163, 'N', 'G526'),
  (653, 'Pezzolo Valle Uzzone', 4164, 'N', 'G532'),
  (654, 'Pianfei', 4165, 'N', 'G561'),
  (655, 'Piasco', 4166, 'N', 'G575'),
  (656, 'Pietraporzio', 4167, 'N', 'G625'),
  (657, 'Piobesi d''Alba', 4168, 'N', 'G683'),
  (658, 'Piozzo', 4169, 'N', 'G697'),
  (659, 'Pocapaglia', 4170, 'N', 'G742'),
  (660, 'Polonghera', 4171, 'N', 'G800'),
  (661, 'Pontechianale', 4172, 'N', 'G837'),
  (662, 'Pradleves', 4173, 'N', 'G970'),
  (663, 'Prazzo', 4174, 'N', 'H011'),
  (664, 'Priero', 4175, 'N', 'H059'),
  (665, 'Priocca', 4176, 'N', 'H068'),
  (666, 'Priola', 4177, 'N', 'H069'),
  (667, 'Prunetto', 4178, 'N', 'H085'),
  (668, 'Racconigi', 4179, 'N', 'H150'),
  (669, 'Revello', 4180, 'N', 'H247'),
  (670, 'Rifreddo', 4181, 'N', 'H285'),
  (671, 'Rittana', 4182, 'N', 'H326'),
  (672, 'Roaschia', 4183, 'N', 'H362'),
  (673, 'Roascio', 4184, 'N', 'H363'),
  (674, 'Robilante', 4185, 'N', 'H377'),
  (675, 'Roburent', 4186, 'N', 'H378'),
  (676, 'Rocca CigliÃ¨', 4188, 'N', 'H391'),
  (677, 'Rocca de'' Baldi', 4189, 'N', 'H395'),
  (678, 'Roccabruna', 4187, 'N', 'H385'),
  (679, 'Roccaforte MondovÃ¬', 4190, 'N', 'H407'),
  (680, 'Roccasparvera', 4191, 'N', 'H447'),
  (681, 'Roccavione', 4192, 'N', 'H453'),
  (682, 'Rocchetta Belbo', 4193, 'N', 'H462'),
  (683, 'Roddi', 4194, 'N', 'H472'),
  (684, 'Roddino', 4195, 'N', 'H473'),
  (685, 'Rodello', 4196, 'N', 'H474'),
  (686, 'Rossana', 4197, 'N', 'H578'),
  (687, 'Ruffia', 4198, 'N', 'H633'),
  (688, 'Sale delle Langhe', 4199, 'N', 'H695'),
  (689, 'Sale San Giovanni', 4200, 'N', 'H704'),
  (690, 'Saliceto', 4201, 'N', 'H710'),
  (691, 'Salmour', 4202, 'N', 'H716'),
  (692, 'Saluzzo', 4203, 'N', 'H727'),
  (693, 'Sambuco', 4204, 'N', 'H746'),
  (694, 'Sampeyre', 4205, 'N', 'H755'),
  (695, 'San Benedetto Belbo', 4206, 'N', 'H770'),
  (696, 'San Damiano Macra', 4207, 'N', 'H812'),
  (697, 'San Michele MondovÃ¬', 4210, 'N', 'I037'),
  (698, 'SanfrÃ¨', 4208, 'N', 'H851'),
  (699, 'Sanfront', 4209, 'N', 'H852'),
  (700, 'Santa Vittoria d''Alba', 4212, 'N', 'I316'),
  (701, 'Sant''Albano Stura', 4211, 'N', 'I210'),
  (702, 'Santo Stefano Belbo', 4213, 'N', 'I367'),
  (703, 'Santo Stefano Roero', 4214, 'N', 'I372'),
  (704, 'Savigliano', 4215, 'N', 'I470'),
  (705, 'Scagnello', 4216, 'N', 'I484'),
  (706, 'Scarnafigi', 4217, 'N', 'I512'),
  (707, 'Serralunga d''Alba', 4218, 'N', 'I646'),
  (708, 'Serravalle Langhe', 4219, 'N', 'I659'),
  (709, 'Sinio', 4220, 'N', 'I750'),
  (710, 'Somano', 4221, 'N', 'I817'),
  (711, 'Sommariva del Bosco', 4222, 'N', 'I822'),
  (712, 'Sommariva Perno', 4223, 'N', 'I823'),
  (713, 'Stroppo', 4224, 'N', 'I985'),
  (714, 'Tarantasca', 4225, 'N', 'L048'),
  (715, 'Torre Bormida', 4226, 'N', 'L252'),
  (716, 'Torre MondovÃ¬', 4227, 'N', 'L241'),
  (717, 'Torre San Giorgio', 4228, 'N', 'L278'),
  (718, 'Torresina', 4229, 'N', 'L281'),
  (719, 'Treiso', 4230, 'N', 'L367'),
  (720, 'Trezzo Tinella', 4231, 'N', 'L410'),
  (721, 'TrinitÃ ', 4232, 'N', 'L427'),
  (722, 'Valdieri', 4233, 'N', 'L558'),
  (723, 'Valgrana', 4234, 'N', 'L580'),
  (724, 'Valloriate', 4235, 'N', 'L631'),
  (725, 'Valmala', 4236, 'N', 'L636'),
  (726, 'Venasca', 4237, 'N', 'L729'),
  (727, 'Verduno', 4238, 'N', 'L758'),
  (728, 'Vernante', 4239, 'N', 'L771'),
  (729, 'Verzuolo', 4240, 'N', 'L804'),
  (730, 'Vezza d''Alba', 4241, 'N', 'L817'),
  (731, 'Vicoforte', 4242, 'N', 'L841'),
  (732, 'Vignolo', 4243, 'N', 'L888'),
  (733, 'Villafalletto', 4244, 'N', 'L942'),
  (734, 'Villanova MondovÃ¬', 4245, 'N', 'L974'),
  (735, 'Villanova Solaro', 4246, 'N', 'L990'),
  (736, 'Villar San Costanzo', 4247, 'N', 'M015'),
  (737, 'Vinadio', 4248, 'N', 'M055'),
  (738, 'Viola', 4249, 'N', 'M063'),
  (739, 'Vottignasco', 4250, 'N', 'M136'),
  (740, 'Agliano Terme', 5001, 'N', 'A072'),
  (741, 'Albugnano', 5002, 'N', 'A173'),
  (742, 'Antignano', 5003, 'N', 'A312'),
  (743, 'Aramengo', 5004, 'N', 'A352'),
  (744, 'Asti', 5005, 'N', 'A479'),
  (745, 'Azzano d''Asti', 5006, 'N', 'A527'),
  (746, 'Baldichieri d''Asti', 5007, 'N', 'A588'),
  (747, 'Belveglio', 5008, 'N', 'A770'),
  (748, 'Berzano di San Pietro', 5009, 'N', 'A812'),
  (749, 'Bruno', 5010, 'N', 'B221'),
  (750, 'Bubbio', 5011, 'N', 'B236'),
  (751, 'Buttigliera d''Asti', 5012, 'N', 'B306'),
  (752, 'Calamandrana', 5013, 'N', 'B376'),
  (753, 'Calliano', 5014, 'N', 'B418'),
  (754, 'Calosso', 5015, 'N', 'B425'),
  (755, 'Camerano Casasco', 5016, 'N', 'B469'),
  (756, 'Canelli', 5017, 'N', 'B594'),
  (757, 'Cantarana', 5018, 'N', 'B633'),
  (758, 'Capriglio', 5019, 'N', 'B707'),
  (759, 'Casorzo', 5020, 'N', 'B991'),
  (760, 'Cassinasco', 5021, 'N', 'C022'),
  (761, 'Castagnole delle Lanze', 5022, 'N', 'C049'),
  (762, 'Castagnole Monferrato', 5023, 'N', 'C047'),
  (763, 'Castel Boglione', 5024, 'N', 'C064'),
  (764, 'Castel Rocchero', 5032, 'N', 'C253'),
  (765, 'Castell''Alfero', 5025, 'N', 'C127'),
  (766, 'Castellero', 5026, 'N', 'C154'),
  (767, 'Castelletto Molina', 5027, 'N', 'C161'),
  (768, 'Castello di Annone', 5028, 'N', 'A300'),
  (769, 'Castelnuovo Belbo', 5029, 'N', 'C226'),
  (770, 'Castelnuovo Calcea', 5030, 'N', 'C230'),
  (771, 'Castelnuovo Don Bosco', 5031, 'N', 'C232'),
  (772, 'Cellarengo', 5033, 'N', 'C438'),
  (773, 'Celle Enomondo', 5034, 'N', 'C440'),
  (774, 'Cerreto d''Asti', 5035, 'N', 'C528'),
  (775, 'Cerro Tanaro', 5036, 'N', 'C533'),
  (776, 'Cessole', 5037, 'N', 'C583'),
  (777, 'Chiusano d''Asti', 5038, 'N', 'C658'),
  (778, 'Cinaglio', 5039, 'N', 'C701'),
  (779, 'Cisterna d''Asti', 5040, 'N', 'C739'),
  (780, 'Coazzolo', 5041, 'N', 'C804'),
  (781, 'Cocconato', 5042, 'N', 'C807'),
  (782, 'Corsione', 5044, 'N', 'D046'),
  (783, 'Cortandone', 5045, 'N', 'D050'),
  (784, 'Cortanze', 5046, 'N', 'D051'),
  (785, 'Cortazzone', 5047, 'N', 'D052'),
  (786, 'Cortiglione', 5048, 'N', 'D072'),
  (787, 'Cossombrato', 5049, 'N', 'D101'),
  (788, 'Costigliole d''Asti', 5050, 'N', 'D119'),
  (789, 'Cunico', 5051, 'N', 'D207'),
  (790, 'Dusino San Michele', 5052, 'N', 'D388'),
  (791, 'Ferrere', 5053, 'N', 'D554'),
  (792, 'Fontanile', 5054, 'N', 'D678'),
  (793, 'Frinco', 5055, 'N', 'D802'),
  (794, 'Grana', 5056, 'N', 'E134'),
  (795, 'Grazzano Badoglio', 5057, 'N', 'E159'),
  (796, 'Incisa Scapaccino', 5058, 'N', 'E295'),
  (797, 'Isola d''Asti', 5059, 'N', 'E338'),
  (798, 'Loazzolo', 5060, 'N', 'E633'),
  (799, 'Maranzana', 5061, 'N', 'E917'),
  (800, 'Maretto', 5062, 'N', 'E944'),
  (801, 'Moasca', 5063, 'N', 'F254'),
  (802, 'Mombaldone', 5064, 'N', 'F308'),
  (803, 'Mombaruzzo', 5065, 'N', 'F311'),
  (804, 'Mombercelli', 5066, 'N', 'F316'),
  (805, 'Monale', 5067, 'N', 'F323'),
  (806, 'Monastero Bormida', 5068, 'N', 'F325'),
  (807, 'Moncalvo', 5069, 'N', 'F336'),
  (808, 'Moncucco Torinese', 5070, 'N', 'F343'),
  (809, 'Mongardino', 5071, 'N', 'F361'),
  (810, 'Montabone', 5072, 'N', 'F386'),
  (811, 'Montafia', 5073, 'N', 'F390'),
  (812, 'Montaldo Scarampi', 5074, 'N', 'F409'),
  (813, 'Montechiaro d''Asti', 5075, 'N', 'F468'),
  (814, 'Montegrosso d''Asti', 5076, 'N', 'F527'),
  (815, 'Montemagno', 5077, 'N', 'F556'),
  (816, 'Montiglio Monferrato', 5121, 'N', 'M302'),
  (817, 'Moransengo', 5079, 'N', 'F709'),
  (818, 'Nizza Monferrato', 5080, 'N', 'F902'),
  (819, 'Olmo Gentile', 5081, 'N', 'G048'),
  (820, 'Passerano Marmorito', 5082, 'N', 'G358'),
  (821, 'Penango', 5083, 'N', 'G430'),
  (822, 'Piea', 5084, 'N', 'G593'),
  (823, 'Pino d''Asti', 5085, 'N', 'G676'),
  (824, 'PiovÃ  Massaia', 5086, 'N', 'G692'),
  (825, 'Portacomaro', 5087, 'N', 'G894'),
  (826, 'Quaranti', 5088, 'N', 'H102'),
  (827, 'Refrancore', 5089, 'N', 'H219'),
  (828, 'Revigliasco d''Asti', 5090, 'N', 'H250'),
  (829, 'Roatto', 5091, 'N', 'H366'),
  (830, 'Robella', 5092, 'N', 'H376'),
  (831, 'Rocca d''Arazzo', 5093, 'N', 'H392'),
  (832, 'Roccaverano', 5094, 'N', 'H451'),
  (833, 'Rocchetta Palafea', 5095, 'N', 'H466'),
  (834, 'Rocchetta Tanaro', 5096, 'N', 'H468'),
  (835, 'San Damiano d''Asti', 5097, 'N', 'H811'),
  (836, 'San Giorgio Scarampi', 5098, 'N', 'H899'),
  (837, 'San Martino Alfieri', 5099, 'N', 'H987'),
  (838, 'San Marzano Oliveto', 5100, 'N', 'I017'),
  (839, 'San Paolo Solbrito', 5101, 'N', 'I076'),
  (840, 'Scurzolengo', 5103, 'N', 'I555'),
  (841, 'Serole', 5104, 'N', 'I637'),
  (842, 'Sessame', 5105, 'N', 'I678'),
  (843, 'Settime', 5106, 'N', 'I698'),
  (844, 'Soglio', 5107, 'N', 'I781'),
  (845, 'Tigliole', 5108, 'N', 'L168'),
  (846, 'Tonco', 5109, 'N', 'L203'),
  (847, 'Tonengo', 5110, 'N', 'L204'),
  (848, 'Vaglio Serra', 5111, 'N', 'L531'),
  (849, 'Valfenera', 5112, 'N', 'L574'),
  (850, 'Vesime', 5113, 'N', 'L807'),
  (851, 'Viale', 5114, 'N', 'L829'),
  (852, 'Viarigi', 5115, 'N', 'L834'),
  (853, 'Vigliano d''Asti', 5116, 'N', 'L879'),
  (854, 'Villa San Secondo', 5119, 'N', 'M019'),
  (855, 'Villafranca d''Asti', 5117, 'N', 'L945'),
  (856, 'Villanova d''Asti', 5118, 'N', 'L984'),
  (857, 'Vinchio', 5120, 'N', 'M058'),
  (858, 'Acqui Terme', 6001, 'N', 'A052'),
  (859, 'Albera Ligure', 6002, 'N', 'A146'),
  (860, 'Alessandria', 6003, 'N', 'A182'),
  (861, 'Alfiano Natta', 6004, 'N', 'A189'),
  (862, 'Alice Bel Colle', 6005, 'N', 'A197'),
  (863, 'Alluvioni CambiÃ²', 6006, 'N', 'A211'),
  (864, 'Altavilla Monferrato', 6007, 'N', 'A227'),
  (865, 'Alzano Scrivia', 6008, 'N', 'A245'),
  (866, 'Arquata Scrivia', 6009, 'N', 'A436'),
  (867, 'Avolasca', 6010, 'N', 'A523'),
  (868, 'Balzola', 6011, 'N', 'A605'),
  (869, 'Basaluzzo', 6012, 'N', 'A689'),
  (870, 'Bassignana', 6013, 'N', 'A708'),
  (871, 'Belforte Monferrato', 6014, 'N', 'A738'),
  (872, 'Bergamasco', 6015, 'N', 'A793'),
  (873, 'Berzano di Tortona', 6016, 'N', 'A813'),
  (874, 'Bistagno', 6017, 'N', 'A889'),
  (875, 'Borghetto di Borbera', 6018, 'N', 'A998'),
  (876, 'Borgo San Martino', 6020, 'N', 'B037'),
  (877, 'Borgoratto Alessandrino', 6019, 'N', 'B029'),
  (878, 'Bosco Marengo', 6021, 'N', 'B071'),
  (879, 'Bosio', 6022, 'N', 'B080'),
  (880, 'Bozzole', 6023, 'N', 'B109'),
  (881, 'Brignano-Frascata', 6024, 'N', 'B179'),
  (882, 'Cabella Ligure', 6025, 'N', 'B311'),
  (883, 'Camagna Monferrato', 6026, 'N', 'B453'),
  (884, 'Camino', 6027, 'N', 'B482'),
  (885, 'Cantalupo Ligure', 6028, 'N', 'B629'),
  (886, 'Capriata d''Orba', 6029, 'N', 'B701'),
  (887, 'Carbonara Scrivia', 6030, 'N', 'B736'),
  (888, 'Carentino', 6031, 'N', 'B765'),
  (889, 'Carezzano', 6032, 'N', 'B769'),
  (890, 'Carpeneto', 6033, 'N', 'B818'),
  (891, 'Carrega Ligure', 6034, 'N', 'B836'),
  (892, 'Carrosio', 6035, 'N', 'B840'),
  (893, 'Cartosio', 6036, 'N', 'B847'),
  (894, 'Casal Cermelli', 6037, 'N', 'B870'),
  (895, 'Casale Monferrato', 6039, 'N', 'B885'),
  (896, 'Casaleggio Boiro', 6038, 'N', 'B882'),
  (897, 'Casalnoceto', 6040, 'N', 'B902'),
  (898, 'Casasco', 6041, 'N', 'B941'),
  (899, 'Cassano Spinola', 6042, 'N', 'C005'),
  (900, 'Cassine', 6043, 'N', 'C027'),
  (901, 'Cassinelle', 6044, 'N', 'C030'),
  (902, 'Castellania', 6045, 'N', 'C137'),
  (903, 'Castellar Guidobono', 6046, 'N', 'C142'),
  (904, 'Castellazzo Bormida', 6047, 'N', 'C148'),
  (905, 'Castelletto d''Erro', 6048, 'N', 'C156'),
  (906, 'Castelletto d''Orba', 6049, 'N', 'C158'),
  (907, 'Castelletto Merli', 6050, 'N', 'C160'),
  (908, 'Castelletto Monferrato', 6051, 'N', 'C162'),
  (909, 'Castelnuovo Bormida', 6052, 'N', 'C229'),
  (910, 'Castelnuovo Scrivia', 6053, 'N', 'C243'),
  (911, 'Castelspina', 6054, 'N', 'C274'),
  (912, 'Cavatore', 6055, 'N', 'C387'),
  (913, 'Cella Monte', 6056, 'N', 'C432'),
  (914, 'Cereseto', 6057, 'N', 'C503'),
  (915, 'Cerreto Grue', 6058, 'N', 'C507'),
  (916, 'Cerrina Monferrato', 6059, 'N', 'C531'),
  (917, 'Coniolo', 6060, 'N', 'C962'),
  (918, 'Conzano', 6061, 'N', 'C977'),
  (919, 'Costa Vescovato', 6062, 'N', 'D102'),
  (920, 'Cremolino', 6063, 'N', 'D149'),
  (921, 'Cuccaro Monferrato', 6064, 'N', 'D194'),
  (922, 'Denice', 6065, 'N', 'D272'),
  (923, 'Dernice', 6066, 'N', 'D277'),
  (924, 'Fabbrica Curone', 6067, 'N', 'D447'),
  (925, 'Felizzano', 6068, 'N', 'D528'),
  (926, 'Fraconalto', 6069, 'N', 'D559'),
  (927, 'Francavilla Bisio', 6070, 'N', 'D759'),
  (928, 'Frascaro', 6071, 'N', 'D770'),
  (929, 'Frassinello Monferrato', 6072, 'N', 'D777'),
  (930, 'Frassineto Po', 6073, 'N', 'D780'),
  (931, 'Fresonara', 6074, 'N', 'D797'),
  (932, 'Frugarolo', 6075, 'N', 'D813'),
  (933, 'Fubine', 6076, 'N', 'D814'),
  (934, 'Gabiano', 6077, 'N', 'D835'),
  (935, 'Gamalero', 6078, 'N', 'D890'),
  (936, 'Garbagna', 6079, 'N', 'D910'),
  (937, 'Gavazzana', 6080, 'N', 'D941'),
  (938, 'Gavi', 6081, 'N', 'D944'),
  (939, 'Giarole', 6082, 'N', 'E015'),
  (940, 'Gremiasco', 6083, 'N', 'E164'),
  (941, 'Grognardo', 6084, 'N', 'E188'),
  (942, 'Grondona', 6085, 'N', 'E191'),
  (943, 'Guazzora', 6086, 'N', 'E255'),
  (944, 'Isola Sant''Antonio', 6087, 'N', 'E360'),
  (945, 'Lerma', 6088, 'N', 'E543'),
  (946, 'Lu', 6089, 'N', 'E712'),
  (947, 'Malvicino', 6090, 'N', 'E870'),
  (948, 'Masio', 6091, 'N', 'F015'),
  (949, 'Melazzo', 6092, 'N', 'F096'),
  (950, 'Merana', 6093, 'N', 'F131'),
  (951, 'Mirabello Monferrato', 6094, 'N', 'F232'),
  (952, 'Molare', 6095, 'N', 'F281'),
  (953, 'Molino dei Torti', 6096, 'N', 'F293'),
  (954, 'Mombello Monferrato', 6097, 'N', 'F313'),
  (955, 'Momperone', 6098, 'N', 'F320'),
  (956, 'Moncestino', 6099, 'N', 'F337'),
  (957, 'Mongiardino Ligure', 6100, 'N', 'F365'),
  (958, 'Monleale', 6101, 'N', 'F374'),
  (959, 'Montacuto', 6102, 'N', 'F387'),
  (960, 'Montaldeo', 6103, 'N', 'F403'),
  (961, 'Montaldo Bormida', 6104, 'N', 'F404'),
  (962, 'Montecastello', 6105, 'N', 'F455'),
  (963, 'Montechiaro d''Acqui', 6106, 'N', 'F469'),
  (964, 'Montegioco', 6107, 'N', 'F518'),
  (965, 'Montemarzino', 6108, 'N', 'F562'),
  (966, 'Morano sul Po', 6109, 'N', 'F707'),
  (967, 'Morbello', 6110, 'N', 'F713'),
  (968, 'Mornese', 6111, 'N', 'F737'),
  (969, 'Morsasco', 6112, 'N', 'F751'),
  (970, 'Murisengo', 6113, 'N', 'F814'),
  (971, 'Novi Ligure', 6114, 'N', 'F965'),
  (972, 'Occimiano', 6115, 'N', 'F995'),
  (973, 'Odalengo Grande', 6116, 'N', 'F997'),
  (974, 'Odalengo Piccolo', 6117, 'N', 'F998'),
  (975, 'Olivola', 6118, 'N', 'G042'),
  (976, 'Orsara Bormida', 6119, 'N', 'G124'),
  (977, 'Ottiglio', 6120, 'N', 'G193'),
  (978, 'Ovada', 6121, 'N', 'G197'),
  (979, 'Oviglio', 6122, 'N', 'G199'),
  (980, 'Ozzano Monferrato', 6123, 'N', 'G204'),
  (981, 'Paderna', 6124, 'N', 'G215'),
  (982, 'Pareto', 6125, 'N', 'G334'),
  (983, 'Parodi Ligure', 6126, 'N', 'G338'),
  (984, 'Pasturana', 6127, 'N', 'G367'),
  (985, 'Pecetto di Valenza', 6128, 'N', 'G397'),
  (986, 'Pietra Marazzi', 6129, 'N', 'G619'),
  (987, 'Piovera', 6130, 'N', 'G695'),
  (988, 'Pomaro Monferrato', 6131, 'N', 'G807'),
  (989, 'Pontecurone', 6132, 'N', 'G839'),
  (990, 'Pontestura', 6133, 'N', 'G858'),
  (991, 'Ponti', 6134, 'N', 'G861'),
  (992, 'Ponzano Monferrato', 6135, 'N', 'G872'),
  (993, 'Ponzone', 6136, 'N', 'G877'),
  (994, 'Pozzol Groppo', 6137, 'N', 'G960'),
  (995, 'Pozzolo Formigaro', 6138, 'N', 'G961'),
  (996, 'Prasco', 6139, 'N', 'G987'),
  (997, 'Predosa', 6140, 'N', 'H021'),
  (998, 'Quargnento', 6141, 'N', 'H104'),
  (999, 'Quattordio', 6142, 'N', 'H121'),
  (1000, 'Ricaldone', 6143, 'N', 'H272'),
  (1001, 'Rivalta Bormida', 6144, 'N', 'H334'),
  (1002, 'Rivarone', 6145, 'N', 'H343'),
  (1003, 'Rocca Grimalda', 6147, 'N', 'H414'),
  (1004, 'Roccaforte Ligure', 6146, 'N', 'H406'),
  (1005, 'Rocchetta Ligure', 6148, 'N', 'H465'),
  (1006, 'Rosignano Monferrato', 6149, 'N', 'H569'),
  (1007, 'Sala Monferrato', 6150, 'N', 'H677'),
  (1008, 'Sale', 6151, 'N', 'H694'),
  (1009, 'San Cristoforo', 6152, 'N', 'H810'),
  (1010, 'San Giorgio Monferrato', 6153, 'N', 'H878'),
  (1011, 'San Salvatore Monferrato', 6154, 'N', 'I144'),
  (1012, 'San Sebastiano Curone', 6155, 'N', 'I150'),
  (1013, 'Sant''Agata Fossili', 6156, 'N', 'I190'),
  (1014, 'Sardigliano', 6157, 'N', 'I429'),
  (1015, 'Sarezzano', 6158, 'N', 'I432'),
  (1016, 'Serralunga di Crea', 6159, 'N', 'I645'),
  (1017, 'Serravalle Scrivia', 6160, 'N', 'I657'),
  (1018, 'Sezzadio', 6161, 'N', 'I711'),
  (1019, 'Silvano d''Orba', 6162, 'N', 'I738'),
  (1020, 'Solero', 6163, 'N', 'I798'),
  (1021, 'Solonghello', 6164, 'N', 'I808'),
  (1022, 'Spigno Monferrato', 6165, 'N', 'I901'),
  (1023, 'Spineto Scrivia', 6166, 'N', 'I911'),
  (1024, 'Stazzano', 6167, 'N', 'I941'),
  (1025, 'Strevi', 6168, 'N', 'I977'),
  (1026, 'Tagliolo Monferrato', 6169, 'N', 'L027'),
  (1027, 'Tassarolo', 6170, 'N', 'L059'),
  (1028, 'Terruggia', 6171, 'N', 'L139'),
  (1029, 'Terzo', 6172, 'N', 'L143'),
  (1030, 'Ticineto', 6173, 'N', 'L165'),
  (1031, 'Tortona', 6174, 'N', 'L304'),
  (1032, 'Treville', 6175, 'N', 'L403'),
  (1033, 'Trisobbio', 6176, 'N', 'L432'),
  (1034, 'Valenza', 6177, 'N', 'L570'),
  (1035, 'Valmacca', 6178, 'N', 'L633'),
  (1036, 'Vignale Monferrato', 6179, 'N', 'L881'),
  (1037, 'Vignole Borbera', 6180, 'N', 'L887'),
  (1038, 'Viguzzolo', 6181, 'N', 'L904'),
  (1039, 'Villadeati', 6182, 'N', 'L931'),
  (1040, 'Villalvernia', 6183, 'N', 'L963'),
  (1041, 'Villamiroglio', 6184, 'N', 'L970'),
  (1042, 'Villanova Monferrato', 6185, 'N', 'L972'),
  (1043, 'Villaromagnano', 6186, 'N', 'M009'),
  (1044, 'Visone', 6187, 'N', 'M077'),
  (1045, 'Volpedo', 6188, 'N', 'M120'),
  (1046, 'Volpeglino', 6189, 'N', 'M121'),
  (1047, 'Voltaggio', 6190, 'N', 'M123'),
  (1048, 'Ailoche', 96001, 'N', 'A107'),
  (1049, 'Andorno Micca', 96002, 'N', 'A280'),
  (1050, 'Benna', 96003, 'N', 'A784'),
  (1051, 'Biella', 96004, 'N', 'A859'),
  (1052, 'Bioglio', 96005, 'N', 'A876'),
  (1053, 'Borriana', 96006, 'N', 'B058'),
  (1054, 'Brusnengo', 96007, 'N', 'B229'),
  (1055, 'Callabiana', 96008, 'N', 'B417'),
  (1056, 'Camandona', 96009, 'N', 'B457'),
  (1057, 'Camburzano', 96010, 'N', 'B465'),
  (1058, 'Campiglia Cervo', 96011, 'N', 'B508'),
  (1059, 'Candelo', 96012, 'N', 'B586'),
  (1060, 'Caprile', 96013, 'N', 'B708'),
  (1061, 'Casapinta', 96014, 'N', 'B933'),
  (1062, 'Castelletto Cervo', 96015, 'N', 'C155'),
  (1063, 'CavagliÃ ', 96016, 'N', 'C363'),
  (1064, 'Cerreto Castello', 96017, 'N', 'C526'),
  (1065, 'Cerrione', 96018, 'N', 'C532'),
  (1066, 'Coggiola', 96019, 'N', 'C819'),
  (1067, 'Cossato', 96020, 'N', 'D094'),
  (1068, 'Crevacuore', 96021, 'N', 'D165'),
  (1069, 'Crosa', 96022, 'N', 'D182'),
  (1070, 'Curino', 96023, 'N', 'D219'),
  (1071, 'Donato', 96024, 'N', 'D339'),
  (1072, 'Dorzano', 96025, 'N', 'D350'),
  (1073, 'Gaglianico', 96026, 'N', 'D848'),
  (1074, 'Gifflenga', 96027, 'N', 'E024'),
  (1075, 'Graglia', 96028, 'N', 'E130'),
  (1076, 'Lessona', 96029, 'N', 'E552'),
  (1077, 'Magnano', 96030, 'N', 'E821'),
  (1078, 'Massazza', 96031, 'N', 'F037'),
  (1079, 'Masserano', 96032, 'N', 'F042'),
  (1080, 'Mezzana Mortigliengo', 96033, 'N', 'F167'),
  (1081, 'Miagliano', 96034, 'N', 'F189'),
  (1082, 'Mongrando', 96035, 'N', 'F369'),
  (1083, 'Mosso', 96084, 'N', 'M304'),
  (1084, 'Mottalciata', 96037, 'N', 'F776'),
  (1085, 'Muzzano', 96038, 'N', 'F833'),
  (1086, 'Netro', 96039, 'N', 'F878'),
  (1087, 'Occhieppo Inferiore', 96040, 'N', 'F992'),
  (1088, 'Occhieppo Superiore', 96041, 'N', 'F993'),
  (1089, 'Pettinengo', 96042, 'N', 'G521'),
  (1090, 'Piatto', 96043, 'N', 'G577'),
  (1091, 'Piedicavallo', 96044, 'N', 'G594'),
  (1092, 'Pollone', 96046, 'N', 'G798'),
  (1093, 'Ponderano', 96047, 'N', 'G820'),
  (1094, 'Portula', 96048, 'N', 'G927'),
  (1095, 'Pralungo', 96049, 'N', 'G980'),
  (1096, 'Pray', 96050, 'N', 'G974'),
  (1097, 'Quaregna', 96051, 'N', 'H103'),
  (1098, 'Quittengo', 96052, 'N', 'H145'),
  (1099, 'Ronco Biellese', 96053, 'N', 'H538'),
  (1100, 'Roppolo', 96054, 'N', 'H553'),
  (1101, 'Rosazza', 96055, 'N', 'H561'),
  (1102, 'Sagliano Micca', 96056, 'N', 'H662'),
  (1103, 'Sala Biellese', 96057, 'N', 'H681'),
  (1104, 'Salussola', 96058, 'N', 'H726'),
  (1105, 'San Paolo Cervo', 96060, 'N', 'I074'),
  (1106, 'Sandigliano', 96059, 'N', 'H821'),
  (1107, 'Selve Marcone', 96061, 'N', 'I596'),
  (1108, 'Soprana', 96062, 'N', 'I835'),
  (1109, 'Sordevolo', 96063, 'N', 'I847'),
  (1110, 'Sostegno', 96064, 'N', 'I868'),
  (1111, 'Strona', 96065, 'N', 'I980'),
  (1112, 'Tavigliano', 96066, 'N', 'L075'),
  (1113, 'Ternengo', 96067, 'N', 'L116'),
  (1114, 'Tollegno', 96068, 'N', 'L193'),
  (1115, 'Torrazzo', 96069, 'N', 'L239'),
  (1116, 'Trivero', 96070, 'N', 'L436'),
  (1117, 'Valdengo', 96071, 'N', 'L556'),
  (1118, 'Vallanzengo', 96072, 'N', 'L586'),
  (1119, 'Valle Mosso', 96073, 'N', 'L606'),
  (1120, 'Valle San Nicolao', 96074, 'N', 'L620'),
  (1121, 'Veglio', 96075, 'N', 'L712'),
  (1122, 'Verrone', 96076, 'N', 'L785'),
  (1123, 'Vigliano Biellese', 96077, 'N', 'L880'),
  (1124, 'Villa del Bosco', 96078, 'N', 'L933'),
  (1125, 'Villanova Biellese', 96079, 'N', 'L978'),
  (1126, 'Viverone', 96080, 'N', 'M098'),
  (1127, 'Zimone', 96081, 'N', 'M179'),
  (1128, 'Zubiena', 96082, 'N', 'M196'),
  (1129, 'Zumaglia', 96083, 'N', 'M201'),
  (1130, 'Antrona Schieranco', 103001, 'N', 'A317'),
  (1131, 'Anzola d''Ossola', 103002, 'N', 'A325'),
  (1132, 'Arizzano', 103003, 'N', 'A409'),
  (1133, 'Arola', 103004, 'N', 'A427'),
  (1134, 'Aurano', 103005, 'N', 'A497'),
  (1135, 'Baceno', 103006, 'N', 'A534'),
  (1136, 'Bannio Anzino', 103007, 'N', 'A610'),
  (1137, 'Baveno', 103008, 'N', 'A725'),
  (1138, 'Bee', 103009, 'N', 'A733'),
  (1139, 'Belgirate', 103010, 'N', 'A742'),
  (1140, 'Beura-Cardezza', 103011, 'N', 'A834'),
  (1141, 'Bognanco', 103012, 'N', 'A925'),
  (1142, 'Brovello-Carpugnino', 103013, 'N', 'B207'),
  (1143, 'Calasca-Castiglione', 103014, 'N', 'B380'),
  (1144, 'Cambiasca', 103015, 'N', 'B463'),
  (1145, 'Cannero Riviera', 103016, 'N', 'B610'),
  (1146, 'Cannobio', 103017, 'N', 'B615'),
  (1147, 'Caprezzo', 103018, 'N', 'B694'),
  (1148, 'Casale Corte Cerro', 103019, 'N', 'B876'),
  (1149, 'Cavaglio-Spoccia', 103020, 'N', 'C367'),
  (1150, 'Ceppo Morelli', 103021, 'N', 'C478'),
  (1151, 'Cesara', 103022, 'N', 'C567'),
  (1152, 'Cossogno', 103023, 'N', 'D099'),
  (1153, 'Craveggia', 103024, 'N', 'D134'),
  (1154, 'Crevoladossola', 103025, 'N', 'D168'),
  (1155, 'Crodo', 103026, 'N', 'D177'),
  (1156, 'Cursolo-Orasso', 103027, 'N', 'D225'),
  (1157, 'Domodossola', 103028, 'N', 'D332'),
  (1158, 'Druogno', 103029, 'N', 'D374'),
  (1159, 'Falmenta', 103030, 'N', 'D481'),
  (1160, 'Formazza', 103031, 'N', 'D706'),
  (1161, 'Germagno', 103032, 'N', 'D984'),
  (1162, 'Ghiffa', 103033, 'N', 'E003'),
  (1163, 'Gignese', 103034, 'N', 'E028'),
  (1164, 'Gravellona Toce', 103035, 'N', 'E153'),
  (1165, 'Gurro', 103036, 'N', 'E269'),
  (1166, 'Intragna', 103037, 'N', 'E304'),
  (1167, 'Loreglia', 103038, 'N', 'E685'),
  (1168, 'Macugnaga', 103039, 'N', 'E790'),
  (1169, 'Madonna del Sasso', 103040, 'N', 'E795'),
  (1170, 'Malesco', 103041, 'N', 'E853'),
  (1171, 'Masera', 103042, 'N', 'F010'),
  (1172, 'Massiola', 103043, 'N', 'F048'),
  (1173, 'Mergozzo', 103044, 'N', 'F146'),
  (1174, 'Miazzina', 103045, 'N', 'F192'),
  (1175, 'Montecrestese', 103046, 'N', 'F483'),
  (1176, 'Montescheno', 103047, 'N', 'F639'),
  (1177, 'Nonio', 103048, 'N', 'F932'),
  (1178, 'Oggebbio', 103049, 'N', 'G007'),
  (1179, 'Omegna', 103050, 'N', 'G062'),
  (1180, 'Ornavasso', 103051, 'N', 'G117'),
  (1181, 'Pallanzeno', 103052, 'N', 'G280'),
  (1182, 'Piedimulera', 103053, 'N', 'G600'),
  (1183, 'Pieve Vergonte', 103054, 'N', 'G658'),
  (1184, 'Premeno', 103055, 'N', 'H030'),
  (1185, 'Premia', 103056, 'N', 'H033'),
  (1186, 'Premosello-Chiovenda', 103057, 'N', 'H037'),
  (1187, 'Quarna Sopra', 103058, 'N', 'H106'),
  (1188, 'Quarna Sotto', 103059, 'N', 'H107'),
  (1189, 'Re', 103060, 'N', 'H203'),
  (1190, 'San Bernardino Verbano', 103061, 'N', 'H777'),
  (1191, 'Santa Maria Maggiore', 103062, 'N', 'I249'),
  (1192, 'Seppiana', 103063, 'N', 'I619'),
  (1193, 'Stresa', 103064, 'N', 'I976'),
  (1194, 'Toceno', 103065, 'N', 'L187'),
  (1195, 'Trarego Viggiona', 103066, 'N', 'L333'),
  (1196, 'Trasquera', 103067, 'N', 'L336'),
  (1197, 'Trontano', 103068, 'N', 'L450'),
  (1198, 'Valstrona', 103069, 'N', 'L651'),
  (1199, 'Vanzone con San Carlo', 103070, 'N', 'L666'),
  (1200, 'Varzo', 103071, 'N', 'L691'),
  (1201, 'Verbania', 103072, 'N', 'L746'),
  (1202, 'Viganella', 103073, 'N', 'L864'),
  (1203, 'Vignone', 103074, 'N', 'L889'),
  (1204, 'Villadossola', 103075, 'N', 'L906'),
  (1205, 'Villette', 103076, 'N', 'M042'),
  (1206, 'Vogogna', 103077, 'N', 'M111'),
  (1207, 'Allein', 7001, 'N', 'A205'),
  (1208, 'Antey-Saint-AndrÃ¨', 7002, 'N', 'A305'),
  (1209, 'Aosta', 7003, 'N', 'A326'),
  (1210, 'Arnad', 7004, 'N', 'A424'),
  (1211, 'Arvier', 7005, 'N', 'A452'),
  (1212, 'Avise', 7006, 'N', 'A521'),
  (1213, 'Ayas', 7007, 'N', 'A094'),
  (1214, 'Aymavilles', 7008, 'N', 'A108'),
  (1215, 'Bard', 7009, 'N', 'A643'),
  (1216, 'Bionaz', 7010, 'N', 'A877'),
  (1217, 'Brissogne', 7011, 'N', 'B192'),
  (1218, 'Brusson', 7012, 'N', 'B230'),
  (1219, 'Challand-Saint-Anselme', 7013, 'N', 'C593'),
  (1220, 'Challand-Saint-Victor', 7014, 'N', 'C594'),
  (1221, 'Chambave', 7015, 'N', 'C595'),
  (1222, 'Chamois', 7016, 'N', 'B491'),
  (1223, 'Champdepraz', 7017, 'N', 'C596'),
  (1224, 'Champorcher', 7018, 'N', 'B540'),
  (1225, 'Charvensod', 7019, 'N', 'C598'),
  (1226, 'Chatillon', 7020, 'N', 'C294'),
  (1227, 'Cogne', 7021, 'N', 'C821'),
  (1228, 'Courmayeur', 7022, 'N', 'D012'),
  (1229, 'Donnas', 7023, 'N', 'D338'),
  (1230, 'Doues', 7024, 'N', 'D356'),
  (1231, 'EmarÃ¨se', 7025, 'N', 'D402'),
  (1232, 'Etroubles', 7026, 'N', 'D444'),
  (1233, 'FÃ©nis', 7027, 'N', 'D537'),
  (1234, 'Fontainemore', 7028, 'N', 'D666'),
  (1235, 'Gaby', 7029, 'N', 'D839'),
  (1236, 'Gignod', 7030, 'N', 'E029'),
  (1237, 'Gressan', 7031, 'N', 'E165'),
  (1238, 'Gressoney-La-TrinitÃ¨', 7032, 'N', 'E167'),
  (1239, 'Gressoney-Saint-Jean', 7033, 'N', 'E168'),
  (1240, 'Hone', 7034, 'N', 'E273'),
  (1241, 'Introd', 7035, 'N', 'E306'),
  (1242, 'Issime', 7036, 'N', 'E369'),
  (1243, 'Issogne', 7037, 'N', 'E371'),
  (1244, 'Jovencan', 7038, 'N', 'E391'),
  (1245, 'La Magdeleine', 7039, 'N', 'A308'),
  (1246, 'La Salle', 7040, 'N', 'E458'),
  (1247, 'La Thuile', 7041, 'N', 'E470'),
  (1248, 'Lillianes', 7042, 'N', 'E587'),
  (1249, 'Montjovet', 7043, 'N', 'F367'),
  (1250, 'Morgex', 7044, 'N', 'F726'),
  (1251, 'Nus', 7045, 'N', 'F987'),
  (1252, 'Ollomont', 7046, 'N', 'G045'),
  (1253, 'Oyace', 7047, 'N', 'G012'),
  (1254, 'Perloz', 7048, 'N', 'G459'),
  (1255, 'Pollein', 7049, 'N', 'G794'),
  (1256, 'Pontboset', 7050, 'N', 'G545'),
  (1257, 'Pontey', 7051, 'N', 'G860'),
  (1258, 'Pont-Saint-Martin', 7052, 'N', 'G854'),
  (1259, 'PrÃ¨-Saint-Didier', 7053, 'N', 'H042'),
  (1260, 'Quart', 7054, 'N', 'H110'),
  (1261, 'Rhemes-Notre-Dame', 7055, 'N', 'H262'),
  (1262, 'Rhemes-Saint-Georges', 7056, 'N', 'H263'),
  (1263, 'Roisan', 7057, 'N', 'H497'),
  (1264, 'Saint-Christophe', 7058, 'N', 'H669'),
  (1265, 'Saint-Denis', 7059, 'N', 'H670'),
  (1266, 'Saint-Marcel', 7060, 'N', 'H671'),
  (1267, 'Saint-Nicolas', 7061, 'N', 'H672'),
  (1268, 'Saint-Oyen', 7062, 'N', 'H673'),
  (1269, 'Saint-Pierre', 7063, 'N', 'H674'),
  (1270, 'Saint-RhÃ©my-en-Bosses', 7064, 'N', 'H675'),
  (1271, 'Saint-Vincent', 7065, 'N', 'H676'),
  (1272, 'Sarre', 7066, 'N', 'I442'),
  (1273, 'Torgnon', 7067, 'N', 'L217'),
  (1274, 'Valgrisenche', 7068, 'N', 'L582'),
  (1275, 'Valpelline', 7069, 'N', 'L643'),
  (1276, 'Valsavarenche', 7070, 'N', 'L647'),
  (1277, 'Valtournenche', 7071, 'N', 'L654'),
  (1278, 'Verrayes', 7072, 'N', 'L783'),
  (1279, 'VerrÃ¨s', 7073, 'N', 'C282'),
  (1280, 'Villeneuve', 7074, 'N', 'L981'),
  (1281, 'Agra', 12001, 'N', 'A085');
INSERT INTO tbl_comuni (idcomune, denominazione, codiceistat, statoestero, codcatastale) VALUES
  (1282, 'Albizzate', 12002, 'N', 'A167'),
  (1283, 'Angera', 12003, 'N', 'A290'),
  (1284, 'Arcisate', 12004, 'N', 'A371'),
  (1285, 'Arsago Seprio', 12005, 'N', 'A441'),
  (1286, 'Azzate', 12006, 'N', 'A531'),
  (1287, 'Azzio', 12007, 'N', 'A532'),
  (1288, 'Barasso', 12008, 'N', 'A619'),
  (1289, 'Bardello', 12009, 'N', 'A645'),
  (1290, 'Bedero Valcuvia', 12010, 'N', 'A728'),
  (1291, 'Besano', 12011, 'N', 'A819'),
  (1292, 'Besnate', 12012, 'N', 'A825'),
  (1293, 'Besozzo', 12013, 'N', 'A826'),
  (1294, 'Biandronno', 12014, 'N', 'A845'),
  (1295, 'Bisuschio', 12015, 'N', 'A891'),
  (1296, 'Bodio Lomnago', 12016, 'N', 'A918'),
  (1297, 'Brebbia', 12017, 'N', 'B126'),
  (1298, 'Bregano', 12018, 'N', 'B131'),
  (1299, 'Brenta', 12019, 'N', 'B150'),
  (1300, 'Brezzo di Bedero', 12020, 'N', 'B166'),
  (1301, 'Brinzio', 12021, 'N', 'B182'),
  (1302, 'Brissago-Valtravaglia', 12022, 'N', 'B191'),
  (1303, 'Brunello', 12023, 'N', 'B219'),
  (1304, 'Brusimpiano', 12024, 'N', 'B228'),
  (1305, 'Buguggiate', 12025, 'N', 'B258'),
  (1306, 'Busto Arsizio', 12026, 'N', 'B300'),
  (1307, 'Cadegliano-Viconago', 12027, 'N', 'B326'),
  (1308, 'Cadrezzate', 12028, 'N', 'B347'),
  (1309, 'Cairate', 12029, 'N', 'B368'),
  (1310, 'Cantello', 12030, 'N', 'B634'),
  (1311, 'Caravate', 12031, 'N', 'B732'),
  (1312, 'Cardano al Campo', 12032, 'N', 'B754'),
  (1313, 'Carnago', 12033, 'N', 'B796'),
  (1314, 'Caronno Pertusella', 12034, 'N', 'B805'),
  (1315, 'Caronno Varesino', 12035, 'N', 'B807'),
  (1316, 'Casale Litta', 12036, 'N', 'B875'),
  (1317, 'Casalzuigno', 12037, 'N', 'B921'),
  (1318, 'Casciago', 12038, 'N', 'B949'),
  (1319, 'Casorate Sempione', 12039, 'N', 'B987'),
  (1320, 'Cassano Magnago', 12040, 'N', 'C004'),
  (1321, 'Cassano Valcuvia', 12041, 'N', 'B999'),
  (1322, 'Castellanza', 12042, 'N', 'C139'),
  (1323, 'Castello Cabiaglio', 12043, 'N', 'B312'),
  (1324, 'Castelseprio', 12044, 'N', 'C273'),
  (1325, 'Castelveccana', 12045, 'N', 'C181'),
  (1326, 'Castiglione Olona', 12046, 'N', 'C300'),
  (1327, 'Castronno', 12047, 'N', 'C343'),
  (1328, 'Cavaria con Premezzo', 12048, 'N', 'C382'),
  (1329, 'Cazzago Brabbia', 12049, 'N', 'C409'),
  (1330, 'Cislago', 12050, 'N', 'C732'),
  (1331, 'Cittiglio', 12051, 'N', 'C751'),
  (1332, 'Clivio', 12052, 'N', 'C796'),
  (1333, 'Cocquio-Trevisago', 12053, 'N', 'C810'),
  (1334, 'Comabbio', 12054, 'N', 'C911'),
  (1335, 'Comerio', 12055, 'N', 'C922'),
  (1336, 'Cremenaga', 12056, 'N', 'D144'),
  (1337, 'Crosio della Valle', 12057, 'N', 'D185'),
  (1338, 'Cuasso al Monte', 12058, 'N', 'D192'),
  (1339, 'Cugliate-Fabiasco', 12059, 'N', 'D199'),
  (1340, 'Cunardo', 12060, 'N', 'D204'),
  (1341, 'Curiglia con Monteviasco', 12061, 'N', 'D217'),
  (1342, 'Cuveglio', 12062, 'N', 'D238'),
  (1343, 'Cuvio', 12063, 'N', 'D239'),
  (1344, 'Daverio', 12064, 'N', 'D256'),
  (1345, 'Dumenza', 12065, 'N', 'D384'),
  (1346, 'Duno', 12066, 'N', 'D385'),
  (1347, 'Fagnano Olona', 12067, 'N', 'D467'),
  (1348, 'Ferno', 12068, 'N', 'D543'),
  (1349, 'Ferrera di Varese', 12069, 'N', 'D551'),
  (1350, 'Gallarate', 12070, 'N', 'D869'),
  (1351, 'Galliate Lombardo', 12071, 'N', 'D871'),
  (1352, 'Gavirate', 12072, 'N', 'D946'),
  (1353, 'Gazzada Schianno', 12073, 'N', 'D951'),
  (1354, 'Gemonio', 12074, 'N', 'D963'),
  (1355, 'Gerenzano', 12075, 'N', 'D981'),
  (1356, 'Germignaga', 12076, 'N', 'D987'),
  (1357, 'Golasecca', 12077, 'N', 'E079'),
  (1358, 'Gorla Maggiore', 12078, 'N', 'E101'),
  (1359, 'Gorla Minore', 12079, 'N', 'E102'),
  (1360, 'Gornate-Olona', 12080, 'N', 'E104'),
  (1361, 'Grantola', 12081, 'N', 'E144'),
  (1362, 'Inarzo', 12082, 'N', 'E292'),
  (1363, 'Induno Olona', 12083, 'N', 'E299'),
  (1364, 'Ispra', 12084, 'N', 'E367'),
  (1365, 'Jerago con Orago', 12085, 'N', 'E386'),
  (1366, 'Lavena Ponte Tresa', 12086, 'N', 'E494'),
  (1367, 'Laveno-Mombello', 12087, 'N', 'E496'),
  (1368, 'Leggiuno', 12088, 'N', 'E510'),
  (1369, 'Lonate Ceppino', 12089, 'N', 'E665'),
  (1370, 'Lonate Pozzolo', 12090, 'N', 'E666'),
  (1371, 'Lozza', 12091, 'N', 'E707'),
  (1372, 'Luino', 12092, 'N', 'E734'),
  (1373, 'Luvinate', 12093, 'N', 'E769'),
  (1374, 'Maccagno', 12094, 'N', 'E775'),
  (1375, 'Malgesso', 12095, 'N', 'E856'),
  (1376, 'Malnate', 12096, 'N', 'E863'),
  (1377, 'Marchirolo', 12097, 'N', 'E929'),
  (1378, 'Marnate', 12098, 'N', 'E965'),
  (1379, 'Marzio', 12099, 'N', 'F002'),
  (1380, 'Masciago Primo', 12100, 'N', 'F007'),
  (1381, 'Mercallo', 12101, 'N', 'F134'),
  (1382, 'Mesenzana', 12102, 'N', 'F154'),
  (1383, 'Montegrino Valtravaglia', 12103, 'N', 'F526'),
  (1384, 'Monvalle', 12104, 'N', 'F703'),
  (1385, 'Morazzone', 12105, 'N', 'F711'),
  (1386, 'Mornago', 12106, 'N', 'F736'),
  (1387, 'Oggiona con Santo Stefano', 12107, 'N', 'G008'),
  (1388, 'Olgiate Olona', 12108, 'N', 'G028'),
  (1389, 'Origgio', 12109, 'N', 'G103'),
  (1390, 'Orino', 12110, 'N', 'G105'),
  (1391, 'Osmate', 12111, 'N', 'E529'),
  (1392, 'Pino sulla Sponda del Lago Mag', 12112, 'N', 'G677'),
  (1393, 'Porto Ceresio', 12113, 'N', 'G906'),
  (1394, 'Porto Valtravaglia', 12114, 'N', 'G907'),
  (1395, 'Rancio Valcuvia', 12115, 'N', 'H173'),
  (1396, 'Ranco', 12116, 'N', 'H174'),
  (1397, 'Saltrio', 12117, 'N', 'H723'),
  (1398, 'Samarate', 12118, 'N', 'H736'),
  (1399, 'Sangiano', 12141, 'N', 'H872'),
  (1400, 'Saronno', 12119, 'N', 'I441'),
  (1401, 'Sesto Calende', 12120, 'N', 'I688'),
  (1402, 'Solbiate Arno', 12121, 'N', 'I793'),
  (1403, 'Solbiate Olona', 12122, 'N', 'I794'),
  (1404, 'Somma Lombardo', 12123, 'N', 'I819'),
  (1405, 'Sumirago', 12124, 'N', 'L003'),
  (1406, 'Taino', 12125, 'N', 'L032'),
  (1407, 'Ternate', 12126, 'N', 'L115'),
  (1408, 'Tradate', 12127, 'N', 'L319'),
  (1409, 'Travedona-Monate', 12128, 'N', 'L342'),
  (1410, 'Tronzano Lago Maggiore', 12129, 'N', 'A705'),
  (1411, 'Uboldo', 12130, 'N', 'L480'),
  (1412, 'Valganna', 12131, 'N', 'L577'),
  (1413, 'Varano Borghi', 12132, 'N', 'L671'),
  (1414, 'Varese', 12133, 'N', 'L682'),
  (1415, 'Vedano Olona', 12134, 'N', 'L703'),
  (1416, 'Veddasca', 12135, 'N', 'L705'),
  (1417, 'Venegono Inferiore', 12136, 'N', 'L733'),
  (1418, 'Venegono Superiore', 12137, 'N', 'L734'),
  (1419, 'Vergiate', 12138, 'N', 'L765'),
  (1420, 'ViggiÃ¹', 12139, 'N', 'L876'),
  (1421, 'Vizzola Ticino', 12140, 'N', 'M101'),
  (1422, 'Albavilla', 13003, 'N', 'A143'),
  (1423, 'Albese con Cassano', 13004, 'N', 'A153'),
  (1424, 'Albiolo', 13005, 'N', 'A164'),
  (1425, 'Alserio', 13006, 'N', 'A224'),
  (1426, 'Alzate Brianza', 13007, 'N', 'A249'),
  (1427, 'Anzano del Parco', 13009, 'N', 'A319'),
  (1428, 'Appiano Gentile', 13010, 'N', 'A333'),
  (1429, 'Argegno', 13011, 'N', 'A391'),
  (1430, 'Arosio', 13012, 'N', 'A430'),
  (1431, 'Asso', 13013, 'N', 'A476'),
  (1432, 'Barni', 13015, 'N', 'A670'),
  (1433, 'Bellagio', 13019, 'N', 'A744'),
  (1434, 'Bene Lario', 13021, 'N', 'A778'),
  (1435, 'Beregazzo con Figliaro', 13022, 'N', 'A791'),
  (1436, 'Binago', 13023, 'N', 'A870'),
  (1437, 'Bizzarone', 13024, 'N', 'A898'),
  (1438, 'Blessagno', 13025, 'N', 'A904'),
  (1439, 'Blevio', 13026, 'N', 'A905'),
  (1440, 'Bregnano', 13028, 'N', 'B134'),
  (1441, 'Brenna', 13029, 'N', 'B144'),
  (1442, 'Brienno', 13030, 'N', 'B172'),
  (1443, 'Brunate', 13032, 'N', 'B218'),
  (1444, 'Bulgarograsso', 13034, 'N', 'B262'),
  (1445, 'Cabiate', 13035, 'N', 'B313'),
  (1446, 'Cadorago', 13036, 'N', 'B346'),
  (1447, 'Caglio', 13037, 'N', 'B355'),
  (1448, 'Cagno', 13038, 'N', 'B359'),
  (1449, 'Campione d''Italia', 13040, 'N', 'B513'),
  (1450, 'CantÃ¹', 13041, 'N', 'B639'),
  (1451, 'Canzo', 13042, 'N', 'B641'),
  (1452, 'Capiago Intimiano', 13043, 'N', 'B653'),
  (1453, 'Carate Urio', 13044, 'N', 'B730'),
  (1454, 'Carbonate', 13045, 'N', 'B742'),
  (1455, 'Carimate', 13046, 'N', 'B778'),
  (1456, 'Carlazzo', 13047, 'N', 'B785'),
  (1457, 'Carugo', 13048, 'N', 'B851'),
  (1458, 'Casasco d''Intelvi', 13050, 'N', 'B942'),
  (1459, 'Caslino d''Erba', 13052, 'N', 'B974'),
  (1460, 'Casnate con Bernate', 13053, 'N', 'B977'),
  (1461, 'Cassina Rizzardi', 13055, 'N', 'C020'),
  (1462, 'Castelmarte', 13058, 'N', 'C206'),
  (1463, 'Castelnuovo Bozzente', 13059, 'N', 'C220'),
  (1464, 'Castiglione d''Intelvi', 13060, 'N', 'C299'),
  (1465, 'Cavallasca', 13061, 'N', 'C374'),
  (1466, 'Cavargna', 13062, 'N', 'C381'),
  (1467, 'Cerano d''Intelvi', 13063, 'N', 'C482'),
  (1468, 'Cermenate', 13064, 'N', 'C516'),
  (1469, 'Cernobbio', 13065, 'N', 'C520'),
  (1470, 'Cirimido', 13068, 'N', 'C724'),
  (1471, 'Civenna', 13070, 'N', 'C754'),
  (1472, 'Claino con Osteno', 13071, 'N', 'C787'),
  (1473, 'Colonno', 13074, 'N', 'C902'),
  (1474, 'Como', 13075, 'N', 'C933'),
  (1475, 'Consiglio di Rumo', 13076, 'N', 'M315'),
  (1476, 'Corrido', 13077, 'N', 'D041'),
  (1477, 'Cremia', 13083, 'N', 'D147'),
  (1478, 'Cucciago', 13084, 'N', 'D196'),
  (1479, 'Cusino', 13085, 'N', 'D232'),
  (1480, 'Dizzasco', 13087, 'N', 'D310'),
  (1481, 'Domaso', 13089, 'N', 'D329'),
  (1482, 'Dongo', 13090, 'N', 'D341'),
  (1483, 'Dosso del Liro', 13092, 'N', 'D355'),
  (1484, 'Drezzo', 13093, 'N', 'D369'),
  (1485, 'Erba', 13095, 'N', 'D416'),
  (1486, 'Eupilio', 13097, 'N', 'D445'),
  (1487, 'Faggeto Lario', 13098, 'N', 'D462'),
  (1488, 'Faloppio', 13099, 'N', 'D482'),
  (1489, 'FenegrÃ²', 13100, 'N', 'D531'),
  (1490, 'Figino Serenza', 13101, 'N', 'D579'),
  (1491, 'Fino Mornasco', 13102, 'N', 'D605'),
  (1492, 'Garzeno', 13106, 'N', 'D930'),
  (1493, 'Gera Lario', 13107, 'N', 'D974'),
  (1494, 'Germasino', 13108, 'N', 'M315'),
  (1495, 'Gironico', 13109, 'N', 'E051'),
  (1496, 'Grandate', 13110, 'N', 'E139'),
  (1497, 'Grandola ed Uniti', 13111, 'N', 'E141'),
  (1498, 'Gravedona', 13112, 'N', 'M315'),
  (1499, 'Griante', 13113, 'N', 'E172'),
  (1500, 'Guanzate', 13114, 'N', 'E235'),
  (1501, 'Inverigo', 13118, 'N', 'E309'),
  (1502, 'Laglio', 13119, 'N', 'E405'),
  (1503, 'Laino', 13120, 'N', 'E416'),
  (1504, 'Lambrugo', 13121, 'N', 'E428'),
  (1505, 'Lanzo d''Intelvi', 13122, 'N', 'E444'),
  (1506, 'Lasnigo', 13123, 'N', 'E462'),
  (1507, 'Lenno', 13125, 'N', 'E525'),
  (1508, 'Lezzeno', 13126, 'N', 'E569'),
  (1509, 'Limido Comasco', 13128, 'N', 'E593'),
  (1510, 'Lipomo', 13129, 'N', 'E607'),
  (1511, 'Livo', 13130, 'N', 'E623'),
  (1512, 'Locate Varesino', 13131, 'N', 'E638'),
  (1513, 'Lomazzo', 13133, 'N', 'E659'),
  (1514, 'Longone al Segrino', 13134, 'N', 'E679'),
  (1515, 'Luisago', 13135, 'N', 'E735'),
  (1516, 'Lurago d''Erba', 13136, 'N', 'E749'),
  (1517, 'Lurago Marinone', 13137, 'N', 'E750'),
  (1518, 'Lurate Caccivio', 13138, 'N', 'E753'),
  (1519, 'Magreglio', 13139, 'N', 'E830'),
  (1520, 'Mariano Comense', 13143, 'N', 'E951'),
  (1521, 'Maslianico', 13144, 'N', 'F017'),
  (1522, 'Menaggio', 13145, 'N', 'F120'),
  (1523, 'Merone', 13147, 'N', 'F151'),
  (1524, 'Mezzegra', 13148, 'N', 'F181'),
  (1525, 'Moltrasio', 13152, 'N', 'F305'),
  (1526, 'Monguzzo', 13153, 'N', 'F372'),
  (1527, 'Montano Lucino', 13154, 'N', 'F427'),
  (1528, 'Montemezzo', 13155, 'N', 'F564'),
  (1529, 'Montorfano', 13157, 'N', 'F688'),
  (1530, 'Mozzate', 13159, 'N', 'F788'),
  (1531, 'Musso', 13160, 'N', 'F828'),
  (1532, 'Nesso', 13161, 'N', 'F877'),
  (1533, 'Novedrate', 13163, 'N', 'F958'),
  (1534, 'Olgiate Comasco', 13165, 'N', 'G025'),
  (1535, 'Oltrona di San Mamette', 13169, 'N', 'G056'),
  (1536, 'Orsenigo', 13170, 'N', 'G126'),
  (1537, 'Ossuccio', 13172, 'N', 'G182'),
  (1538, 'ParÃ¨', 13175, 'N', 'G329'),
  (1539, 'Peglio', 13178, 'N', 'G415'),
  (1540, 'Pellio Intelvi', 13179, 'N', 'G427'),
  (1541, 'Pianello del Lario', 13183, 'N', 'G556'),
  (1542, 'Pigra', 13184, 'N', 'G665'),
  (1543, 'Plesio', 13185, 'N', 'G737'),
  (1544, 'Pognana Lario', 13186, 'N', 'G773'),
  (1545, 'Ponna', 13187, 'N', 'G821'),
  (1546, 'Ponte Lambro', 13188, 'N', 'G847'),
  (1547, 'Porlezza', 13189, 'N', 'G889'),
  (1548, 'Proserpio', 13192, 'N', 'H074'),
  (1549, 'Pusiano', 13193, 'N', 'H094'),
  (1550, 'Ramponio Verna', 13194, 'N', 'H171'),
  (1551, 'Rezzago', 13195, 'N', 'H255'),
  (1552, 'Rodero', 13197, 'N', 'H478'),
  (1553, 'Ronago', 13199, 'N', 'H521'),
  (1554, 'Rovellasca', 13201, 'N', 'H601'),
  (1555, 'Rovello Porro', 13202, 'N', 'H602'),
  (1556, 'Sala Comacina', 13203, 'N', 'H679'),
  (1557, 'San Bartolomeo Val Cavargna', 13204, 'N', 'H760'),
  (1558, 'San Fedele Intelvi', 13205, 'N', 'H830'),
  (1559, 'San Fermo della Battaglia', 13206, 'N', 'H840'),
  (1560, 'San Nazzaro Val Cavargna', 13207, 'N', 'I051'),
  (1561, 'San Siro', 13248, 'N', 'I162'),
  (1562, 'Schignano', 13211, 'N', 'I529'),
  (1563, 'Senna Comasco', 13212, 'N', 'I611'),
  (1564, 'Solbiate', 13215, 'N', 'I792'),
  (1565, 'Sorico', 13216, 'N', 'I856'),
  (1566, 'Sormano', 13217, 'N', 'I860'),
  (1567, 'Stazzona', 13218, 'N', 'I943'),
  (1568, 'Tavernerio', 13222, 'N', 'L071'),
  (1569, 'Torno', 13223, 'N', 'L228'),
  (1570, 'Tremezzo', 13225, 'N', 'L371'),
  (1571, 'Trezzone', 13226, 'N', 'L413'),
  (1572, 'Turate', 13227, 'N', 'L470'),
  (1573, 'Uggiate-Trevano', 13228, 'N', 'L487'),
  (1574, 'Val Rezzo', 13233, 'N', 'H259'),
  (1575, 'Valbrona', 13229, 'N', 'L547'),
  (1576, 'Valmorea', 13232, 'N', 'L640'),
  (1577, 'Valsolda', 13234, 'N', 'C936'),
  (1578, 'Veleso', 13236, 'N', 'L715'),
  (1579, 'Veniano', 13238, 'N', 'L737'),
  (1580, 'Vercana', 13239, 'N', 'L748'),
  (1581, 'Vertemate con Minoprio', 13242, 'N', 'L792'),
  (1582, 'Villa Guardia', 13245, 'N', 'L956'),
  (1583, 'Zelbio', 13246, 'N', 'M156'),
  (1584, 'Albaredo per San Marco', 14001, 'N', 'A135'),
  (1585, 'Albosaggia', 14002, 'N', 'A172'),
  (1586, 'Andalo Valtellino', 14003, 'N', 'A273'),
  (1587, 'Aprica', 14004, 'N', 'A337'),
  (1588, 'Ardenno', 14005, 'N', 'A382'),
  (1589, 'Bema', 14006, 'N', 'A777'),
  (1590, 'Berbenno di Valtellina', 14007, 'N', 'A787'),
  (1591, 'Bianzone', 14008, 'N', 'A848'),
  (1592, 'Bormio', 14009, 'N', 'B049'),
  (1593, 'Buglio in Monte', 14010, 'N', 'B255'),
  (1594, 'Caiolo', 14011, 'N', 'B366'),
  (1595, 'Campodolcino', 14012, 'N', 'B530'),
  (1596, 'Caspoggio', 14013, 'N', 'B993'),
  (1597, 'Castello dell''Acqua', 14014, 'N', 'C186'),
  (1598, 'Castione Andevenno', 14015, 'N', 'C325'),
  (1599, 'Cedrasco', 14016, 'N', 'C418'),
  (1600, 'Cercino', 14017, 'N', 'C493'),
  (1601, 'Chiavenna', 14018, 'N', 'C623'),
  (1602, 'Chiesa in Valmalenco', 14019, 'N', 'C628'),
  (1603, 'Chiuro', 14020, 'N', 'C651'),
  (1604, 'Cino', 14021, 'N', 'C709'),
  (1605, 'Civo', 14022, 'N', 'C785'),
  (1606, 'Colorina', 14023, 'N', 'C903'),
  (1607, 'Cosio Valtellino', 14024, 'N', 'D088'),
  (1608, 'Dazio', 14025, 'N', 'D258'),
  (1609, 'Delebio', 14026, 'N', 'D266'),
  (1610, 'Dubino', 14027, 'N', 'D377'),
  (1611, 'Faedo Valtellino', 14028, 'N', 'D456'),
  (1612, 'Forcola', 14029, 'N', 'D694'),
  (1613, 'Fusine', 14030, 'N', 'D830'),
  (1614, 'Gerola Alta', 14031, 'N', 'D990'),
  (1615, 'Gordona', 14032, 'N', 'E090'),
  (1616, 'Grosio', 14033, 'N', 'E200'),
  (1617, 'Grosotto', 14034, 'N', 'E201'),
  (1618, 'Lanzada', 14036, 'N', 'E443'),
  (1619, 'Livigno', 14037, 'N', 'E621'),
  (1620, 'Lovero', 14038, 'N', 'E705'),
  (1621, 'Madesimo', 14035, 'N', 'E342'),
  (1622, 'Mantello', 14039, 'N', 'E896'),
  (1623, 'Mazzo di Valtellina', 14040, 'N', 'F070'),
  (1624, 'Mello', 14041, 'N', 'F115'),
  (1625, 'Menarola', 14042, 'N', 'F121'),
  (1626, 'Mese', 14043, 'N', 'F153'),
  (1627, 'Montagna in Valtellina', 14044, 'N', 'F393'),
  (1628, 'Morbegno', 14045, 'N', 'F712'),
  (1629, 'Novate Mezzola', 14046, 'N', 'F956'),
  (1630, 'Pedesina', 14047, 'N', 'G410'),
  (1631, 'Piantedo', 14048, 'N', 'G572'),
  (1632, 'Piateda', 14049, 'N', 'G576'),
  (1633, 'Piuro', 14050, 'N', 'G718'),
  (1634, 'Poggiridenti', 14051, 'N', 'G431'),
  (1635, 'Ponte in Valtellina', 14052, 'N', 'G829'),
  (1636, 'Postalesio', 14053, 'N', 'G937'),
  (1637, 'Prata Camportaccio', 14054, 'N', 'G993'),
  (1638, 'Rasura', 14055, 'N', 'H192'),
  (1639, 'Rogolo', 14056, 'N', 'H493'),
  (1640, 'Samolaco', 14057, 'N', 'H752'),
  (1641, 'San Giacomo Filippo', 14058, 'N', 'H868'),
  (1642, 'Sernio', 14059, 'N', 'I636'),
  (1643, 'Sondalo', 14060, 'N', 'I828'),
  (1644, 'Sondrio', 14061, 'N', 'I829'),
  (1645, 'Spriana', 14062, 'N', 'I928'),
  (1646, 'Talamona', 14063, 'N', 'L035'),
  (1647, 'Tartano', 14064, 'N', 'L056'),
  (1648, 'Teglio', 14065, 'N', 'L084'),
  (1649, 'Tirano', 14066, 'N', 'L175'),
  (1650, 'Torre di Santa Maria', 14067, 'N', 'L244'),
  (1651, 'Tovo di Sant''Agata', 14068, 'N', 'L316'),
  (1652, 'Traona', 14069, 'N', 'L330'),
  (1653, 'Tresivio', 14070, 'N', 'L392'),
  (1654, 'Val Masino', 14074, 'N', 'L638'),
  (1655, 'Valdidentro', 14071, 'N', 'L557'),
  (1656, 'Valdisotto', 14072, 'N', 'L563'),
  (1657, 'Valfurva', 14073, 'N', 'L576'),
  (1658, 'Verceia', 14075, 'N', 'L749'),
  (1659, 'Vervio', 14076, 'N', 'L799'),
  (1660, 'Villa di Chiavenna', 14077, 'N', 'L907'),
  (1661, 'Villa di Tirano', 14078, 'N', 'L908'),
  (1662, 'Abbiategrasso', 15002, 'N', 'A010'),
  (1663, 'Albairate', 15005, 'N', 'A127'),
  (1664, 'Arconate', 15007, 'N', 'A375'),
  (1665, 'Arese', 15009, 'N', 'A389'),
  (1666, 'Arluno', 15010, 'N', 'A413'),
  (1667, 'Assago', 15011, 'N', 'A473'),
  (1668, 'Baranzate', 15250, 'N', 'A618'),
  (1669, 'Bareggio', 15012, 'N', 'A652'),
  (1670, 'Basiano', 15014, 'N', 'A697'),
  (1671, 'Basiglio', 15015, 'N', 'A699'),
  (1672, 'Bellinzago Lombardo', 15016, 'N', 'A751'),
  (1673, 'Bernate Ticino', 15019, 'N', 'A804'),
  (1674, 'Besate', 15022, 'N', 'A820'),
  (1675, 'Binasco', 15024, 'N', 'A872'),
  (1676, 'Boffalora sopra Ticino', 15026, 'N', 'A920'),
  (1677, 'Bollate', 15027, 'N', 'A940'),
  (1678, 'Bresso', 15032, 'N', 'B162'),
  (1679, 'Bubbiano', 15035, 'N', 'B235'),
  (1680, 'Buccinasco', 15036, 'N', 'B240'),
  (1681, 'Buscate', 15038, 'N', 'B286'),
  (1682, 'Bussero', 15040, 'N', 'B292'),
  (1683, 'Busto Garolfo', 15041, 'N', 'B301'),
  (1684, 'Calvignasco', 15042, 'N', 'B448'),
  (1685, 'Cambiago', 15044, 'N', 'B461'),
  (1686, 'Canegrate', 15046, 'N', 'B593'),
  (1687, 'Carpiano', 15050, 'N', 'B820'),
  (1688, 'Carugate', 15051, 'N', 'B850'),
  (1689, 'Casarile', 15055, 'N', 'B938'),
  (1690, 'Casorezzo', 15058, 'N', 'B989'),
  (1691, 'Cassano d''Adda', 15059, 'N', 'C003'),
  (1692, 'Cassina de'' Pecchi', 15060, 'N', 'C014'),
  (1693, 'Cassinetta di Lugagnano', 15061, 'N', 'C033'),
  (1694, 'Castano Primo', 15062, 'N', 'C052'),
  (1695, 'Cernusco sul Naviglio', 15070, 'N', 'C523'),
  (1696, 'Cerro al Lambro', 15071, 'N', 'C536'),
  (1697, 'Cerro Maggiore', 15072, 'N', 'C537'),
  (1698, 'Cesano Boscone', 15074, 'N', 'C565'),
  (1699, 'Cesate', 15076, 'N', 'C569'),
  (1700, 'Cinisello Balsamo', 15077, 'N', 'C707'),
  (1701, 'Cisliano', 15078, 'N', 'C733'),
  (1702, 'Cologno Monzese', 15081, 'N', 'C895'),
  (1703, 'Colturano', 15082, 'N', 'C908'),
  (1704, 'Corbetta', 15085, 'N', 'C986'),
  (1705, 'Cormano', 15086, 'N', 'D013'),
  (1706, 'Cornaredo', 15087, 'N', 'D018'),
  (1707, 'Corsico', 15093, 'N', 'D045'),
  (1708, 'Cuggiono', 15096, 'N', 'D198'),
  (1709, 'Cusago', 15097, 'N', 'D229'),
  (1710, 'Cusano Milanino', 15098, 'N', 'D231'),
  (1711, 'Dairago', 15099, 'N', 'D244'),
  (1712, 'Dresano', 15101, 'N', 'D367'),
  (1713, 'Gaggiano', 15103, 'N', 'D845'),
  (1714, 'Garbagnate Milanese', 15105, 'N', 'D912'),
  (1715, 'Gessate', 15106, 'N', 'D995'),
  (1716, 'Gorgonzola', 15108, 'N', 'E094'),
  (1717, 'Grezzago', 15110, 'N', 'E170'),
  (1718, 'Gudo Visconti', 15112, 'N', 'E258'),
  (1719, 'Inveruno', 15113, 'N', 'E313'),
  (1720, 'Inzago', 15114, 'N', 'E317'),
  (1721, 'Lacchiarella', 15115, 'N', 'E395'),
  (1722, 'Lainate', 15116, 'N', 'E415'),
  (1723, 'Legnano', 15118, 'N', 'E514'),
  (1724, 'Liscate', 15122, 'N', 'E610'),
  (1725, 'Locate di Triulzi', 15125, 'N', 'E639'),
  (1726, 'Magenta', 15130, 'N', 'E801'),
  (1727, 'Magnago', 15131, 'N', 'E819'),
  (1728, 'Marcallo con Casone', 15134, 'N', 'E921'),
  (1729, 'Masate', 15136, 'N', 'F003'),
  (1730, 'Mediglia', 15139, 'N', 'F084'),
  (1731, 'Melegnano', 15140, 'N', 'F100'),
  (1732, 'Melzo', 15142, 'N', 'F119'),
  (1733, 'Mesero', 15144, 'N', 'F155'),
  (1734, 'Milano', 15146, 'N', 'F205'),
  (1735, 'Morimondo', 15150, 'N', 'D033'),
  (1736, 'Motta Visconti', 15151, 'N', 'F783'),
  (1737, 'Nerviano', 15154, 'N', 'F874'),
  (1738, 'Nosate', 15155, 'N', 'F939'),
  (1739, 'Novate Milanese', 15157, 'N', 'F955'),
  (1740, 'Noviglio', 15158, 'N', 'F968'),
  (1741, 'Opera', 15159, 'N', 'G078'),
  (1742, 'Ossona', 15164, 'N', 'G181'),
  (1743, 'Ozzero', 15165, 'N', 'G206'),
  (1744, 'Paderno Dugnano', 15166, 'N', 'G220'),
  (1745, 'Pantigliate', 15167, 'N', 'G316'),
  (1746, 'Parabiago', 15168, 'N', 'G324'),
  (1747, 'Paullo', 15169, 'N', 'G385'),
  (1748, 'Pero', 15170, 'N', 'C013'),
  (1749, 'Peschiera Borromeo', 15171, 'N', 'G488'),
  (1750, 'Pessano con Bornago', 15172, 'N', 'G502'),
  (1751, 'Pieve Emanuele', 15173, 'N', 'G634'),
  (1752, 'Pioltello', 15175, 'N', 'G686'),
  (1753, 'Pogliano Milanese', 15176, 'N', 'G772'),
  (1754, 'Pozzo d''Adda', 15177, 'N', 'G955'),
  (1755, 'Pozzuolo Martesana', 15178, 'N', 'G965'),
  (1756, 'Pregnana Milanese', 15179, 'N', 'H026'),
  (1757, 'Rescaldina', 15181, 'N', 'H240'),
  (1758, 'Rho', 15182, 'N', 'H264'),
  (1759, 'Robecchetto con Induno', 15183, 'N', 'H371'),
  (1760, 'Robecco sul Naviglio', 15184, 'N', 'H373'),
  (1761, 'Rodano', 15185, 'N', 'H470'),
  (1762, 'Rosate', 15188, 'N', 'H560'),
  (1763, 'Rozzano', 15189, 'N', 'H623'),
  (1764, 'San Colombano al Lambro', 15191, 'N', 'H803'),
  (1765, 'San Donato Milanese', 15192, 'N', 'H827'),
  (1766, 'San Giorgio su Legnano', 15194, 'N', 'H884'),
  (1767, 'San Giuliano Milanese', 15195, 'N', 'H930'),
  (1768, 'San Vittore Olona', 15201, 'N', 'I409'),
  (1769, 'San Zenone al Lambro', 15202, 'N', 'I415'),
  (1770, 'Santo Stefano Ticino', 15200, 'N', 'I361'),
  (1771, 'Sedriano', 15204, 'N', 'I566'),
  (1772, 'Segrate', 15205, 'N', 'I577'),
  (1773, 'Senago', 15206, 'N', 'I602'),
  (1774, 'Sesto San Giovanni', 15209, 'N', 'I690'),
  (1775, 'Settala', 15210, 'N', 'I696'),
  (1776, 'Settimo Milanese', 15211, 'N', 'I700'),
  (1777, 'Solaro', 15213, 'N', 'I786'),
  (1778, 'Trezzano Rosa', 15219, 'N', 'L408'),
  (1779, 'Trezzano sul Naviglio', 15220, 'N', 'L409'),
  (1780, 'Trezzo sull''Adda', 15221, 'N', 'L411'),
  (1781, 'Tribiano', 15222, 'N', 'L415'),
  (1782, 'Truccazzano', 15224, 'N', 'L454'),
  (1783, 'Turbigo', 15226, 'N', 'L471'),
  (1784, 'Vanzaghello', 15249, 'N', 'L664'),
  (1785, 'Vanzago', 15229, 'N', 'L665'),
  (1786, 'Vaprio d''Adda', 15230, 'N', 'L667'),
  (1787, 'Vermezzo', 15235, 'N', 'L768'),
  (1788, 'Vernate', 15236, 'N', 'L773'),
  (1789, 'Vignate', 15237, 'N', 'L883'),
  (1790, 'Villa Cortese', 15248, 'N', 'L928'),
  (1791, 'Vimodrone', 15242, 'N', 'M053'),
  (1792, 'Vittuone', 15243, 'N', 'M091'),
  (1793, 'Vizzolo Predabissi', 15244, 'N', 'M102'),
  (1794, 'Zelo Surrigone', 15246, 'N', 'M160'),
  (1795, 'Zibido San Giacomo', 15247, 'N', 'M176'),
  (1796, 'Adrara San Martino', 16001, 'N', 'A057'),
  (1797, 'Adrara San Rocco', 16002, 'N', 'A058'),
  (1798, 'Albano Sant''Alessandro', 16003, 'N', 'A129'),
  (1799, 'Albino', 16004, 'N', 'A163'),
  (1800, 'Algua', 16248, 'N', 'A193'),
  (1801, 'AlmÃ¨', 16005, 'N', 'A214'),
  (1802, 'Almenno San Bartolomeo', 16006, 'N', 'A216'),
  (1803, 'Almenno San Salvatore', 16007, 'N', 'A217'),
  (1804, 'Alzano Lombardo', 16008, 'N', 'A246'),
  (1805, 'Ambivere', 16009, 'N', 'A259'),
  (1806, 'Antegnate', 16010, 'N', 'A304'),
  (1807, 'Arcene', 16011, 'N', 'A365'),
  (1808, 'Ardesio', 16012, 'N', 'A383'),
  (1809, 'Arzago d''Adda', 16013, 'N', 'A440'),
  (1810, 'Averara', 16014, 'N', 'A511'),
  (1811, 'Aviatico', 16015, 'N', 'A517'),
  (1812, 'Azzano San Paolo', 16016, 'N', 'A528'),
  (1813, 'Azzone', 16017, 'N', 'A533'),
  (1814, 'Bagnatica', 16018, 'N', 'A557'),
  (1815, 'Barbata', 16019, 'N', 'A631'),
  (1816, 'Bariano', 16020, 'N', 'A664'),
  (1817, 'Barzana', 16021, 'N', 'A684'),
  (1818, 'Bedulita', 16022, 'N', 'A732'),
  (1819, 'Berbenno', 16023, 'N', 'A786'),
  (1820, 'Bergamo', 16024, 'N', 'A794'),
  (1821, 'Berzo San Fermo', 16025, 'N', 'A815'),
  (1822, 'Bianzano', 16026, 'N', 'A846'),
  (1823, 'Blello', 16027, 'N', 'A903'),
  (1824, 'Bolgare', 16028, 'N', 'A937'),
  (1825, 'Boltiere', 16029, 'N', 'A950'),
  (1826, 'Bonate Sopra', 16030, 'N', 'A963'),
  (1827, 'Bonate Sotto', 16031, 'N', 'A962'),
  (1828, 'Borgo di Terzo', 16032, 'N', 'B010'),
  (1829, 'Bossico', 16033, 'N', 'B083'),
  (1830, 'Bottanuco', 16034, 'N', 'B088'),
  (1831, 'Bracca', 16035, 'N', 'B112'),
  (1832, 'Branzi', 16036, 'N', 'B123'),
  (1833, 'Brembate', 16037, 'N', 'B137'),
  (1834, 'Brembate di Sopra', 16038, 'N', 'B138'),
  (1835, 'Brembilla', 16039, 'N', 'B140'),
  (1836, 'Brignano Gera d''Adda', 16040, 'N', 'B178'),
  (1837, 'Brumano', 16041, 'N', 'B217'),
  (1838, 'Brusaporto', 16042, 'N', 'B223'),
  (1839, 'Calcinate', 16043, 'N', 'B393'),
  (1840, 'Calcio', 16044, 'N', 'B395'),
  (1841, 'Calusco d''Adda', 16046, 'N', 'B434'),
  (1842, 'Calvenzano', 16047, 'N', 'B442'),
  (1843, 'Camerata Cornello', 16048, 'N', 'B471'),
  (1844, 'Canonica d''Adda', 16049, 'N', 'B618'),
  (1845, 'Capizzone', 16050, 'N', 'B661'),
  (1846, 'Capriate San Gervasio', 16051, 'N', 'B703'),
  (1847, 'Caprino Bergamasco', 16052, 'N', 'B710'),
  (1848, 'Caravaggio', 16053, 'N', 'B731'),
  (1849, 'Carobbio degli Angeli', 16055, 'N', 'B801'),
  (1850, 'Carona', 16056, 'N', 'B803'),
  (1851, 'Carvico', 16057, 'N', 'B854'),
  (1852, 'Casazza', 16058, 'N', 'B947'),
  (1853, 'Casirate d''Adda', 16059, 'N', 'B971'),
  (1854, 'Casnigo', 16060, 'N', 'B978'),
  (1855, 'Cassiglio', 16061, 'N', 'C007'),
  (1856, 'Castel Rozzone', 16063, 'N', 'C255'),
  (1857, 'Castelli Calepio', 16062, 'N', 'C079'),
  (1858, 'Castione della Presolana', 16064, 'N', 'C324'),
  (1859, 'Castro', 16065, 'N', 'C337'),
  (1860, 'Cavernago', 16066, 'N', 'C396'),
  (1861, 'Cazzano Sant''Andrea', 16067, 'N', 'C410'),
  (1862, 'Cenate Sopra', 16068, 'N', 'C456'),
  (1863, 'Cenate Sotto', 16069, 'N', 'C457'),
  (1864, 'Cene', 16070, 'N', 'C459'),
  (1865, 'Cerete', 16071, 'N', 'C506'),
  (1866, 'Chignolo d''Isola', 16072, 'N', 'C635'),
  (1867, 'Chiuduno', 16073, 'N', 'C649'),
  (1868, 'Cisano Bergamasco', 16074, 'N', 'C728'),
  (1869, 'Ciserano', 16075, 'N', 'C730'),
  (1870, 'Cividate al Piano', 16076, 'N', 'C759'),
  (1871, 'Clusone', 16077, 'N', 'C800'),
  (1872, 'Colere', 16078, 'N', 'C835'),
  (1873, 'Cologno al Serio', 16079, 'N', 'C894'),
  (1874, 'Colzate', 16080, 'N', 'C910'),
  (1875, 'Comun Nuovo', 16081, 'N', 'C937'),
  (1876, 'Corna Imagna', 16082, 'N', 'D015'),
  (1877, 'Cornalba', 16249, 'N', 'D016'),
  (1878, 'Cortenuova', 16083, 'N', 'D066'),
  (1879, 'Costa di Mezzate', 16084, 'N', 'D110'),
  (1880, 'Costa Serina', 16247, 'N', 'D111'),
  (1881, 'Costa Valle Imagna', 16085, 'N', 'D103'),
  (1882, 'Costa Volpino', 16086, 'N', 'D117'),
  (1883, 'Covo', 16087, 'N', 'D126'),
  (1884, 'Credaro', 16088, 'N', 'D139'),
  (1885, 'Curno', 16089, 'N', 'D221'),
  (1886, 'Cusio', 16090, 'N', 'D233'),
  (1887, 'Dalmine', 16091, 'N', 'D245'),
  (1888, 'Dossena', 16092, 'N', 'D352'),
  (1889, 'Endine Gaiano', 16093, 'N', 'D406'),
  (1890, 'Entratico', 16094, 'N', 'D411'),
  (1891, 'Fara Gera d''Adda', 16096, 'N', 'D490'),
  (1892, 'Fara Olivana con Sola', 16097, 'N', 'D491'),
  (1893, 'Filago', 16098, 'N', 'D588'),
  (1894, 'Fino del Monte', 16099, 'N', 'D604'),
  (1895, 'Fiorano al Serio', 16100, 'N', 'D606'),
  (1896, 'Fontanella', 16101, 'N', 'D672'),
  (1897, 'Fonteno', 16102, 'N', 'D684'),
  (1898, 'Foppolo', 16103, 'N', 'D688'),
  (1899, 'Foresto Sparso', 16104, 'N', 'D697'),
  (1900, 'Fornovo San Giovanni', 16105, 'N', 'D727'),
  (1901, 'Fuipiano Valle Imagna', 16106, 'N', 'D817'),
  (1902, 'Gandellino', 16107, 'N', 'D903'),
  (1903, 'Gandino', 16108, 'N', 'D905'),
  (1904, 'Gandosso', 16109, 'N', 'D906'),
  (1905, 'Gaverina Terme', 16110, 'N', 'D943'),
  (1906, 'Gazzaniga', 16111, 'N', 'D952'),
  (1907, 'Gerosa', 16112, 'N', 'D991'),
  (1908, 'Ghisalba', 16113, 'N', 'E006'),
  (1909, 'Gorlago', 16114, 'N', 'E100'),
  (1910, 'Gorle', 16115, 'N', 'E103'),
  (1911, 'Gorno', 16116, 'N', 'E106'),
  (1912, 'Grassobbio', 16117, 'N', 'E148'),
  (1913, 'Gromo', 16118, 'N', 'E189'),
  (1914, 'Grone', 16119, 'N', 'E192'),
  (1915, 'Grumello del Monte', 16120, 'N', 'E219'),
  (1916, 'Isola di Fondra', 16121, 'N', 'E353'),
  (1917, 'Isso', 16122, 'N', 'E370'),
  (1918, 'Lallio', 16123, 'N', 'E422'),
  (1919, 'Leffe', 16124, 'N', 'E509'),
  (1920, 'Lenna', 16125, 'N', 'E524'),
  (1921, 'Levate', 16126, 'N', 'E562'),
  (1922, 'Locatello', 16127, 'N', 'E640'),
  (1923, 'Lovere', 16128, 'N', 'E704'),
  (1924, 'Lurano', 16129, 'N', 'E751'),
  (1925, 'Luzzana', 16130, 'N', 'E770'),
  (1926, 'Madone', 16131, 'N', 'E794'),
  (1927, 'Mapello', 16132, 'N', 'E901'),
  (1928, 'Martinengo', 16133, 'N', 'E987'),
  (1929, 'Medolago', 16250, 'N', 'F085'),
  (1930, 'Mezzoldo', 16134, 'N', 'F186'),
  (1931, 'Misano di Gera d''Adda', 16135, 'N', 'F243'),
  (1932, 'Moio de'' Calvi', 16136, 'N', 'F276'),
  (1933, 'Monasterolo del Castello', 16137, 'N', 'F328'),
  (1934, 'Montello', 16139, 'N', 'F547'),
  (1935, 'Morengo', 16140, 'N', 'F720'),
  (1936, 'Mornico al Serio', 16141, 'N', 'F738'),
  (1937, 'Mozzanica', 16142, 'N', 'F786'),
  (1938, 'Mozzo', 16143, 'N', 'F791'),
  (1939, 'Nembro', 16144, 'N', 'F864'),
  (1940, 'Olmo al Brembo', 16145, 'N', 'G049'),
  (1941, 'Oltre il Colle', 16146, 'N', 'G050'),
  (1942, 'Oltressenda Alta', 16147, 'N', 'G054'),
  (1943, 'Oneta', 16148, 'N', 'G068'),
  (1944, 'Onore', 16149, 'N', 'G075'),
  (1945, 'Orio al Serio', 16150, 'N', 'G108'),
  (1946, 'Ornica', 16151, 'N', 'G118'),
  (1947, 'Osio Sopra', 16152, 'N', 'G159'),
  (1948, 'Osio Sotto', 16153, 'N', 'G160'),
  (1949, 'Pagazzano', 16154, 'N', 'G233'),
  (1950, 'Paladina', 16155, 'N', 'G249'),
  (1951, 'Palazzago', 16156, 'N', 'G259'),
  (1952, 'Palosco', 16157, 'N', 'G295'),
  (1953, 'Parre', 16158, 'N', 'G346'),
  (1954, 'Parzanica', 16159, 'N', 'G350'),
  (1955, 'Pedrengo', 16160, 'N', 'G412'),
  (1956, 'Peia', 16161, 'N', 'G418'),
  (1957, 'Pianico', 16162, 'N', 'G564'),
  (1958, 'Piario', 16163, 'N', 'G574'),
  (1959, 'Piazza Brembana', 16164, 'N', 'G579'),
  (1960, 'Piazzatorre', 16165, 'N', 'G583'),
  (1961, 'Piazzolo', 16166, 'N', 'G588'),
  (1962, 'Pognano', 16167, 'N', 'G774'),
  (1963, 'Ponte Nossa', 16168, 'N', 'F941'),
  (1964, 'Ponte San Pietro', 16170, 'N', 'G856'),
  (1965, 'Ponteranica', 16169, 'N', 'G853'),
  (1966, 'Pontida', 16171, 'N', 'G864'),
  (1967, 'Pontirolo Nuovo', 16172, 'N', 'G867'),
  (1968, 'Pradalunga', 16173, 'N', 'G968'),
  (1969, 'Predore', 16174, 'N', 'H020'),
  (1970, 'Premolo', 16175, 'N', 'H036'),
  (1971, 'Presezzo', 16176, 'N', 'H046'),
  (1972, 'Pumenengo', 16177, 'N', 'H091'),
  (1973, 'Ranica', 16178, 'N', 'H176'),
  (1974, 'Ranzanico', 16179, 'N', 'H177'),
  (1975, 'Riva di Solto', 16180, 'N', 'H331'),
  (1976, 'Rogno', 16182, 'N', 'H492'),
  (1977, 'Romano di Lombardia', 16183, 'N', 'H509'),
  (1978, 'Roncobello', 16184, 'N', 'H535'),
  (1979, 'Roncola', 16185, 'N', 'H544'),
  (1980, 'Rota d''Imagna', 16186, 'N', 'H584'),
  (1981, 'Rovetta', 16187, 'N', 'H615'),
  (1982, 'San Giovanni Bianco', 16188, 'N', 'H910'),
  (1983, 'San Paolo d''Argon', 16189, 'N', 'B310'),
  (1984, 'San Pellegrino Terme', 16190, 'N', 'I079'),
  (1985, 'Santa Brigida', 16191, 'N', 'I168'),
  (1986, 'Sant''Omobono Terme', 16192, 'N', 'I349'),
  (1987, 'Sarnico', 16193, 'N', 'I437'),
  (1988, 'Scanzorosciate', 16194, 'N', 'I506'),
  (1989, 'Schilpario', 16195, 'N', 'I530'),
  (1990, 'Sedrina', 16196, 'N', 'I567'),
  (1991, 'Selvino', 16197, 'N', 'I597'),
  (1992, 'Seriate', 16198, 'N', 'I628'),
  (1993, 'Serina', 16199, 'N', 'I629'),
  (1994, 'Solto Collina', 16200, 'N', 'I812'),
  (1995, 'Solza', 16251, 'N', 'I813'),
  (1996, 'Songavazzo', 16201, 'N', 'I830'),
  (1997, 'Sorisole', 16202, 'N', 'I858'),
  (1998, 'Sotto il Monte Giovanni XXIII', 16203, 'N', 'I869'),
  (1999, 'Sovere', 16204, 'N', 'I873'),
  (2000, 'Spinone al Lago', 16205, 'N', 'I916'),
  (2001, 'Spirano', 16206, 'N', 'I919'),
  (2002, 'Stezzano', 16207, 'N', 'I951'),
  (2003, 'Strozza', 16208, 'N', 'I986'),
  (2004, 'Suisio', 16209, 'N', 'I997'),
  (2005, 'Taleggio', 16210, 'N', 'L037'),
  (2006, 'Tavernola Bergamasca', 16211, 'N', 'L073'),
  (2007, 'Telgate', 16212, 'N', 'L087'),
  (2008, 'Terno d''Isola', 16213, 'N', 'L118'),
  (2009, 'Torre Boldone', 16214, 'N', 'L251'),
  (2010, 'Torre de'' Roveri', 16216, 'N', 'L265'),
  (2011, 'Torre Pallavicina', 16217, 'N', 'L276'),
  (2012, 'Trescore Balneario', 16218, 'N', 'L388'),
  (2013, 'Treviglio', 16219, 'N', 'L400'),
  (2014, 'Treviolo', 16220, 'N', 'L404'),
  (2015, 'Ubiale Clanezzo', 16221, 'N', 'C789'),
  (2016, 'Urgnano', 16222, 'N', 'L502'),
  (2017, 'Valbondione', 16223, 'N', 'L544'),
  (2018, 'Valbrembo', 16224, 'N', 'L545'),
  (2019, 'Valgoglio', 16225, 'N', 'L579'),
  (2020, 'Valleve', 16226, 'N', 'L623'),
  (2021, 'Valnegra', 16227, 'N', 'L642'),
  (2022, 'Valsecca', 16228, 'N', 'L649'),
  (2023, 'Valtorta', 16229, 'N', 'L655'),
  (2024, 'Vedeseta', 16230, 'N', 'L707'),
  (2025, 'Verdellino', 16232, 'N', 'L752'),
  (2026, 'Verdello', 16233, 'N', 'L753'),
  (2027, 'Vertova', 16234, 'N', 'L795'),
  (2028, 'Viadanica', 16235, 'N', 'L827'),
  (2029, 'Vigano San Martino', 16236, 'N', 'L865'),
  (2030, 'Vigolo', 16237, 'N', 'L894'),
  (2031, 'Villa d''Adda', 16238, 'N', 'L929'),
  (2032, 'Villa d''AlmÃ¨', 16239, 'N', 'A215'),
  (2033, 'Villa di Serio', 16240, 'N', 'L936'),
  (2034, 'Villa d''Ogna', 16241, 'N', 'L938'),
  (2035, 'Villongo', 16242, 'N', 'M045'),
  (2036, 'Vilminore di Scalve', 16243, 'N', 'M050'),
  (2037, 'Zandobbio', 16244, 'N', 'M144'),
  (2038, 'Zanica', 16245, 'N', 'M147'),
  (2039, 'Zogno', 16246, 'N', 'M184'),
  (2040, 'Acquafredda', 17001, 'N', 'A034'),
  (2041, 'Adro', 17002, 'N', 'A060'),
  (2042, 'Agnosine', 17003, 'N', 'A082'),
  (2043, 'Alfianello', 17004, 'N', 'A188'),
  (2044, 'Anfo', 17005, 'N', 'A288'),
  (2045, 'Angolo Terme', 17006, 'N', 'A293'),
  (2046, 'Artogne', 17007, 'N', 'A451'),
  (2047, 'Azzano Mella', 17008, 'N', 'A529'),
  (2048, 'Bagnolo Mella', 17009, 'N', 'A569'),
  (2049, 'Bagolino', 17010, 'N', 'A578'),
  (2050, 'Barbariga', 17011, 'N', 'A630'),
  (2051, 'Barghe', 17012, 'N', 'A661'),
  (2052, 'Bassano Bresciano', 17013, 'N', 'A702'),
  (2053, 'Bedizzole', 17014, 'N', 'A729'),
  (2054, 'Berlingo', 17015, 'N', 'A799'),
  (2055, 'Berzo Demo', 17016, 'N', 'A816'),
  (2056, 'Berzo Inferiore', 17017, 'N', 'A817'),
  (2057, 'Bienno', 17018, 'N', 'A861'),
  (2058, 'Bione', 17019, 'N', 'A878'),
  (2059, 'Borgo San Giacomo', 17020, 'N', 'B035'),
  (2060, 'Borgosatollo', 17021, 'N', 'B040'),
  (2061, 'Borno', 17022, 'N', 'B054'),
  (2062, 'Botticino', 17023, 'N', 'B091'),
  (2063, 'Bovegno', 17024, 'N', 'B100'),
  (2064, 'Bovezzo', 17025, 'N', 'B102'),
  (2065, 'Brandico', 17026, 'N', 'B120'),
  (2066, 'Braone', 17027, 'N', 'B124'),
  (2067, 'Breno', 17028, 'N', 'B149'),
  (2068, 'Brescia', 17029, 'N', 'B157'),
  (2069, 'Brione', 17030, 'N', 'B184'),
  (2070, 'Caino', 17031, 'N', 'B365'),
  (2071, 'Calcinato', 17032, 'N', 'B394'),
  (2072, 'Calvagese della Riviera', 17033, 'N', 'B436'),
  (2073, 'Calvisano', 17034, 'N', 'B450'),
  (2074, 'Capo di Ponte', 17035, 'N', 'B664'),
  (2075, 'Capovalle', 17036, 'N', 'B676'),
  (2076, 'Capriano del Colle', 17037, 'N', 'B698'),
  (2077, 'Capriolo', 17038, 'N', 'B711'),
  (2078, 'Carpenedolo', 17039, 'N', 'B817'),
  (2079, 'Castegnato', 17040, 'N', 'C055'),
  (2080, 'Castel Mella', 17042, 'N', 'C208'),
  (2081, 'Castelcovati', 17041, 'N', 'C072'),
  (2082, 'Castenedolo', 17043, 'N', 'C293'),
  (2083, 'Casto', 17044, 'N', 'C330'),
  (2084, 'Castrezzato', 17045, 'N', 'C332'),
  (2085, 'Cazzago San Martino', 17046, 'N', 'C408'),
  (2086, 'Cedegolo', 17047, 'N', 'C417'),
  (2087, 'Cellatica', 17048, 'N', 'C439'),
  (2088, 'Cerveno', 17049, 'N', 'C549'),
  (2089, 'Ceto', 17050, 'N', 'C585'),
  (2090, 'Cevo', 17051, 'N', 'C591'),
  (2091, 'Chiari', 17052, 'N', 'C618'),
  (2092, 'Cigole', 17053, 'N', 'C685'),
  (2093, 'Cimbergo', 17054, 'N', 'C691'),
  (2094, 'Cividate Camuno', 17055, 'N', 'C760'),
  (2095, 'Coccaglio', 17056, 'N', 'C806'),
  (2096, 'Collebeato', 17057, 'N', 'C850'),
  (2097, 'Collio', 17058, 'N', 'C883'),
  (2098, 'Cologne', 17059, 'N', 'C893'),
  (2099, 'Comezzano-Cizzago', 17060, 'N', 'C925'),
  (2100, 'Concesio', 17061, 'N', 'C948'),
  (2101, 'Corte Franca', 17062, 'N', 'D058'),
  (2102, 'Corteno Golgi', 17063, 'N', 'D064'),
  (2103, 'Corzano', 17064, 'N', 'D082'),
  (2104, 'Darfo Boario Terme', 17065, 'N', 'D251'),
  (2105, 'Dello', 17066, 'N', 'D270'),
  (2106, 'Desenzano del Garda', 17067, 'N', 'D284'),
  (2107, 'Edolo', 17068, 'N', 'D391'),
  (2108, 'Erbusco', 17069, 'N', 'D421'),
  (2109, 'Esine', 17070, 'N', 'D434'),
  (2110, 'Fiesse', 17071, 'N', 'D576'),
  (2111, 'Flero', 17072, 'N', 'D634'),
  (2112, 'Gambara', 17073, 'N', 'D891'),
  (2113, 'Gardone Riviera', 17074, 'N', 'D917'),
  (2114, 'Gardone Val Trompia', 17075, 'N', 'D918'),
  (2115, 'Gargnano', 17076, 'N', 'D924'),
  (2116, 'Gavardo', 17077, 'N', 'D940'),
  (2117, 'Ghedi', 17078, 'N', 'D999'),
  (2118, 'Gianico', 17079, 'N', 'E010'),
  (2119, 'Gottolengo', 17080, 'N', 'E116'),
  (2120, 'Gussago', 17081, 'N', 'E271'),
  (2121, 'Idro', 17082, 'N', 'E280'),
  (2122, 'Incudine', 17083, 'N', 'E297'),
  (2123, 'Irma', 17084, 'N', 'E325'),
  (2124, 'Iseo', 17085, 'N', 'E333'),
  (2125, 'Isorella', 17086, 'N', 'E364'),
  (2126, 'Lavenone', 17087, 'N', 'E497'),
  (2127, 'Leno', 17088, 'N', 'E526'),
  (2128, 'Limone sul Garda', 17089, 'N', 'E596'),
  (2129, 'Lodrino', 17090, 'N', 'E652'),
  (2130, 'Lograto', 17091, 'N', 'E654'),
  (2131, 'Lonato del Garda', 17092, 'N', 'M312'),
  (2132, 'Longhena', 17093, 'N', 'E673'),
  (2133, 'Losine', 17094, 'N', 'E698'),
  (2134, 'Lozio', 17095, 'N', 'E706'),
  (2135, 'Lumezzane', 17096, 'N', 'E738'),
  (2136, 'Maclodio', 17097, 'N', 'E787'),
  (2137, 'Magasa', 17098, 'N', 'E800'),
  (2138, 'Mairano', 17099, 'N', 'E841'),
  (2139, 'Malegno', 17100, 'N', 'E851'),
  (2140, 'Malonno', 17101, 'N', 'E865'),
  (2141, 'Manerba del Garda', 17102, 'N', 'E883'),
  (2142, 'Manerbio', 17103, 'N', 'E884'),
  (2143, 'Marcheno', 17104, 'N', 'E928'),
  (2144, 'Marmentino', 17105, 'N', 'E961'),
  (2145, 'Marone', 17106, 'N', 'E967'),
  (2146, 'Mazzano', 17107, 'N', 'F063'),
  (2147, 'Milzano', 17108, 'N', 'F216'),
  (2148, 'Moniga del Garda', 17109, 'N', 'F373'),
  (2149, 'Monno', 17110, 'N', 'F375'),
  (2150, 'Monte Isola', 17111, 'N', 'F532'),
  (2151, 'Monticelli Brusati', 17112, 'N', 'F672'),
  (2152, 'Montichiari', 17113, 'N', 'F471'),
  (2153, 'Montirone', 17114, 'N', 'F680'),
  (2154, 'Mura', 17115, 'N', 'F806'),
  (2155, 'Muscoline', 17116, 'N', 'F820'),
  (2156, 'Nave', 17117, 'N', 'F851'),
  (2157, 'Niardo', 17118, 'N', 'F884'),
  (2158, 'Nuvolento', 17119, 'N', 'F989'),
  (2159, 'Nuvolera', 17120, 'N', 'F990'),
  (2160, 'Odolo', 17121, 'N', 'G001'),
  (2161, 'Offlaga', 17122, 'N', 'G006'),
  (2162, 'Ome', 17123, 'N', 'G061'),
  (2163, 'Ono San Pietro', 17124, 'N', 'G074'),
  (2164, 'Orzinuovi', 17125, 'N', 'G149'),
  (2165, 'Orzivecchi', 17126, 'N', 'G150'),
  (2166, 'Ospitaletto', 17127, 'N', 'G170'),
  (2167, 'Ossimo', 17128, 'N', 'G179'),
  (2168, 'Padenghe sul Garda', 17129, 'N', 'G213'),
  (2169, 'Paderno Franciacorta', 17130, 'N', 'G217'),
  (2170, 'Paisco Loveno', 17131, 'N', 'G247'),
  (2171, 'Paitone', 17132, 'N', 'G248'),
  (2172, 'Palazzolo sull''Oglio', 17133, 'N', 'G264'),
  (2173, 'Paratico', 17134, 'N', 'G327'),
  (2174, 'Paspardo', 17135, 'N', 'G354'),
  (2175, 'Passirano', 17136, 'N', 'G361'),
  (2176, 'Pavone del Mella', 17137, 'N', 'G391'),
  (2177, 'Pertica Alta', 17139, 'N', 'G474'),
  (2178, 'Pertica Bassa', 17140, 'N', 'G475'),
  (2179, 'Pezzaze', 17141, 'N', 'G529'),
  (2180, 'Pian Camuno', 17142, 'N', 'G546'),
  (2181, 'Piancogno', 17206, 'N', 'G549'),
  (2182, 'Pisogne', 17143, 'N', 'G710'),
  (2183, 'Polaveno', 17144, 'N', 'G779'),
  (2184, 'Polpenazze del Garda', 17145, 'N', 'G801'),
  (2185, 'Pompiano', 17146, 'N', 'G815'),
  (2186, 'Poncarale', 17147, 'N', 'G818'),
  (2187, 'Ponte di Legno', 17148, 'N', 'G844'),
  (2188, 'Pontevico', 17149, 'N', 'G859'),
  (2189, 'Pontoglio', 17150, 'N', 'G869'),
  (2190, 'Pozzolengo', 17151, 'N', 'G959'),
  (2191, 'Pralboino', 17152, 'N', 'G977'),
  (2192, 'Preseglie', 17153, 'N', 'H043'),
  (2193, 'Prestine', 17154, 'N', 'H050'),
  (2194, 'Prevalle', 17155, 'N', 'H055'),
  (2195, 'Provaglio d''Iseo', 17156, 'N', 'H078'),
  (2196, 'Provaglio Val Sabbia', 17157, 'N', 'H077'),
  (2197, 'Puegnago sul Garda', 17158, 'N', 'H086'),
  (2198, 'Quinzano d''Oglio', 17159, 'N', 'H140'),
  (2199, 'Remedello', 17160, 'N', 'H230'),
  (2200, 'Rezzato', 17161, 'N', 'H256'),
  (2201, 'Roccafranca', 17162, 'N', 'H410'),
  (2202, 'Rodengo Saiano', 17163, 'N', 'H477'),
  (2203, 'RoÃ¨ Volciano', 17164, 'N', 'H484'),
  (2204, 'Roncadelle', 17165, 'N', 'H525'),
  (2205, 'Rovato', 17166, 'N', 'H598'),
  (2206, 'Rudiano', 17167, 'N', 'H630'),
  (2207, 'Sabbio Chiese', 17168, 'N', 'H650'),
  (2208, 'Sale Marasino', 17169, 'N', 'H699'),
  (2209, 'SalÃ²', 17170, 'N', 'H717'),
  (2210, 'San Felice del Benaco', 17171, 'N', 'H838'),
  (2211, 'San Gervasio Bresciano', 17172, 'N', 'H865'),
  (2212, 'San Paolo', 17138, 'N', 'G407'),
  (2213, 'San Zeno Naviglio', 17173, 'N', 'I412'),
  (2214, 'Sarezzo', 17174, 'N', 'I433'),
  (2215, 'Saviore dell''Adamello', 17175, 'N', 'I476'),
  (2216, 'Sellero', 17176, 'N', 'I588'),
  (2217, 'Seniga', 17177, 'N', 'I607'),
  (2218, 'Serle', 17178, 'N', 'I631'),
  (2219, 'Sirmione', 17179, 'N', 'I633'),
  (2220, 'Soiano del Lago', 17180, 'N', 'I782'),
  (2221, 'Sonico', 17181, 'N', 'I831'),
  (2222, 'Sulzano', 17182, 'N', 'L002'),
  (2223, 'Tavernole sul Mella', 17183, 'N', 'C698'),
  (2224, 'TemÃ¹', 17184, 'N', 'L094'),
  (2225, 'Tignale', 17185, 'N', 'L169'),
  (2226, 'Torbole Casaglia', 17186, 'N', 'L210'),
  (2227, 'Toscolano-Maderno', 17187, 'N', 'L312'),
  (2228, 'Travagliato', 17188, 'N', 'L339'),
  (2229, 'Tremosine', 17189, 'N', 'L372'),
  (2230, 'Trenzano', 17190, 'N', 'L380'),
  (2231, 'Treviso Bresciano', 17191, 'N', 'L406'),
  (2232, 'Urago d''Oglio', 17192, 'N', 'L494'),
  (2233, 'Vallio Terme', 17193, 'N', 'L626'),
  (2234, 'Valvestino', 17194, 'N', 'L468'),
  (2235, 'Verolanuova', 17195, 'N', 'L777'),
  (2236, 'Verolavecchia', 17196, 'N', 'L778'),
  (2237, 'Vestone', 17197, 'N', 'L812'),
  (2238, 'Vezza d''Oglio', 17198, 'N', 'L816'),
  (2239, 'Villa Carcina', 17199, 'N', 'L919'),
  (2240, 'Villachiara', 17200, 'N', 'L923'),
  (2241, 'Villanuova sul Clisi', 17201, 'N', 'L995'),
  (2242, 'Vione', 17202, 'N', 'M065'),
  (2243, 'Visano', 17203, 'N', 'M070'),
  (2244, 'Vobarno', 17204, 'N', 'M104'),
  (2245, 'Zone', 17205, 'N', 'M188'),
  (2246, 'Alagna', 18001, 'N', 'A118'),
  (2247, 'Albaredo Arnaboldi', 18002, 'N', 'A134'),
  (2248, 'Albonese', 18003, 'N', 'A171'),
  (2249, 'Albuzzano', 18004, 'N', 'A175'),
  (2250, 'Arena Po', 18005, 'N', 'A387'),
  (2251, 'Badia Pavese', 18006, 'N', 'A538'),
  (2252, 'Bagnaria', 18007, 'N', 'A550'),
  (2253, 'Barbianello', 18008, 'N', 'A634'),
  (2254, 'BascapÃ¨', 18009, 'N', 'A690'),
  (2255, 'Bastida de'' Dossi', 18010, 'N', 'A711'),
  (2256, 'Bastida Pancarana', 18011, 'N', 'A712'),
  (2257, 'Battuda', 18012, 'N', 'A718'),
  (2258, 'Belgioioso', 18013, 'N', 'A741'),
  (2259, 'Bereguardo', 18014, 'N', 'A792'),
  (2260, 'Borgarello', 18015, 'N', 'A989'),
  (2261, 'Borgo Priolo', 18016, 'N', 'B028'),
  (2262, 'Borgo San Siro', 18018, 'N', 'B038'),
  (2263, 'Borgoratto Mormorolo', 18017, 'N', 'B030'),
  (2264, 'Bornasco', 18019, 'N', 'B051'),
  (2265, 'Bosnasco', 18020, 'N', 'B082'),
  (2266, 'Brallo di Pregola', 18021, 'N', 'B117'),
  (2267, 'Breme', 18022, 'N', 'B142'),
  (2268, 'Bressana Bottarone', 18023, 'N', 'B159'),
  (2269, 'Broni', 18024, 'N', 'B201'),
  (2270, 'Calvignano', 18025, 'N', 'B447'),
  (2271, 'Campospinoso', 18026, 'N', 'B567'),
  (2272, 'Candia Lomellina', 18027, 'N', 'B587'),
  (2273, 'Canevino', 18028, 'N', 'B599'),
  (2274, 'Canneto Pavese', 18029, 'N', 'B613'),
  (2275, 'Carbonara al Ticino', 18030, 'N', 'B741'),
  (2276, 'Casanova Lonati', 18031, 'N', 'B929'),
  (2277, 'Casatisma', 18032, 'N', 'B945'),
  (2278, 'Casei Gerola', 18033, 'N', 'B954'),
  (2279, 'Casorate Primo', 18034, 'N', 'B988'),
  (2280, 'Cassolnovo', 18035, 'N', 'C038'),
  (2281, 'Castana', 18036, 'N', 'C050'),
  (2282, 'Casteggio', 18037, 'N', 'C053'),
  (2283, 'Castelletto di Branduzzo', 18038, 'N', 'C157'),
  (2284, 'Castello d''Agogna', 18039, 'N', 'C184'),
  (2285, 'Castelnovetto', 18040, 'N', 'C213'),
  (2286, 'Cava Manara', 18041, 'N', 'C360'),
  (2287, 'Cecima', 18042, 'N', 'C414'),
  (2288, 'Ceranova', 18043, 'N', 'C484'),
  (2289, 'Ceretto Lomellina', 18044, 'N', 'C508'),
  (2290, 'Cergnago', 18045, 'N', 'C509'),
  (2291, 'Certosa di Pavia', 18046, 'N', 'C541'),
  (2292, 'Cervesina', 18047, 'N', 'C551'),
  (2293, 'Chignolo Po', 18048, 'N', 'C637'),
  (2294, 'Cigognola', 18049, 'N', 'C684'),
  (2295, 'Cilavegna', 18050, 'N', 'C686'),
  (2296, 'Codevilla', 18051, 'N', 'C813'),
  (2297, 'Confienza', 18052, 'N', 'C958'),
  (2298, 'Copiano', 18053, 'N', 'C979'),
  (2299, 'Corana', 18054, 'N', 'C982'),
  (2300, 'Cornale', 18055, 'N', 'D017'),
  (2301, 'Corteolona', 18056, 'N', 'D067'),
  (2302, 'Corvino San Quirico', 18057, 'N', 'D081'),
  (2303, 'Costa de'' Nobili', 18058, 'N', 'D109'),
  (2304, 'Cozzo', 18059, 'N', 'D127'),
  (2305, 'Cura Carpignano', 18060, 'N', 'B824'),
  (2306, 'Dorno', 18061, 'N', 'D348'),
  (2307, 'Ferrera Erbognone', 18062, 'N', 'D552'),
  (2308, 'Filighera', 18063, 'N', 'D594'),
  (2309, 'Fortunago', 18064, 'N', 'D732'),
  (2310, 'Frascarolo', 18065, 'N', 'D771'),
  (2311, 'Galliavola', 18066, 'N', 'D873'),
  (2312, 'Gambarana', 18067, 'N', 'D892'),
  (2313, 'GambolÃ²', 18068, 'N', 'D901'),
  (2314, 'Garlasco', 18069, 'N', 'D925'),
  (2315, 'Genzone', 18070, 'N', 'D973'),
  (2316, 'Gerenzago', 18071, 'N', 'D980'),
  (2317, 'Giussago', 18072, 'N', 'E062'),
  (2318, 'Godiasco', 18073, 'N', 'E072'),
  (2319, 'Golferenzo', 18074, 'N', 'E081'),
  (2320, 'Gravellona Lomellina', 18075, 'N', 'E152'),
  (2321, 'Gropello Cairoli', 18076, 'N', 'E195'),
  (2322, 'Inverno e Monteleone', 18077, 'N', 'E310'),
  (2323, 'Landriano', 18078, 'N', 'E437'),
  (2324, 'Langosco', 18079, 'N', 'E439'),
  (2325, 'Lardirago', 18080, 'N', 'E454'),
  (2326, 'Linarolo', 18081, 'N', 'E600'),
  (2327, 'Lirio', 18082, 'N', 'E608'),
  (2328, 'Lomello', 18083, 'N', 'E662'),
  (2329, 'Lungavilla', 18084, 'N', 'B387'),
  (2330, 'Magherno', 18085, 'N', 'E804'),
  (2331, 'Marcignago', 18086, 'N', 'E934'),
  (2332, 'Marzano', 18087, 'N', 'E999'),
  (2333, 'Mede', 18088, 'N', 'F080'),
  (2334, 'Menconico', 18089, 'N', 'F122'),
  (2335, 'Mezzana Bigli', 18090, 'N', 'F170'),
  (2336, 'Mezzana Rabattone', 18091, 'N', 'F171'),
  (2337, 'Mezzanino', 18092, 'N', 'F175'),
  (2338, 'Miradolo Terme', 18093, 'N', 'F238'),
  (2339, 'Montalto Pavese', 18094, 'N', 'F417'),
  (2340, 'Montebello della Battaglia', 18095, 'N', 'F440'),
  (2341, 'Montecalvo Versiggia', 18096, 'N', 'F449'),
  (2342, 'Montescano', 18097, 'N', 'F638'),
  (2343, 'Montesegale', 18098, 'N', 'F644'),
  (2344, 'Monticelli Pavese', 18099, 'N', 'F670'),
  (2345, 'MontÃ¹ Beccaria', 18100, 'N', 'F701'),
  (2346, 'Mornico Losana', 18101, 'N', 'F739'),
  (2347, 'Mortara', 18102, 'N', 'F754'),
  (2348, 'Nicorvo', 18103, 'N', 'F891'),
  (2349, 'Olevano di Lomellina', 18104, 'N', 'G021'),
  (2350, 'Oliva Gessi', 18105, 'N', 'G032'),
  (2351, 'Ottobiano', 18106, 'N', 'G194'),
  (2352, 'Palestro', 18107, 'N', 'G275'),
  (2353, 'Pancarana', 18108, 'N', 'G304'),
  (2354, 'Parona', 18109, 'N', 'G342'),
  (2355, 'Pavia', 18110, 'N', 'G388'),
  (2356, 'Pietra de'' Giorgi', 18111, 'N', 'G612'),
  (2357, 'Pieve Albignola', 18112, 'N', 'G635'),
  (2358, 'Pieve del Cairo', 18113, 'N', 'G639'),
  (2359, 'Pieve Porto Morone', 18114, 'N', 'G650'),
  (2360, 'Pinarolo Po', 18115, 'N', 'G671'),
  (2361, 'Pizzale', 18116, 'N', 'G720'),
  (2362, 'Ponte Nizza', 18117, 'N', 'G851'),
  (2363, 'Portalbera', 18118, 'N', 'G895'),
  (2364, 'Rea', 18119, 'N', 'H204'),
  (2365, 'Redavalle', 18120, 'N', 'H216'),
  (2366, 'Retorbido', 18121, 'N', 'H246'),
  (2367, 'Rivanazzano Terme', 18122, 'N', 'H336'),
  (2368, 'Robbio', 18123, 'N', 'H369'),
  (2369, 'Robecco Pavese', 18124, 'N', 'H375'),
  (2370, 'Rocca de'' Giorgi', 18125, 'N', 'H396'),
  (2371, 'Rocca Susella', 18126, 'N', 'H450'),
  (2372, 'Rognano', 18127, 'N', 'H491'),
  (2373, 'Romagnese', 18128, 'N', 'H505'),
  (2374, 'Roncaro', 18129, 'N', 'H527'),
  (2375, 'Rosasco', 18130, 'N', 'H559'),
  (2376, 'Rovescala', 18131, 'N', 'H614'),
  (2377, 'Ruino', 18132, 'N', 'H637'),
  (2378, 'San Cipriano Po', 18133, 'N', 'H799'),
  (2379, 'San Damiano al Colle', 18134, 'N', 'H814'),
  (2380, 'San Genesio ed Uniti', 18135, 'N', 'H859'),
  (2381, 'San Giorgio di Lomellina', 18136, 'N', 'H885'),
  (2382, 'San Martino Siccomario', 18137, 'N', 'I014'),
  (2383, 'San Zenone al Po', 18145, 'N', 'I416'),
  (2384, 'Sannazzaro de'' Burgondi', 18138, 'N', 'I048'),
  (2385, 'Santa Cristina e Bissone', 18139, 'N', 'I175'),
  (2386, 'Santa Giuletta', 18140, 'N', 'I203'),
  (2387, 'Santa Margherita di Staffora', 18142, 'N', 'I230'),
  (2388, 'Santa Maria della Versa', 18143, 'N', 'I237'),
  (2389, 'Sant''Alessio con Vialone', 18141, 'N', 'I213'),
  (2390, 'Sant''Angelo Lomellina', 18144, 'N', 'I276'),
  (2391, 'Sartirana Lomellina', 18146, 'N', 'I447'),
  (2392, 'Scaldasole', 18147, 'N', 'I487'),
  (2393, 'Semiana', 18148, 'N', 'I599'),
  (2394, 'Silvano Pietra', 18149, 'N', 'I739'),
  (2395, 'Siziano', 18150, 'N', 'E265'),
  (2396, 'Sommo', 18151, 'N', 'I825'),
  (2397, 'Spessa', 18152, 'N', 'I894'),
  (2398, 'Stradella', 18153, 'N', 'I968'),
  (2399, 'Suardi', 18154, 'N', 'B014'),
  (2400, 'Torrazza Coste', 18155, 'N', 'L237'),
  (2401, 'Torre Beretti e Castellaro', 18156, 'N', 'L250'),
  (2402, 'Torre d''Arese', 18157, 'N', 'L256'),
  (2403, 'Torre de'' Negri', 18158, 'N', 'L262'),
  (2404, 'Torre d''Isola', 18159, 'N', 'L269'),
  (2405, 'Torrevecchia Pia', 18160, 'N', 'L285'),
  (2406, 'Torricella Verzate', 18161, 'N', 'L292'),
  (2407, 'TravacÃ² Siccomario', 18162, 'N', 'I236'),
  (2408, 'Trivolzio', 18163, 'N', 'L440'),
  (2409, 'Tromello', 18164, 'N', 'L449'),
  (2410, 'Trovo', 18165, 'N', 'L453'),
  (2411, 'Val di Nizza', 18166, 'N', 'L562'),
  (2412, 'Valeggio', 18167, 'N', 'L568'),
  (2413, 'Valle Lomellina', 18168, 'N', 'L593'),
  (2414, 'Valle Salimbene', 18169, 'N', 'L617'),
  (2415, 'Valverde', 18170, 'N', 'L659'),
  (2416, 'Varzi', 18171, 'N', 'L690'),
  (2417, 'Velezzo Lomellina', 18172, 'N', 'L716'),
  (2418, 'Vellezzo Bellini', 18173, 'N', 'L720'),
  (2419, 'Verretto', 18174, 'N', 'L784'),
  (2420, 'Verrua Po', 18175, 'N', 'L788'),
  (2421, 'Vidigulfo', 18176, 'N', 'L854'),
  (2422, 'Vigevano', 18177, 'N', 'L872'),
  (2423, 'Villa Biscossi', 18178, 'N', 'L917'),
  (2424, 'Villanova d''Ardenghi', 18179, 'N', 'L983'),
  (2425, 'Villanterio', 18180, 'N', 'L994'),
  (2426, 'Vistarino', 18181, 'N', 'M079'),
  (2427, 'Voghera', 18182, 'N', 'M109'),
  (2428, 'Volpara', 18183, 'N', 'M119'),
  (2429, 'Zavattarello', 18184, 'N', 'M150'),
  (2430, 'Zeccone', 18185, 'N', 'M152'),
  (2431, 'Zeme', 18186, 'N', 'M161'),
  (2432, 'Zenevredo', 18187, 'N', 'M162'),
  (2433, 'Zerbo', 18188, 'N', 'M166'),
  (2434, 'ZerbolÃ²', 18189, 'N', 'M167'),
  (2435, 'Zinasco', 18190, 'N', 'M180'),
  (2436, 'Acquanegra Cremonese', 19001, 'N', 'A039'),
  (2437, 'Agnadello', 19002, 'N', 'A076'),
  (2438, 'Annicco', 19003, 'N', 'A299'),
  (2439, 'Azzanello', 19004, 'N', 'A526'),
  (2440, 'Bagnolo Cremasco', 19005, 'N', 'A570'),
  (2441, 'Bonemerse', 19006, 'N', 'A972'),
  (2442, 'Bordolano', 19007, 'N', 'A986'),
  (2443, 'Ca'' d''Andrea', 19008, 'N', 'B320'),
  (2444, 'Calvatone', 19009, 'N', 'B439'),
  (2445, 'Camisano', 19010, 'N', 'B484'),
  (2446, 'Campagnola Cremasca', 19011, 'N', 'B498'),
  (2447, 'Capergnanica', 19012, 'N', 'B650'),
  (2448, 'Cappella Cantone', 19013, 'N', 'B679'),
  (2449, 'Cappella de'' Picenardi', 19014, 'N', 'B680'),
  (2450, 'Capralba', 19015, 'N', 'B686'),
  (2451, 'Casalbuttano ed Uniti', 19016, 'N', 'B869'),
  (2452, 'Casale Cremasco-Vidolasco', 19017, 'N', 'B881'),
  (2453, 'Casaletto Ceredano', 19018, 'N', 'B889'),
  (2454, 'Casaletto di Sopra', 19019, 'N', 'B890'),
  (2455, 'Casaletto Vaprio', 19020, 'N', 'B891'),
  (2456, 'Casalmaggiore', 19021, 'N', 'B898'),
  (2457, 'Casalmorano', 19022, 'N', 'B900'),
  (2458, 'Castel Gabbiano', 19024, 'N', 'C115'),
  (2459, 'Casteldidone', 19023, 'N', 'C089'),
  (2460, 'Castelleone', 19025, 'N', 'C153'),
  (2461, 'Castelverde', 19026, 'N', 'B129'),
  (2462, 'Castelvisconti', 19027, 'N', 'C290'),
  (2463, 'Cella Dati', 19028, 'N', 'C435'),
  (2464, 'Chieve', 19029, 'N', 'C634'),
  (2465, 'Cicognolo', 19030, 'N', 'C678'),
  (2466, 'Cingia de'' Botti', 19031, 'N', 'C703'),
  (2467, 'Corte de'' Cortesi con Cignone', 19032, 'N', 'D056'),
  (2468, 'Corte de'' Frati', 19033, 'N', 'D057'),
  (2469, 'Credera Rubbiano', 19034, 'N', 'D141'),
  (2470, 'Crema', 19035, 'N', 'D142'),
  (2471, 'Cremona', 19036, 'N', 'D150'),
  (2472, 'Cremosano', 19037, 'N', 'D151'),
  (2473, 'Crotta d''Adda', 19038, 'N', 'D186'),
  (2474, 'Cumignano sul Naviglio', 19039, 'N', 'D203'),
  (2475, 'Derovere', 19040, 'N', 'D278'),
  (2476, 'Dovera', 19041, 'N', 'D358'),
  (2477, 'Drizzona', 19042, 'N', 'D370'),
  (2478, 'Fiesco', 19043, 'N', 'D574'),
  (2479, 'Formigara', 19044, 'N', 'D710'),
  (2480, 'Gabbioneta-Binanuova', 19045, 'N', 'D834'),
  (2481, 'Gadesco-Pieve Delmona', 19046, 'N', 'D841'),
  (2482, 'Genivolta', 19047, 'N', 'D966'),
  (2483, 'Gerre de'' Caprioli', 19048, 'N', 'D993'),
  (2484, 'Gombito', 19049, 'N', 'E082'),
  (2485, 'Grontardo', 19050, 'N', 'E193'),
  (2486, 'Grumello Cremonese ed Uniti', 19051, 'N', 'E217'),
  (2487, 'Gussola', 19052, 'N', 'E272'),
  (2488, 'Isola Dovarese', 19053, 'N', 'E356'),
  (2489, 'Izano', 19054, 'N', 'E380'),
  (2490, 'Madignano', 19055, 'N', 'E793'),
  (2491, 'Malagnino', 19056, 'N', 'E843'),
  (2492, 'Martignana di Po', 19057, 'N', 'E983'),
  (2493, 'Monte Cremasco', 19058, 'N', 'F434'),
  (2494, 'Montodine', 19059, 'N', 'F681'),
  (2495, 'Moscazzano', 19060, 'N', 'F761'),
  (2496, 'Motta Baluffi', 19061, 'N', 'F771'),
  (2497, 'Offanengo', 19062, 'N', 'G004'),
  (2498, 'Olmeneta', 19063, 'N', 'G047'),
  (2499, 'Ostiano', 19064, 'N', 'G185'),
  (2500, 'Paderno Ponchielli', 19065, 'N', 'G222'),
  (2501, 'Palazzo Pignano', 19066, 'N', 'G260'),
  (2502, 'Pandino', 19067, 'N', 'G306'),
  (2503, 'Persico Dosimo', 19068, 'N', 'G469'),
  (2504, 'Pescarolo ed Uniti', 19069, 'N', 'G483'),
  (2505, 'Pessina Cremonese', 19070, 'N', 'G504');
INSERT INTO tbl_comuni (idcomune, denominazione, codiceistat, statoestero, codcatastale) VALUES
  (2506, 'Piadena', 19071, 'N', 'G536'),
  (2507, 'Pianengo', 19072, 'N', 'G558'),
  (2508, 'Pieranica', 19073, 'N', 'G603'),
  (2509, 'Pieve d''Olmi', 19074, 'N', 'G647'),
  (2510, 'Pieve San Giacomo', 19075, 'N', 'G651'),
  (2511, 'Pizzighettone', 19076, 'N', 'G721'),
  (2512, 'Pozzaglio ed Uniti', 19077, 'N', 'B914'),
  (2513, 'Quintano', 19078, 'N', 'H130'),
  (2514, 'Ricengo', 19079, 'N', 'H276'),
  (2515, 'Ripalta Arpina', 19080, 'N', 'H314'),
  (2516, 'Ripalta Cremasca', 19081, 'N', 'H315'),
  (2517, 'Ripalta Guerina', 19082, 'N', 'H316'),
  (2518, 'Rivarolo del Re ed Uniti', 19083, 'N', 'H341'),
  (2519, 'Rivolta d''Adda', 19084, 'N', 'H357'),
  (2520, 'Robecco d''Oglio', 19085, 'N', 'H372'),
  (2521, 'Romanengo', 19086, 'N', 'H508'),
  (2522, 'Salvirola', 19087, 'N', 'H731'),
  (2523, 'San Bassano', 19088, 'N', 'H767'),
  (2524, 'San Daniele Po', 19089, 'N', 'H815'),
  (2525, 'San Giovanni in Croce', 19090, 'N', 'H918'),
  (2526, 'San Martino del Lago', 19091, 'N', 'I007'),
  (2527, 'Scandolara Ravara', 19092, 'N', 'I497'),
  (2528, 'Scandolara Ripa d''Oglio', 19093, 'N', 'I498'),
  (2529, 'Sergnano', 19094, 'N', 'I627'),
  (2530, 'Sesto ed Uniti', 19095, 'N', 'I683'),
  (2531, 'Solarolo Rainerio', 19096, 'N', 'I790'),
  (2532, 'Soncino', 19097, 'N', 'I827'),
  (2533, 'Soresina', 19098, 'N', 'I849'),
  (2534, 'Sospiro', 19099, 'N', 'I865'),
  (2535, 'Spinadesco', 19100, 'N', 'I906'),
  (2536, 'Spineda', 19101, 'N', 'I909'),
  (2537, 'Spino d''Adda', 19102, 'N', 'I914'),
  (2538, 'Stagno Lombardo', 19103, 'N', 'I935'),
  (2539, 'Ticengo', 19104, 'N', 'L164'),
  (2540, 'Torlino Vimercati', 19105, 'N', 'L221'),
  (2541, 'Tornata', 19106, 'N', 'L225'),
  (2542, 'Torre de'' Picenardi', 19107, 'N', 'L258'),
  (2543, 'Torricella del Pizzo', 19108, 'N', 'L296'),
  (2544, 'Trescore Cremasco', 19109, 'N', 'L389'),
  (2545, 'Trigolo', 19110, 'N', 'L426'),
  (2546, 'Vaiano Cremasco', 19111, 'N', 'L535'),
  (2547, 'Vailate', 19112, 'N', 'L539'),
  (2548, 'Vescovato', 19113, 'N', 'L806'),
  (2549, 'Volongo', 19114, 'N', 'M116'),
  (2550, 'Voltido', 19115, 'N', 'M127'),
  (2551, 'Acquanegra sul Chiese', 20001, 'N', 'A038'),
  (2552, 'Asola', 20002, 'N', 'A470'),
  (2553, 'Bagnolo San Vito', 20003, 'N', 'A575'),
  (2554, 'Bigarello', 20004, 'N', 'A866'),
  (2555, 'Borgoforte', 20005, 'N', 'B011'),
  (2556, 'Borgofranco sul Po', 20006, 'N', 'B013'),
  (2557, 'Bozzolo', 20007, 'N', 'B110'),
  (2558, 'Canneto sull''Oglio', 20008, 'N', 'B612'),
  (2559, 'Carbonara di Po', 20009, 'N', 'B739'),
  (2560, 'Casalmoro', 20010, 'N', 'B901'),
  (2561, 'Casaloldo', 20011, 'N', 'B907'),
  (2562, 'Casalromano', 20012, 'N', 'B911'),
  (2563, 'Castel d''Ario', 20014, 'N', 'C076'),
  (2564, 'Castel Goffredo', 20015, 'N', 'C118'),
  (2565, 'Castelbelforte', 20013, 'N', 'C059'),
  (2566, 'Castellucchio', 20016, 'N', 'C195'),
  (2567, 'Castiglione delle Stiviere', 20017, 'N', 'C312'),
  (2568, 'Cavriana', 20018, 'N', 'C406'),
  (2569, 'Ceresara', 20019, 'N', 'C502'),
  (2570, 'Commessaggio', 20020, 'N', 'C930'),
  (2571, 'Curtatone', 20021, 'N', 'D227'),
  (2572, 'Dosolo', 20022, 'N', 'D351'),
  (2573, 'Felonica', 20023, 'N', 'D529'),
  (2574, 'Gazoldo degli Ippoliti', 20024, 'N', 'D949'),
  (2575, 'Gazzuolo', 20025, 'N', 'D959'),
  (2576, 'Goito', 20026, 'N', 'E078'),
  (2577, 'Gonzaga', 20027, 'N', 'E089'),
  (2578, 'Guidizzolo', 20028, 'N', 'E261'),
  (2579, 'Magnacavallo', 20029, 'N', 'E818'),
  (2580, 'Mantova', 20030, 'N', 'E897'),
  (2581, 'Marcaria', 20031, 'N', 'E922'),
  (2582, 'Mariana Mantovana', 20032, 'N', 'E949'),
  (2583, 'Marmirolo', 20033, 'N', 'E962'),
  (2584, 'Medole', 20034, 'N', 'F086'),
  (2585, 'Moglia', 20035, 'N', 'F267'),
  (2586, 'Monzambano', 20036, 'N', 'F705'),
  (2587, 'Motteggiana', 20037, 'N', 'B012'),
  (2588, 'Ostiglia', 20038, 'N', 'G186'),
  (2589, 'Pegognaga', 20039, 'N', 'G417'),
  (2590, 'Pieve di Coriano', 20040, 'N', 'G633'),
  (2591, 'Piubega', 20041, 'N', 'G717'),
  (2592, 'Poggio Rusco', 20042, 'N', 'G753'),
  (2593, 'Pomponesco', 20043, 'N', 'G816'),
  (2594, 'Ponti sul Mincio', 20044, 'N', 'G862'),
  (2595, 'Porto Mantovano', 20045, 'N', 'G917'),
  (2596, 'Quingentole', 20046, 'N', 'H129'),
  (2597, 'Quistello', 20047, 'N', 'H143'),
  (2598, 'Redondesco', 20048, 'N', 'H218'),
  (2599, 'Revere', 20049, 'N', 'H248'),
  (2600, 'Rivarolo Mantovano', 20050, 'N', 'H342'),
  (2601, 'Rodigo', 20051, 'N', 'H481'),
  (2602, 'Roncoferraro', 20052, 'N', 'H541'),
  (2603, 'Roverbella', 20053, 'N', 'H604'),
  (2604, 'Sabbioneta', 20054, 'N', 'H652'),
  (2605, 'San Benedetto Po', 20055, 'N', 'H771'),
  (2606, 'San Giacomo delle Segnate', 20056, 'N', 'H870'),
  (2607, 'San Giorgio di Mantova', 20057, 'N', 'H883'),
  (2608, 'San Giovanni del Dosso', 20058, 'N', 'H912'),
  (2609, 'San Martino dall''Argine', 20059, 'N', 'I005'),
  (2610, 'Schivenoglia', 20060, 'N', 'I532'),
  (2611, 'Sermide', 20061, 'N', 'I632'),
  (2612, 'Serravalle a Po', 20062, 'N', 'I662'),
  (2613, 'Solferino', 20063, 'N', 'I801'),
  (2614, 'Sustinente', 20064, 'N', 'L015'),
  (2615, 'Suzzara', 20065, 'N', 'L020'),
  (2616, 'Viadana', 20066, 'N', 'L826'),
  (2617, 'Villa Poma', 20067, 'N', 'F804'),
  (2618, 'Villimpenta', 20068, 'N', 'M044'),
  (2619, 'Virgilio', 20069, 'N', 'H123'),
  (2620, 'Volta Mantovana', 20070, 'N', 'M125'),
  (2621, 'Abbadia Lariana', 97001, 'N', 'A005'),
  (2622, 'Airuno', 97002, 'N', 'A112'),
  (2623, 'Annone di Brianza', 97003, 'N', 'A301'),
  (2624, 'Ballabio', 97004, 'N', 'A594'),
  (2625, 'Barzago', 97005, 'N', 'A683'),
  (2626, 'BarzanÃ²', 97006, 'N', 'A686'),
  (2627, 'Barzio', 97007, 'N', 'A687'),
  (2628, 'Bellano', 97008, 'N', 'A745'),
  (2629, 'Bosisio Parini', 97009, 'N', 'B081'),
  (2630, 'Brivio', 97010, 'N', 'B194'),
  (2631, 'Bulciago', 97011, 'N', 'B261'),
  (2632, 'Calco', 97012, 'N', 'B396'),
  (2633, 'Calolziocorte', 97013, 'N', 'B423'),
  (2634, 'Carenno', 97014, 'N', 'B763'),
  (2635, 'Casargo', 97015, 'N', 'B937'),
  (2636, 'Casatenovo', 97016, 'N', 'B943'),
  (2637, 'Cassago Brianza', 97017, 'N', 'B996'),
  (2638, 'Cassina Valsassina', 97018, 'N', 'C024'),
  (2639, 'Castello di Brianza', 97019, 'N', 'C187'),
  (2640, 'Cernusco Lombardone', 97020, 'N', 'C521'),
  (2641, 'Cesana Brianza', 97021, 'N', 'C563'),
  (2642, 'Civate', 97022, 'N', 'C752'),
  (2643, 'Colico', 97023, 'N', 'C839'),
  (2644, 'Colle Brianza', 97024, 'N', 'C851'),
  (2645, 'Cortenova', 97025, 'N', 'D065'),
  (2646, 'Costa Masnaga', 97026, 'N', 'D112'),
  (2647, 'Crandola Valsassina', 97027, 'N', 'D131'),
  (2648, 'Cremella', 97028, 'N', 'D143'),
  (2649, 'Cremeno', 97029, 'N', 'D145'),
  (2650, 'Dervio', 97030, 'N', 'D280'),
  (2651, 'Dolzago', 97031, 'N', 'D327'),
  (2652, 'Dorio', 97032, 'N', 'D346'),
  (2653, 'Ello', 97033, 'N', 'D398'),
  (2654, 'Erve', 97034, 'N', 'D428'),
  (2655, 'Esino Lario', 97035, 'N', 'D436'),
  (2656, 'Galbiate', 97036, 'N', 'D865'),
  (2657, 'Garbagnate Monastero', 97037, 'N', 'D913'),
  (2658, 'Garlate', 97038, 'N', 'D926'),
  (2659, 'Imbersago', 97039, 'N', 'E287'),
  (2660, 'Introbio', 97040, 'N', 'E305'),
  (2661, 'Introzzo', 97041, 'N', 'E308'),
  (2662, 'Lecco', 97042, 'N', 'E507'),
  (2663, 'Lierna', 97043, 'N', 'E581'),
  (2664, 'Lomagna', 97044, 'N', 'E656'),
  (2665, 'Malgrate', 97045, 'N', 'E858'),
  (2666, 'Mandello del Lario', 97046, 'N', 'E879'),
  (2667, 'Margno', 97047, 'N', 'E947'),
  (2668, 'Merate', 97048, 'N', 'F133'),
  (2669, 'Missaglia', 97049, 'N', 'F248'),
  (2670, 'Moggio', 97050, 'N', 'F265'),
  (2671, 'Molteno', 97051, 'N', 'F304'),
  (2672, 'Monte Marenzo', 97052, 'N', 'F561'),
  (2673, 'Montevecchia', 97053, 'N', 'F657'),
  (2674, 'Monticello Brianza', 97054, 'N', 'F674'),
  (2675, 'Morterone', 97055, 'N', 'F758'),
  (2676, 'Nibionno', 97056, 'N', 'F887'),
  (2677, 'Oggiono', 97057, 'N', 'G009'),
  (2678, 'Olgiate Molgora', 97058, 'N', 'G026'),
  (2679, 'Olginate', 97059, 'N', 'G030'),
  (2680, 'Oliveto Lario', 97060, 'N', 'G040'),
  (2681, 'Osnago', 97061, 'N', 'G161'),
  (2682, 'Paderno d''Adda', 97062, 'N', 'G218'),
  (2683, 'Pagnona', 97063, 'N', 'G241'),
  (2684, 'Parlasco', 97064, 'N', 'G336'),
  (2685, 'Pasturo', 97065, 'N', 'G368'),
  (2686, 'Perego', 97066, 'N', 'G448'),
  (2687, 'Perledo', 97067, 'N', 'G456'),
  (2688, 'Pescate', 97068, 'N', 'G485'),
  (2689, 'Premana', 97069, 'N', 'H028'),
  (2690, 'Primaluna', 97070, 'N', 'H063'),
  (2691, 'Robbiate', 97071, 'N', 'G223'),
  (2692, 'Rogeno', 97072, 'N', 'H486'),
  (2693, 'Rovagnate', 97073, 'N', 'H596'),
  (2694, 'Santa Maria HoÃ¨', 97074, 'N', 'I243'),
  (2695, 'Sirone', 97075, 'N', 'I759'),
  (2696, 'Sirtori', 97076, 'N', 'I761'),
  (2697, 'Sueglio', 97077, 'N', 'I994'),
  (2698, 'Suello', 97078, 'N', 'I996'),
  (2699, 'Taceno', 97079, 'N', 'L022'),
  (2700, 'Torre de'' Busi', 97080, 'N', 'L257'),
  (2701, 'Tremenico', 97081, 'N', 'L368'),
  (2702, 'Valgreghentino', 97082, 'N', 'L581'),
  (2703, 'Valmadrera', 97083, 'N', 'L634'),
  (2704, 'Varenna', 97084, 'N', 'L680'),
  (2705, 'Vendrogno', 97085, 'N', 'L731'),
  (2706, 'Vercurago', 97086, 'N', 'L751'),
  (2707, 'Verderio Inferiore', 97087, 'N', 'L755'),
  (2708, 'Verderio Superiore', 97088, 'N', 'L756'),
  (2709, 'Vestreno', 97089, 'N', 'L813'),
  (2710, 'ViganÃ²', 97090, 'N', 'L866'),
  (2711, 'Abbadia Cerreto', 98001, 'N', 'A004'),
  (2712, 'Bertonico', 98002, 'N', 'A811'),
  (2713, 'Boffalora d''Adda', 98003, 'N', 'A919'),
  (2714, 'Borghetto Lodigiano', 98004, 'N', 'A995'),
  (2715, 'Borgo San Giovanni', 98005, 'N', 'B017'),
  (2716, 'Brembio', 98006, 'N', 'B141'),
  (2717, 'Camairago', 98007, 'N', 'B456'),
  (2718, 'Casaletto Lodigiano', 98008, 'N', 'B887'),
  (2719, 'Casalmaiocco', 98009, 'N', 'B899'),
  (2720, 'Casalpusterlengo', 98010, 'N', 'B910'),
  (2721, 'Caselle Landi', 98011, 'N', 'B961'),
  (2722, 'Caselle Lurani', 98012, 'N', 'B958'),
  (2723, 'Castelnuovo Bocca d''Adda', 98013, 'N', 'C228'),
  (2724, 'Castiglione d''Adda', 98014, 'N', 'C304'),
  (2725, 'Castiraga Vidardo', 98015, 'N', 'C329'),
  (2726, 'Cavacurta', 98016, 'N', 'C362'),
  (2727, 'Cavenago d''Adda', 98017, 'N', 'C394'),
  (2728, 'Cervignano d''Adda', 98018, 'N', 'C555'),
  (2729, 'Codogno', 98019, 'N', 'C816'),
  (2730, 'Comazzo', 98020, 'N', 'C917'),
  (2731, 'Cornegliano Laudense', 98021, 'N', 'D021'),
  (2732, 'Corno Giovine', 98022, 'N', 'D028'),
  (2733, 'Cornovecchio', 98023, 'N', 'D029'),
  (2734, 'Corte Palasio', 98024, 'N', 'D068'),
  (2735, 'Crespiatica', 98025, 'N', 'D159'),
  (2736, 'Fombio', 98026, 'N', 'D660'),
  (2737, 'Galgagnano', 98027, 'N', 'D868'),
  (2738, 'Graffignana', 98028, 'N', 'E127'),
  (2739, 'Guardamiglio', 98029, 'N', 'E238'),
  (2740, 'Livraga', 98030, 'N', 'E627'),
  (2741, 'Lodi', 98031, 'N', 'E648'),
  (2742, 'Lodi Vecchio', 98032, 'N', 'E651'),
  (2743, 'Maccastorna', 98033, 'N', 'E777'),
  (2744, 'Mairago', 98034, 'N', 'E840'),
  (2745, 'Maleo', 98035, 'N', 'E852'),
  (2746, 'Marudo', 98036, 'N', 'E994'),
  (2747, 'Massalengo', 98037, 'N', 'F028'),
  (2748, 'Meleti', 98038, 'N', 'F102'),
  (2749, 'Merlino', 98039, 'N', 'F149'),
  (2750, 'Montanaso Lombardo', 98040, 'N', 'F423'),
  (2751, 'Mulazzano', 98041, 'N', 'F801'),
  (2752, 'Orio Litta', 98042, 'N', 'G107'),
  (2753, 'Ospedaletto Lodigiano', 98043, 'N', 'G166'),
  (2754, 'Ossago Lodigiano', 98044, 'N', 'G171'),
  (2755, 'Pieve Fissiraga', 98045, 'N', 'G096'),
  (2756, 'Salerano sul Lambro', 98046, 'N', 'H701'),
  (2757, 'San Fiorano', 98047, 'N', 'H844'),
  (2758, 'San Martino in Strada', 98048, 'N', 'I012'),
  (2759, 'San Rocco al Porto', 98049, 'N', 'I140'),
  (2760, 'Sant''Angelo Lodigiano', 98050, 'N', 'I274'),
  (2761, 'Santo Stefano Lodigiano', 98051, 'N', 'I362'),
  (2762, 'Secugnago', 98052, 'N', 'I561'),
  (2763, 'Senna Lodigiana', 98053, 'N', 'I612'),
  (2764, 'Somaglia', 98054, 'N', 'I815'),
  (2765, 'Sordio', 98055, 'N', 'I848'),
  (2766, 'Tavazzano con Villavesco', 98056, 'N', 'F260'),
  (2767, 'Terranova dei Passerini', 98057, 'N', 'L125'),
  (2768, 'Turano Lodigiano', 98058, 'N', 'L469'),
  (2769, 'Valera Fratta', 98059, 'N', 'L572'),
  (2770, 'Villanova del Sillaro', 98060, 'N', 'L977'),
  (2771, 'Zelo Buon Persico', 98061, 'N', 'M158'),
  (2772, 'Agrate Brianza', 108001, 'N', 'A087'),
  (2773, 'Aicurzio', 108002, 'N', 'A096'),
  (2774, 'Albiate', 108003, 'N', 'A159'),
  (2775, 'Arcore', 108004, 'N', 'A376'),
  (2776, 'Barlassina', 108005, 'N', 'A668'),
  (2777, 'Bellusco', 108006, 'N', 'A759'),
  (2778, 'Bernareggio', 108007, 'N', 'A802'),
  (2779, 'Besana in Brianza', 108008, 'N', 'A818'),
  (2780, 'Biassono', 108009, 'N', 'A849'),
  (2781, 'Bovisio-Masciago', 108010, 'N', 'B105'),
  (2782, 'Briosco', 108011, 'N', 'B187'),
  (2783, 'Brugherio', 108012, 'N', 'B212'),
  (2784, 'Burago di Molgora', 108013, 'N', 'B272'),
  (2785, 'Busnago', 108051, 'N', 'B289'),
  (2786, 'Camparada', 108014, 'N', 'B501'),
  (2787, 'Caponago', 108052, 'N', 'B671'),
  (2788, 'Carate Brianza', 108015, 'N', 'B729'),
  (2789, 'Carnate', 108016, 'N', 'B798'),
  (2790, 'Cavenago di Brianza', 108017, 'N', 'C395'),
  (2791, 'Ceriano Laghetto', 108018, 'N', 'C512'),
  (2792, 'Cesano Maderno', 108019, 'N', 'C566'),
  (2793, 'Cogliate', 108020, 'N', 'C820'),
  (2794, 'Concorezzo', 108021, 'N', 'C952'),
  (2795, 'Cornate d''Adda', 108053, 'N', 'D019'),
  (2796, 'Correzzana', 108022, 'N', 'D038'),
  (2797, 'Desio', 108023, 'N', 'D286'),
  (2798, 'Giussano', 108024, 'N', 'E063'),
  (2799, 'Lazzate', 108025, 'N', 'E504'),
  (2800, 'Lentate sul Seveso', 108054, 'N', 'E530'),
  (2801, 'Lesmo', 108026, 'N', 'E550'),
  (2802, 'Limbiate', 108027, 'N', 'E591'),
  (2803, 'Lissone', 108028, 'N', 'E617'),
  (2804, 'Macherio', 108029, 'N', 'E786'),
  (2805, 'Meda', 108030, 'N', 'F078'),
  (2806, 'Mezzago', 108031, 'N', 'F165'),
  (2807, 'Misinto', 108032, 'N', 'F247'),
  (2808, 'Monza', 108033, 'N', 'F704'),
  (2809, 'MuggiÃ²', 108034, 'N', 'F797'),
  (2810, 'Nova Milanese', 108035, 'N', 'F944'),
  (2811, 'Ornago', 108036, 'N', 'G116'),
  (2812, 'Renate', 108037, 'N', 'H233'),
  (2813, 'Roncello', 108055, 'N', 'H529'),
  (2814, 'Ronco Briantino', 108038, 'N', 'H537'),
  (2815, 'Seregno', 108039, 'N', 'I625'),
  (2816, 'Seveso', 108040, 'N', 'I709'),
  (2817, 'Sovico', 108041, 'N', 'I878'),
  (2818, 'Sulbiate', 108042, 'N', 'I998'),
  (2819, 'Triuggio', 108043, 'N', 'L434'),
  (2820, 'Usmate Velate', 108044, 'N', 'L511'),
  (2821, 'Varedo', 108045, 'N', 'L677'),
  (2822, 'Vedano al Lambro', 108046, 'N', 'L704'),
  (2823, 'Veduggio con Colzano', 108047, 'N', 'L709'),
  (2824, 'Verano Brianza', 108048, 'N', 'L744'),
  (2825, 'Villasanta', 108049, 'N', 'M017'),
  (2826, 'Vimercate', 108050, 'N', 'M052'),
  (2827, 'Aldino', 21001, 'N', 'A179'),
  (2828, 'Andriano', 21002, 'N', 'A286'),
  (2829, 'Anterivo', 21003, 'N', 'A306'),
  (2830, 'Appiano sulla strada del vino', 21004, 'N', 'A332'),
  (2831, 'Avelengo', 21005, 'N', 'A507'),
  (2832, 'Badia', 21006, 'N', 'A537'),
  (2833, 'Barbiano', 21007, 'N', 'A635'),
  (2834, 'Bolzano', 21008, 'N', 'A952'),
  (2835, 'Braies', 21009, 'N', 'B116'),
  (2836, 'Brennero', 21010, 'N', 'B145'),
  (2837, 'Bressanone', 21011, 'N', 'B160'),
  (2838, 'Bronzolo', 21012, 'N', 'B203'),
  (2839, 'Brunico', 21013, 'N', 'B220'),
  (2840, 'Caines', 21014, 'N', 'B364'),
  (2841, 'Caldaro sulla strada del vino', 21015, 'N', 'B397'),
  (2842, 'Campo di Trens', 21016, 'N', 'B529'),
  (2843, 'Campo Tures', 21017, 'N', 'B570'),
  (2844, 'Castelbello-Ciardes', 21018, 'N', 'C062'),
  (2845, 'Castelrotto', 21019, 'N', 'C254'),
  (2846, 'Cermes', 21020, 'N', 'A022'),
  (2847, 'Chienes', 21021, 'N', 'C625'),
  (2848, 'Chiusa', 21022, 'N', 'C652'),
  (2849, 'Cornedo all''Isarco', 21023, 'N', 'B799'),
  (2850, 'Cortaccia sulla strada del vin', 21024, 'N', 'D048'),
  (2851, 'Cortina sulla strada del vino', 21025, 'N', 'D075'),
  (2852, 'Corvara in Badia', 21026, 'N', 'D079'),
  (2853, 'Curon Venosta', 21027, 'N', 'D222'),
  (2854, 'Dobbiaco', 21028, 'N', 'D311'),
  (2855, 'Egna', 21029, 'N', 'D392'),
  (2856, 'Falzes', 21030, 'N', 'D484'),
  (2857, 'FiÃ¨ allo Sciliar', 21031, 'N', 'D571'),
  (2858, 'Fortezza', 21032, 'N', 'D731'),
  (2859, 'Funes', 21033, 'N', 'D821'),
  (2860, 'Gais', 21034, 'N', 'D860'),
  (2861, 'Gargazzone', 21035, 'N', 'D923'),
  (2862, 'Glorenza', 21036, 'N', 'E069'),
  (2863, 'La Valle', 21117, 'N', 'E491'),
  (2864, 'Laces', 21037, 'N', 'E398'),
  (2865, 'Lagundo', 21038, 'N', 'E412'),
  (2866, 'Laion', 21039, 'N', 'E420'),
  (2867, 'Laives', 21040, 'N', 'E421'),
  (2868, 'Lana', 21041, 'N', 'E434'),
  (2869, 'Lasa', 21042, 'N', 'E457'),
  (2870, 'Lauregno', 21043, 'N', 'E481'),
  (2871, 'Luson', 21044, 'N', 'E764'),
  (2872, 'MagrÃ¨ sulla strada del vino', 21045, 'N', 'E829'),
  (2873, 'Malles Venosta', 21046, 'N', 'E862'),
  (2874, 'Marebbe', 21047, 'N', 'E938'),
  (2875, 'Marlengo', 21048, 'N', 'E959'),
  (2876, 'Martello', 21049, 'N', 'E981'),
  (2877, 'Meltina', 21050, 'N', 'F118'),
  (2878, 'Merano', 21051, 'N', 'F132'),
  (2879, 'Monguelfo-Tesido', 21052, 'N', 'F371'),
  (2880, 'Montagna', 21053, 'N', 'F392'),
  (2881, 'Moso in Passiria', 21054, 'N', 'F766'),
  (2882, 'Nalles', 21055, 'N', 'F836'),
  (2883, 'Naturno', 21056, 'N', 'F849'),
  (2884, 'Naz-Sciaves', 21057, 'N', 'F856'),
  (2885, 'Nova Levante', 21058, 'N', 'F949'),
  (2886, 'Nova Ponente', 21059, 'N', 'F950'),
  (2887, 'Ora', 21060, 'N', 'G083'),
  (2888, 'Ortisei', 21061, 'N', 'G140'),
  (2889, 'Parcines', 21062, 'N', 'G328'),
  (2890, 'Perca', 21063, 'N', 'G443'),
  (2891, 'Plaus', 21064, 'N', 'G299'),
  (2892, 'Ponte Gardena', 21065, 'N', 'G830'),
  (2893, 'Postal', 21066, 'N', 'G936'),
  (2894, 'Prato allo Stelvio', 21067, 'N', 'H004'),
  (2895, 'Predoi', 21068, 'N', 'H019'),
  (2896, 'Proves', 21069, 'N', 'H081'),
  (2897, 'Racines', 21070, 'N', 'H152'),
  (2898, 'Rasun Anterselva', 21071, 'N', 'H189'),
  (2899, 'Renon', 21072, 'N', 'H236'),
  (2900, 'Rifiano', 21073, 'N', 'H284'),
  (2901, 'Rio di Pusteria', 21074, 'N', 'H299'),
  (2902, 'Rodengo', 21075, 'N', 'H475'),
  (2903, 'Salorno', 21076, 'N', 'H719'),
  (2904, 'San Candido', 21077, 'N', 'H786'),
  (2905, 'San Genesio Atesino', 21079, 'N', 'H858'),
  (2906, 'San Leonardo in Passiria', 21080, 'N', 'H952'),
  (2907, 'San Lorenzo di Sebato', 21081, 'N', 'H956'),
  (2908, 'San Martino in Badia', 21082, 'N', 'H988'),
  (2909, 'San Martino in Passiria', 21083, 'N', 'H989'),
  (2910, 'San Pancrazio', 21084, 'N', 'I065'),
  (2911, 'Santa Cristina Valgardena', 21085, 'N', 'I173'),
  (2912, 'Sarentino', 21086, 'N', 'I431'),
  (2913, 'Scena', 21087, 'N', 'I519'),
  (2914, 'Selva dei Molini', 21088, 'N', 'I593'),
  (2915, 'Selva di Val Gardena', 21089, 'N', 'I591'),
  (2916, 'Senales', 21091, 'N', 'I604'),
  (2917, 'Senale-San Felice', 21118, 'N', 'I603'),
  (2918, 'Sesto', 21092, 'N', 'I687'),
  (2919, 'Silandro', 21093, 'N', 'I729'),
  (2920, 'Sluderno', 21094, 'N', 'I771'),
  (2921, 'Stelvio', 21095, 'N', 'I948'),
  (2922, 'Terento', 21096, 'N', 'L106'),
  (2923, 'Terlano', 21097, 'N', 'L108'),
  (2924, 'Termeno sulla strada del vino', 21098, 'N', 'L111'),
  (2925, 'Tesimo', 21099, 'N', 'L149'),
  (2926, 'Tires', 21100, 'N', 'L176'),
  (2927, 'Tirolo', 21101, 'N', 'L178'),
  (2928, 'Trodena nel parco naturale', 21102, 'N', 'L444'),
  (2929, 'Tubre', 21103, 'N', 'L455'),
  (2930, 'Ultimo', 21104, 'N', 'L490'),
  (2931, 'Vadena', 21105, 'N', 'L527'),
  (2932, 'Val di Vizze', 21107, 'N', 'L564'),
  (2933, 'Valdaora', 21106, 'N', 'L552'),
  (2934, 'Valle Aurina', 21108, 'N', 'L595'),
  (2935, 'Valle di Casies', 21109, 'N', 'L601'),
  (2936, 'Vandoies', 21110, 'N', 'L660'),
  (2937, 'Varna', 21111, 'N', 'L687'),
  (2938, 'Velturno', 21116, 'N', 'L724'),
  (2939, 'Verano', 21112, 'N', 'L745'),
  (2940, 'Villabassa', 21113, 'N', 'L915'),
  (2941, 'Villandro', 21114, 'N', 'L971'),
  (2942, 'Vipiteno', 21115, 'N', 'M067'),
  (2943, 'Ala', 22001, 'N', 'A116'),
  (2944, 'Albiano', 22002, 'N', 'A158'),
  (2945, 'Aldeno', 22003, 'N', 'A178'),
  (2946, 'Amblar', 22004, 'N', 'A260'),
  (2947, 'Andalo', 22005, 'N', 'A274'),
  (2948, 'Arco', 22006, 'N', 'A372'),
  (2949, 'Avio', 22007, 'N', 'A520'),
  (2950, 'Baselga di PinÃ¨', 22009, 'N', 'A694'),
  (2951, 'Bedollo', 22011, 'N', 'A730'),
  (2952, 'Bersone', 22012, 'N', 'A808'),
  (2953, 'Besenello', 22013, 'N', 'A821'),
  (2954, 'Bieno', 22015, 'N', 'A863'),
  (2955, 'Bleggio Superiore', 22017, 'N', 'A902'),
  (2956, 'Bocenago', 22018, 'N', 'A916'),
  (2957, 'Bolbeno', 22019, 'N', 'A933'),
  (2958, 'Bondo', 22020, 'N', 'A967'),
  (2959, 'Bondone', 22021, 'N', 'A968'),
  (2960, 'Borgo Valsugana', 22022, 'N', 'B006'),
  (2961, 'Bosentino', 22023, 'N', 'B078'),
  (2962, 'Breguzzo', 22024, 'N', 'B135'),
  (2963, 'Brentonico', 22025, 'N', 'B153'),
  (2964, 'Bresimo', 22026, 'N', 'B158'),
  (2965, 'Brez', 22027, 'N', 'B165'),
  (2966, 'Brione', 22028, 'N', 'B185'),
  (2967, 'Caderzone Terme', 22029, 'N', 'B335'),
  (2968, 'CagnÃ²', 22030, 'N', 'B360'),
  (2969, 'Calavino', 22031, 'N', 'B386'),
  (2970, 'Calceranica al Lago', 22032, 'N', 'B389'),
  (2971, 'Caldes', 22033, 'N', 'B400'),
  (2972, 'Caldonazzo', 22034, 'N', 'B404'),
  (2973, 'Calliano', 22035, 'N', 'B419'),
  (2974, 'Campitello di Fassa', 22036, 'N', 'B514'),
  (2975, 'Campodenno', 22037, 'N', 'B525'),
  (2976, 'Canal San Bovo', 22038, 'N', 'B577'),
  (2977, 'Canazei', 22039, 'N', 'B579'),
  (2978, 'Capriana', 22040, 'N', 'B697'),
  (2979, 'Carano', 22041, 'N', 'B723'),
  (2980, 'Carisolo', 22042, 'N', 'B783'),
  (2981, 'Carzano', 22043, 'N', 'B856'),
  (2982, 'Castel Condino', 22045, 'N', 'C183'),
  (2983, 'Castelfondo', 22046, 'N', 'C103'),
  (2984, 'Castello Tesino', 22048, 'N', 'C194'),
  (2985, 'Castello-Molina di Fiemme', 22047, 'N', 'C189'),
  (2986, 'Castelnuovo', 22049, 'N', 'C216'),
  (2987, 'Cavalese', 22050, 'N', 'C372'),
  (2988, 'Cavareno', 22051, 'N', 'C380'),
  (2989, 'Cavedago', 22052, 'N', 'C392'),
  (2990, 'Cavedine', 22053, 'N', 'C393'),
  (2991, 'Cavizzana', 22054, 'N', 'C400'),
  (2992, 'Cembra', 22055, 'N', 'C452'),
  (2993, 'Centa San NicolÃ²', 22056, 'N', 'C467'),
  (2994, 'Cimego', 22057, 'N', 'C694'),
  (2995, 'Cimone', 22058, 'N', 'C700'),
  (2996, 'Cinte Tesino', 22059, 'N', 'C712'),
  (2997, 'Cis', 22060, 'N', 'C727'),
  (2998, 'Civezzano', 22061, 'N', 'C756'),
  (2999, 'Cles', 22062, 'N', 'C794'),
  (3000, 'Cloz', 22063, 'N', 'C797'),
  (3001, 'Comano Terme', 22228, 'N', 'M314'),
  (3002, 'Commezzadura', 22064, 'N', 'C931'),
  (3003, 'Condino', 22066, 'N', 'C953'),
  (3004, 'Coredo', 22067, 'N', 'C994'),
  (3005, 'Croviana', 22068, 'N', 'D188'),
  (3006, 'Cunevo', 22069, 'N', 'D206'),
  (3007, 'Daiano', 22070, 'N', 'D243'),
  (3008, 'Dambel', 22071, 'N', 'D246'),
  (3009, 'Daone', 22072, 'N', 'D248'),
  (3010, 'DarÃ¨', 22073, 'N', 'D250'),
  (3011, 'Denno', 22074, 'N', 'D273'),
  (3012, 'Dimaro', 22075, 'N', 'D302'),
  (3013, 'Don', 22076, 'N', 'D336'),
  (3014, 'Dorsino', 22077, 'N', 'D349'),
  (3015, 'Drena', 22078, 'N', 'D365'),
  (3016, 'Dro', 22079, 'N', 'D371'),
  (3017, 'Faedo', 22080, 'N', 'D457'),
  (3018, 'Fai della Paganella', 22081, 'N', 'D468'),
  (3019, 'Faver', 22082, 'N', 'D516'),
  (3020, 'FiavÃ¨', 22083, 'N', 'D565'),
  (3021, 'Fiera di Primiero', 22084, 'N', 'D572'),
  (3022, 'Fierozzo', 22085, 'N', 'D573'),
  (3023, 'Flavon', 22086, 'N', 'D631'),
  (3024, 'Folgaria', 22087, 'N', 'D651'),
  (3025, 'Fondo', 22088, 'N', 'D663'),
  (3026, 'Fornace', 22089, 'N', 'D714'),
  (3027, 'Frassilongo', 22090, 'N', 'D775'),
  (3028, 'Garniga Terme', 22091, 'N', 'D928'),
  (3029, 'Giovo', 22092, 'N', 'E048'),
  (3030, 'Giustino', 22093, 'N', 'E065'),
  (3031, 'Grauno', 22094, 'N', 'E150'),
  (3032, 'Grigno', 22095, 'N', 'E178'),
  (3033, 'Grumes', 22096, 'N', 'E222'),
  (3034, 'Imer', 22097, 'N', 'E288'),
  (3035, 'Isera', 22098, 'N', 'E334'),
  (3036, 'Ivano-Fracena', 22099, 'N', 'E378'),
  (3037, 'Lardaro', 22100, 'N', 'E452'),
  (3038, 'Lasino', 22101, 'N', 'E461'),
  (3039, 'Lavarone', 22102, 'N', 'E492'),
  (3040, 'Lavis', 22103, 'N', 'E500'),
  (3041, 'Ledro', 22229, 'N', 'M313'),
  (3042, 'Levico Terme', 22104, 'N', 'E565'),
  (3043, 'Lisignago', 22105, 'N', 'E614'),
  (3044, 'Livo', 22106, 'N', 'E624'),
  (3045, 'Lona-Lases', 22108, 'N', 'E664'),
  (3046, 'Luserna', 22109, 'N', 'E757'),
  (3047, 'MalÃ¨', 22110, 'N', 'E850'),
  (3048, 'Malosco', 22111, 'N', 'E866'),
  (3049, 'Massimeno', 22112, 'N', 'F045'),
  (3050, 'Mazzin', 22113, 'N', 'F068'),
  (3051, 'Mezzana', 22114, 'N', 'F168'),
  (3052, 'Mezzano', 22115, 'N', 'F176'),
  (3053, 'Mezzocorona', 22116, 'N', 'F183'),
  (3054, 'Mezzolombardo', 22117, 'N', 'F187'),
  (3055, 'Moena', 22118, 'N', 'F263'),
  (3056, 'Molveno', 22120, 'N', 'F307'),
  (3057, 'Monclassico', 22121, 'N', 'F341'),
  (3058, 'Montagne', 22122, 'N', 'F396'),
  (3059, 'Mori', 22123, 'N', 'F728'),
  (3060, 'Nago-Torbole', 22124, 'N', 'F835'),
  (3061, 'Nanno', 22125, 'N', 'F837'),
  (3062, 'Nave San Rocco', 22126, 'N', 'F853'),
  (3063, 'Nogaredo', 22127, 'N', 'F920'),
  (3064, 'Nomi', 22128, 'N', 'F929'),
  (3065, 'Novaledo', 22129, 'N', 'F947'),
  (3066, 'Ospedaletto', 22130, 'N', 'G168'),
  (3067, 'Ossana', 22131, 'N', 'G173'),
  (3068, 'Padergnone', 22132, 'N', 'G214'),
  (3069, 'PalÃ¹ del Fersina', 22133, 'N', 'G296'),
  (3070, 'PanchiÃ ', 22134, 'N', 'G305'),
  (3071, 'Peio', 22136, 'N', 'G419'),
  (3072, 'Pellizzano', 22137, 'N', 'G428'),
  (3073, 'Pelugo', 22138, 'N', 'G429'),
  (3074, 'Pergine Valsugana', 22139, 'N', 'G452'),
  (3075, 'Pieve di Bono', 22140, 'N', 'G641'),
  (3076, 'Pieve Tesino', 22142, 'N', 'G656'),
  (3077, 'Pinzolo', 22143, 'N', 'G681'),
  (3078, 'Pomarolo', 22144, 'N', 'G808'),
  (3079, 'Pozza di Fassa', 22145, 'N', 'G950'),
  (3080, 'Praso', 22146, 'N', 'G989'),
  (3081, 'Predazzo', 22147, 'N', 'H018'),
  (3082, 'Preore', 22148, 'N', 'H039'),
  (3083, 'Prezzo', 22149, 'N', 'H057'),
  (3084, 'Rabbi', 22150, 'N', 'H146'),
  (3085, 'Ragoli', 22151, 'N', 'H162'),
  (3086, 'RevÃ²', 22152, 'N', 'H254'),
  (3087, 'Riva del Garda', 22153, 'N', 'H330'),
  (3088, 'Romallo', 22154, 'N', 'H506'),
  (3089, 'Romeno', 22155, 'N', 'H517'),
  (3090, 'Roncegno Terme', 22156, 'N', 'H528'),
  (3091, 'Ronchi Valsugana', 22157, 'N', 'H532'),
  (3092, 'Roncone', 22158, 'N', 'H545'),
  (3093, 'Ronzo-Chienis', 22135, 'N', 'M303'),
  (3094, 'Ronzone', 22159, 'N', 'H552'),
  (3095, 'RoverÃ¨ della Luna', 22160, 'N', 'H607'),
  (3096, 'Rovereto', 22161, 'N', 'H612'),
  (3097, 'RuffrÃ¨-Mendola', 22162, 'N', 'H634'),
  (3098, 'Rumo', 22163, 'N', 'H639'),
  (3099, 'Sagron Mis', 22164, 'N', 'H666'),
  (3100, 'Samone', 22165, 'N', 'H754'),
  (3101, 'San Lorenzo in Banale', 22166, 'N', 'H966'),
  (3102, 'San Michele all''Adige', 22167, 'N', 'I042'),
  (3103, 'Sant''Orsola Terme', 22168, 'N', 'I354'),
  (3104, 'Sanzeno', 22169, 'N', 'I411'),
  (3105, 'Sarnonico', 22170, 'N', 'I439'),
  (3106, 'Scurelle', 22171, 'N', 'I554'),
  (3107, 'Segonzano', 22172, 'N', 'I576'),
  (3108, 'Sfruz', 22173, 'N', 'I714'),
  (3109, 'Siror', 22174, 'N', 'I760'),
  (3110, 'Smarano', 22175, 'N', 'I772'),
  (3111, 'Soraga', 22176, 'N', 'I839'),
  (3112, 'Sover', 22177, 'N', 'I871'),
  (3113, 'Spera', 22178, 'N', 'I889'),
  (3114, 'Spiazzo', 22179, 'N', 'I899'),
  (3115, 'Spormaggiore', 22180, 'N', 'I924'),
  (3116, 'Sporminore', 22181, 'N', 'I925'),
  (3117, 'Stenico', 22182, 'N', 'I949'),
  (3118, 'Storo', 22183, 'N', 'I964'),
  (3119, 'Strembo', 22184, 'N', 'I975'),
  (3120, 'Strigno', 22185, 'N', 'I979'),
  (3121, 'Taio', 22186, 'N', 'L033'),
  (3122, 'Tassullo', 22187, 'N', 'L060'),
  (3123, 'Telve', 22188, 'N', 'L089'),
  (3124, 'Telve di Sopra', 22189, 'N', 'L090'),
  (3125, 'Tenna', 22190, 'N', 'L096'),
  (3126, 'Tenno', 22191, 'N', 'L097'),
  (3127, 'Terlago', 22192, 'N', 'L107'),
  (3128, 'Terragnolo', 22193, 'N', 'L121'),
  (3129, 'Terres', 22194, 'N', 'L137'),
  (3130, 'Terzolas', 22195, 'N', 'L145'),
  (3131, 'Tesero', 22196, 'N', 'L147'),
  (3132, 'Tione di Trento', 22199, 'N', 'L174'),
  (3133, 'Ton', 22200, 'N', 'L200'),
  (3134, 'Tonadico', 22201, 'N', 'L201'),
  (3135, 'Torcegno', 22202, 'N', 'L211'),
  (3136, 'Trambileno', 22203, 'N', 'L322'),
  (3137, 'Transacqua', 22204, 'N', 'L329'),
  (3138, 'Trento', 22205, 'N', 'L378'),
  (3139, 'Tres', 22206, 'N', 'L385'),
  (3140, 'Tuenno', 22207, 'N', 'L457'),
  (3141, 'Valda', 22208, 'N', 'L550'),
  (3142, 'Valfloriana', 22209, 'N', 'L575'),
  (3143, 'Vallarsa', 22210, 'N', 'L588'),
  (3144, 'Varena', 22211, 'N', 'L678'),
  (3145, 'Vattaro', 22212, 'N', 'L697'),
  (3146, 'Vermiglio', 22213, 'N', 'L769'),
  (3147, 'VervÃ²', 22214, 'N', 'L800'),
  (3148, 'Vezzano', 22215, 'N', 'L821'),
  (3149, 'Vignola-Falesina', 22216, 'N', 'L886'),
  (3150, 'Vigo di Fassa', 22217, 'N', 'L893'),
  (3151, 'Vigo Rendena', 22220, 'N', 'L903'),
  (3152, 'Vigolo Vattaro', 22219, 'N', 'L896'),
  (3153, 'Villa Agnedo', 22221, 'N', 'L910'),
  (3154, 'Villa Lagarina', 22222, 'N', 'L957'),
  (3155, 'Villa Rendena', 22223, 'N', 'M006'),
  (3156, 'Volano', 22224, 'N', 'M113'),
  (3157, 'Zambana', 22225, 'N', 'M142'),
  (3158, 'Ziano di Fiemme', 22226, 'N', 'M173'),
  (3159, 'Zuclo', 22227, 'N', 'M198'),
  (3160, 'Affi', 23001, 'N', 'A061'),
  (3161, 'Albaredo d''Adige', 23002, 'N', 'A137'),
  (3162, 'Angiari', 23003, 'N', 'A292'),
  (3163, 'Arcole', 23004, 'N', 'A374'),
  (3164, 'Badia Calavena', 23005, 'N', 'A540'),
  (3165, 'Bardolino', 23006, 'N', 'A650'),
  (3166, 'Belfiore', 23007, 'N', 'A737'),
  (3167, 'Bevilacqua', 23008, 'N', 'A837'),
  (3168, 'Bonavigo', 23009, 'N', 'A964'),
  (3169, 'Boschi Sant''Anna', 23010, 'N', 'B070'),
  (3170, 'Bosco Chiesanuova', 23011, 'N', 'B073'),
  (3171, 'Bovolone', 23012, 'N', 'B107'),
  (3172, 'Brentino Belluno', 23013, 'N', 'B152'),
  (3173, 'Brenzone', 23014, 'N', 'B154'),
  (3174, 'Bussolengo', 23015, 'N', 'B296'),
  (3175, 'Buttapietra', 23016, 'N', 'B304'),
  (3176, 'Caldiero', 23017, 'N', 'B402'),
  (3177, 'Caprino Veronese', 23018, 'N', 'B709'),
  (3178, 'Casaleone', 23019, 'N', 'B886'),
  (3179, 'Castagnaro', 23020, 'N', 'C041'),
  (3180, 'Castel d''Azzano', 23021, 'N', 'C078'),
  (3181, 'Castelnuovo del Garda', 23022, 'N', 'C225'),
  (3182, 'Cavaion Veronese', 23023, 'N', 'C370'),
  (3183, 'Cazzano di Tramigna', 23024, 'N', 'C412'),
  (3184, 'Cerea', 23025, 'N', 'C498'),
  (3185, 'Cerro Veronese', 23026, 'N', 'C538'),
  (3186, 'Cologna Veneta', 23027, 'N', 'C890'),
  (3187, 'Colognola ai Colli', 23028, 'N', 'C897'),
  (3188, 'Concamarise', 23029, 'N', 'C943'),
  (3189, 'Costermano', 23030, 'N', 'D118'),
  (3190, 'DolcÃ¨', 23031, 'N', 'D317'),
  (3191, 'ErbÃ¨', 23032, 'N', 'D419'),
  (3192, 'Erbezzo', 23033, 'N', 'D420'),
  (3193, 'Ferrara di Monte Baldo', 23034, 'N', 'D549'),
  (3194, 'Fumane', 23035, 'N', 'D818'),
  (3195, 'Garda', 23036, 'N', 'D915'),
  (3196, 'Gazzo Veronese', 23037, 'N', 'D957'),
  (3197, 'Grezzana', 23038, 'N', 'E171'),
  (3198, 'Illasi', 23039, 'N', 'E284'),
  (3199, 'Isola della Scala', 23040, 'N', 'E349'),
  (3200, 'Isola Rizza', 23041, 'N', 'E358'),
  (3201, 'Lavagno', 23042, 'N', 'E489'),
  (3202, 'Lazise', 23043, 'N', 'E502'),
  (3203, 'Legnago', 23044, 'N', 'E512'),
  (3204, 'Malcesine', 23045, 'N', 'E848'),
  (3205, 'Marano di Valpolicella', 23046, 'N', 'E911'),
  (3206, 'Mezzane di Sotto', 23047, 'N', 'F172'),
  (3207, 'Minerbe', 23048, 'N', 'F218'),
  (3208, 'Montecchia di Crosara', 23049, 'N', 'F461'),
  (3209, 'Monteforte d''Alpone', 23050, 'N', 'F508'),
  (3210, 'Mozzecane', 23051, 'N', 'F789'),
  (3211, 'Negrar', 23052, 'N', 'F861'),
  (3212, 'Nogara', 23053, 'N', 'F918'),
  (3213, 'Nogarole Rocca', 23054, 'N', 'F921'),
  (3214, 'Oppeano', 23055, 'N', 'G080'),
  (3215, 'PalÃ¹', 23056, 'N', 'G297'),
  (3216, 'Pastrengo', 23057, 'N', 'G365'),
  (3217, 'Pescantina', 23058, 'N', 'G481'),
  (3218, 'Peschiera del Garda', 23059, 'N', 'G489'),
  (3219, 'Povegliano Veronese', 23060, 'N', 'G945'),
  (3220, 'Pressana', 23061, 'N', 'H048'),
  (3221, 'Rivoli Veronese', 23062, 'N', 'H356'),
  (3222, 'RoncÃ ', 23063, 'N', 'H522'),
  (3223, 'Ronco all''Adige', 23064, 'N', 'H540'),
  (3224, 'Roverchiara', 23065, 'N', 'H606'),
  (3225, 'RoverÃ¨ Veronese', 23067, 'N', 'H608'),
  (3226, 'Roveredo di GuÃ ', 23066, 'N', 'H610'),
  (3227, 'Salizzole', 23068, 'N', 'H714'),
  (3228, 'San Bonifacio', 23069, 'N', 'H783'),
  (3229, 'San Giovanni Ilarione', 23070, 'N', 'H916'),
  (3230, 'San Giovanni Lupatoto', 23071, 'N', 'H924'),
  (3231, 'San Martino Buon Albergo', 23073, 'N', 'I003'),
  (3232, 'San Mauro di Saline', 23074, 'N', 'H712'),
  (3233, 'San Pietro di Morubio', 23075, 'N', 'I105'),
  (3234, 'San Pietro in Cariano', 23076, 'N', 'I109'),
  (3235, 'San Zeno di Montagna', 23079, 'N', 'I414'),
  (3236, 'Sanguinetto', 23072, 'N', 'H944'),
  (3237, 'Sant''Ambrogio di Valpolicella', 23077, 'N', 'I259'),
  (3238, 'Sant''Anna d''Alfaedo', 23078, 'N', 'I292'),
  (3239, 'Selva di Progno', 23080, 'N', 'I594'),
  (3240, 'Soave', 23081, 'N', 'I775'),
  (3241, 'Sommacampagna', 23082, 'N', 'I821'),
  (3242, 'Sona', 23083, 'N', 'I826'),
  (3243, 'SorgÃ ', 23084, 'N', 'I850'),
  (3244, 'Terrazzo', 23085, 'N', 'L136'),
  (3245, 'Torri del Benaco', 23086, 'N', 'L287'),
  (3246, 'Tregnago', 23087, 'N', 'L364'),
  (3247, 'Trevenzuolo', 23088, 'N', 'L396'),
  (3248, 'Valeggio sul Mincio', 23089, 'N', 'L567'),
  (3249, 'Velo Veronese', 23090, 'N', 'L722'),
  (3250, 'Verona', 23091, 'N', 'L781'),
  (3251, 'Veronella', 23092, 'N', 'D193'),
  (3252, 'Vestenanova', 23093, 'N', 'L810'),
  (3253, 'Vigasio', 23094, 'N', 'L869'),
  (3254, 'Villa Bartolomea', 23095, 'N', 'L912'),
  (3255, 'Villafranca di Verona', 23096, 'N', 'L949'),
  (3256, 'Zevio', 23097, 'N', 'M172'),
  (3257, 'Zimella', 23098, 'N', 'M178'),
  (3258, 'Agugliaro', 24001, 'N', 'A093'),
  (3259, 'Albettone', 24002, 'N', 'A154'),
  (3260, 'Alonte', 24003, 'N', 'A220'),
  (3261, 'Altavilla Vicentina', 24004, 'N', 'A231'),
  (3262, 'Altissimo', 24005, 'N', 'A236'),
  (3263, 'Arcugnano', 24006, 'N', 'A377'),
  (3264, 'Arsiero', 24007, 'N', 'A444'),
  (3265, 'Arzignano', 24008, 'N', 'A459'),
  (3266, 'Asiago', 24009, 'N', 'A465'),
  (3267, 'Asigliano Veneto', 24010, 'N', 'A467'),
  (3268, 'Barbarano Vicentino', 24011, 'N', 'A627'),
  (3269, 'Bassano del Grappa', 24012, 'N', 'A703'),
  (3270, 'Bolzano Vicentino', 24013, 'N', 'A954'),
  (3271, 'Breganze', 24014, 'N', 'B132'),
  (3272, 'Brendola', 24015, 'N', 'B143'),
  (3273, 'Bressanvido', 24016, 'N', 'B161'),
  (3274, 'Brogliano', 24017, 'N', 'B196'),
  (3275, 'Caldogno', 24018, 'N', 'B403'),
  (3276, 'Caltrano', 24019, 'N', 'B433'),
  (3277, 'Calvene', 24020, 'N', 'B441'),
  (3278, 'Camisano Vicentino', 24021, 'N', 'B485'),
  (3279, 'Campiglia dei Berici', 24022, 'N', 'B511'),
  (3280, 'Campolongo sul Brenta', 24023, 'N', 'B547'),
  (3281, 'CarrÃ¨', 24024, 'N', 'B835'),
  (3282, 'Cartigliano', 24025, 'N', 'B844'),
  (3283, 'Cassola', 24026, 'N', 'C037'),
  (3284, 'Castegnero', 24027, 'N', 'C056'),
  (3285, 'Castelgomberto', 24028, 'N', 'C119'),
  (3286, 'Chiampo', 24029, 'N', 'C605'),
  (3287, 'Chiuppano', 24030, 'N', 'C650'),
  (3288, 'Cismon del Grappa', 24031, 'N', 'C734'),
  (3289, 'Cogollo del Cengio', 24032, 'N', 'C824'),
  (3290, 'Conco', 24033, 'N', 'C949'),
  (3291, 'Cornedo Vicentino', 24034, 'N', 'D020'),
  (3292, 'Costabissara', 24035, 'N', 'D107'),
  (3293, 'Creazzo', 24036, 'N', 'D136'),
  (3294, 'Crespadoro', 24037, 'N', 'D156'),
  (3295, 'Dueville', 24038, 'N', 'D379'),
  (3296, 'Enego', 24039, 'N', 'D407'),
  (3297, 'Fara Vicentino', 24040, 'N', 'D496'),
  (3298, 'Foza', 24041, 'N', 'D750'),
  (3299, 'Gallio', 24042, 'N', 'D882'),
  (3300, 'Gambellara', 24043, 'N', 'D897'),
  (3301, 'Gambugliano', 24044, 'N', 'D902'),
  (3302, 'Grancona', 24045, 'N', 'E138'),
  (3303, 'Grisignano di Zocco', 24046, 'N', 'E184'),
  (3304, 'Grumolo delle Abbadesse', 24047, 'N', 'E226'),
  (3305, 'Isola Vicentina', 24048, 'N', 'E354'),
  (3306, 'Laghi', 24049, 'N', 'E403'),
  (3307, 'Lastebasse', 24050, 'N', 'E465'),
  (3308, 'Longare', 24051, 'N', 'E671'),
  (3309, 'Lonigo', 24052, 'N', 'E682'),
  (3310, 'Lugo di Vicenza', 24053, 'N', 'E731'),
  (3311, 'Lusiana', 24054, 'N', 'E762'),
  (3312, 'Malo', 24055, 'N', 'E864'),
  (3313, 'Marano Vicentino', 24056, 'N', 'E912'),
  (3314, 'Marostica', 24057, 'N', 'E970'),
  (3315, 'Mason Vicentino', 24058, 'N', 'F019'),
  (3316, 'Molvena', 24059, 'N', 'F306'),
  (3317, 'Monte di Malo', 24063, 'N', 'F486'),
  (3318, 'Montebello Vicentino', 24060, 'N', 'F442'),
  (3319, 'Montecchio Maggiore', 24061, 'N', 'F464'),
  (3320, 'Montecchio Precalcino', 24062, 'N', 'F465'),
  (3321, 'Montegalda', 24064, 'N', 'F514'),
  (3322, 'Montegaldella', 24065, 'N', 'F515'),
  (3323, 'Monteviale', 24066, 'N', 'F662'),
  (3324, 'Monticello Conte Otto', 24067, 'N', 'F675'),
  (3325, 'Montorso Vicentino', 24068, 'N', 'F696'),
  (3326, 'Mossano', 24069, 'N', 'F768'),
  (3327, 'Mussolente', 24070, 'N', 'F829'),
  (3328, 'Nanto', 24071, 'N', 'F838'),
  (3329, 'Nogarole Vicentino', 24072, 'N', 'F922'),
  (3330, 'Nove', 24073, 'N', 'F957'),
  (3331, 'Noventa Vicentina', 24074, 'N', 'F964'),
  (3332, 'Orgiano', 24075, 'N', 'G095'),
  (3333, 'Pedemonte', 24076, 'N', 'G406'),
  (3334, 'Pianezze', 24077, 'N', 'G560'),
  (3335, 'Piovene Rocchette', 24078, 'N', 'G694'),
  (3336, 'Pojana Maggiore', 24079, 'N', 'G776'),
  (3337, 'Posina', 24080, 'N', 'G931'),
  (3338, 'Pove del Grappa', 24081, 'N', 'G943'),
  (3339, 'Pozzoleone', 24082, 'N', 'G957'),
  (3340, 'Quinto Vicentino', 24083, 'N', 'H134'),
  (3341, 'Recoaro Terme', 24084, 'N', 'H214'),
  (3342, 'Roana', 24085, 'N', 'H361'),
  (3343, 'Romano d''Ezzelino', 24086, 'N', 'H512'),
  (3344, 'RosÃ ', 24087, 'N', 'H556'),
  (3345, 'Rossano Veneto', 24088, 'N', 'H580'),
  (3346, 'Rotzo', 24089, 'N', 'H594'),
  (3347, 'Salcedo', 24090, 'N', 'F810'),
  (3348, 'San Germano dei Berici', 24092, 'N', 'H863'),
  (3349, 'San Nazario', 24093, 'N', 'I047'),
  (3350, 'San Pietro Mussolino', 24094, 'N', 'I117'),
  (3351, 'San Vito di Leguzzano', 24096, 'N', 'I401'),
  (3352, 'Sandrigo', 24091, 'N', 'H829'),
  (3353, 'Santorso', 24095, 'N', 'I353'),
  (3354, 'Sarcedo', 24097, 'N', 'I425'),
  (3355, 'Sarego', 24098, 'N', 'I430'),
  (3356, 'Schiavon', 24099, 'N', 'I527'),
  (3357, 'Schio', 24100, 'N', 'I531'),
  (3358, 'Solagna', 24101, 'N', 'I783'),
  (3359, 'Sossano', 24102, 'N', 'I867'),
  (3360, 'Sovizzo', 24103, 'N', 'I879'),
  (3361, 'Tezze sul Brenta', 24104, 'N', 'L156'),
  (3362, 'Thiene', 24105, 'N', 'L157'),
  (3363, 'Tonezza del Cimone', 24106, 'N', 'D717'),
  (3364, 'Torrebelvicino', 24107, 'N', 'L248'),
  (3365, 'Torri di Quartesolo', 24108, 'N', 'L297'),
  (3366, 'Trissino', 24110, 'N', 'L433'),
  (3367, 'Valdagno', 24111, 'N', 'L551'),
  (3368, 'Valdastico', 24112, 'N', 'L554'),
  (3369, 'Valli del Pasubio', 24113, 'N', 'L624'),
  (3370, 'Valstagna', 24114, 'N', 'L650'),
  (3371, 'Velo d''Astico', 24115, 'N', 'L723'),
  (3372, 'Vicenza', 24116, 'N', 'L840'),
  (3373, 'Villaga', 24117, 'N', 'L952'),
  (3374, 'Villaverla', 24118, 'N', 'M032'),
  (3375, 'ZanÃ¨', 24119, 'N', 'M145'),
  (3376, 'Zermeghedo', 24120, 'N', 'M170'),
  (3377, 'Zovencedo', 24121, 'N', 'M194'),
  (3378, 'Zugliano', 24122, 'N', 'M199'),
  (3379, 'Agordo', 25001, 'N', 'A083'),
  (3380, 'Alano di Piave', 25002, 'N', 'A121'),
  (3381, 'Alleghe', 25003, 'N', 'A206'),
  (3382, 'ArsiÃ¨', 25004, 'N', 'A443'),
  (3383, 'Auronzo di Cadore', 25005, 'N', 'A501'),
  (3384, 'Belluno', 25006, 'N', 'A757'),
  (3385, 'Borca di Cadore', 25007, 'N', 'A982'),
  (3386, 'Calalzo di Cadore', 25008, 'N', 'B375'),
  (3387, 'Canale d''Agordo', 25023, 'N', 'B574'),
  (3388, 'Castellavazzo', 25009, 'N', 'C146'),
  (3389, 'Cencenighe Agordino', 25010, 'N', 'C458'),
  (3390, 'Cesiomaggiore', 25011, 'N', 'C577'),
  (3391, 'Chies d''Alpago', 25012, 'N', 'C630'),
  (3392, 'Cibiana di Cadore', 25013, 'N', 'C672'),
  (3393, 'Colle Santa Lucia', 25014, 'N', 'C872'),
  (3394, 'Comelico Superiore', 25015, 'N', 'C920'),
  (3395, 'Cortina d''Ampezzo', 25016, 'N', 'A266'),
  (3396, 'Danta di Cadore', 25017, 'N', 'D247'),
  (3397, 'Domegge di Cadore', 25018, 'N', 'D330'),
  (3398, 'Falcade', 25019, 'N', 'D470'),
  (3399, 'Farra d''Alpago', 25020, 'N', 'D506'),
  (3400, 'Feltre', 25021, 'N', 'D530'),
  (3401, 'Fonzaso', 25022, 'N', 'D686'),
  (3402, 'Forno di Zoldo', 25024, 'N', 'D726'),
  (3403, 'Gosaldo', 25025, 'N', 'E113'),
  (3404, 'La Valle Agordina', 25027, 'N', 'E490'),
  (3405, 'Lamon', 25026, 'N', 'E429'),
  (3406, 'Lentiai', 25028, 'N', 'C562'),
  (3407, 'Limana', 25029, 'N', 'E588'),
  (3408, 'Livinallongo del Col di Lana', 25030, 'N', 'E622'),
  (3409, 'Longarone', 25031, 'N', 'E672'),
  (3410, 'Lorenzago di Cadore', 25032, 'N', 'E687'),
  (3411, 'Lozzo di Cadore', 25033, 'N', 'E708'),
  (3412, 'Mel', 25034, 'N', 'F094'),
  (3413, 'Ospitale di Cadore', 25035, 'N', 'G169'),
  (3414, 'Pedavena', 25036, 'N', 'G404'),
  (3415, 'Perarolo di Cadore', 25037, 'N', 'G442'),
  (3416, 'Pieve d''Alpago', 25038, 'N', 'G638'),
  (3417, 'Pieve di Cadore', 25039, 'N', 'G642'),
  (3418, 'Ponte nelle Alpi', 25040, 'N', 'B662'),
  (3419, 'Puos d''Alpago', 25041, 'N', 'H092'),
  (3420, 'Quero', 25042, 'N', 'H124'),
  (3421, 'Rivamonte Agordino', 25043, 'N', 'H327'),
  (3422, 'Rocca Pietore', 25044, 'N', 'H379'),
  (3423, 'San Gregorio nelle Alpi', 25045, 'N', 'H938'),
  (3424, 'San NicolÃ² di Comelico', 25046, 'N', 'I063'),
  (3425, 'San Pietro di Cadore', 25047, 'N', 'I088'),
  (3426, 'San Tomaso Agordino', 25049, 'N', 'I347'),
  (3427, 'San Vito di Cadore', 25051, 'N', 'I392'),
  (3428, 'Santa Giustina', 25048, 'N', 'I206'),
  (3429, 'Santo Stefano di Cadore', 25050, 'N', 'C919'),
  (3430, 'Sappada', 25052, 'N', 'I421'),
  (3431, 'Sedico', 25053, 'N', 'I563'),
  (3432, 'Selva di Cadore', 25054, 'N', 'I592'),
  (3433, 'Seren del Grappa', 25055, 'N', 'I626'),
  (3434, 'Sospirolo', 25056, 'N', 'I866'),
  (3435, 'Soverzene', 25057, 'N', 'I876'),
  (3436, 'Sovramonte', 25058, 'N', 'I673'),
  (3437, 'Taibon Agordino', 25059, 'N', 'L030'),
  (3438, 'Tambre', 25060, 'N', 'L040'),
  (3439, 'Trichiana', 25061, 'N', 'L422'),
  (3440, 'Vallada Agordina', 25062, 'N', 'L584'),
  (3441, 'Valle di Cadore', 25063, 'N', 'L590'),
  (3442, 'Vas', 25064, 'N', 'L692'),
  (3443, 'Vigo di Cadore', 25065, 'N', 'L890'),
  (3444, 'Vodo Cadore', 25066, 'N', 'M108'),
  (3445, 'Voltago Agordino', 25067, 'N', 'M124'),
  (3446, 'Zoldo Alto', 25068, 'N', 'I345'),
  (3447, 'ZoppÃ¨ di Cadore', 25069, 'N', 'M189'),
  (3448, 'Altivole', 26001, 'N', 'A237'),
  (3449, 'Arcade', 26002, 'N', 'A360'),
  (3450, 'Asolo', 26003, 'N', 'A471'),
  (3451, 'Borso del Grappa', 26004, 'N', 'B061'),
  (3452, 'Breda di Piave', 26005, 'N', 'B128'),
  (3453, 'Caerano di San Marco', 26006, 'N', 'B349'),
  (3454, 'Cappella Maggiore', 26007, 'N', 'B678'),
  (3455, 'Carbonera', 26008, 'N', 'B744'),
  (3456, 'Casale sul Sile', 26009, 'N', 'B879'),
  (3457, 'Casier', 26010, 'N', 'B965'),
  (3458, 'Castelcucco', 26011, 'N', 'C073'),
  (3459, 'Castelfranco Veneto', 26012, 'N', 'C111'),
  (3460, 'Castello di Godego', 26013, 'N', 'C190'),
  (3461, 'Cavaso del Tomba', 26014, 'N', 'C384'),
  (3462, 'Cessalto', 26015, 'N', 'C580'),
  (3463, 'Chiarano', 26016, 'N', 'C614'),
  (3464, 'Cimadolmo', 26017, 'N', 'C689'),
  (3465, 'Cison di Valmarino', 26018, 'N', 'C735'),
  (3466, 'CodognÃ¨', 26019, 'N', 'C815'),
  (3467, 'Colle Umberto', 26020, 'N', 'C848'),
  (3468, 'Conegliano', 26021, 'N', 'C957'),
  (3469, 'Cordignano', 26022, 'N', 'C992'),
  (3470, 'Cornuda', 26023, 'N', 'D030'),
  (3471, 'Crespano del Grappa', 26024, 'N', 'D157'),
  (3472, 'Crocetta del Montello', 26025, 'N', 'C670'),
  (3473, 'Farra di Soligo', 26026, 'N', 'D505'),
  (3474, 'Follina', 26027, 'N', 'D654'),
  (3475, 'Fontanelle', 26028, 'N', 'D674'),
  (3476, 'Fonte', 26029, 'N', 'D680'),
  (3477, 'Fregona', 26030, 'N', 'D794'),
  (3478, 'Gaiarine', 26031, 'N', 'D854'),
  (3479, 'Giavera del Montello', 26032, 'N', 'E021'),
  (3480, 'Godega di Sant''Urbano', 26033, 'N', 'E071'),
  (3481, 'Gorgo al Monticano', 26034, 'N', 'E092'),
  (3482, 'Istrana', 26035, 'N', 'E373'),
  (3483, 'Loria', 26036, 'N', 'E692'),
  (3484, 'MansuÃ¨', 26037, 'N', 'E893'),
  (3485, 'Mareno di Piave', 26038, 'N', 'E940'),
  (3486, 'Maser', 26039, 'N', 'F009'),
  (3487, 'Maserada sul Piave', 26040, 'N', 'F012'),
  (3488, 'Meduna di Livenza', 26041, 'N', 'F088'),
  (3489, 'Miane', 26042, 'N', 'F190'),
  (3490, 'Mogliano Veneto', 26043, 'N', 'F269'),
  (3491, 'Monastier di Treviso', 26044, 'N', 'F332'),
  (3492, 'Monfumo', 26045, 'N', 'F360'),
  (3493, 'Montebelluna', 26046, 'N', 'F443'),
  (3494, 'Morgano', 26047, 'N', 'F725'),
  (3495, 'Moriago della Battaglia', 26048, 'N', 'F729'),
  (3496, 'Motta di Livenza', 26049, 'N', 'F770'),
  (3497, 'Nervesa della Battaglia', 26050, 'N', 'F872'),
  (3498, 'Oderzo', 26051, 'N', 'F999'),
  (3499, 'Ormelle', 26052, 'N', 'G115'),
  (3500, 'Orsago', 26053, 'N', 'G123'),
  (3501, 'Paderno del Grappa', 26054, 'N', 'G221'),
  (3502, 'Paese', 26055, 'N', 'G229'),
  (3503, 'Pederobba', 26056, 'N', 'G408'),
  (3504, 'Pieve di Soligo', 26057, 'N', 'G645'),
  (3505, 'Ponte di Piave', 26058, 'N', 'G846'),
  (3506, 'Ponzano Veneto', 26059, 'N', 'G875'),
  (3507, 'PortobuffolÃ¨', 26060, 'N', 'G909'),
  (3508, 'Possagno', 26061, 'N', 'G933'),
  (3509, 'Povegliano', 26062, 'N', 'G944'),
  (3510, 'Preganziol', 26063, 'N', 'H022'),
  (3511, 'Quinto di Treviso', 26064, 'N', 'H131'),
  (3512, 'Refrontolo', 26065, 'N', 'H220'),
  (3513, 'Resana', 26066, 'N', 'H238'),
  (3514, 'Revine Lago', 26067, 'N', 'H253'),
  (3515, 'Riese Pio X', 26068, 'N', 'H280'),
  (3516, 'Roncade', 26069, 'N', 'H523'),
  (3517, 'Salgareda', 26070, 'N', 'H706'),
  (3518, 'San Biagio di Callalta', 26071, 'N', 'H781'),
  (3519, 'San Fior', 26072, 'N', 'H843'),
  (3520, 'San Pietro di Feletto', 26073, 'N', 'I103'),
  (3521, 'San Polo di Piave', 26074, 'N', 'I124'),
  (3522, 'San Vendemiano', 26076, 'N', 'I382'),
  (3523, 'San Zenone degli Ezzelini', 26077, 'N', 'I417'),
  (3524, 'Santa Lucia di Piave', 26075, 'N', 'I221'),
  (3525, 'Sarmede', 26078, 'N', 'I435'),
  (3526, 'Segusino', 26079, 'N', 'I578'),
  (3527, 'Sernaglia della Battaglia', 26080, 'N', 'I635'),
  (3528, 'Silea', 26081, 'N', 'F116'),
  (3529, 'Spresiano', 26082, 'N', 'I927'),
  (3530, 'Susegana', 26083, 'N', 'L014'),
  (3531, 'Tarzo', 26084, 'N', 'L058'),
  (3532, 'Trevignano', 26085, 'N', 'L402'),
  (3533, 'Treviso', 26086, 'N', 'L407'),
  (3534, 'Valdobbiadene', 26087, 'N', 'L565'),
  (3535, 'Vazzola', 26088, 'N', 'L700'),
  (3536, 'Vedelago', 26089, 'N', 'L706'),
  (3537, 'Vidor', 26090, 'N', 'L856'),
  (3538, 'Villorba', 26091, 'N', 'M048'),
  (3539, 'Vittorio Veneto', 26092, 'N', 'M089'),
  (3540, 'Volpago del Montello', 26093, 'N', 'M118'),
  (3541, 'Zenson di Piave', 26094, 'N', 'M163'),
  (3542, 'Zero Branco', 26095, 'N', 'M171'),
  (3543, 'Annone Veneto', 27001, 'N', 'A302'),
  (3544, 'Campagna Lupia', 27002, 'N', 'B493'),
  (3545, 'Campolongo Maggiore', 27003, 'N', 'B546'),
  (3546, 'Camponogara', 27004, 'N', 'B554'),
  (3547, 'Caorle', 27005, 'N', 'B642'),
  (3548, 'Cavallino-Treporti', 27044, 'N', 'M308'),
  (3549, 'Cavarzere', 27006, 'N', 'C383'),
  (3550, 'Ceggia', 27007, 'N', 'C422'),
  (3551, 'Chioggia', 27008, 'N', 'C638'),
  (3552, 'Cinto Caomaggiore', 27009, 'N', 'C714'),
  (3553, 'Cona', 27010, 'N', 'C938'),
  (3554, 'Concordia Sagittaria', 27011, 'N', 'C950'),
  (3555, 'Dolo', 27012, 'N', 'D325'),
  (3556, 'Eraclea', 27013, 'N', 'D415'),
  (3557, 'Fiesso d''Artico', 27014, 'N', 'D578'),
  (3558, 'Fossalta di Piave', 27015, 'N', 'D740'),
  (3559, 'Fossalta di Portogruaro', 27016, 'N', 'D741'),
  (3560, 'FossÃ²', 27017, 'N', 'D748'),
  (3561, 'Gruaro', 27018, 'N', 'E215'),
  (3562, 'Jesolo', 27019, 'N', 'C388'),
  (3563, 'Marcon', 27020, 'N', 'E936'),
  (3564, 'Martellago', 27021, 'N', 'E980'),
  (3565, 'Meolo', 27022, 'N', 'F130'),
  (3566, 'Mira', 27023, 'N', 'F229'),
  (3567, 'Mirano', 27024, 'N', 'F241'),
  (3568, 'Musile di Piave', 27025, 'N', 'F826'),
  (3569, 'Noale', 27026, 'N', 'F904'),
  (3570, 'Noventa di Piave', 27027, 'N', 'F963'),
  (3571, 'Pianiga', 27028, 'N', 'G565'),
  (3572, 'Portogruaro', 27029, 'N', 'G914'),
  (3573, 'Pramaggiore', 27030, 'N', 'G981'),
  (3574, 'Quarto d''Altino', 27031, 'N', 'H117'),
  (3575, 'Salzano', 27032, 'N', 'H735'),
  (3576, 'San DonÃ  di Piave', 27033, 'N', 'H823'),
  (3577, 'San Michele al Tagliamento', 27034, 'N', 'I040'),
  (3578, 'Santa Maria di Sala', 27035, 'N', 'I242'),
  (3579, 'Santo Stino di Livenza', 27036, 'N', 'I373'),
  (3580, 'ScorzÃ¨', 27037, 'N', 'I551'),
  (3581, 'Spinea', 27038, 'N', 'I908'),
  (3582, 'Stra', 27039, 'N', 'I965'),
  (3583, 'Teglio Veneto', 27040, 'N', 'L085'),
  (3584, 'Torre di Mosto', 27041, 'N', 'L267'),
  (3585, 'Venezia', 27042, 'N', 'L736'),
  (3586, 'Vigonovo', 27043, 'N', 'L899'),
  (3587, 'Abano Terme', 28001, 'N', 'A001'),
  (3588, 'Agna', 28002, 'N', 'A075'),
  (3589, 'Albignasego', 28003, 'N', 'A161'),
  (3590, 'Anguillara Veneta', 28004, 'N', 'A296'),
  (3591, 'ArquÃ  Petrarca', 28005, 'N', 'A434'),
  (3592, 'Arre', 28006, 'N', 'A438'),
  (3593, 'Arzergrande', 28007, 'N', 'A458'),
  (3594, 'Bagnoli di Sopra', 28008, 'N', 'A568'),
  (3595, 'Baone', 28009, 'N', 'A613'),
  (3596, 'Barbona', 28010, 'N', 'A637'),
  (3597, 'Battaglia Terme', 28011, 'N', 'A714'),
  (3598, 'Boara Pisani', 28012, 'N', 'A906'),
  (3599, 'Borgoricco', 28013, 'N', 'B031'),
  (3600, 'Bovolenta', 28014, 'N', 'B106'),
  (3601, 'Brugine', 28015, 'N', 'B213'),
  (3602, 'Cadoneghe', 28016, 'N', 'B345'),
  (3603, 'Campo San Martino', 28020, 'N', 'B564'),
  (3604, 'Campodarsego', 28017, 'N', 'B524'),
  (3605, 'Campodoro', 28018, 'N', 'B531'),
  (3606, 'Camposampiero', 28019, 'N', 'B563'),
  (3607, 'Candiana', 28021, 'N', 'B589'),
  (3608, 'Carceri', 28022, 'N', 'B749'),
  (3609, 'Carmignano di Brenta', 28023, 'N', 'B795'),
  (3610, 'Cartura', 28026, 'N', 'B848'),
  (3611, 'Casale di Scodosia', 28027, 'N', 'B877'),
  (3612, 'Casalserugo', 28028, 'N', 'B912'),
  (3613, 'Castelbaldo', 28029, 'N', 'C057'),
  (3614, 'Cervarese Santa Croce', 28030, 'N', 'C544'),
  (3615, 'Cinto Euganeo', 28031, 'N', 'C713'),
  (3616, 'Cittadella', 28032, 'N', 'C743'),
  (3617, 'Codevigo', 28033, 'N', 'C812'),
  (3618, 'Conselve', 28034, 'N', 'C964'),
  (3619, 'Correzzola', 28035, 'N', 'D040'),
  (3620, 'Curtarolo', 28036, 'N', 'D226'),
  (3621, 'Due Carrare', 28106, 'N', 'M300'),
  (3622, 'Este', 28037, 'N', 'D442'),
  (3623, 'Fontaniva', 28038, 'N', 'D679'),
  (3624, 'Galliera Veneta', 28039, 'N', 'D879'),
  (3625, 'Galzignano Terme', 28040, 'N', 'D889'),
  (3626, 'Gazzo', 28041, 'N', 'D956'),
  (3627, 'Grantorto', 28042, 'N', 'E145'),
  (3628, 'Granze', 28043, 'N', 'E146'),
  (3629, 'Legnaro', 28044, 'N', 'E515'),
  (3630, 'Limena', 28045, 'N', 'E592'),
  (3631, 'Loreggia', 28046, 'N', 'E684'),
  (3632, 'Lozzo Atestino', 28047, 'N', 'E709'),
  (3633, 'MaserÃ  di Padova', 28048, 'N', 'F011'),
  (3634, 'Masi', 28049, 'N', 'F013'),
  (3635, 'Massanzago', 28050, 'N', 'F033'),
  (3636, 'Megliadino San Fidenzio', 28051, 'N', 'F091'),
  (3637, 'Megliadino San Vitale', 28052, 'N', 'F092'),
  (3638, 'Merlara', 28053, 'N', 'F148'),
  (3639, 'Mestrino', 28054, 'N', 'F161'),
  (3640, 'Monselice', 28055, 'N', 'F382'),
  (3641, 'Montagnana', 28056, 'N', 'F394'),
  (3642, 'Montegrotto Terme', 28057, 'N', 'F529'),
  (3643, 'Noventa Padovana', 28058, 'N', 'F962'),
  (3644, 'Ospedaletto Euganeo', 28059, 'N', 'G167'),
  (3645, 'Padova', 28060, 'N', 'G224'),
  (3646, 'Pernumia', 28061, 'N', 'G461'),
  (3647, 'Piacenza d''Adige', 28062, 'N', 'G534'),
  (3648, 'Piazzola sul Brenta', 28063, 'N', 'G587'),
  (3649, 'Piombino Dese', 28064, 'N', 'G688'),
  (3650, 'Piove di Sacco', 28065, 'N', 'G693'),
  (3651, 'Polverara', 28066, 'N', 'G802'),
  (3652, 'Ponso', 28067, 'N', 'G823'),
  (3653, 'Ponte San NicolÃ²', 28069, 'N', 'G855'),
  (3654, 'Pontelongo', 28068, 'N', 'G850'),
  (3655, 'Pozzonovo', 28070, 'N', 'G963'),
  (3656, 'Rovolon', 28071, 'N', 'H622'),
  (3657, 'Rubano', 28072, 'N', 'H625'),
  (3658, 'Saccolongo', 28073, 'N', 'H655'),
  (3659, 'Saletto', 28074, 'N', 'H705'),
  (3660, 'San Giorgio delle Pertiche', 28075, 'N', 'H893'),
  (3661, 'San Giorgio in Bosco', 28076, 'N', 'H897'),
  (3662, 'San Martino di Lupari', 28077, 'N', 'I008'),
  (3663, 'San Pietro in Gu', 28078, 'N', 'I107'),
  (3664, 'San Pietro Viminario', 28079, 'N', 'I120'),
  (3665, 'Santa Giustina in Colle', 28080, 'N', 'I207'),
  (3666, 'Santa Margherita d''Adige', 28081, 'N', 'I226'),
  (3667, 'Sant''Angelo di Piove di Sacco', 28082, 'N', 'I275'),
  (3668, 'Sant''Elena', 28083, 'N', 'I319'),
  (3669, 'Sant''Urbano', 28084, 'N', 'I375'),
  (3670, 'Saonara', 28085, 'N', 'I418'),
  (3671, 'Selvazzano Dentro', 28086, 'N', 'I595'),
  (3672, 'Solesino', 28087, 'N', 'I799'),
  (3673, 'Stanghella', 28088, 'N', 'I938'),
  (3674, 'Teolo', 28089, 'N', 'L100'),
  (3675, 'Terrassa Padovana', 28090, 'N', 'L132'),
  (3676, 'Tombolo', 28091, 'N', 'L199'),
  (3677, 'Torreglia', 28092, 'N', 'L270'),
  (3678, 'Trebaseleghe', 28093, 'N', 'L349'),
  (3679, 'Tribano', 28094, 'N', 'L414'),
  (3680, 'Urbana', 28095, 'N', 'L497'),
  (3681, 'Veggiano', 28096, 'N', 'L710'),
  (3682, 'Vescovana', 28097, 'N', 'L805'),
  (3683, 'Vighizzolo d''Este', 28098, 'N', 'L878'),
  (3684, 'Vigodarzere', 28099, 'N', 'L892'),
  (3685, 'Vigonza', 28100, 'N', 'L900'),
  (3686, 'Villa del Conte', 28101, 'N', 'L934'),
  (3687, 'Villa Estense', 28102, 'N', 'L937'),
  (3688, 'Villafranca Padovana', 28103, 'N', 'L947'),
  (3689, 'Villanova di Camposampiero', 28104, 'N', 'L979'),
  (3690, 'Vo''', 28105, 'N', 'M103'),
  (3691, 'Adria', 29001, 'N', 'A059'),
  (3692, 'Ariano nel Polesine', 29002, 'N', 'A400'),
  (3693, 'ArquÃ  Polesine', 29003, 'N', 'A435'),
  (3694, 'Badia Polesine', 29004, 'N', 'A539'),
  (3695, 'Bagnolo di Po', 29005, 'N', 'A574'),
  (3696, 'Bergantino', 29006, 'N', 'A795'),
  (3697, 'Bosaro', 29007, 'N', 'B069'),
  (3698, 'Calto', 29008, 'N', 'B432'),
  (3699, 'Canaro', 29009, 'N', 'B578'),
  (3700, 'Canda', 29010, 'N', 'B582'),
  (3701, 'Castelguglielmo', 29011, 'N', 'C122'),
  (3702, 'Castelmassa', 29012, 'N', 'C207'),
  (3703, 'Castelnovo Bariano', 29013, 'N', 'C215'),
  (3704, 'Ceneselli', 29014, 'N', 'C461'),
  (3705, 'Ceregnano', 29015, 'N', 'C500'),
  (3706, 'Corbola', 29017, 'N', 'C987'),
  (3707, 'Costa di Rovigo', 29018, 'N', 'D105'),
  (3708, 'Crespino', 29019, 'N', 'D161'),
  (3709, 'Ficarolo', 29021, 'N', 'D568'),
  (3710, 'Fiesso Umbertiano', 29022, 'N', 'D577'),
  (3711, 'Frassinelle Polesine', 29023, 'N', 'D776'),
  (3712, 'Fratta Polesine', 29024, 'N', 'D788'),
  (3713, 'Gaiba', 29025, 'N', 'D855'),
  (3714, 'Gavello', 29026, 'N', 'D942'),
  (3715, 'Giacciano con Baruchella', 29027, 'N', 'E008'),
  (3716, 'Guarda Veneta', 29028, 'N', 'E240'),
  (3717, 'Lendinara', 29029, 'N', 'E522'),
  (3718, 'Loreo', 29030, 'N', 'E689');
INSERT INTO tbl_comuni (idcomune, denominazione, codiceistat, statoestero, codcatastale) VALUES
  (3719, 'Lusia', 29031, 'N', 'E761'),
  (3720, 'Melara', 29032, 'N', 'F095'),
  (3721, 'Occhiobello', 29033, 'N', 'F994'),
  (3722, 'Papozze', 29034, 'N', 'G323'),
  (3723, 'Pettorazza Grimani', 29035, 'N', 'G525'),
  (3724, 'Pincara', 29036, 'N', 'G673'),
  (3725, 'Polesella', 29037, 'N', 'G782'),
  (3726, 'Pontecchio Polesine', 29038, 'N', 'G836'),
  (3727, 'Porto Tolle', 29039, 'N', 'G923'),
  (3728, 'Porto Viro', 29052, 'N', 'G926'),
  (3729, 'Rosolina', 29040, 'N', 'H573'),
  (3730, 'Rovigo', 29041, 'N', 'H620'),
  (3731, 'Salara', 29042, 'N', 'H689'),
  (3732, 'San Bellino', 29043, 'N', 'H768'),
  (3733, 'San Martino di Venezze', 29044, 'N', 'H996'),
  (3734, 'Stienta', 29045, 'N', 'I953'),
  (3735, 'Taglio di Po', 29046, 'N', 'L026'),
  (3736, 'Trecenta', 29047, 'N', 'L359'),
  (3737, 'Villadose', 29048, 'N', 'L939'),
  (3738, 'Villamarzana', 29049, 'N', 'L967'),
  (3739, 'Villanova del Ghebbo', 29050, 'N', 'L985'),
  (3740, 'Villanova Marchesana', 29051, 'N', 'L988'),
  (3741, 'Aiello del Friuli', 30001, 'N', 'A103'),
  (3742, 'Amaro', 30002, 'N', 'A254'),
  (3743, 'Ampezzo', 30003, 'N', 'A267'),
  (3744, 'Aquileia', 30004, 'N', 'A346'),
  (3745, 'Arta Terme', 30005, 'N', 'A447'),
  (3746, 'Artegna', 30006, 'N', 'A448'),
  (3747, 'Attimis', 30007, 'N', 'A491'),
  (3748, 'Bagnaria Arsa', 30008, 'N', 'A553'),
  (3749, 'Basiliano', 30009, 'N', 'A700'),
  (3750, 'Bertiolo', 30010, 'N', 'A810'),
  (3751, 'Bicinicco', 30011, 'N', 'A855'),
  (3752, 'Bordano', 30012, 'N', 'A983'),
  (3753, 'Buja', 30013, 'N', 'B259'),
  (3754, 'Buttrio', 30014, 'N', 'B309'),
  (3755, 'Camino al Tagliamento', 30015, 'N', 'B483'),
  (3756, 'Campoformido', 30016, 'N', 'B536'),
  (3757, 'Campolongo Tapogliano', 30138, 'N', 'M311'),
  (3758, 'Carlino', 30018, 'N', 'B788'),
  (3759, 'Cassacco', 30019, 'N', 'B994'),
  (3760, 'Castions di Strada', 30020, 'N', 'C327'),
  (3761, 'Cavazzo Carnico', 30021, 'N', 'C389'),
  (3762, 'Cercivento', 30022, 'N', 'C494'),
  (3763, 'Cervignano del Friuli', 30023, 'N', 'C556'),
  (3764, 'Chiopris-Viscone', 30024, 'N', 'C641'),
  (3765, 'Chiusaforte', 30025, 'N', 'C656'),
  (3766, 'Cividale del Friuli', 30026, 'N', 'C758'),
  (3767, 'Codroipo', 30027, 'N', 'C817'),
  (3768, 'Colloredo di Monte Albano', 30028, 'N', 'C885'),
  (3769, 'Comeglians', 30029, 'N', 'C918'),
  (3770, 'Corno di Rosazzo', 30030, 'N', 'D027'),
  (3771, 'Coseano', 30031, 'N', 'D085'),
  (3772, 'Dignano', 30032, 'N', 'D300'),
  (3773, 'Dogna', 30033, 'N', 'D316'),
  (3774, 'Drenchia', 30034, 'N', 'D366'),
  (3775, 'Enemonzo', 30035, 'N', 'D408'),
  (3776, 'Faedis', 30036, 'N', 'D455'),
  (3777, 'Fagagna', 30037, 'N', 'D461'),
  (3778, 'Fiumicello', 30038, 'N', 'D627'),
  (3779, 'Flaibano', 30039, 'N', 'D630'),
  (3780, 'Forgaria nel Friuli', 30137, 'N', 'D700'),
  (3781, 'Forni Avoltri', 30040, 'N', 'D718'),
  (3782, 'Forni di Sopra', 30041, 'N', 'D719'),
  (3783, 'Forni di Sotto', 30042, 'N', 'D720'),
  (3784, 'Gemona del Friuli', 30043, 'N', 'D962'),
  (3785, 'Gonars', 30044, 'N', 'E083'),
  (3786, 'Grimacco', 30045, 'N', 'E179'),
  (3787, 'Latisana', 30046, 'N', 'E473'),
  (3788, 'Lauco', 30047, 'N', 'E476'),
  (3789, 'Lestizza', 30048, 'N', 'E553'),
  (3790, 'Lignano Sabbiadoro', 30049, 'N', 'E584'),
  (3791, 'Ligosullo', 30050, 'N', 'E586'),
  (3792, 'Lusevera', 30051, 'N', 'E760'),
  (3793, 'Magnano in Riviera', 30052, 'N', 'E820'),
  (3794, 'Majano', 30053, 'N', 'E833'),
  (3795, 'Malborghetto Valbruna', 30054, 'N', 'E847'),
  (3796, 'Manzano', 30055, 'N', 'E899'),
  (3797, 'Marano Lagunare', 30056, 'N', 'E910'),
  (3798, 'Martignacco', 30057, 'N', 'E982'),
  (3799, 'Mereto di Tomba', 30058, 'N', 'F144'),
  (3800, 'Moggio Udinese', 30059, 'N', 'F266'),
  (3801, 'Moimacco', 30060, 'N', 'F275'),
  (3802, 'Montenars', 30061, 'N', 'F574'),
  (3803, 'Mortegliano', 30062, 'N', 'F756'),
  (3804, 'Moruzzo', 30063, 'N', 'F760'),
  (3805, 'Muzzana del Turgnano', 30064, 'N', 'F832'),
  (3806, 'Nimis', 30065, 'N', 'F898'),
  (3807, 'Osoppo', 30066, 'N', 'G163'),
  (3808, 'Ovaro', 30067, 'N', 'G198'),
  (3809, 'Pagnacco', 30068, 'N', 'G238'),
  (3810, 'Palazzolo dello Stella', 30069, 'N', 'G268'),
  (3811, 'Palmanova', 30070, 'N', 'G284'),
  (3812, 'Paluzza', 30071, 'N', 'G300'),
  (3813, 'Pasian di Prato', 30072, 'N', 'G352'),
  (3814, 'Paularo', 30073, 'N', 'G381'),
  (3815, 'Pavia di Udine', 30074, 'N', 'G389'),
  (3816, 'Pocenia', 30075, 'N', 'G743'),
  (3817, 'Pontebba', 30076, 'N', 'G831'),
  (3818, 'Porpetto', 30077, 'N', 'G891'),
  (3819, 'Povoletto', 30078, 'N', 'G949'),
  (3820, 'Pozzuolo del Friuli', 30079, 'N', 'G966'),
  (3821, 'Pradamano', 30080, 'N', 'G969'),
  (3822, 'Prato Carnico', 30081, 'N', 'H002'),
  (3823, 'Precenicco', 30082, 'N', 'H014'),
  (3824, 'Premariacco', 30083, 'N', 'H029'),
  (3825, 'Preone', 30084, 'N', 'H038'),
  (3826, 'Prepotto', 30085, 'N', 'H040'),
  (3827, 'Pulfero', 30086, 'N', 'H089'),
  (3828, 'Ragogna', 30087, 'N', 'H161'),
  (3829, 'Ravascletto', 30088, 'N', 'H196'),
  (3830, 'Raveo', 30089, 'N', 'H200'),
  (3831, 'Reana del Rojale', 30090, 'N', 'H206'),
  (3832, 'Remanzacco', 30091, 'N', 'H229'),
  (3833, 'Resia', 30092, 'N', 'H242'),
  (3834, 'Resiutta', 30093, 'N', 'H244'),
  (3835, 'Rigolato', 30094, 'N', 'H289'),
  (3836, 'Rive d''Arcano', 30095, 'N', 'H347'),
  (3837, 'Rivignano', 30096, 'N', 'H352'),
  (3838, 'Ronchis', 30097, 'N', 'H533'),
  (3839, 'Ruda', 30098, 'N', 'H629'),
  (3840, 'San Daniele del Friuli', 30099, 'N', 'H816'),
  (3841, 'San Giorgio di Nogaro', 30100, 'N', 'H895'),
  (3842, 'San Giovanni al Natisone', 30101, 'N', 'H906'),
  (3843, 'San Leonardo', 30102, 'N', 'H951'),
  (3844, 'San Pietro al Natisone', 30103, 'N', 'I092'),
  (3845, 'San Vito al Torre', 30105, 'N', 'I404'),
  (3846, 'San Vito di Fagagna', 30106, 'N', 'I405'),
  (3847, 'Santa Maria la Longa', 30104, 'N', 'I248'),
  (3848, 'Sauris', 30107, 'N', 'I464'),
  (3849, 'Savogna', 30108, 'N', 'I478'),
  (3850, 'Sedegliano', 30109, 'N', 'I562'),
  (3851, 'Socchieve', 30110, 'N', 'I777'),
  (3852, 'Stregna', 30111, 'N', 'I974'),
  (3853, 'Sutrio', 30112, 'N', 'L018'),
  (3854, 'Taipana', 30113, 'N', 'G736'),
  (3855, 'Talmassons', 30114, 'N', 'L039'),
  (3856, 'Tarcento', 30116, 'N', 'L050'),
  (3857, 'Tarvisio', 30117, 'N', 'L057'),
  (3858, 'Tavagnacco', 30118, 'N', 'L065'),
  (3859, 'Teor', 30119, 'N', 'L101'),
  (3860, 'Terzo d''Aquileia', 30120, 'N', 'L144'),
  (3861, 'Tolmezzo', 30121, 'N', 'L195'),
  (3862, 'Torreano', 30122, 'N', 'L246'),
  (3863, 'Torviscosa', 30123, 'N', 'L309'),
  (3864, 'Trasaghis', 30124, 'N', 'L335'),
  (3865, 'Treppo Carnico', 30125, 'N', 'L381'),
  (3866, 'Treppo Grande', 30126, 'N', 'L382'),
  (3867, 'Tricesimo', 30127, 'N', 'L421'),
  (3868, 'Trivignano Udinese', 30128, 'N', 'L438'),
  (3869, 'Udine', 30129, 'N', 'L483'),
  (3870, 'Varmo', 30130, 'N', 'L686'),
  (3871, 'Venzone', 30131, 'N', 'L743'),
  (3872, 'Verzegnis', 30132, 'N', 'L801'),
  (3873, 'Villa Santina', 30133, 'N', 'L909'),
  (3874, 'Villa Vicentina', 30134, 'N', 'M034'),
  (3875, 'Visco', 30135, 'N', 'M073'),
  (3876, 'Zuglio', 30136, 'N', 'M200'),
  (3877, 'Capriva del Friuli', 31001, 'N', 'B712'),
  (3878, 'Cormons', 31002, 'N', 'D014'),
  (3879, 'DoberdÃ² del Lago', 31003, 'N', 'D312'),
  (3880, 'Dolegna del Collio', 31004, 'N', 'D321'),
  (3881, 'Farra d''Isonzo', 31005, 'N', 'D504'),
  (3882, 'Fogliano Redipuglia', 31006, 'N', 'D645'),
  (3883, 'Gorizia', 31007, 'N', 'E098'),
  (3884, 'Gradisca d''Isonzo', 31008, 'N', 'E124'),
  (3885, 'Grado', 31009, 'N', 'E125'),
  (3886, 'Mariano del Friuli', 31010, 'N', 'E952'),
  (3887, 'Medea', 31011, 'N', 'F081'),
  (3888, 'Monfalcone', 31012, 'N', 'F356'),
  (3889, 'Moraro', 31013, 'N', 'F710'),
  (3890, 'Mossa', 31014, 'N', 'F767'),
  (3891, 'Romans d''Isonzo', 31015, 'N', 'H514'),
  (3892, 'Ronchi dei Legionari', 31016, 'N', 'H531'),
  (3893, 'Sagrado', 31017, 'N', 'H665'),
  (3894, 'San Canzian d''Isonzo', 31018, 'N', 'H787'),
  (3895, 'San Floriano del Collio', 31019, 'N', 'H845'),
  (3896, 'San Lorenzo Isontino', 31020, 'N', 'H964'),
  (3897, 'San Pier d''Isonzo', 31021, 'N', 'I082'),
  (3898, 'Savogna d''Isonzo', 31022, 'N', 'I479'),
  (3899, 'Staranzano', 31023, 'N', 'I939'),
  (3900, 'Turriaco', 31024, 'N', 'L474'),
  (3901, 'Villesse', 31025, 'N', 'M043'),
  (3902, 'Duino-Aurisina', 32001, 'N', 'D383'),
  (3903, 'Monrupino', 32002, 'N', 'F378'),
  (3904, 'Muggia', 32003, 'N', 'F795'),
  (3905, 'San Dorligo della Valle - Doli', 32004, 'N', 'D324'),
  (3906, 'Sgonico', 32005, 'N', 'I715'),
  (3907, 'Trieste', 32006, 'N', 'L424'),
  (3908, 'Andreis', 93001, 'N', 'A283'),
  (3909, 'Arba', 93002, 'N', 'A354'),
  (3910, 'Arzene', 93003, 'N', 'A456'),
  (3911, 'Aviano', 93004, 'N', 'A516'),
  (3912, 'Azzano Decimo', 93005, 'N', 'A530'),
  (3913, 'Barcis', 93006, 'N', 'A640'),
  (3914, 'Brugnera', 93007, 'N', 'B215'),
  (3915, 'Budoia', 93008, 'N', 'B247'),
  (3916, 'Caneva', 93009, 'N', 'B598'),
  (3917, 'Casarsa della Delizia', 93010, 'N', 'B940'),
  (3918, 'Castelnovo del Friuli', 93011, 'N', 'C217'),
  (3919, 'Cavasso Nuovo', 93012, 'N', 'C385'),
  (3920, 'Chions', 93013, 'N', 'C640'),
  (3921, 'Cimolais', 93014, 'N', 'C699'),
  (3922, 'Claut', 93015, 'N', 'C790'),
  (3923, 'Clauzetto', 93016, 'N', 'C791'),
  (3924, 'Cordenons', 93017, 'N', 'C991'),
  (3925, 'Cordovado', 93018, 'N', 'C993'),
  (3926, 'Erto e Casso', 93019, 'N', 'D426'),
  (3927, 'Fanna', 93020, 'N', 'D487'),
  (3928, 'Fiume Veneto', 93021, 'N', 'D621'),
  (3929, 'Fontanafredda', 93022, 'N', 'D670'),
  (3930, 'Frisanco', 93024, 'N', 'D804'),
  (3931, 'Maniago', 93025, 'N', 'E889'),
  (3932, 'Meduno', 93026, 'N', 'F089'),
  (3933, 'Montereale Valcellina', 93027, 'N', 'F596'),
  (3934, 'Morsano al Tagliamento', 93028, 'N', 'F750'),
  (3935, 'Pasiano di Pordenone', 93029, 'N', 'G353'),
  (3936, 'Pinzano al Tagliamento', 93030, 'N', 'G680'),
  (3937, 'Polcenigo', 93031, 'N', 'G780'),
  (3938, 'Porcia', 93032, 'N', 'G886'),
  (3939, 'Pordenone', 93033, 'N', 'G888'),
  (3940, 'Prata di Pordenone', 93034, 'N', 'G994'),
  (3941, 'Pravisdomini', 93035, 'N', 'H010'),
  (3942, 'Roveredo in Piano', 93036, 'N', 'H609'),
  (3943, 'Sacile', 93037, 'N', 'H657'),
  (3944, 'San Giorgio della Richinvelda', 93038, 'N', 'H891'),
  (3945, 'San Martino al Tagliamento', 93039, 'N', 'H999'),
  (3946, 'San Quirino', 93040, 'N', 'I136'),
  (3947, 'San Vito al Tagliamento', 93041, 'N', 'I403'),
  (3948, 'Sequals', 93042, 'N', 'I621'),
  (3949, 'Sesto al Reghena', 93043, 'N', 'I686'),
  (3950, 'Spilimbergo', 93044, 'N', 'I904'),
  (3951, 'Tramonti di Sopra', 93045, 'N', 'L324'),
  (3952, 'Tramonti di Sotto', 93046, 'N', 'L325'),
  (3953, 'Travesio', 93047, 'N', 'L347'),
  (3954, 'Vajont', 93052, 'N', 'M265'),
  (3955, 'Valvasone', 93048, 'N', 'L657'),
  (3956, 'Vito d''Asio', 93049, 'N', 'M085'),
  (3957, 'Vivaro', 93050, 'N', 'M096'),
  (3958, 'Zoppola', 93051, 'N', 'M190'),
  (3959, 'Airole', 8001, 'N', 'A111'),
  (3960, 'Apricale', 8002, 'N', 'A338'),
  (3961, 'Aquila d''Arroscia', 8003, 'N', 'A344'),
  (3962, 'Armo', 8004, 'N', 'A418'),
  (3963, 'Aurigo', 8005, 'N', 'A499'),
  (3964, 'Badalucco', 8006, 'N', 'A536'),
  (3965, 'Bajardo', 8007, 'N', 'A581'),
  (3966, 'Bordighera', 8008, 'N', 'A984'),
  (3967, 'Borghetto d''Arroscia', 8009, 'N', 'A993'),
  (3968, 'Borgomaro', 8010, 'N', 'B020'),
  (3969, 'Camporosso', 8011, 'N', 'B559'),
  (3970, 'Caravonica', 8012, 'N', 'B734'),
  (3971, 'Carpasio', 8013, 'N', 'B814'),
  (3972, 'Castel Vittorio', 8015, 'N', 'C110'),
  (3973, 'Castellaro', 8014, 'N', 'C143'),
  (3974, 'Ceriana', 8016, 'N', 'C511'),
  (3975, 'Cervo', 8017, 'N', 'C559'),
  (3976, 'Cesio', 8018, 'N', 'C578'),
  (3977, 'Chiusanico', 8019, 'N', 'C657'),
  (3978, 'Chiusavecchia', 8020, 'N', 'C660'),
  (3979, 'Cipressa', 8021, 'N', 'C718'),
  (3980, 'Civezza', 8022, 'N', 'C755'),
  (3981, 'Cosio d''Arroscia', 8023, 'N', 'D087'),
  (3982, 'Costarainera', 8024, 'N', 'D114'),
  (3983, 'Diano Arentino', 8025, 'N', 'D293'),
  (3984, 'Diano Castello', 8026, 'N', 'D296'),
  (3985, 'Diano Marina', 8027, 'N', 'D297'),
  (3986, 'Diano San Pietro', 8028, 'N', 'D298'),
  (3987, 'Dolceacqua', 8029, 'N', 'D318'),
  (3988, 'Dolcedo', 8030, 'N', 'D319'),
  (3989, 'Imperia', 8031, 'N', 'E290'),
  (3990, 'Isolabona', 8032, 'N', 'E346'),
  (3991, 'Lucinasco', 8033, 'N', 'E719'),
  (3992, 'Mendatica', 8034, 'N', 'F123'),
  (3993, 'Molini di Triora', 8035, 'N', 'F290'),
  (3994, 'Montalto Ligure', 8036, 'N', 'F406'),
  (3995, 'Montegrosso Pian Latte', 8037, 'N', 'F528'),
  (3996, 'Olivetta San Michele', 8038, 'N', 'G041'),
  (3997, 'Ospedaletti', 8039, 'N', 'G164'),
  (3998, 'Perinaldo', 8040, 'N', 'G454'),
  (3999, 'Pietrabruna', 8041, 'N', 'G607'),
  (4000, 'Pieve di Teco', 8042, 'N', 'G632'),
  (4001, 'Pigna', 8043, 'N', 'G660'),
  (4002, 'Pompeiana', 8044, 'N', 'G814'),
  (4003, 'Pontedassio', 8045, 'N', 'G840'),
  (4004, 'Pornassio', 8046, 'N', 'G890'),
  (4005, 'PrelÃ ', 8047, 'N', 'H027'),
  (4006, 'Ranzo', 8048, 'N', 'H180'),
  (4007, 'Rezzo', 8049, 'N', 'H257'),
  (4008, 'Riva Ligure', 8050, 'N', 'H328'),
  (4009, 'Rocchetta Nervina', 8051, 'N', 'H460'),
  (4010, 'San Bartolomeo al Mare', 8052, 'N', 'H763'),
  (4011, 'San Biagio della Cima', 8053, 'N', 'H780'),
  (4012, 'San Lorenzo al Mare', 8054, 'N', 'H957'),
  (4013, 'Sanremo', 8055, 'N', 'I138'),
  (4014, 'Santo Stefano al Mare', 8056, 'N', 'I365'),
  (4015, 'Seborga', 8057, 'N', 'I556'),
  (4016, 'Soldano', 8058, 'N', 'I796'),
  (4017, 'Taggia', 8059, 'N', 'L024'),
  (4018, 'Terzorio', 8060, 'N', 'L146'),
  (4019, 'Triora', 8061, 'N', 'L430'),
  (4020, 'Vallebona', 8062, 'N', 'L596'),
  (4021, 'Vallecrosia', 8063, 'N', 'L599'),
  (4022, 'Vasia', 8064, 'N', 'L693'),
  (4023, 'Ventimiglia', 8065, 'N', 'L741'),
  (4024, 'Vessalico', 8066, 'N', 'L809'),
  (4025, 'Villa Faraldi', 8067, 'N', 'L943'),
  (4026, 'Alassio', 9001, 'N', 'A122'),
  (4027, 'Albenga', 9002, 'N', 'A145'),
  (4028, 'Albisola Superiore', 9004, 'N', 'A166'),
  (4029, 'Albissola Marina', 9003, 'N', 'A165'),
  (4030, 'Altare', 9005, 'N', 'A226'),
  (4031, 'Andora', 9006, 'N', 'A278'),
  (4032, 'Arnasco', 9007, 'N', 'A422'),
  (4033, 'Balestrino', 9008, 'N', 'A593'),
  (4034, 'Bardineto', 9009, 'N', 'A647'),
  (4035, 'Bergeggi', 9010, 'N', 'A796'),
  (4036, 'Boissano', 9011, 'N', 'A931'),
  (4037, 'Borghetto Santo Spirito', 9012, 'N', 'A999'),
  (4038, 'Borgio Verezzi', 9013, 'N', 'B005'),
  (4039, 'Bormida', 9014, 'N', 'B048'),
  (4040, 'Cairo Montenotte', 9015, 'N', 'B369'),
  (4041, 'Calice Ligure', 9016, 'N', 'B409'),
  (4042, 'Calizzano', 9017, 'N', 'B416'),
  (4043, 'Carcare', 9018, 'N', 'B748'),
  (4044, 'Casanova Lerrone', 9019, 'N', 'B927'),
  (4045, 'Castelbianco', 9020, 'N', 'C063'),
  (4046, 'Castelvecchio di Rocca Barbena', 9021, 'N', 'C276'),
  (4047, 'Celle Ligure', 9022, 'N', 'C443'),
  (4048, 'Cengio', 9023, 'N', 'C463'),
  (4049, 'Ceriale', 9024, 'N', 'C510'),
  (4050, 'Cisano sul Neva', 9025, 'N', 'C729'),
  (4051, 'Cosseria', 9026, 'N', 'D095'),
  (4052, 'Dego', 9027, 'N', 'D264'),
  (4053, 'Erli', 9028, 'N', 'D424'),
  (4054, 'Finale Ligure', 9029, 'N', 'D600'),
  (4055, 'Garlenda', 9030, 'N', 'D927'),
  (4056, 'Giustenice', 9031, 'N', 'E064'),
  (4057, 'Giusvalla', 9032, 'N', 'E066'),
  (4058, 'Laigueglia', 9033, 'N', 'E414'),
  (4059, 'Loano', 9034, 'N', 'E632'),
  (4060, 'Magliolo', 9035, 'N', 'E816'),
  (4061, 'Mallare', 9036, 'N', 'E860'),
  (4062, 'Massimino', 9037, 'N', 'F046'),
  (4063, 'Millesimo', 9038, 'N', 'F213'),
  (4064, 'Mioglia', 9039, 'N', 'F226'),
  (4065, 'Murialdo', 9040, 'N', 'F813'),
  (4066, 'Nasino', 9041, 'N', 'F847'),
  (4067, 'Noli', 9042, 'N', 'F926'),
  (4068, 'Onzo', 9043, 'N', 'G076'),
  (4069, 'Orco Feglino', 9044, 'N', 'D522'),
  (4070, 'Ortovero', 9045, 'N', 'G144'),
  (4071, 'Osiglia', 9046, 'N', 'G155'),
  (4072, 'Pallare', 9047, 'N', 'G281'),
  (4073, 'Piana Crixia', 9048, 'N', 'G542'),
  (4074, 'Pietra Ligure', 9049, 'N', 'G605'),
  (4075, 'Plodio', 9050, 'N', 'G741'),
  (4076, 'Pontinvrea', 9051, 'N', 'G866'),
  (4077, 'Quiliano', 9052, 'N', 'H126'),
  (4078, 'Rialto', 9053, 'N', 'H266'),
  (4079, 'Roccavignale', 9054, 'N', 'H452'),
  (4080, 'Sassello', 9055, 'N', 'I453'),
  (4081, 'Savona', 9056, 'N', 'I480'),
  (4082, 'Spotorno', 9057, 'N', 'I926'),
  (4083, 'Stella', 9058, 'N', 'I946'),
  (4084, 'Stellanello', 9059, 'N', 'I947'),
  (4085, 'Testico', 9060, 'N', 'L152'),
  (4086, 'Toirano', 9061, 'N', 'L190'),
  (4087, 'Tovo San Giacomo', 9062, 'N', 'L315'),
  (4088, 'Urbe', 9063, 'N', 'L499'),
  (4089, 'Vado Ligure', 9064, 'N', 'L528'),
  (4090, 'Varazze', 9065, 'N', 'L675'),
  (4091, 'Vendone', 9066, 'N', 'L730'),
  (4092, 'Vezzi Portio', 9067, 'N', 'L823'),
  (4093, 'Villanova d''Albenga', 9068, 'N', 'L975'),
  (4094, 'Zuccarello', 9069, 'N', 'M197'),
  (4095, 'Arenzano', 10001, 'N', 'A388'),
  (4096, 'Avegno', 10002, 'N', 'A506'),
  (4097, 'Bargagli', 10003, 'N', 'A658'),
  (4098, 'Bogliasco', 10004, 'N', 'A922'),
  (4099, 'Borzonasca', 10005, 'N', 'B067'),
  (4100, 'Busalla', 10006, 'N', 'B282'),
  (4101, 'Camogli', 10007, 'N', 'B490'),
  (4102, 'Campo Ligure', 10008, 'N', 'B538'),
  (4103, 'Campomorone', 10009, 'N', 'B551'),
  (4104, 'Carasco', 10010, 'N', 'B726'),
  (4105, 'Casarza Ligure', 10011, 'N', 'B939'),
  (4106, 'Casella', 10012, 'N', 'B956'),
  (4107, 'Castiglione Chiavarese', 10013, 'N', 'C302'),
  (4108, 'Ceranesi', 10014, 'N', 'C481'),
  (4109, 'Chiavari', 10015, 'N', 'C621'),
  (4110, 'Cicagna', 10016, 'N', 'C673'),
  (4111, 'Cogoleto', 10017, 'N', 'C823'),
  (4112, 'Cogorno', 10018, 'N', 'C826'),
  (4113, 'Coreglia Ligure', 10019, 'N', 'C995'),
  (4114, 'Crocefieschi', 10020, 'N', 'D175'),
  (4115, 'Davagna', 10021, 'N', 'D255'),
  (4116, 'Fascia', 10022, 'N', 'D509'),
  (4117, 'Favale di Malvaro', 10023, 'N', 'D512'),
  (4118, 'Fontanigorda', 10024, 'N', 'D677'),
  (4119, 'Genova', 10025, 'N', 'D969'),
  (4120, 'Gorreto', 10026, 'N', 'E109'),
  (4121, 'Isola del Cantone', 10027, 'N', 'E341'),
  (4122, 'Lavagna', 10028, 'N', 'E488'),
  (4123, 'Leivi', 10029, 'N', 'E519'),
  (4124, 'Lorsica', 10030, 'N', 'E695'),
  (4125, 'Lumarzo', 10031, 'N', 'E737'),
  (4126, 'Masone', 10032, 'N', 'F020'),
  (4127, 'Mele', 10033, 'N', 'F098'),
  (4128, 'Mezzanego', 10034, 'N', 'F173'),
  (4129, 'Mignanego', 10035, 'N', 'F202'),
  (4130, 'Moconesi', 10036, 'N', 'F256'),
  (4131, 'Moneglia', 10037, 'N', 'F354'),
  (4132, 'Montebruno', 10038, 'N', 'F445'),
  (4133, 'Montoggio', 10039, 'N', 'F682'),
  (4134, 'Ne', 10040, 'N', 'F858'),
  (4135, 'Neirone', 10041, 'N', 'F862'),
  (4136, 'Orero', 10042, 'N', 'G093'),
  (4137, 'Pieve Ligure', 10043, 'N', 'G646'),
  (4138, 'Portofino', 10044, 'N', 'G913'),
  (4139, 'Propata', 10045, 'N', 'H073'),
  (4140, 'Rapallo', 10046, 'N', 'H183'),
  (4141, 'Recco', 10047, 'N', 'H212'),
  (4142, 'Rezzoaglio', 10048, 'N', 'H258'),
  (4143, 'Ronco Scrivia', 10049, 'N', 'H536'),
  (4144, 'Rondanina', 10050, 'N', 'H546'),
  (4145, 'Rossiglione', 10051, 'N', 'H581'),
  (4146, 'Rovegno', 10052, 'N', 'H599'),
  (4147, 'San Colombano Certenoli', 10053, 'N', 'H802'),
  (4148, 'Santa Margherita Ligure', 10054, 'N', 'I225'),
  (4149, 'Santo Stefano d''Aveto', 10056, 'N', 'I368'),
  (4150, 'Sant''Olcese', 10055, 'N', 'I346'),
  (4151, 'Savignone', 10057, 'N', 'I475'),
  (4152, 'Serra RiccÃ²', 10058, 'N', 'I640'),
  (4153, 'Sestri Levante', 10059, 'N', 'I693'),
  (4154, 'Sori', 10060, 'N', 'I852'),
  (4155, 'Tiglieto', 10061, 'N', 'L167'),
  (4156, 'Torriglia', 10062, 'N', 'L298'),
  (4157, 'Tribogna', 10063, 'N', 'L416'),
  (4158, 'Uscio', 10064, 'N', 'L507'),
  (4159, 'Valbrevenna', 10065, 'N', 'L546'),
  (4160, 'Vobbia', 10066, 'N', 'M105'),
  (4161, 'Zoagli', 10067, 'N', 'M182'),
  (4162, 'Ameglia', 11001, 'N', 'A261'),
  (4163, 'Arcola', 11002, 'N', 'A373'),
  (4164, 'Beverino', 11003, 'N', 'A836'),
  (4165, 'Bolano', 11004, 'N', 'A932'),
  (4166, 'Bonassola', 11005, 'N', 'A961'),
  (4167, 'Borghetto di Vara', 11006, 'N', 'A992'),
  (4168, 'Brugnato', 11007, 'N', 'B214'),
  (4169, 'Calice al Cornoviglio', 11008, 'N', 'B410'),
  (4170, 'Carro', 11009, 'N', 'B838'),
  (4171, 'Carrodano', 11010, 'N', 'B839'),
  (4172, 'Castelnuovo Magra', 11011, 'N', 'C240'),
  (4173, 'Deiva Marina', 11012, 'N', 'D265'),
  (4174, 'Follo', 11013, 'N', 'D655'),
  (4175, 'Framura', 11014, 'N', 'D758'),
  (4176, 'La Spezia', 11015, 'N', 'E463'),
  (4177, 'Lerici', 11016, 'N', 'E542'),
  (4178, 'Levanto', 11017, 'N', 'E560'),
  (4179, 'Maissana', 11018, 'N', 'E842'),
  (4180, 'Monterosso al Mare', 11019, 'N', 'F609'),
  (4181, 'Ortonovo', 11020, 'N', 'G143'),
  (4182, 'Pignone', 11021, 'N', 'G664'),
  (4183, 'Portovenere', 11022, 'N', 'G925'),
  (4184, 'RiccÃ² del Golfo di Spezia', 11023, 'N', 'H275'),
  (4185, 'Riomaggiore', 11024, 'N', 'H304'),
  (4186, 'Rocchetta di Vara', 11025, 'N', 'H461'),
  (4187, 'Santo Stefano di Magra', 11026, 'N', 'I363'),
  (4188, 'Sarzana', 11027, 'N', 'I449'),
  (4189, 'Sesta Godano', 11028, 'N', 'E070'),
  (4190, 'Varese Ligure', 11029, 'N', 'L681'),
  (4191, 'Vernazza', 11030, 'N', 'L774'),
  (4192, 'Vezzano Ligure', 11031, 'N', 'L819'),
  (4193, 'Zignago', 11032, 'N', 'M177'),
  (4194, 'Agazzano', 33001, 'N', 'A067'),
  (4195, 'Alseno', 33002, 'N', 'A223'),
  (4196, 'Besenzone', 33003, 'N', 'A823'),
  (4197, 'Bettola', 33004, 'N', 'A831'),
  (4198, 'Bobbio', 33005, 'N', 'A909'),
  (4199, 'Borgonovo Val Tidone', 33006, 'N', 'B025'),
  (4200, 'Cadeo', 33007, 'N', 'B332'),
  (4201, 'Calendasco', 33008, 'N', 'B405'),
  (4202, 'Caminata', 33009, 'N', 'B479'),
  (4203, 'Caorso', 33010, 'N', 'B643'),
  (4204, 'Carpaneto Piacentino', 33011, 'N', 'B812'),
  (4205, 'Castel San Giovanni', 33013, 'N', 'C261'),
  (4206, 'Castell''Arquato', 33012, 'N', 'C145'),
  (4207, 'Castelvetro Piacentino', 33014, 'N', 'C288'),
  (4208, 'Cerignale', 33015, 'N', 'C513'),
  (4209, 'Coli', 33016, 'N', 'C838'),
  (4210, 'Corte Brugnatella', 33017, 'N', 'D054'),
  (4211, 'Cortemaggiore', 33018, 'N', 'D061'),
  (4212, 'Farini', 33019, 'N', 'D502'),
  (4213, 'Ferriere', 33020, 'N', 'D555'),
  (4214, 'Fiorenzuola d''Arda', 33021, 'N', 'D611'),
  (4215, 'Gazzola', 33022, 'N', 'D958'),
  (4216, 'Gossolengo', 33023, 'N', 'E114'),
  (4217, 'Gragnano Trebbiense', 33024, 'N', 'E132'),
  (4218, 'Gropparello', 33025, 'N', 'E196'),
  (4219, 'Lugagnano Val d''Arda', 33026, 'N', 'E726'),
  (4220, 'Monticelli d''Ongina', 33027, 'N', 'F671'),
  (4221, 'Morfasso', 33028, 'N', 'F724'),
  (4222, 'Nibbiano', 33029, 'N', 'F885'),
  (4223, 'Ottone', 33030, 'N', 'G195'),
  (4224, 'Pecorara', 33031, 'N', 'G399'),
  (4225, 'Piacenza', 33032, 'N', 'G535'),
  (4226, 'Pianello Val Tidone', 33033, 'N', 'G557'),
  (4227, 'Piozzano', 33034, 'N', 'G696'),
  (4228, 'Podenzano', 33035, 'N', 'G747'),
  (4229, 'Ponte dell''Olio', 33036, 'N', 'G842'),
  (4230, 'Pontenure', 33037, 'N', 'G852'),
  (4231, 'Rivergaro', 33038, 'N', 'H350'),
  (4232, 'Rottofreno', 33039, 'N', 'H593'),
  (4233, 'San Giorgio Piacentino', 33040, 'N', 'H887'),
  (4234, 'San Pietro in Cerro', 33041, 'N', 'G788'),
  (4235, 'Sarmato', 33042, 'N', 'I434'),
  (4236, 'Travo', 33043, 'N', 'L348'),
  (4237, 'Vernasca', 33044, 'N', 'L772'),
  (4238, 'Vigolzone', 33045, 'N', 'L897'),
  (4239, 'Villanova sull''Arda', 33046, 'N', 'L980'),
  (4240, 'Zerba', 33047, 'N', 'M165'),
  (4241, 'Ziano Piacentino', 33048, 'N', 'L848'),
  (4242, 'Albareto', 34001, 'N', 'A138'),
  (4243, 'Bardi', 34002, 'N', 'A646'),
  (4244, 'Bedonia', 34003, 'N', 'A731'),
  (4245, 'Berceto', 34004, 'N', 'A788'),
  (4246, 'Bore', 34005, 'N', 'A987'),
  (4247, 'Borgo Val di Taro', 34006, 'N', 'B042'),
  (4248, 'Busseto', 34007, 'N', 'B293'),
  (4249, 'Calestano', 34008, 'N', 'B408'),
  (4250, 'Collecchio', 34009, 'N', 'C852'),
  (4251, 'Colorno', 34010, 'N', 'C904'),
  (4252, 'Compiano', 34011, 'N', 'C934'),
  (4253, 'Corniglio', 34012, 'N', 'D026'),
  (4254, 'Felino', 34013, 'N', 'D526'),
  (4255, 'Fidenza', 34014, 'N', 'B034'),
  (4256, 'Fontanellato', 34015, 'N', 'D673'),
  (4257, 'Fontevivo', 34016, 'N', 'D685'),
  (4258, 'Fornovo di Taro', 34017, 'N', 'D728'),
  (4259, 'Langhirano', 34018, 'N', 'E438'),
  (4260, 'Lesignano de'' Bagni', 34019, 'N', 'E547'),
  (4261, 'Medesano', 34020, 'N', 'F082'),
  (4262, 'Mezzani', 34021, 'N', 'F174'),
  (4263, 'Monchio delle Corti', 34022, 'N', 'F340'),
  (4264, 'Montechiarugolo', 34023, 'N', 'F473'),
  (4265, 'Neviano degli Arduini', 34024, 'N', 'F882'),
  (4266, 'Noceto', 34025, 'N', 'F914'),
  (4267, 'Palanzano', 34026, 'N', 'G255'),
  (4268, 'Parma', 34027, 'N', 'G337'),
  (4269, 'Pellegrino Parmense', 34028, 'N', 'G424'),
  (4270, 'Polesine Parmense', 34029, 'N', 'G783'),
  (4271, 'Roccabianca', 34030, 'N', 'H384'),
  (4272, 'Sala Baganza', 34031, 'N', 'H682'),
  (4273, 'Salsomaggiore Terme', 34032, 'N', 'H720'),
  (4274, 'San Secondo Parmense', 34033, 'N', 'I153'),
  (4275, 'Sissa', 34034, 'N', 'I763'),
  (4276, 'Solignano', 34035, 'N', 'I803'),
  (4277, 'Soragna', 34036, 'N', 'I840'),
  (4278, 'Sorbolo', 34037, 'N', 'I845'),
  (4279, 'Terenzo', 34038, 'N', 'E548'),
  (4280, 'Tizzano Val Parma', 34039, 'N', 'L183'),
  (4281, 'Tornolo', 34040, 'N', 'L229'),
  (4282, 'Torrile', 34041, 'N', 'L299'),
  (4283, 'Traversetolo', 34042, 'N', 'L346'),
  (4284, 'Trecasali', 34043, 'N', 'L354'),
  (4285, 'Valmozzola', 34044, 'N', 'L641'),
  (4286, 'Varano de'' Melegari', 34045, 'N', 'L672'),
  (4287, 'Varsi', 34046, 'N', 'L689'),
  (4288, 'Zibello', 34048, 'N', 'M174'),
  (4289, 'Albinea', 35001, 'N', 'A162'),
  (4290, 'Bagnolo in Piano', 35002, 'N', 'A573'),
  (4291, 'Baiso', 35003, 'N', 'A586'),
  (4292, 'Bibbiano', 35004, 'N', 'A850'),
  (4293, 'Boretto', 35005, 'N', 'A988'),
  (4294, 'Brescello', 35006, 'N', 'B156'),
  (4295, 'Busana', 35007, 'N', 'B283'),
  (4296, 'Cadelbosco di Sopra', 35008, 'N', 'B328'),
  (4297, 'Campagnola Emilia', 35009, 'N', 'B499'),
  (4298, 'Campegine', 35010, 'N', 'B502'),
  (4299, 'Canossa', 35018, 'N', 'C669'),
  (4300, 'Carpineti', 35011, 'N', 'B825'),
  (4301, 'Casalgrande', 35012, 'N', 'B893'),
  (4302, 'Casina', 35013, 'N', 'B967'),
  (4303, 'Castellarano', 35014, 'N', 'C141'),
  (4304, 'Castelnovo di Sotto', 35015, 'N', 'C218'),
  (4305, 'Castelnovo ne'' Monti', 35016, 'N', 'C219'),
  (4306, 'Cavriago', 35017, 'N', 'C405'),
  (4307, 'Collagna', 35019, 'N', 'C840'),
  (4308, 'Correggio', 35020, 'N', 'D037'),
  (4309, 'Fabbrico', 35021, 'N', 'D450'),
  (4310, 'Gattatico', 35022, 'N', 'D934'),
  (4311, 'Gualtieri', 35023, 'N', 'E232'),
  (4312, 'Guastalla', 35024, 'N', 'E253'),
  (4313, 'Ligonchio', 35025, 'N', 'E585'),
  (4314, 'Luzzara', 35026, 'N', 'E772'),
  (4315, 'Montecchio Emilia', 35027, 'N', 'F463'),
  (4316, 'Novellara', 35028, 'N', 'F960'),
  (4317, 'Poviglio', 35029, 'N', 'G947'),
  (4318, 'Quattro Castella', 35030, 'N', 'H122'),
  (4319, 'Ramiseto', 35031, 'N', 'G654'),
  (4320, 'Reggio nell''Emilia', 35033, 'N', 'H223'),
  (4321, 'Reggiolo', 35032, 'N', 'H225'),
  (4322, 'Rio Saliceto', 35034, 'N', 'H298'),
  (4323, 'Rolo', 35035, 'N', 'H500'),
  (4324, 'Rubiera', 35036, 'N', 'H628'),
  (4325, 'San Martino in Rio', 35037, 'N', 'I011'),
  (4326, 'San Polo d''Enza', 35038, 'N', 'I123'),
  (4327, 'Sant''Ilario d''Enza', 35039, 'N', 'I342'),
  (4328, 'Scandiano', 35040, 'N', 'I496'),
  (4329, 'Toano', 35041, 'N', 'L184'),
  (4330, 'Vetto', 35042, 'N', 'L815'),
  (4331, 'Vezzano sul Crostolo', 35043, 'N', 'L820'),
  (4332, 'Viano', 35044, 'N', 'L831'),
  (4333, 'Villa Minozzo', 35045, 'N', 'L969'),
  (4334, 'Bastiglia', 36001, 'N', 'A713'),
  (4335, 'Bomporto', 36002, 'N', 'A959'),
  (4336, 'Campogalliano', 36003, 'N', 'B539'),
  (4337, 'Camposanto', 36004, 'N', 'B566'),
  (4338, 'Carpi', 36005, 'N', 'B819'),
  (4339, 'Castelfranco Emilia', 36006, 'N', 'C107'),
  (4340, 'Castelnuovo Rangone', 36007, 'N', 'C242'),
  (4341, 'Castelvetro di Modena', 36008, 'N', 'C287'),
  (4342, 'Cavezzo', 36009, 'N', 'C398'),
  (4343, 'Concordia sulla Secchia', 36010, 'N', 'C951'),
  (4344, 'Fanano', 36011, 'N', 'D486'),
  (4345, 'Finale Emilia', 36012, 'N', 'D599'),
  (4346, 'Fiorano Modenese', 36013, 'N', 'D607'),
  (4347, 'Fiumalbo', 36014, 'N', 'D617'),
  (4348, 'Formigine', 36015, 'N', 'D711'),
  (4349, 'Frassinoro', 36016, 'N', 'D783'),
  (4350, 'Guiglia', 36017, 'N', 'E264'),
  (4351, 'Lama Mocogno', 36018, 'N', 'E426'),
  (4352, 'Maranello', 36019, 'N', 'E904'),
  (4353, 'Marano sul Panaro', 36020, 'N', 'E905'),
  (4354, 'Medolla', 36021, 'N', 'F087'),
  (4355, 'Mirandola', 36022, 'N', 'F240'),
  (4356, 'Modena', 36023, 'N', 'F257'),
  (4357, 'Montecreto', 36024, 'N', 'F484'),
  (4358, 'Montefiorino', 36025, 'N', 'F503'),
  (4359, 'Montese', 36026, 'N', 'F642'),
  (4360, 'Nonantola', 36027, 'N', 'F930'),
  (4361, 'Novi di Modena', 36028, 'N', 'F966'),
  (4362, 'Palagano', 36029, 'N', 'G250'),
  (4363, 'Pavullo nel Frignano', 36030, 'N', 'G393'),
  (4364, 'Pievepelago', 36031, 'N', 'G649'),
  (4365, 'Polinago', 36032, 'N', 'G789'),
  (4366, 'Prignano sulla Secchia', 36033, 'N', 'H061'),
  (4367, 'Ravarino', 36034, 'N', 'H195'),
  (4368, 'Riolunato', 36035, 'N', 'H303'),
  (4369, 'San Cesario sul Panaro', 36036, 'N', 'H794'),
  (4370, 'San Felice sul Panaro', 36037, 'N', 'H835'),
  (4371, 'San Possidonio', 36038, 'N', 'I128'),
  (4372, 'San Prospero', 36039, 'N', 'I133'),
  (4373, 'Sassuolo', 36040, 'N', 'I462'),
  (4374, 'Savignano sul Panaro', 36041, 'N', 'I473'),
  (4375, 'Serramazzoni', 36042, 'N', 'F357'),
  (4376, 'Sestola', 36043, 'N', 'I689'),
  (4377, 'Soliera', 36044, 'N', 'I802'),
  (4378, 'Spilamberto', 36045, 'N', 'I903'),
  (4379, 'Vignola', 36046, 'N', 'L885'),
  (4380, 'Zocca', 36047, 'N', 'M183'),
  (4381, 'Anzola dell''Emilia', 37001, 'N', 'A324'),
  (4382, 'Argelato', 37002, 'N', 'A392'),
  (4383, 'Baricella', 37003, 'N', 'A665'),
  (4384, 'Bazzano', 37004, 'N', 'A726'),
  (4385, 'Bentivoglio', 37005, 'N', 'A785'),
  (4386, 'Bologna', 37006, 'N', 'A944'),
  (4387, 'Borgo Tossignano', 37007, 'N', 'B044'),
  (4388, 'Budrio', 37008, 'N', 'B249'),
  (4389, 'Calderara di Reno', 37009, 'N', 'B399'),
  (4390, 'Camugnano', 37010, 'N', 'B572'),
  (4391, 'Casalecchio di Reno', 37011, 'N', 'B880'),
  (4392, 'Casalfiumanese', 37012, 'N', 'B892'),
  (4393, 'Castel d''Aiano', 37013, 'N', 'C075'),
  (4394, 'Castel del Rio', 37014, 'N', 'C086'),
  (4395, 'Castel di Casio', 37015, 'N', 'B969'),
  (4396, 'Castel Guelfo di Bologna', 37016, 'N', 'C121'),
  (4397, 'Castel Maggiore', 37019, 'N', 'C204'),
  (4398, 'Castel San Pietro Terme', 37020, 'N', 'C265'),
  (4399, 'Castello d''Argile', 37017, 'N', 'C185'),
  (4400, 'Castello di Serravalle', 37018, 'N', 'C191'),
  (4401, 'Castenaso', 37021, 'N', 'C292'),
  (4402, 'Castiglione dei Pepoli', 37022, 'N', 'C296'),
  (4403, 'Crespellano', 37023, 'N', 'D158'),
  (4404, 'Crevalcore', 37024, 'N', 'D166'),
  (4405, 'Dozza', 37025, 'N', 'D360'),
  (4406, 'Fontanelice', 37026, 'N', 'D668'),
  (4407, 'Gaggio Montano', 37027, 'N', 'D847'),
  (4408, 'Galliera', 37028, 'N', 'D878'),
  (4409, 'Granaglione', 37029, 'N', 'E135'),
  (4410, 'Granarolo dell''Emilia', 37030, 'N', 'E136'),
  (4411, 'Grizzana Morandi', 37031, 'N', 'E187'),
  (4412, 'Imola', 37032, 'N', 'E289'),
  (4413, 'Lizzano in Belvedere', 37033, 'N', 'A771'),
  (4414, 'Loiano', 37034, 'N', 'E655'),
  (4415, 'Malalbergo', 37035, 'N', 'E844'),
  (4416, 'Marzabotto', 37036, 'N', 'B689'),
  (4417, 'Medicina', 37037, 'N', 'F083'),
  (4418, 'Minerbio', 37038, 'N', 'F219'),
  (4419, 'Molinella', 37039, 'N', 'F288'),
  (4420, 'Monghidoro', 37040, 'N', 'F363'),
  (4421, 'Monte San Pietro', 37042, 'N', 'F627'),
  (4422, 'Monterenzio', 37041, 'N', 'F597'),
  (4423, 'Monteveglio', 37043, 'N', 'F659'),
  (4424, 'Monzuno', 37044, 'N', 'F706'),
  (4425, 'Mordano', 37045, 'N', 'F718'),
  (4426, 'Ozzano dell''Emilia', 37046, 'N', 'G205'),
  (4427, 'Pianoro', 37047, 'N', 'G570'),
  (4428, 'Pieve di Cento', 37048, 'N', 'G643'),
  (4429, 'Porretta Terme', 37049, 'N', 'A558'),
  (4430, 'Sala Bolognese', 37050, 'N', 'H678'),
  (4431, 'San Benedetto Val di Sambro', 37051, 'N', 'G566'),
  (4432, 'San Giorgio di Piano', 37052, 'N', 'H896'),
  (4433, 'San Giovanni in Persiceto', 37053, 'N', 'G467'),
  (4434, 'San Lazzaro di Savena', 37054, 'N', 'H945'),
  (4435, 'San Pietro in Casale', 37055, 'N', 'I110'),
  (4436, 'Sant''Agata Bolognese', 37056, 'N', 'I191'),
  (4437, 'Sasso Marconi', 37057, 'N', 'G972'),
  (4438, 'Savigno', 37058, 'N', 'I474'),
  (4439, 'Vergato', 37059, 'N', 'L762'),
  (4440, 'Zola Predosa', 37060, 'N', 'M185'),
  (4441, 'Argenta', 38001, 'N', 'A393'),
  (4442, 'Berra', 38002, 'N', 'A806'),
  (4443, 'Bondeno', 38003, 'N', 'A965'),
  (4444, 'Cento', 38004, 'N', 'C469'),
  (4445, 'Codigoro', 38005, 'N', 'C814'),
  (4446, 'Comacchio', 38006, 'N', 'C912'),
  (4447, 'Copparo', 38007, 'N', 'C980'),
  (4448, 'Ferrara', 38008, 'N', 'D548'),
  (4449, 'Formignana', 38009, 'N', 'D713'),
  (4450, 'Goro', 38025, 'N', 'E107'),
  (4451, 'Jolanda di Savoia', 38010, 'N', 'E320'),
  (4452, 'Lagosanto', 38011, 'N', 'E410'),
  (4453, 'Masi Torello', 38012, 'N', 'F016'),
  (4454, 'Massa Fiscaglia', 38013, 'N', 'F026'),
  (4455, 'Mesola', 38014, 'N', 'F156'),
  (4456, 'Migliarino', 38015, 'N', 'F198'),
  (4457, 'Migliaro', 38026, 'N', 'F199'),
  (4458, 'Mirabello', 38016, 'N', 'F235'),
  (4459, 'Ostellato', 38017, 'N', 'G184'),
  (4460, 'Poggio Renatico', 38018, 'N', 'G768'),
  (4461, 'Portomaggiore', 38019, 'N', 'G916'),
  (4462, 'Ro', 38020, 'N', 'H360'),
  (4463, 'Sant''Agostino', 38021, 'N', 'I209'),
  (4464, 'Tresigallo', 38024, 'N', 'L390'),
  (4465, 'Vigarano Mainarda', 38022, 'N', 'L868'),
  (4466, 'Voghiera', 38023, 'N', 'M110'),
  (4467, 'Alfonsine', 39001, 'N', 'A191'),
  (4468, 'Bagnacavallo', 39002, 'N', 'A547'),
  (4469, 'Bagnara di Romagna', 39003, 'N', 'A551'),
  (4470, 'Brisighella', 39004, 'N', 'B188'),
  (4471, 'Casola Valsenio', 39005, 'N', 'B982'),
  (4472, 'Castel Bolognese', 39006, 'N', 'C065'),
  (4473, 'Cervia', 39007, 'N', 'C553'),
  (4474, 'Conselice', 39008, 'N', 'C963'),
  (4475, 'Cotignola', 39009, 'N', 'D121'),
  (4476, 'Faenza', 39010, 'N', 'D458'),
  (4477, 'Fusignano', 39011, 'N', 'D829'),
  (4478, 'Lugo', 39012, 'N', 'E730'),
  (4479, 'Massa Lombarda', 39013, 'N', 'F029'),
  (4480, 'Ravenna', 39014, 'N', 'H199'),
  (4481, 'Riolo Terme', 39015, 'N', 'H302'),
  (4482, 'Russi', 39016, 'N', 'H642'),
  (4483, 'Sant''Agata sul Santerno', 39017, 'N', 'I196'),
  (4484, 'Solarolo', 39018, 'N', 'I787'),
  (4485, 'Bagno di Romagna', 40001, 'N', 'A565'),
  (4486, 'Bertinoro', 40003, 'N', 'A809'),
  (4487, 'Borghi', 40004, 'N', 'B001'),
  (4488, 'Castrocaro Terme e Terra del S', 40005, 'N', 'C339'),
  (4489, 'Cesena', 40007, 'N', 'C573'),
  (4490, 'Cesenatico', 40008, 'N', 'C574'),
  (4491, 'Civitella di Romagna', 40009, 'N', 'C777'),
  (4492, 'Dovadola', 40011, 'N', 'D357'),
  (4493, 'ForlÃ¬', 40012, 'N', 'D704'),
  (4494, 'Forlimpopoli', 40013, 'N', 'D705'),
  (4495, 'Galeata', 40014, 'N', 'D867'),
  (4496, 'Gambettola', 40015, 'N', 'D899'),
  (4497, 'Gatteo', 40016, 'N', 'D935'),
  (4498, 'Longiano', 40018, 'N', 'E675'),
  (4499, 'Meldola', 40019, 'N', 'F097'),
  (4500, 'Mercato Saraceno', 40020, 'N', 'F139'),
  (4501, 'Modigliana', 40022, 'N', 'F259'),
  (4502, 'Montiano', 40028, 'N', 'F668'),
  (4503, 'Portico e San Benedetto', 40031, 'N', 'G904'),
  (4504, 'Predappio', 40032, 'N', 'H017'),
  (4505, 'Premilcuore', 40033, 'N', 'H034'),
  (4506, 'Rocca San Casciano', 40036, 'N', 'H437'),
  (4507, 'Roncofreddo', 40037, 'N', 'H542'),
  (4508, 'San Mauro Pascoli', 40041, 'N', 'I027'),
  (4509, 'Santa Sofia', 40043, 'N', 'I310'),
  (4510, 'Sarsina', 40044, 'N', 'I444'),
  (4511, 'Savignano sul Rubicone', 40045, 'N', 'I472'),
  (4512, 'Sogliano al Rubicone', 40046, 'N', 'I779'),
  (4513, 'Tredozio', 40049, 'N', 'L361'),
  (4514, 'Verghereto', 40050, 'N', 'L764'),
  (4515, 'Bellaria-Igea Marina', 99001, 'N', 'A747'),
  (4516, 'Casteldelci', 99021, 'N', 'C080'),
  (4517, 'Cattolica', 99002, 'N', 'C357'),
  (4518, 'Coriano', 99003, 'N', 'D004'),
  (4519, 'Gemmano', 99004, 'N', 'D961'),
  (4520, 'Maiolo', 99022, 'N', 'E838'),
  (4521, 'Misano Adriatico', 99005, 'N', 'F244'),
  (4522, 'Mondaino', 99006, 'N', 'F346'),
  (4523, 'Monte Colombo', 99007, 'N', 'F476'),
  (4524, 'Montefiore Conca', 99008, 'N', 'F502'),
  (4525, 'Montegridolfo', 99009, 'N', 'F523'),
  (4526, 'Montescudo', 99010, 'N', 'F641'),
  (4527, 'Morciano di Romagna', 99011, 'N', 'F715'),
  (4528, 'Novafeltria', 99023, 'N', 'F137'),
  (4529, 'Pennabilli', 99024, 'N', 'G433'),
  (4530, 'Poggio Berni', 99012, 'N', 'G755'),
  (4531, 'Riccione', 99013, 'N', 'H274'),
  (4532, 'Rimini', 99014, 'N', 'H294'),
  (4533, 'Saludecio', 99015, 'N', 'H724'),
  (4534, 'San Clemente', 99016, 'N', 'H801'),
  (4535, 'San Giovanni in Marignano', 99017, 'N', 'H921'),
  (4536, 'San Leo', 99025, 'N', 'H949'),
  (4537, 'Sant''Agata Feltria', 99026, 'N', 'I201'),
  (4538, 'Santarcangelo di Romagna', 99018, 'N', 'I304'),
  (4539, 'Talamello', 99027, 'N', 'L034'),
  (4540, 'Torriana', 99019, 'N', 'I550'),
  (4541, 'Verucchio', 99020, 'N', 'L797'),
  (4542, 'Aulla', 45001, 'N', 'A496'),
  (4543, 'Bagnone', 45002, 'N', 'A576'),
  (4544, 'Carrara', 45003, 'N', 'B832'),
  (4545, 'Casola in Lunigiana', 45004, 'N', 'B979'),
  (4546, 'Comano', 45005, 'N', 'C914'),
  (4547, 'Filattiera', 45006, 'N', 'D590'),
  (4548, 'Fivizzano', 45007, 'N', 'D629'),
  (4549, 'Fosdinovo', 45008, 'N', 'D735'),
  (4550, 'Licciana Nardi', 45009, 'N', 'E574'),
  (4551, 'Massa', 45010, 'N', 'F023'),
  (4552, 'Montignoso', 45011, 'N', 'F679'),
  (4553, 'Mulazzo', 45012, 'N', 'F802'),
  (4554, 'Podenzana', 45013, 'N', 'G746'),
  (4555, 'Pontremoli', 45014, 'N', 'G870'),
  (4556, 'Tresana', 45015, 'N', 'L386'),
  (4557, 'Villafranca in Lunigiana', 45016, 'N', 'L946'),
  (4558, 'Zeri', 45017, 'N', 'M169'),
  (4559, 'Altopascio', 46001, 'N', 'A241'),
  (4560, 'Bagni di Lucca', 46002, 'N', 'A560'),
  (4561, 'Barga', 46003, 'N', 'A657'),
  (4562, 'Borgo a Mozzano', 46004, 'N', 'B007'),
  (4563, 'Camaiore', 46005, 'N', 'B455'),
  (4564, 'Camporgiano', 46006, 'N', 'B557'),
  (4565, 'Capannori', 46007, 'N', 'B648'),
  (4566, 'Careggine', 46008, 'N', 'B760'),
  (4567, 'Castelnuovo di Garfagnana', 46009, 'N', 'C236'),
  (4568, 'Castiglione di Garfagnana', 46010, 'N', 'C303'),
  (4569, 'Coreglia Antelminelli', 46011, 'N', 'C996'),
  (4570, 'Fabbriche di Vallico', 46012, 'N', 'D449'),
  (4571, 'Forte dei Marmi', 46013, 'N', 'D730'),
  (4572, 'Fosciandora', 46014, 'N', 'D734'),
  (4573, 'Gallicano', 46015, 'N', 'D874'),
  (4574, 'Giuncugnano', 46016, 'N', 'E059'),
  (4575, 'Lucca', 46017, 'N', 'E715'),
  (4576, 'Massarosa', 46018, 'N', 'F035'),
  (4577, 'Minucciano', 46019, 'N', 'F225'),
  (4578, 'Molazzana', 46020, 'N', 'F283'),
  (4579, 'Montecarlo', 46021, 'N', 'F452'),
  (4580, 'Pescaglia', 46022, 'N', 'G480'),
  (4581, 'Piazza al Serchio', 46023, 'N', 'G582'),
  (4582, 'Pietrasanta', 46024, 'N', 'G628'),
  (4583, 'Pieve Fosciana', 46025, 'N', 'G648'),
  (4584, 'Porcari', 46026, 'N', 'G882'),
  (4585, 'San Romano in Garfagnana', 46027, 'N', 'I142'),
  (4586, 'Seravezza', 46028, 'N', 'I622'),
  (4587, 'Sillano', 46029, 'N', 'I737'),
  (4588, 'Stazzema', 46030, 'N', 'I942'),
  (4589, 'Vagli Sotto', 46031, 'N', 'L533'),
  (4590, 'Vergemoli', 46032, 'N', 'L763'),
  (4591, 'Viareggio', 46033, 'N', 'L833'),
  (4592, 'Villa Basilica', 46034, 'N', 'L913'),
  (4593, 'Villa Collemandina', 46035, 'N', 'L926'),
  (4594, 'Abetone', 47001, 'N', 'A012'),
  (4595, 'Agliana', 47002, 'N', 'A071'),
  (4596, 'Buggiano', 47003, 'N', 'B251'),
  (4597, 'Chiesina Uzzanese', 47022, 'N', 'C631'),
  (4598, 'Cutigliano', 47004, 'N', 'D235'),
  (4599, 'Lamporecchio', 47005, 'N', 'E432'),
  (4600, 'Larciano', 47006, 'N', 'E451'),
  (4601, 'Marliana', 47007, 'N', 'E960'),
  (4602, 'Massa e Cozzile', 47008, 'N', 'F025'),
  (4603, 'Monsummano Terme', 47009, 'N', 'F384'),
  (4604, 'Montale', 47010, 'N', 'F410'),
  (4605, 'Montecatini-Terme', 47011, 'N', 'A561'),
  (4606, 'Pescia', 47012, 'N', 'G491'),
  (4607, 'Pieve a Nievole', 47013, 'N', 'G636'),
  (4608, 'Pistoia', 47014, 'N', 'G713'),
  (4609, 'Piteglio', 47015, 'N', 'G715'),
  (4610, 'Ponte Buggianese', 47016, 'N', 'G833'),
  (4611, 'Quarrata', 47017, 'N', 'H109'),
  (4612, 'Sambuca Pistoiese', 47018, 'N', 'H744'),
  (4613, 'San Marcello Pistoiese', 47019, 'N', 'H980'),
  (4614, 'Serravalle Pistoiese', 47020, 'N', 'I660'),
  (4615, 'Uzzano', 47021, 'N', 'L522'),
  (4616, 'Bagno a Ripoli', 48001, 'N', 'A564'),
  (4617, 'Barberino di Mugello', 48002, 'N', 'A632'),
  (4618, 'Barberino Val d''Elsa', 48003, 'N', 'A633'),
  (4619, 'Borgo San Lorenzo', 48004, 'N', 'B036'),
  (4620, 'Calenzano', 48005, 'N', 'B406'),
  (4621, 'Campi Bisenzio', 48006, 'N', 'B507'),
  (4622, 'Capraia e Limite', 48008, 'N', 'B684'),
  (4623, 'Castelfiorentino', 48010, 'N', 'C101'),
  (4624, 'Cerreto Guidi', 48011, 'N', 'C529'),
  (4625, 'Certaldo', 48012, 'N', 'C540'),
  (4626, 'Dicomano', 48013, 'N', 'D299'),
  (4627, 'Empoli', 48014, 'N', 'D403'),
  (4628, 'Fiesole', 48015, 'N', 'D575'),
  (4629, 'Figline Valdarno', 48016, 'N', 'D583'),
  (4630, 'Firenze', 48017, 'N', 'D612'),
  (4631, 'Firenzuola', 48018, 'N', 'D613'),
  (4632, 'Fucecchio', 48019, 'N', 'D815'),
  (4633, 'Gambassi Terme', 48020, 'N', 'D895'),
  (4634, 'Greve in Chianti', 48021, 'N', 'E169'),
  (4635, 'Impruneta', 48022, 'N', 'E291'),
  (4636, 'Incisa in Val d''Arno', 48023, 'N', 'E296'),
  (4637, 'Lastra a Signa', 48024, 'N', 'E466'),
  (4638, 'Londa', 48025, 'N', 'E668'),
  (4639, 'Marradi', 48026, 'N', 'E971'),
  (4640, 'Montaione', 48027, 'N', 'F398'),
  (4641, 'Montelupo Fiorentino', 48028, 'N', 'F551'),
  (4642, 'Montespertoli', 48030, 'N', 'F648'),
  (4643, 'Palazzuolo sul Senio', 48031, 'N', 'G270'),
  (4644, 'Pelago', 48032, 'N', 'G420'),
  (4645, 'Pontassieve', 48033, 'N', 'G825'),
  (4646, 'Reggello', 48035, 'N', 'H222'),
  (4647, 'Rignano sull''Arno', 48036, 'N', 'H286'),
  (4648, 'Rufina', 48037, 'N', 'H635'),
  (4649, 'San Casciano in Val di Pesa', 48038, 'N', 'H791'),
  (4650, 'San Godenzo', 48039, 'N', 'H937'),
  (4651, 'San Piero a Sieve', 48040, 'N', 'I085'),
  (4652, 'Scandicci', 48041, 'N', 'B962'),
  (4653, 'Scarperia', 48042, 'N', 'I514'),
  (4654, 'Sesto Fiorentino', 48043, 'N', 'I684'),
  (4655, 'Signa', 48044, 'N', 'I728'),
  (4656, 'Tavarnelle Val di Pesa', 48045, 'N', 'L067'),
  (4657, 'Vaglia', 48046, 'N', 'L529'),
  (4658, 'Vicchio', 48049, 'N', 'L838'),
  (4659, 'Vinci', 48050, 'N', 'M059'),
  (4660, 'Bibbona', 49001, 'N', 'A852'),
  (4661, 'Campiglia Marittima', 49002, 'N', 'B509'),
  (4662, 'Campo nell''Elba', 49003, 'N', 'B553'),
  (4663, 'Capoliveri', 49004, 'N', 'B669'),
  (4664, 'Capraia Isola', 49005, 'N', 'B685'),
  (4665, 'Castagneto Carducci', 49006, 'N', 'C044'),
  (4666, 'Cecina', 49007, 'N', 'C415'),
  (4667, 'Collesalvetti', 49008, 'N', 'C869'),
  (4668, 'Livorno', 49009, 'N', 'E625'),
  (4669, 'Marciana', 49010, 'N', 'E930'),
  (4670, 'Marciana Marina', 49011, 'N', 'E931'),
  (4671, 'Piombino', 49012, 'N', 'G687'),
  (4672, 'Porto Azzurro', 49013, 'N', 'E680'),
  (4673, 'Portoferraio', 49014, 'N', 'G912'),
  (4674, 'Rio Marina', 49015, 'N', 'H305'),
  (4675, 'Rio nell''Elba', 49016, 'N', 'H297'),
  (4676, 'Rosignano Marittimo', 49017, 'N', 'H570'),
  (4677, 'San Vincenzo', 49018, 'N', 'I390'),
  (4678, 'Sassetta', 49019, 'N', 'I454'),
  (4679, 'Suvereto', 49020, 'N', 'L019'),
  (4680, 'Bientina', 50001, 'N', 'A864'),
  (4681, 'Buti', 50002, 'N', 'B303'),
  (4682, 'Calci', 50003, 'N', 'B390'),
  (4683, 'Calcinaia', 50004, 'N', 'B392'),
  (4684, 'Capannoli', 50005, 'N', 'B647'),
  (4685, 'Casale Marittimo', 50006, 'N', 'B878'),
  (4686, 'Casciana Terme', 50007, 'N', 'A559'),
  (4687, 'Cascina', 50008, 'N', 'B950'),
  (4688, 'Castelfranco di Sotto', 50009, 'N', 'C113'),
  (4689, 'Castellina Marittima', 50010, 'N', 'C174'),
  (4690, 'Castelnuovo di Val di Cecina', 50011, 'N', 'C244'),
  (4691, 'Chianni', 50012, 'N', 'C609'),
  (4692, 'Crespina', 50013, 'N', 'D160'),
  (4693, 'Fauglia', 50014, 'N', 'D510'),
  (4694, 'Guardistallo', 50015, 'N', 'E250'),
  (4695, 'Lajatico', 50016, 'N', 'E413'),
  (4696, 'Lari', 50017, 'N', 'E455'),
  (4697, 'Lorenzana', 50018, 'N', 'E688'),
  (4698, 'Montecatini Val di Cecina', 50019, 'N', 'F458'),
  (4699, 'Montescudaio', 50020, 'N', 'F640'),
  (4700, 'Monteverdi Marittimo', 50021, 'N', 'F661'),
  (4701, 'Montopoli in Val d''Arno', 50022, 'N', 'F686'),
  (4702, 'Orciano Pisano', 50023, 'N', 'G090'),
  (4703, 'Palaia', 50024, 'N', 'G254'),
  (4704, 'Peccioli', 50025, 'N', 'G395'),
  (4705, 'Pisa', 50026, 'N', 'G702'),
  (4706, 'Pomarance', 50027, 'N', 'G804'),
  (4707, 'Ponsacco', 50028, 'N', 'G822'),
  (4708, 'Pontedera', 50029, 'N', 'G843'),
  (4709, 'Riparbella', 50030, 'N', 'H319'),
  (4710, 'San Giuliano Terme', 50031, 'N', 'A562'),
  (4711, 'San Miniato', 50032, 'N', 'I046'),
  (4712, 'Santa Croce sull''Arno', 50033, 'N', 'I177'),
  (4713, 'Santa Luce', 50034, 'N', 'I217'),
  (4714, 'Santa Maria a Monte', 50035, 'N', 'I232'),
  (4715, 'Terricciola', 50036, 'N', 'L138'),
  (4716, 'Vecchiano', 50037, 'N', 'L702'),
  (4717, 'Vicopisano', 50038, 'N', 'L850'),
  (4718, 'Volterra', 50039, 'N', 'M126'),
  (4719, 'Anghiari', 51001, 'N', 'A291'),
  (4720, 'Arezzo', 51002, 'N', 'A390'),
  (4721, 'Badia Tedalda', 51003, 'N', 'A541'),
  (4722, 'Bibbiena', 51004, 'N', 'A851'),
  (4723, 'Bucine', 51005, 'N', 'B243'),
  (4724, 'Capolona', 51006, 'N', 'B670'),
  (4725, 'Caprese Michelangelo', 51007, 'N', 'B693'),
  (4726, 'Castel Focognano', 51008, 'N', 'C102'),
  (4727, 'Castel San NiccolÃ²', 51010, 'N', 'C263'),
  (4728, 'Castelfranco di Sopra', 51009, 'N', 'C112'),
  (4729, 'Castiglion Fibocchi', 51011, 'N', 'C318'),
  (4730, 'Castiglion Fiorentino', 51012, 'N', 'C319'),
  (4731, 'Cavriglia', 51013, 'N', 'C407'),
  (4732, 'Chitignano', 51014, 'N', 'C648'),
  (4733, 'Chiusi della Verna', 51015, 'N', 'C663'),
  (4734, 'Civitella in Val di Chiana', 51016, 'N', 'C774'),
  (4735, 'Cortona', 51017, 'N', 'D077'),
  (4736, 'Foiano della Chiana', 51018, 'N', 'D649'),
  (4737, 'Laterina', 51019, 'N', 'E468'),
  (4738, 'Loro Ciuffenna', 51020, 'N', 'E693'),
  (4739, 'Lucignano', 51021, 'N', 'E718'),
  (4740, 'Marciano della Chiana', 51022, 'N', 'E933'),
  (4741, 'Monte San Savino', 51025, 'N', 'F628'),
  (4742, 'Montemignaio', 51023, 'N', 'F565'),
  (4743, 'Monterchi', 51024, 'N', 'F594'),
  (4744, 'Montevarchi', 51026, 'N', 'F656'),
  (4745, 'Ortignano Raggiolo', 51027, 'N', 'G139'),
  (4746, 'Pergine Valdarno', 51028, 'N', 'G451'),
  (4747, 'Pian di Sco', 51029, 'N', 'G552'),
  (4748, 'Pieve Santo Stefano', 51030, 'N', 'G653'),
  (4749, 'Poppi', 51031, 'N', 'G879'),
  (4750, 'Pratovecchio', 51032, 'N', 'H008'),
  (4751, 'San Giovanni Valdarno', 51033, 'N', 'H901'),
  (4752, 'Sansepolcro', 51034, 'N', 'I155'),
  (4753, 'Sestino', 51035, 'N', 'I681'),
  (4754, 'Stia', 51036, 'N', 'I952'),
  (4755, 'Subbiano', 51037, 'N', 'I991'),
  (4756, 'Talla', 51038, 'N', 'L038'),
  (4757, 'Terranuova Bracciolini', 51039, 'N', 'L123'),
  (4758, 'Abbadia San Salvatore', 52001, 'N', 'A006'),
  (4759, 'Asciano', 52002, 'N', 'A461'),
  (4760, 'Buonconvento', 52003, 'N', 'B269'),
  (4761, 'Casole d''Elsa', 52004, 'N', 'B984'),
  (4762, 'Castellina in Chianti', 52005, 'N', 'C172'),
  (4763, 'Castelnuovo Berardenga', 52006, 'N', 'C227'),
  (4764, 'Castiglione d''Orcia', 52007, 'N', 'C313'),
  (4765, 'Cetona', 52008, 'N', 'C587'),
  (4766, 'Chianciano Terme', 52009, 'N', 'C608'),
  (4767, 'Chiusdino', 52010, 'N', 'C661'),
  (4768, 'Chiusi', 52011, 'N', 'C662'),
  (4769, 'Colle di Val d''Elsa', 52012, 'N', 'C847'),
  (4770, 'Gaiole in Chianti', 52013, 'N', 'D858'),
  (4771, 'Montalcino', 52014, 'N', 'F402'),
  (4772, 'Montepulciano', 52015, 'N', 'F592'),
  (4773, 'Monteriggioni', 52016, 'N', 'F598'),
  (4774, 'Monteroni d''Arbia', 52017, 'N', 'F605'),
  (4775, 'Monticiano', 52018, 'N', 'F676'),
  (4776, 'Murlo', 52019, 'N', 'F815'),
  (4777, 'Piancastagnaio', 52020, 'N', 'G547'),
  (4778, 'Pienza', 52021, 'N', 'G602'),
  (4779, 'Poggibonsi', 52022, 'N', 'G752'),
  (4780, 'Radda in Chianti', 52023, 'N', 'H153'),
  (4781, 'Radicofani', 52024, 'N', 'H156'),
  (4782, 'Radicondoli', 52025, 'N', 'H157'),
  (4783, 'Rapolano Terme', 52026, 'N', 'H185'),
  (4784, 'San Casciano dei Bagni', 52027, 'N', 'H790'),
  (4785, 'San Gimignano', 52028, 'N', 'H875'),
  (4786, 'San Giovanni d''Asso', 52029, 'N', 'H911'),
  (4787, 'San Quirico d''Orcia', 52030, 'N', 'I135'),
  (4788, 'Sarteano', 52031, 'N', 'I445'),
  (4789, 'Siena', 52032, 'N', 'I726'),
  (4790, 'Sinalunga', 52033, 'N', 'A468'),
  (4791, 'Sovicille', 52034, 'N', 'I877'),
  (4792, 'Torrita di Siena', 52035, 'N', 'L303'),
  (4793, 'Trequanda', 52036, 'N', 'L384'),
  (4794, 'Arcidosso', 53001, 'N', 'A369'),
  (4795, 'Campagnatico', 53002, 'N', 'B497'),
  (4796, 'Capalbio', 53003, 'N', 'B646'),
  (4797, 'Castel del Piano', 53004, 'N', 'C085'),
  (4798, 'Castell''Azzara', 53005, 'N', 'C147'),
  (4799, 'Castiglione della Pescaia', 53006, 'N', 'C310'),
  (4800, 'Cinigiano', 53007, 'N', 'C705'),
  (4801, 'Civitella Paganico', 53008, 'N', 'C782'),
  (4802, 'Follonica', 53009, 'N', 'D656'),
  (4803, 'Gavorrano', 53010, 'N', 'D948'),
  (4804, 'Grosseto', 53011, 'N', 'E202'),
  (4805, 'Isola del Giglio', 53012, 'N', 'E348'),
  (4806, 'Magliano in Toscana', 53013, 'N', 'E810'),
  (4807, 'Manciano', 53014, 'N', 'E875'),
  (4808, 'Massa Marittima', 53015, 'N', 'F032'),
  (4809, 'Monte Argentario', 53016, 'N', 'F437'),
  (4810, 'Monterotondo Marittimo', 53027, 'N', 'F612'),
  (4811, 'Montieri', 53017, 'N', 'F677'),
  (4812, 'Orbetello', 53018, 'N', 'G088'),
  (4813, 'Pitigliano', 53019, 'N', 'G716'),
  (4814, 'Roccalbegna', 53020, 'N', 'H417'),
  (4815, 'Roccastrada', 53021, 'N', 'H449'),
  (4816, 'Santa Fiora', 53022, 'N', 'I187'),
  (4817, 'Scansano', 53023, 'N', 'I504'),
  (4818, 'Scarlino', 53024, 'N', 'I510'),
  (4819, 'Seggiano', 53025, 'N', 'I571'),
  (4820, 'Semproniano', 53028, 'N', 'I601'),
  (4821, 'Sorano', 53026, 'N', 'I841'),
  (4822, 'Cantagallo', 100001, 'N', 'B626'),
  (4823, 'Carmignano', 100002, 'N', 'B794'),
  (4824, 'Montemurlo', 100003, 'N', 'F572'),
  (4825, 'Poggio a Caiano', 100004, 'N', 'G754'),
  (4826, 'Prato', 100005, 'N', 'G999'),
  (4827, 'Vaiano', 100006, 'N', 'L537'),
  (4828, 'Vernio', 100007, 'N', 'L775'),
  (4829, 'Assisi', 54001, 'N', 'A475'),
  (4830, 'Bastia Umbra', 54002, 'N', 'A710'),
  (4831, 'Bettona', 54003, 'N', 'A832'),
  (4832, 'Bevagna', 54004, 'N', 'A835'),
  (4833, 'Campello sul Clitunno', 54005, 'N', 'B504'),
  (4834, 'Cannara', 54006, 'N', 'B609'),
  (4835, 'Cascia', 54007, 'N', 'B948'),
  (4836, 'Castel Ritaldi', 54008, 'N', 'C252'),
  (4837, 'Castiglione del Lago', 54009, 'N', 'C309'),
  (4838, 'Cerreto di Spoleto', 54010, 'N', 'C527'),
  (4839, 'Citerna', 54011, 'N', 'C742'),
  (4840, 'CittÃ  della Pieve', 54012, 'N', 'C744'),
  (4841, 'CittÃ  di Castello', 54013, 'N', 'C745'),
  (4842, 'Collazzone', 54014, 'N', 'C845'),
  (4843, 'Corciano', 54015, 'N', 'C990'),
  (4844, 'Costacciaro', 54016, 'N', 'D108'),
  (4845, 'Deruta', 54017, 'N', 'D279'),
  (4846, 'Foligno', 54018, 'N', 'D653'),
  (4847, 'Fossato di Vico', 54019, 'N', 'D745'),
  (4848, 'Fratta Todina', 54020, 'N', 'D787'),
  (4849, 'Giano dell''Umbria', 54021, 'N', 'E012'),
  (4850, 'Gualdo Cattaneo', 54022, 'N', 'E229'),
  (4851, 'Gualdo Tadino', 54023, 'N', 'E230'),
  (4852, 'Gubbio', 54024, 'N', 'E256'),
  (4853, 'Lisciano Niccone', 54025, 'N', 'E613'),
  (4854, 'Magione', 54026, 'N', 'E805'),
  (4855, 'Marsciano', 54027, 'N', 'E975'),
  (4856, 'Massa Martana', 54028, 'N', 'F024'),
  (4857, 'Monte Castello di Vibio', 54029, 'N', 'F456'),
  (4858, 'Monte Santa Maria Tiberina', 54032, 'N', 'F629'),
  (4859, 'Montefalco', 54030, 'N', 'F492'),
  (4860, 'Monteleone di Spoleto', 54031, 'N', 'F540'),
  (4861, 'Montone', 54033, 'N', 'F685'),
  (4862, 'Nocera Umbra', 54034, 'N', 'F911'),
  (4863, 'Norcia', 54035, 'N', 'F935'),
  (4864, 'Paciano', 54036, 'N', 'G212'),
  (4865, 'Panicale', 54037, 'N', 'G308'),
  (4866, 'Passignano sul Trasimeno', 54038, 'N', 'G359'),
  (4867, 'Perugia', 54039, 'N', 'G478'),
  (4868, 'Piegaro', 54040, 'N', 'G601'),
  (4869, 'Pietralunga', 54041, 'N', 'G618'),
  (4870, 'Poggiodomo', 54042, 'N', 'G758'),
  (4871, 'Preci', 54043, 'N', 'H015'),
  (4872, 'San Giustino', 54044, 'N', 'H935'),
  (4873, 'Sant''Anatolia di Narco', 54045, 'N', 'I263'),
  (4874, 'Scheggia e Pascelupo', 54046, 'N', 'I522'),
  (4875, 'Scheggino', 54047, 'N', 'I523'),
  (4876, 'Sellano', 54048, 'N', 'I585'),
  (4877, 'Sigillo', 54049, 'N', 'I727'),
  (4878, 'Spello', 54050, 'N', 'I888'),
  (4879, 'Spoleto', 54051, 'N', 'I921'),
  (4880, 'Todi', 54052, 'N', 'L188'),
  (4881, 'Torgiano', 54053, 'N', 'L216'),
  (4882, 'Trevi', 54054, 'N', 'L397'),
  (4883, 'Tuoro sul Trasimeno', 54055, 'N', 'L466'),
  (4884, 'Umbertide', 54056, 'N', 'D786'),
  (4885, 'Valfabbrica', 54057, 'N', 'L573'),
  (4886, 'Vallo di Nera', 54058, 'N', 'L627'),
  (4887, 'Valtopina', 54059, 'N', 'L653'),
  (4888, 'Acquasparta', 55001, 'N', 'A045'),
  (4889, 'Allerona', 55002, 'N', 'A207'),
  (4890, 'Alviano', 55003, 'N', 'A242'),
  (4891, 'Amelia', 55004, 'N', 'A262'),
  (4892, 'Arrone', 55005, 'N', 'A439'),
  (4893, 'Attigliano', 55006, 'N', 'A490'),
  (4894, 'Avigliano Umbro', 55033, 'N', 'M258'),
  (4895, 'Baschi', 55007, 'N', 'A691'),
  (4896, 'Calvi dell''Umbria', 55008, 'N', 'B446'),
  (4897, 'Castel Giorgio', 55009, 'N', 'C117'),
  (4898, 'Castel Viscardo', 55010, 'N', 'C289'),
  (4899, 'Fabro', 55011, 'N', 'D454'),
  (4900, 'Ferentillo', 55012, 'N', 'D538'),
  (4901, 'Ficulle', 55013, 'N', 'D570'),
  (4902, 'Giove', 55014, 'N', 'E045'),
  (4903, 'Guardea', 55015, 'N', 'E241'),
  (4904, 'Lugnano in Teverina', 55016, 'N', 'E729'),
  (4905, 'Montecastrilli', 55017, 'N', 'F457'),
  (4906, 'Montecchio', 55018, 'N', 'F462'),
  (4907, 'Montefranco', 55019, 'N', 'F510'),
  (4908, 'Montegabbione', 55020, 'N', 'F513'),
  (4909, 'Monteleone d''Orvieto', 55021, 'N', 'F543'),
  (4910, 'Narni', 55022, 'N', 'F844'),
  (4911, 'Orvieto', 55023, 'N', 'G148'),
  (4912, 'Otricoli', 55024, 'N', 'G189'),
  (4913, 'Parrano', 55025, 'N', 'G344'),
  (4914, 'Penna in Teverina', 55026, 'N', 'G432'),
  (4915, 'Polino', 55027, 'N', 'G790'),
  (4916, 'Porano', 55028, 'N', 'G881'),
  (4917, 'San Gemini', 55029, 'N', 'H857'),
  (4918, 'San Venanzo', 55030, 'N', 'I381'),
  (4919, 'Stroncone', 55031, 'N', 'I981'),
  (4920, 'Terni', 55032, 'N', 'L117'),
  (4921, 'Acqualagna', 41001, 'N', 'A035'),
  (4922, 'Apecchio', 41002, 'N', 'A327'),
  (4923, 'Auditore', 41003, 'N', 'A493'),
  (4924, 'Barchi', 41004, 'N', 'A639'),
  (4925, 'Belforte all''Isauro', 41005, 'N', 'A740'),
  (4926, 'Borgo Pace', 41006, 'N', 'B026'),
  (4927, 'Cagli', 41007, 'N', 'B352'),
  (4928, 'Cantiano', 41008, 'N', 'B636'),
  (4929, 'Carpegna', 41009, 'N', 'B816');
INSERT INTO tbl_comuni (idcomune, denominazione, codiceistat, statoestero, codcatastale) VALUES
  (4930, 'Cartoceto', 41010, 'N', 'B846'),
  (4931, 'Colbordolo', 41012, 'N', 'C830'),
  (4932, 'Fano', 41013, 'N', 'D488'),
  (4933, 'Fermignano', 41014, 'N', 'D541'),
  (4934, 'Fossombrone', 41015, 'N', 'D749'),
  (4935, 'Fratte Rosa', 41016, 'N', 'D791'),
  (4936, 'Frontino', 41017, 'N', 'D807'),
  (4937, 'Frontone', 41018, 'N', 'D808'),
  (4938, 'Gabicce Mare', 41019, 'N', 'D836'),
  (4939, 'Gradara', 41020, 'N', 'E122'),
  (4940, 'Isola del Piano', 41021, 'N', 'E351'),
  (4941, 'Lunano', 41022, 'N', 'E743'),
  (4942, 'Macerata Feltria', 41023, 'N', 'E785'),
  (4943, 'Mercatello sul Metauro', 41025, 'N', 'F135'),
  (4944, 'Mercatino Conca', 41026, 'N', 'F136'),
  (4945, 'Mombaroccio', 41027, 'N', 'F310'),
  (4946, 'Mondavio', 41028, 'N', 'F347'),
  (4947, 'Mondolfo', 41029, 'N', 'F348'),
  (4948, 'Monte Cerignone', 41031, 'N', 'F467'),
  (4949, 'Monte Grimano Terme', 41035, 'N', 'F524'),
  (4950, 'Monte Porzio', 41038, 'N', 'F589'),
  (4951, 'Montecalvo in Foglia', 41030, 'N', 'F450'),
  (4952, 'Monteciccardo', 41032, 'N', 'F474'),
  (4953, 'Montecopiolo', 41033, 'N', 'F478'),
  (4954, 'Montefelcino', 41034, 'N', 'F497'),
  (4955, 'Montelabbate', 41036, 'N', 'F533'),
  (4956, 'Montemaggiore al Metauro', 41037, 'N', 'F555'),
  (4957, 'Orciano di Pesaro', 41040, 'N', 'G089'),
  (4958, 'Peglio', 41041, 'N', 'G416'),
  (4959, 'Pergola', 41043, 'N', 'G453'),
  (4960, 'Pesaro', 41044, 'N', 'G479'),
  (4961, 'Petriano', 41045, 'N', 'G514'),
  (4962, 'Piagge', 41046, 'N', 'G537'),
  (4963, 'Piandimeleto', 41047, 'N', 'G551'),
  (4964, 'Pietrarubbia', 41048, 'N', 'G627'),
  (4965, 'Piobbico', 41049, 'N', 'G682'),
  (4966, 'Saltara', 41050, 'N', 'H721'),
  (4967, 'San Costanzo', 41051, 'N', 'H809'),
  (4968, 'San Giorgio di Pesaro', 41052, 'N', 'H886'),
  (4969, 'San Lorenzo in Campo', 41054, 'N', 'H958'),
  (4970, 'Sant''Angelo in Lizzola', 41056, 'N', 'I285'),
  (4971, 'Sant''Angelo in Vado', 41057, 'N', 'I287'),
  (4972, 'Sant''Ippolito', 41058, 'N', 'I344'),
  (4973, 'Sassocorvaro', 41059, 'N', 'I459'),
  (4974, 'Sassofeltrio', 41060, 'N', 'I460'),
  (4975, 'Serra Sant''Abbondio', 41061, 'N', 'I654'),
  (4976, 'Serrungarina', 41062, 'N', 'I670'),
  (4977, 'Tavoleto', 41064, 'N', 'L078'),
  (4978, 'Tavullia', 41065, 'N', 'L081'),
  (4979, 'Urbania', 41066, 'N', 'L498'),
  (4980, 'Urbino', 41067, 'N', 'L500'),
  (4981, 'Agugliano', 42001, 'N', 'A092'),
  (4982, 'Ancona', 42002, 'N', 'A271'),
  (4983, 'Arcevia', 42003, 'N', 'A366'),
  (4984, 'Barbara', 42004, 'N', 'A626'),
  (4985, 'Belvedere Ostrense', 42005, 'N', 'A769'),
  (4986, 'Camerano', 42006, 'N', 'B468'),
  (4987, 'Camerata Picena', 42007, 'N', 'B470'),
  (4988, 'Castel Colonna', 42009, 'N', 'C071'),
  (4989, 'Castelbellino', 42008, 'N', 'C060'),
  (4990, 'Castelfidardo', 42010, 'N', 'C100'),
  (4991, 'Castelleone di Suasa', 42011, 'N', 'C152'),
  (4992, 'Castelplanio', 42012, 'N', 'C248'),
  (4993, 'Cerreto d''Esi', 42013, 'N', 'C524'),
  (4994, 'Chiaravalle', 42014, 'N', 'C615'),
  (4995, 'Corinaldo', 42015, 'N', 'D007'),
  (4996, 'Cupramontana', 42016, 'N', 'D211'),
  (4997, 'Fabriano', 42017, 'N', 'D451'),
  (4998, 'Falconara Marittima', 42018, 'N', 'D472'),
  (4999, 'Filottrano', 42019, 'N', 'D597'),
  (5000, 'Genga', 42020, 'N', 'D965'),
  (5001, 'Jesi', 42021, 'N', 'E388'),
  (5002, 'Loreto', 42022, 'N', 'E690'),
  (5003, 'Maiolati Spontini', 42023, 'N', 'E837'),
  (5004, 'Mergo', 42024, 'N', 'F145'),
  (5005, 'Monsano', 42025, 'N', 'F381'),
  (5006, 'Monte Roberto', 42029, 'N', 'F600'),
  (5007, 'Monte San Vito', 42030, 'N', 'F634'),
  (5008, 'Montecarotto', 42026, 'N', 'F453'),
  (5009, 'Montemarciano', 42027, 'N', 'F560'),
  (5010, 'Monterado', 42028, 'N', 'F593'),
  (5011, 'Morro d''Alba', 42031, 'N', 'F745'),
  (5012, 'Numana', 42032, 'N', 'F978'),
  (5013, 'Offagna', 42033, 'N', 'G003'),
  (5014, 'Osimo', 42034, 'N', 'G157'),
  (5015, 'Ostra', 42035, 'N', 'F401'),
  (5016, 'Ostra Vetere', 42036, 'N', 'F581'),
  (5017, 'Poggio San Marcello', 42037, 'N', 'G771'),
  (5018, 'Polverigi', 42038, 'N', 'G803'),
  (5019, 'Ripe', 42039, 'N', 'H322'),
  (5020, 'Rosora', 42040, 'N', 'H575'),
  (5021, 'San Marcello', 42041, 'N', 'H979'),
  (5022, 'San Paolo di Jesi', 42042, 'N', 'I071'),
  (5023, 'Santa Maria Nuova', 42043, 'N', 'I251'),
  (5024, 'Sassoferrato', 42044, 'N', 'I461'),
  (5025, 'Senigallia', 42045, 'N', 'I608'),
  (5026, 'Serra de'' Conti', 42046, 'N', 'I643'),
  (5027, 'Serra San Quirico', 42047, 'N', 'I653'),
  (5028, 'Sirolo', 42048, 'N', 'I758'),
  (5029, 'Staffolo', 42049, 'N', 'I932'),
  (5030, 'Acquacanina', 43001, 'N', 'A031'),
  (5031, 'Apiro', 43002, 'N', 'A329'),
  (5032, 'Appignano', 43003, 'N', 'A334'),
  (5033, 'Belforte del Chienti', 43004, 'N', 'A739'),
  (5034, 'Bolognola', 43005, 'N', 'A947'),
  (5035, 'Caldarola', 43006, 'N', 'B398'),
  (5036, 'Camerino', 43007, 'N', 'B474'),
  (5037, 'Camporotondo di Fiastrone', 43008, 'N', 'B562'),
  (5038, 'Castelraimondo', 43009, 'N', 'C251'),
  (5039, 'Castelsantangelo sul Nera', 43010, 'N', 'C267'),
  (5040, 'Cessapalombo', 43011, 'N', 'C582'),
  (5041, 'Cingoli', 43012, 'N', 'C704'),
  (5042, 'Civitanova Marche', 43013, 'N', 'C770'),
  (5043, 'Colmurano', 43014, 'N', 'C886'),
  (5044, 'Corridonia', 43015, 'N', 'D042'),
  (5045, 'Esanatoglia', 43016, 'N', 'D429'),
  (5046, 'Fiastra', 43017, 'N', 'D564'),
  (5047, 'Fiordimonte', 43018, 'N', 'D609'),
  (5048, 'Fiuminata', 43019, 'N', 'D628'),
  (5049, 'Gagliole', 43020, 'N', 'D853'),
  (5050, 'Gualdo', 43021, 'N', 'E228'),
  (5051, 'Loro Piceno', 43022, 'N', 'E694'),
  (5052, 'Macerata', 43023, 'N', 'E783'),
  (5053, 'Matelica', 43024, 'N', 'F051'),
  (5054, 'Mogliano', 43025, 'N', 'F268'),
  (5055, 'Monte Cavallo', 43027, 'N', 'F460'),
  (5056, 'Monte San Giusto', 43031, 'N', 'F621'),
  (5057, 'Monte San Martino', 43032, 'N', 'F622'),
  (5058, 'Montecassiano', 43026, 'N', 'F454'),
  (5059, 'Montecosaro', 43028, 'N', 'F482'),
  (5060, 'Montefano', 43029, 'N', 'F496'),
  (5061, 'Montelupone', 43030, 'N', 'F552'),
  (5062, 'Morrovalle', 43033, 'N', 'F749'),
  (5063, 'Muccia', 43034, 'N', 'F793'),
  (5064, 'Penna San Giovanni', 43035, 'N', 'G436'),
  (5065, 'Petriolo', 43036, 'N', 'G515'),
  (5066, 'Pieve Torina', 43038, 'N', 'G657'),
  (5067, 'Pievebovigliana', 43037, 'N', 'G637'),
  (5068, 'Pioraco', 43039, 'N', 'G690'),
  (5069, 'Poggio San Vicino', 43040, 'N', 'D566'),
  (5070, 'Pollenza', 43041, 'N', 'F567'),
  (5071, 'Porto Recanati', 43042, 'N', 'G919'),
  (5072, 'Potenza Picena', 43043, 'N', 'F632'),
  (5073, 'Recanati', 43044, 'N', 'H211'),
  (5074, 'Ripe San Ginesio', 43045, 'N', 'H323'),
  (5075, 'San Ginesio', 43046, 'N', 'H876'),
  (5076, 'San Severino Marche', 43047, 'N', 'I156'),
  (5077, 'Sant''Angelo in Pontano', 43048, 'N', 'I286'),
  (5078, 'Sarnano', 43049, 'N', 'I436'),
  (5079, 'Sefro', 43050, 'N', 'I569'),
  (5080, 'Serrapetrona', 43051, 'N', 'I651'),
  (5081, 'Serravalle di Chienti', 43052, 'N', 'I661'),
  (5082, 'Tolentino', 43053, 'N', 'L191'),
  (5083, 'Treia', 43054, 'N', 'L366'),
  (5084, 'Urbisaglia', 43055, 'N', 'L501'),
  (5085, 'Ussita', 43056, 'N', 'L517'),
  (5086, 'Visso', 43057, 'N', 'M078'),
  (5087, 'Acquasanta Terme', 44001, 'N', 'A044'),
  (5088, 'Acquaviva Picena', 44002, 'N', 'A047'),
  (5089, 'Appignano del Tronto', 44005, 'N', 'A335'),
  (5090, 'Arquata del Tronto', 44006, 'N', 'A437'),
  (5091, 'Ascoli Piceno', 44007, 'N', 'A462'),
  (5092, 'Carassai', 44010, 'N', 'B727'),
  (5093, 'Castel di Lama', 44011, 'N', 'C093'),
  (5094, 'Castignano', 44012, 'N', 'C321'),
  (5095, 'Castorano', 44013, 'N', 'C331'),
  (5096, 'Colli del Tronto', 44014, 'N', 'C877'),
  (5097, 'Comunanza', 44015, 'N', 'C935'),
  (5098, 'Cossignano', 44016, 'N', 'D096'),
  (5099, 'Cupra Marittima', 44017, 'N', 'D210'),
  (5100, 'Folignano', 44020, 'N', 'D652'),
  (5101, 'Force', 44021, 'N', 'D691'),
  (5102, 'Grottammare', 44023, 'N', 'E207'),
  (5103, 'Maltignano', 44027, 'N', 'E868'),
  (5104, 'Massignano', 44029, 'N', 'F044'),
  (5105, 'Monsampolo del Tronto', 44031, 'N', 'F380'),
  (5106, 'Montalto delle Marche', 44032, 'N', 'F415'),
  (5107, 'Montedinove', 44034, 'N', 'F487'),
  (5108, 'Montefiore dell''Aso', 44036, 'N', 'F501'),
  (5109, 'Montegallo', 44038, 'N', 'F516'),
  (5110, 'Montemonaco', 44044, 'N', 'F570'),
  (5111, 'Monteprandone', 44045, 'N', 'F591'),
  (5112, 'Offida', 44054, 'N', 'G005'),
  (5113, 'Palmiano', 44056, 'N', 'G289'),
  (5114, 'Ripatransone', 44063, 'N', 'H321'),
  (5115, 'Roccafluvione', 44064, 'N', 'H390'),
  (5116, 'Rotella', 44065, 'N', 'H588'),
  (5117, 'San Benedetto del Tronto', 44066, 'N', 'H769'),
  (5118, 'Spinetoli', 44071, 'N', 'I912'),
  (5119, 'Venarotta', 44073, 'N', 'L728'),
  (5120, 'Altidona', 109001, 'N', 'A233'),
  (5121, 'Amandola', 109002, 'N', 'A252'),
  (5122, 'Belmonte Piceno', 109003, 'N', 'A760'),
  (5123, 'Campofilone', 109004, 'N', 'B534'),
  (5124, 'Falerone', 109005, 'N', 'D477'),
  (5125, 'Fermo', 109006, 'N', 'D542'),
  (5126, 'Francavilla d''Ete', 109007, 'N', 'D760'),
  (5127, 'Grottazzolina', 109008, 'N', 'E208'),
  (5128, 'Lapedona', 109009, 'N', 'E447'),
  (5129, 'Magliano di Tenna', 109010, 'N', 'E807'),
  (5130, 'Massa Fermana', 109011, 'N', 'F021'),
  (5131, 'Monsampietro Morico', 109012, 'N', 'F379'),
  (5132, 'Montappone', 109013, 'N', 'F428'),
  (5133, 'Monte Giberto', 109016, 'N', 'F517'),
  (5134, 'Monte Rinaldo', 109021, 'N', 'F599'),
  (5135, 'Monte San Pietrangeli', 109023, 'N', 'F626'),
  (5136, 'Monte Urano', 109024, 'N', 'F653'),
  (5137, 'Monte Vidon Combatte', 109025, 'N', 'F664'),
  (5138, 'Monte Vidon Corrado', 109026, 'N', 'F665'),
  (5139, 'Montefalcone Appennino', 109014, 'N', 'F493'),
  (5140, 'Montefortino', 109015, 'N', 'F509'),
  (5141, 'Montegiorgio', 109017, 'N', 'F520'),
  (5142, 'Montegranaro', 109018, 'N', 'F522'),
  (5143, 'Monteleone di Fermo', 109019, 'N', 'F536'),
  (5144, 'Montelparo', 109020, 'N', 'F549'),
  (5145, 'Monterubbiano', 109022, 'N', 'F614'),
  (5146, 'Montottone', 109027, 'N', 'F697'),
  (5147, 'Moresco', 109028, 'N', 'F722'),
  (5148, 'Ortezzano', 109029, 'N', 'G137'),
  (5149, 'Pedaso', 109030, 'N', 'G403'),
  (5150, 'Petritoli', 109031, 'N', 'G516'),
  (5151, 'Ponzano di Fermo', 109032, 'N', 'G873'),
  (5152, 'Porto San Giorgio', 109033, 'N', 'G920'),
  (5153, 'Porto Sant''Elpidio', 109034, 'N', 'G921'),
  (5154, 'Rapagnano', 109035, 'N', 'H182'),
  (5155, 'Santa Vittoria in Matenano', 109036, 'N', 'I315'),
  (5156, 'Sant''Elpidio a Mare', 109037, 'N', 'I324'),
  (5157, 'Servigliano', 109038, 'N', 'C070'),
  (5158, 'Smerillo', 109039, 'N', 'I774'),
  (5159, 'Torre San Patrizio', 109040, 'N', 'L279'),
  (5160, 'Acquapendente', 56001, 'N', 'A040'),
  (5161, 'Arlena di Castro', 56002, 'N', 'A412'),
  (5162, 'Bagnoregio', 56003, 'N', 'A577'),
  (5163, 'Barbarano Romano', 56004, 'N', 'A628'),
  (5164, 'Bassano in Teverina', 56006, 'N', 'A706'),
  (5165, 'Bassano Romano', 56005, 'N', 'A704'),
  (5166, 'Blera', 56007, 'N', 'A857'),
  (5167, 'Bolsena', 56008, 'N', 'A949'),
  (5168, 'Bomarzo', 56009, 'N', 'A955'),
  (5169, 'Calcata', 56010, 'N', 'B388'),
  (5170, 'Canepina', 56011, 'N', 'B597'),
  (5171, 'Canino', 56012, 'N', 'B604'),
  (5172, 'Capodimonte', 56013, 'N', 'B663'),
  (5173, 'Capranica', 56014, 'N', 'B688'),
  (5174, 'Caprarola', 56015, 'N', 'B691'),
  (5175, 'Carbognano', 56016, 'N', 'B735'),
  (5176, 'Castel Sant''Elia', 56017, 'N', 'C269'),
  (5177, 'Castiglione in Teverina', 56018, 'N', 'C315'),
  (5178, 'Celleno', 56019, 'N', 'C446'),
  (5179, 'Cellere', 56020, 'N', 'C447'),
  (5180, 'Civita Castellana', 56021, 'N', 'C765'),
  (5181, 'Civitella d''Agliano', 56022, 'N', 'C780'),
  (5182, 'Corchiano', 56023, 'N', 'C988'),
  (5183, 'Fabrica di Roma', 56024, 'N', 'D452'),
  (5184, 'Faleria', 56025, 'N', 'D475'),
  (5185, 'Farnese', 56026, 'N', 'D503'),
  (5186, 'Gallese', 56027, 'N', 'D870'),
  (5187, 'Gradoli', 56028, 'N', 'E126'),
  (5188, 'Graffignano', 56029, 'N', 'E128'),
  (5189, 'Grotte di Castro', 56030, 'N', 'E210'),
  (5190, 'Ischia di Castro', 56031, 'N', 'E330'),
  (5191, 'Latera', 56032, 'N', 'E467'),
  (5192, 'Lubriano', 56033, 'N', 'E713'),
  (5193, 'Marta', 56034, 'N', 'E978'),
  (5194, 'Montalto di Castro', 56035, 'N', 'F419'),
  (5195, 'Monte Romano', 56037, 'N', 'F603'),
  (5196, 'Montefiascone', 56036, 'N', 'F499'),
  (5197, 'Monterosi', 56038, 'N', 'F606'),
  (5198, 'Nepi', 56039, 'N', 'F868'),
  (5199, 'Onano', 56040, 'N', 'G065'),
  (5200, 'Oriolo Romano', 56041, 'N', 'G111'),
  (5201, 'Orte', 56042, 'N', 'G135'),
  (5202, 'Piansano', 56043, 'N', 'G571'),
  (5203, 'Proceno', 56044, 'N', 'H071'),
  (5204, 'Ronciglione', 56045, 'N', 'H534'),
  (5205, 'San Lorenzo Nuovo', 56047, 'N', 'H969'),
  (5206, 'Soriano nel Cimino', 56048, 'N', 'I855'),
  (5207, 'Sutri', 56049, 'N', 'L017'),
  (5208, 'Tarquinia', 56050, 'N', 'D024'),
  (5209, 'Tessennano', 56051, 'N', 'L150'),
  (5210, 'Tuscania', 56052, 'N', 'L310'),
  (5211, 'Valentano', 56053, 'N', 'L569'),
  (5212, 'Vallerano', 56054, 'N', 'L612'),
  (5213, 'Vasanello', 56055, 'N', 'A701'),
  (5214, 'Vejano', 56056, 'N', 'L713'),
  (5215, 'Vetralla', 56057, 'N', 'L814'),
  (5216, 'Vignanello', 56058, 'N', 'L882'),
  (5217, 'Villa San Giovanni in Tuscia', 56046, 'N', 'H913'),
  (5218, 'Viterbo', 56059, 'N', 'M082'),
  (5219, 'Vitorchiano', 56060, 'N', 'M086'),
  (5220, 'Accumoli', 57001, 'N', 'A019'),
  (5221, 'Amatrice', 57002, 'N', 'A258'),
  (5222, 'Antrodoco', 57003, 'N', 'A315'),
  (5223, 'Ascrea', 57004, 'N', 'A464'),
  (5224, 'Belmonte in Sabina', 57005, 'N', 'A765'),
  (5225, 'Borbona', 57006, 'N', 'A981'),
  (5226, 'Borgo Velino', 57008, 'N', 'A996'),
  (5227, 'Borgorose', 57007, 'N', 'B008'),
  (5228, 'Cantalice', 57009, 'N', 'B627'),
  (5229, 'Cantalupo in Sabina', 57010, 'N', 'B631'),
  (5230, 'Casaprota', 57011, 'N', 'B934'),
  (5231, 'Casperia', 57012, 'N', 'A472'),
  (5232, 'Castel di Tora', 57013, 'N', 'C098'),
  (5233, 'Castel Sant''Angelo', 57015, 'N', 'C268'),
  (5234, 'Castelnuovo di Farfa', 57014, 'N', 'C224'),
  (5235, 'Cittaducale', 57016, 'N', 'C746'),
  (5236, 'Cittareale', 57017, 'N', 'C749'),
  (5237, 'Collalto Sabino', 57018, 'N', 'C841'),
  (5238, 'Colle di Tora', 57019, 'N', 'C857'),
  (5239, 'Collegiove', 57020, 'N', 'C859'),
  (5240, 'Collevecchio', 57021, 'N', 'C876'),
  (5241, 'Colli sul Velino', 57022, 'N', 'C880'),
  (5242, 'Concerviano', 57023, 'N', 'C946'),
  (5243, 'Configni', 57024, 'N', 'C959'),
  (5244, 'Contigliano', 57025, 'N', 'C969'),
  (5245, 'Cottanello', 57026, 'N', 'D124'),
  (5246, 'Fara in Sabina', 57027, 'N', 'D493'),
  (5247, 'Fiamignano', 57028, 'N', 'D560'),
  (5248, 'Forano', 57029, 'N', 'D689'),
  (5249, 'Frasso Sabino', 57030, 'N', 'D785'),
  (5250, 'Greccio', 57031, 'N', 'E160'),
  (5251, 'Labro', 57032, 'N', 'E393'),
  (5252, 'Leonessa', 57033, 'N', 'E535'),
  (5253, 'Longone Sabino', 57034, 'N', 'E681'),
  (5254, 'Magliano Sabina', 57035, 'N', 'E812'),
  (5255, 'Marcetelli', 57036, 'N', 'E927'),
  (5256, 'Micigliano', 57037, 'N', 'F193'),
  (5257, 'Mompeo', 57038, 'N', 'F319'),
  (5258, 'Montasola', 57039, 'N', 'F430'),
  (5259, 'Monte San Giovanni in Sabina', 57043, 'N', 'F619'),
  (5260, 'Montebuono', 57040, 'N', 'F446'),
  (5261, 'Monteleone Sabino', 57041, 'N', 'F541'),
  (5262, 'Montenero Sabino', 57042, 'N', 'F579'),
  (5263, 'Montopoli di Sabina', 57044, 'N', 'F687'),
  (5264, 'Morro Reatino', 57045, 'N', 'F746'),
  (5265, 'Nespolo', 57046, 'N', 'F876'),
  (5266, 'Orvinio', 57047, 'N', 'B595'),
  (5267, 'Paganico Sabino', 57048, 'N', 'G232'),
  (5268, 'Pescorocchiano', 57049, 'N', 'G498'),
  (5269, 'Petrella Salto', 57050, 'N', 'G513'),
  (5270, 'Poggio Bustone', 57051, 'N', 'G756'),
  (5271, 'Poggio Catino', 57052, 'N', 'G757'),
  (5272, 'Poggio Mirteto', 57053, 'N', 'G763'),
  (5273, 'Poggio Moiano', 57054, 'N', 'G764'),
  (5274, 'Poggio Nativo', 57055, 'N', 'G765'),
  (5275, 'Poggio San Lorenzo', 57056, 'N', 'G770'),
  (5276, 'Posta', 57057, 'N', 'G934'),
  (5277, 'Pozzaglia Sabina', 57058, 'N', 'G951'),
  (5278, 'Rieti', 57059, 'N', 'H282'),
  (5279, 'Rivodutri', 57060, 'N', 'H354'),
  (5280, 'Rocca Sinibalda', 57062, 'N', 'H446'),
  (5281, 'Roccantica', 57061, 'N', 'H427'),
  (5282, 'Salisano', 57063, 'N', 'H713'),
  (5283, 'Scandriglia', 57064, 'N', 'I499'),
  (5284, 'Selci', 57065, 'N', 'I581'),
  (5285, 'Stimigliano', 57066, 'N', 'I959'),
  (5286, 'Tarano', 57067, 'N', 'L046'),
  (5287, 'Toffia', 57068, 'N', 'L189'),
  (5288, 'Torri in Sabina', 57070, 'N', 'L286'),
  (5289, 'Torricella in Sabina', 57069, 'N', 'L293'),
  (5290, 'Turania', 57071, 'N', 'G507'),
  (5291, 'Vacone', 57072, 'N', 'L525'),
  (5292, 'Varco Sabino', 57073, 'N', 'L676'),
  (5293, 'Affile', 58001, 'N', 'A062'),
  (5294, 'Agosta', 58002, 'N', 'A084'),
  (5295, 'Albano Laziale', 58003, 'N', 'A132'),
  (5296, 'Allumiere', 58004, 'N', 'A210'),
  (5297, 'Anguillara Sabazia', 58005, 'N', 'A297'),
  (5298, 'Anticoli Corrado', 58006, 'N', 'A309'),
  (5299, 'Anzio', 58007, 'N', 'A323'),
  (5300, 'Arcinazzo Romano', 58008, 'N', 'A370'),
  (5301, 'Ardea', 58117, 'N', 'M213'),
  (5302, 'Ariccia', 58009, 'N', 'A401'),
  (5303, 'Arsoli', 58010, 'N', 'A446'),
  (5304, 'Artena', 58011, 'N', 'A449'),
  (5305, 'Bellegra', 58012, 'N', 'A749'),
  (5306, 'Bracciano', 58013, 'N', 'B114'),
  (5307, 'Camerata Nuova', 58014, 'N', 'B472'),
  (5308, 'Campagnano di Roma', 58015, 'N', 'B496'),
  (5309, 'Canale Monterano', 58016, 'N', 'B576'),
  (5310, 'Canterano', 58017, 'N', 'B635'),
  (5311, 'Capena', 58018, 'N', 'B649'),
  (5312, 'Capranica Prenestina', 58019, 'N', 'B687'),
  (5313, 'Carpineto Romano', 58020, 'N', 'B828'),
  (5314, 'Casape', 58021, 'N', 'B932'),
  (5315, 'Castel Gandolfo', 58022, 'N', 'C116'),
  (5316, 'Castel Madama', 58023, 'N', 'C203'),
  (5317, 'Castel San Pietro Romano', 58025, 'N', 'C266'),
  (5318, 'Castelnuovo di Porto', 58024, 'N', 'C237'),
  (5319, 'Cave', 58026, 'N', 'C390'),
  (5320, 'Cerreto Laziale', 58027, 'N', 'C518'),
  (5321, 'Cervara di Roma', 58028, 'N', 'C543'),
  (5322, 'Cerveteri', 58029, 'N', 'C552'),
  (5323, 'Ciampino', 58118, 'N', 'M272'),
  (5324, 'Ciciliano', 58030, 'N', 'C677'),
  (5325, 'Cineto Romano', 58031, 'N', 'C702'),
  (5326, 'Civitavecchia', 58032, 'N', 'C773'),
  (5327, 'Civitella San Paolo', 58033, 'N', 'C784'),
  (5328, 'Colleferro', 58034, 'N', 'C858'),
  (5329, 'Colonna', 58035, 'N', 'C900'),
  (5330, 'Fiano Romano', 58036, 'N', 'D561'),
  (5331, 'Filacciano', 58037, 'N', 'D586'),
  (5332, 'Fiumicino', 58120, 'N', 'M297'),
  (5333, 'Fonte Nuova', 58122, 'N', 'M309'),
  (5334, 'Formello', 58038, 'N', 'D707'),
  (5335, 'Frascati', 58039, 'N', 'D773'),
  (5336, 'Gallicano nel Lazio', 58040, 'N', 'D875'),
  (5337, 'Gavignano', 58041, 'N', 'D945'),
  (5338, 'Genazzano', 58042, 'N', 'D964'),
  (5339, 'Genzano di Roma', 58043, 'N', 'D972'),
  (5340, 'Gerano', 58044, 'N', 'D978'),
  (5341, 'Gorga', 58045, 'N', 'E091'),
  (5342, 'Grottaferrata', 58046, 'N', 'E204'),
  (5343, 'Guidonia Montecelio', 58047, 'N', 'E263'),
  (5344, 'Jenne', 58048, 'N', 'E382'),
  (5345, 'Labico', 58049, 'N', 'E392'),
  (5346, 'Ladispoli', 58116, 'N', 'M212'),
  (5347, 'Lanuvio', 58050, 'N', 'C767'),
  (5348, 'Lariano', 58115, 'N', 'M207'),
  (5349, 'Licenza', 58051, 'N', 'E576'),
  (5350, 'Magliano Romano', 58052, 'N', 'E813'),
  (5351, 'Mandela', 58053, 'N', 'B632'),
  (5352, 'Manziana', 58054, 'N', 'E900'),
  (5353, 'Marano Equo', 58055, 'N', 'E908'),
  (5354, 'Marcellina', 58056, 'N', 'E924'),
  (5355, 'Marino', 58057, 'N', 'E958'),
  (5356, 'Mazzano Romano', 58058, 'N', 'F064'),
  (5357, 'Mentana', 58059, 'N', 'F127'),
  (5358, 'Monte Compatri', 58060, 'N', 'F477'),
  (5359, 'Monte Porzio Catone', 58064, 'N', 'F590'),
  (5360, 'Monteflavio', 58061, 'N', 'F504'),
  (5361, 'Montelanico', 58062, 'N', 'F534'),
  (5362, 'Montelibretti', 58063, 'N', 'F545'),
  (5363, 'Monterotondo', 58065, 'N', 'F611'),
  (5364, 'Montorio Romano', 58066, 'N', 'F692'),
  (5365, 'Moricone', 58067, 'N', 'F730'),
  (5366, 'Morlupo', 58068, 'N', 'F734'),
  (5367, 'Nazzano', 58069, 'N', 'F857'),
  (5368, 'Nemi', 58070, 'N', 'F865'),
  (5369, 'Nerola', 58071, 'N', 'F871'),
  (5370, 'Nettuno', 58072, 'N', 'F880'),
  (5371, 'Olevano Romano', 58073, 'N', 'G022'),
  (5372, 'Palestrina', 58074, 'N', 'G274'),
  (5373, 'Palombara Sabina', 58075, 'N', 'G293'),
  (5374, 'Percile', 58076, 'N', 'G444'),
  (5375, 'Pisoniano', 58077, 'N', 'G704'),
  (5376, 'Poli', 58078, 'N', 'G784'),
  (5377, 'Pomezia', 58079, 'N', 'G811'),
  (5378, 'Ponzano Romano', 58080, 'N', 'G874'),
  (5379, 'Riano', 58081, 'N', 'H267'),
  (5380, 'Rignano Flaminio', 58082, 'N', 'H288'),
  (5381, 'Riofreddo', 58083, 'N', 'H300'),
  (5382, 'Rocca Canterano', 58084, 'N', 'H387'),
  (5383, 'Rocca di Cave', 58085, 'N', 'H401'),
  (5384, 'Rocca di Papa', 58086, 'N', 'H404'),
  (5385, 'Rocca Priora', 58088, 'N', 'H432'),
  (5386, 'Rocca Santo Stefano', 58089, 'N', 'H441'),
  (5387, 'Roccagiovine', 58087, 'N', 'H411'),
  (5388, 'Roiate', 58090, 'N', 'H494'),
  (5389, 'Roma', 58091, 'N', 'H501'),
  (5390, 'Roviano', 58092, 'N', 'H618'),
  (5391, 'Sacrofano', 58093, 'N', 'H658'),
  (5392, 'Sambuci', 58094, 'N', 'H745'),
  (5393, 'San Cesareo', 58119, 'N', 'M295'),
  (5394, 'San Gregorio da Sassola', 58095, 'N', 'H942'),
  (5395, 'San Polo dei Cavalieri', 58096, 'N', 'I125'),
  (5396, 'San Vito Romano', 58100, 'N', 'I400'),
  (5397, 'Santa Marinella', 58097, 'N', 'I255'),
  (5398, 'Sant''Angelo Romano', 58098, 'N', 'I284'),
  (5399, 'Sant''Oreste', 58099, 'N', 'I352'),
  (5400, 'Saracinesco', 58101, 'N', 'I424'),
  (5401, 'Segni', 58102, 'N', 'I573'),
  (5402, 'Subiaco', 58103, 'N', 'I992'),
  (5403, 'Tivoli', 58104, 'N', 'L182'),
  (5404, 'Tolfa', 58105, 'N', 'L192'),
  (5405, 'Torrita Tiberina', 58106, 'N', 'L302'),
  (5406, 'Trevignano Romano', 58107, 'N', 'L401'),
  (5407, 'Vallepietra', 58108, 'N', 'L611'),
  (5408, 'Vallinfreda', 58109, 'N', 'L625'),
  (5409, 'Valmontone', 58110, 'N', 'L639'),
  (5410, 'Velletri', 58111, 'N', 'L719'),
  (5411, 'Vicovaro', 58112, 'N', 'L851'),
  (5412, 'Vivaro Romano', 58113, 'N', 'M095'),
  (5413, 'Zagarolo', 58114, 'N', 'M141'),
  (5414, 'Aprilia', 59001, 'N', 'A341'),
  (5415, 'Bassiano', 59002, 'N', 'A707'),
  (5416, 'Campodimele', 59003, 'N', 'B527'),
  (5417, 'Castelforte', 59004, 'N', 'C104'),
  (5418, 'Cisterna di Latina', 59005, 'N', 'C740'),
  (5419, 'Cori', 59006, 'N', 'D003'),
  (5420, 'Fondi', 59007, 'N', 'D662'),
  (5421, 'Formia', 59008, 'N', 'D708'),
  (5422, 'Gaeta', 59009, 'N', 'D843'),
  (5423, 'Itri', 59010, 'N', 'E375'),
  (5424, 'Latina', 59011, 'N', 'E472'),
  (5425, 'Lenola', 59012, 'N', 'E527'),
  (5426, 'Maenza', 59013, 'N', 'E798'),
  (5427, 'Minturno', 59014, 'N', 'F224'),
  (5428, 'Monte San Biagio', 59015, 'N', 'F616'),
  (5429, 'Norma', 59016, 'N', 'F937'),
  (5430, 'Pontinia', 59017, 'N', 'G865'),
  (5431, 'Ponza', 59018, 'N', 'G871'),
  (5432, 'Priverno', 59019, 'N', 'G698'),
  (5433, 'Prossedi', 59020, 'N', 'H076'),
  (5434, 'Rocca Massima', 59022, 'N', 'H421'),
  (5435, 'Roccagorga', 59021, 'N', 'H413'),
  (5436, 'Roccasecca dei Volsci', 59023, 'N', 'H444'),
  (5437, 'Sabaudia', 59024, 'N', 'H647'),
  (5438, 'San Felice Circeo', 59025, 'N', 'H836'),
  (5439, 'Santi Cosma e Damiano', 59026, 'N', 'I339'),
  (5440, 'Sermoneta', 59027, 'N', 'I634'),
  (5441, 'Sezze', 59028, 'N', 'I712'),
  (5442, 'Sonnino', 59029, 'N', 'I832'),
  (5443, 'Sperlonga', 59030, 'N', 'I892'),
  (5444, 'Spigno Saturnia', 59031, 'N', 'I902'),
  (5445, 'Terracina', 59032, 'N', 'L120'),
  (5446, 'Ventotene', 59033, 'N', 'L742'),
  (5447, 'Acquafondata', 60001, 'N', 'A032'),
  (5448, 'Acuto', 60002, 'N', 'A054'),
  (5449, 'Alatri', 60003, 'N', 'A123'),
  (5450, 'Alvito', 60004, 'N', 'A244'),
  (5451, 'Amaseno', 60005, 'N', 'A256'),
  (5452, 'Anagni', 60006, 'N', 'A269'),
  (5453, 'Aquino', 60007, 'N', 'A348'),
  (5454, 'Arce', 60008, 'N', 'A363'),
  (5455, 'Arnara', 60009, 'N', 'A421'),
  (5456, 'Arpino', 60010, 'N', 'A433'),
  (5457, 'Atina', 60011, 'N', 'A486'),
  (5458, 'Ausonia', 60012, 'N', 'A502'),
  (5459, 'Belmonte Castello', 60013, 'N', 'A763'),
  (5460, 'Boville Ernica', 60014, 'N', 'A720'),
  (5461, 'Broccostella', 60015, 'N', 'B195'),
  (5462, 'Campoli Appennino', 60016, 'N', 'B543'),
  (5463, 'Casalattico', 60017, 'N', 'B862'),
  (5464, 'Casalvieri', 60018, 'N', 'B919'),
  (5465, 'Cassino', 60019, 'N', 'C034'),
  (5466, 'Castelliri', 60020, 'N', 'C177'),
  (5467, 'Castelnuovo Parano', 60021, 'N', 'C223'),
  (5468, 'Castro dei Volsci', 60023, 'N', 'C338'),
  (5469, 'Castrocielo', 60022, 'N', 'C340'),
  (5470, 'Ceccano', 60024, 'N', 'C413'),
  (5471, 'Ceprano', 60025, 'N', 'C479'),
  (5472, 'Cervaro', 60026, 'N', 'C545'),
  (5473, 'Colfelice', 60027, 'N', 'C836'),
  (5474, 'Colle San Magno', 60029, 'N', 'C870'),
  (5475, 'Collepardo', 60028, 'N', 'C864'),
  (5476, 'Coreno Ausonio', 60030, 'N', 'C998'),
  (5477, 'Esperia', 60031, 'N', 'D440'),
  (5478, 'Falvaterra', 60032, 'N', 'D483'),
  (5479, 'Ferentino', 60033, 'N', 'D539'),
  (5480, 'Filettino', 60034, 'N', 'D591'),
  (5481, 'Fiuggi', 60035, 'N', 'A310'),
  (5482, 'Fontana Liri', 60036, 'N', 'D667'),
  (5483, 'Fontechiari', 60037, 'N', 'D682'),
  (5484, 'Frosinone', 60038, 'N', 'D810'),
  (5485, 'Fumone', 60039, 'N', 'D819'),
  (5486, 'Gallinaro', 60040, 'N', 'D881'),
  (5487, 'Giuliano di Roma', 60041, 'N', 'E057'),
  (5488, 'Guarcino', 60042, 'N', 'E236'),
  (5489, 'Isola del Liri', 60043, 'N', 'E340'),
  (5490, 'Monte San Giovanni Campano', 60044, 'N', 'F620'),
  (5491, 'Morolo', 60045, 'N', 'F740'),
  (5492, 'Paliano', 60046, 'N', 'G276'),
  (5493, 'Pastena', 60047, 'N', 'G362'),
  (5494, 'Patrica', 60048, 'N', 'G374'),
  (5495, 'Pescosolido', 60049, 'N', 'G500'),
  (5496, 'Picinisco', 60050, 'N', 'G591'),
  (5497, 'Pico', 60051, 'N', 'G592'),
  (5498, 'Piedimonte San Germano', 60052, 'N', 'G598'),
  (5499, 'Piglio', 60053, 'N', 'G659'),
  (5500, 'Pignataro Interamna', 60054, 'N', 'G662'),
  (5501, 'Pofi', 60055, 'N', 'G749'),
  (5502, 'Pontecorvo', 60056, 'N', 'G838'),
  (5503, 'Posta Fibreno', 60057, 'N', 'G935'),
  (5504, 'Ripi', 60058, 'N', 'H324'),
  (5505, 'Rocca d''Arce', 60059, 'N', 'H393'),
  (5506, 'Roccasecca', 60060, 'N', 'H443'),
  (5507, 'San Biagio Saracinisco', 60061, 'N', 'H779'),
  (5508, 'San Donato Val di Comino', 60062, 'N', 'H824'),
  (5509, 'San Giorgio a Liri', 60063, 'N', 'H880'),
  (5510, 'San Giovanni Incarico', 60064, 'N', 'H917'),
  (5511, 'San Vittore del Lazio', 60070, 'N', 'I408'),
  (5512, 'Sant''Ambrogio sul Garigliano', 60065, 'N', 'I256'),
  (5513, 'Sant''Andrea del Garigliano', 60066, 'N', 'I265'),
  (5514, 'Sant''Apollinare', 60067, 'N', 'I302'),
  (5515, 'Sant''Elia Fiumerapido', 60068, 'N', 'I321'),
  (5516, 'Santopadre', 60069, 'N', 'I351'),
  (5517, 'Serrone', 60071, 'N', 'I669'),
  (5518, 'Settefrati', 60072, 'N', 'I697'),
  (5519, 'Sgurgola', 60073, 'N', 'I716'),
  (5520, 'Sora', 60074, 'N', 'I838'),
  (5521, 'Strangolagalli', 60075, 'N', 'I973'),
  (5522, 'Supino', 60076, 'N', 'L009'),
  (5523, 'Terelle', 60077, 'N', 'L105'),
  (5524, 'Torre Cajetani', 60078, 'N', 'L243'),
  (5525, 'Torrice', 60079, 'N', 'L290'),
  (5526, 'Trevi nel Lazio', 60080, 'N', 'L398'),
  (5527, 'Trivigliano', 60081, 'N', 'L437'),
  (5528, 'Vallecorsa', 60082, 'N', 'L598'),
  (5529, 'Vallemaio', 60083, 'N', 'L605'),
  (5530, 'Vallerotonda', 60084, 'N', 'L614'),
  (5531, 'Veroli', 60085, 'N', 'L780'),
  (5532, 'Vicalvi', 60086, 'N', 'L836'),
  (5533, 'Vico nel Lazio', 60087, 'N', 'L843'),
  (5534, 'Villa Latina', 60088, 'N', 'A081'),
  (5535, 'Villa Santa Lucia', 60089, 'N', 'L905'),
  (5536, 'Villa Santo Stefano', 60090, 'N', 'I364'),
  (5537, 'Viticuso', 60091, 'N', 'M083'),
  (5538, 'Acciano', 66001, 'N', 'A018'),
  (5539, 'Aielli', 66002, 'N', 'A100'),
  (5540, 'Alfedena', 66003, 'N', 'A187'),
  (5541, 'Anversa degli Abruzzi', 66004, 'N', 'A318'),
  (5542, 'Ateleta', 66005, 'N', 'A481'),
  (5543, 'Avezzano', 66006, 'N', 'A515'),
  (5544, 'Balsorano', 66007, 'N', 'A603'),
  (5545, 'Barete', 66008, 'N', 'A656'),
  (5546, 'Barisciano', 66009, 'N', 'A667'),
  (5547, 'Barrea', 66010, 'N', 'A678'),
  (5548, 'Bisegna', 66011, 'N', 'A884'),
  (5549, 'Bugnara', 66012, 'N', 'B256'),
  (5550, 'Cagnano Amiterno', 66013, 'N', 'B358'),
  (5551, 'Calascio', 66014, 'N', 'B382'),
  (5552, 'Campo di Giove', 66015, 'N', 'B526'),
  (5553, 'Campotosto', 66016, 'N', 'B569'),
  (5554, 'Canistro', 66017, 'N', 'B606'),
  (5555, 'Cansano', 66018, 'N', 'B624'),
  (5556, 'Capestrano', 66019, 'N', 'B651'),
  (5557, 'Capistrello', 66020, 'N', 'B656'),
  (5558, 'Capitignano', 66021, 'N', 'B658'),
  (5559, 'Caporciano', 66022, 'N', 'B672'),
  (5560, 'Cappadocia', 66023, 'N', 'B677'),
  (5561, 'Carapelle Calvisio', 66024, 'N', 'B725'),
  (5562, 'Carsoli', 66025, 'N', 'B842'),
  (5563, 'Castel del Monte', 66026, 'N', 'C083'),
  (5564, 'Castel di Ieri', 66027, 'N', 'C090'),
  (5565, 'Castel di Sangro', 66028, 'N', 'C096'),
  (5566, 'Castellafiume', 66029, 'N', 'C126'),
  (5567, 'Castelvecchio Calvisio', 66030, 'N', 'C278'),
  (5568, 'Castelvecchio Subequo', 66031, 'N', 'C279'),
  (5569, 'Celano', 66032, 'N', 'C426'),
  (5570, 'Cerchio', 66033, 'N', 'C492'),
  (5571, 'Civita d''Antino', 66034, 'N', 'C766'),
  (5572, 'Civitella Alfedena', 66035, 'N', 'C778'),
  (5573, 'Civitella Roveto', 66036, 'N', 'C783'),
  (5574, 'Cocullo', 66037, 'N', 'C811'),
  (5575, 'Collarmele', 66038, 'N', 'C844'),
  (5576, 'Collelongo', 66039, 'N', 'C862'),
  (5577, 'Collepietro', 66040, 'N', 'C866'),
  (5578, 'Corfinio', 66041, 'N', 'C999'),
  (5579, 'Fagnano Alto', 66042, 'N', 'D465'),
  (5580, 'Fontecchio', 66043, 'N', 'D681'),
  (5581, 'Fossa', 66044, 'N', 'D736'),
  (5582, 'Gagliano Aterno', 66045, 'N', 'D850'),
  (5583, 'Gioia dei Marsi', 66046, 'N', 'E040'),
  (5584, 'Goriano Sicoli', 66047, 'N', 'E096'),
  (5585, 'Introdacqua', 66048, 'N', 'E307'),
  (5586, 'L''Aquila', 66049, 'N', 'A345'),
  (5587, 'Lecce nei Marsi', 66050, 'N', 'E505'),
  (5588, 'Luco dei Marsi', 66051, 'N', 'E723'),
  (5589, 'Lucoli', 66052, 'N', 'E724'),
  (5590, 'Magliano de'' Marsi', 66053, 'N', 'E811'),
  (5591, 'Massa d''Albe', 66054, 'N', 'F022'),
  (5592, 'Molina Aterno', 66055, 'N', 'M255'),
  (5593, 'Montereale', 66056, 'N', 'F595'),
  (5594, 'Morino', 66057, 'N', 'F732'),
  (5595, 'Navelli', 66058, 'N', 'F852'),
  (5596, 'Ocre', 66059, 'N', 'F996'),
  (5597, 'Ofena', 66060, 'N', 'G002'),
  (5598, 'Opi', 66061, 'N', 'G079'),
  (5599, 'Oricola', 66062, 'N', 'G102'),
  (5600, 'Ortona dei Marsi', 66063, 'N', 'G142'),
  (5601, 'Ortucchio', 66064, 'N', 'G145'),
  (5602, 'Ovindoli', 66065, 'N', 'G200'),
  (5603, 'Pacentro', 66066, 'N', 'G210'),
  (5604, 'Pereto', 66067, 'N', 'G449'),
  (5605, 'Pescasseroli', 66068, 'N', 'G484'),
  (5606, 'Pescina', 66069, 'N', 'G492'),
  (5607, 'Pescocostanzo', 66070, 'N', 'G493'),
  (5608, 'Pettorano sul Gizio', 66071, 'N', 'G524'),
  (5609, 'Pizzoli', 66072, 'N', 'G726'),
  (5610, 'Poggio Picenze', 66073, 'N', 'G766'),
  (5611, 'Prata d''Ansidonia', 66074, 'N', 'G992'),
  (5612, 'Pratola Peligna', 66075, 'N', 'H007'),
  (5613, 'Prezza', 66076, 'N', 'H056'),
  (5614, 'Raiano', 66077, 'N', 'H166'),
  (5615, 'Rivisondoli', 66078, 'N', 'H353'),
  (5616, 'Rocca di Botte', 66080, 'N', 'H399'),
  (5617, 'Rocca di Cambio', 66081, 'N', 'H400'),
  (5618, 'Rocca di Mezzo', 66082, 'N', 'H402'),
  (5619, 'Rocca Pia', 66083, 'N', 'H429'),
  (5620, 'Roccacasale', 66079, 'N', 'H389'),
  (5621, 'Roccaraso', 66084, 'N', 'H434'),
  (5622, 'San Benedetto dei Marsi', 66085, 'N', 'H772'),
  (5623, 'San Benedetto in Perillis', 66086, 'N', 'H773'),
  (5624, 'San Demetrio ne'' Vestini', 66087, 'N', 'H819'),
  (5625, 'San Pio delle Camere', 66088, 'N', 'I121'),
  (5626, 'San Vincenzo Valle Roveto', 66092, 'N', 'I389'),
  (5627, 'Sante Marie', 66089, 'N', 'I326'),
  (5628, 'Sant''Eusanio Forconese', 66090, 'N', 'I336'),
  (5629, 'Santo Stefano di Sessanio', 66091, 'N', 'I360'),
  (5630, 'Scanno', 66093, 'N', 'I501'),
  (5631, 'Scontrone', 66094, 'N', 'I543'),
  (5632, 'Scoppito', 66095, 'N', 'I546'),
  (5633, 'Scurcola Marsicana', 66096, 'N', 'I553'),
  (5634, 'Secinaro', 66097, 'N', 'I558'),
  (5635, 'Sulmona', 66098, 'N', 'I804'),
  (5636, 'Tagliacozzo', 66099, 'N', 'L025'),
  (5637, 'Tione degli Abruzzi', 66100, 'N', 'L173'),
  (5638, 'Tornimparte', 66101, 'N', 'L227'),
  (5639, 'Trasacco', 66102, 'N', 'L334'),
  (5640, 'Villa Santa Lucia degli Abruzz', 66104, 'N', 'M021'),
  (5641, 'Villa Sant''Angelo', 66105, 'N', 'M023'),
  (5642, 'Villalago', 66103, 'N', 'L958'),
  (5643, 'Villavallelonga', 66106, 'N', 'M031'),
  (5644, 'Villetta Barrea', 66107, 'N', 'M041'),
  (5645, 'Vittorito', 66108, 'N', 'M090'),
  (5646, 'Alba Adriatica', 67001, 'N', 'A125'),
  (5647, 'Ancarano', 67002, 'N', 'A270'),
  (5648, 'Arsita', 67003, 'N', 'A445'),
  (5649, 'Atri', 67004, 'N', 'A488'),
  (5650, 'Basciano', 67005, 'N', 'A692'),
  (5651, 'Bellante', 67006, 'N', 'A746'),
  (5652, 'Bisenti', 67007, 'N', 'A885'),
  (5653, 'Campli', 67008, 'N', 'B515'),
  (5654, 'Canzano', 67009, 'N', 'B640'),
  (5655, 'Castel Castagna', 67010, 'N', 'C040'),
  (5656, 'Castellalto', 67011, 'N', 'C128'),
  (5657, 'Castelli', 67012, 'N', 'C169'),
  (5658, 'Castiglione Messer Raimondo', 67013, 'N', 'C316'),
  (5659, 'Castilenti', 67014, 'N', 'C322'),
  (5660, 'Cellino Attanasio', 67015, 'N', 'C449'),
  (5661, 'Cermignano', 67016, 'N', 'C517'),
  (5662, 'Civitella del Tronto', 67017, 'N', 'C781'),
  (5663, 'Colledara', 67018, 'N', 'C311'),
  (5664, 'Colonnella', 67019, 'N', 'C901'),
  (5665, 'Controguerra', 67020, 'N', 'C972'),
  (5666, 'Corropoli', 67021, 'N', 'D043'),
  (5667, 'Cortino', 67022, 'N', 'D076'),
  (5668, 'Crognaleto', 67023, 'N', 'D179'),
  (5669, 'Fano Adriano', 67024, 'N', 'D489'),
  (5670, 'Giulianova', 67025, 'N', 'E058'),
  (5671, 'Isola del Gran Sasso d''Italia', 67026, 'N', 'E343'),
  (5672, 'Martinsicuro', 67047, 'N', 'E989'),
  (5673, 'Montefino', 67027, 'N', 'F500'),
  (5674, 'Montorio al Vomano', 67028, 'N', 'F690'),
  (5675, 'Morro d''Oro', 67029, 'N', 'F747'),
  (5676, 'Mosciano Sant''Angelo', 67030, 'N', 'F764'),
  (5677, 'Nereto', 67031, 'N', 'F870'),
  (5678, 'Notaresco', 67032, 'N', 'F942'),
  (5679, 'Penna Sant''Andrea', 67033, 'N', 'G437'),
  (5680, 'Pietracamela', 67034, 'N', 'G608'),
  (5681, 'Pineto', 67035, 'N', 'F831'),
  (5682, 'Rocca Santa Maria', 67036, 'N', 'H440'),
  (5683, 'Roseto degli Abruzzi', 67037, 'N', 'F585'),
  (5684, 'Sant''Egidio alla Vibrata', 67038, 'N', 'I318'),
  (5685, 'Sant''Omero', 67039, 'N', 'I348'),
  (5686, 'Silvi', 67040, 'N', 'I741'),
  (5687, 'Teramo', 67041, 'N', 'L103'),
  (5688, 'Torano Nuovo', 67042, 'N', 'L207'),
  (5689, 'Torricella Sicura', 67043, 'N', 'L295'),
  (5690, 'Tortoreto', 67044, 'N', 'L307'),
  (5691, 'Tossicia', 67045, 'N', 'L314'),
  (5692, 'Valle Castellana', 67046, 'N', 'L597'),
  (5693, 'Abbateggio', 68001, 'N', 'A008'),
  (5694, 'Alanno', 68002, 'N', 'A120'),
  (5695, 'Bolognano', 68003, 'N', 'A945'),
  (5696, 'Brittoli', 68004, 'N', 'B193'),
  (5697, 'Bussi sul Tirino', 68005, 'N', 'B294'),
  (5698, 'Cappelle sul Tavo', 68006, 'N', 'B681'),
  (5699, 'Caramanico Terme', 68007, 'N', 'B722'),
  (5700, 'Carpineto della Nora', 68008, 'N', 'B827'),
  (5701, 'Castiglione a Casauria', 68009, 'N', 'C308'),
  (5702, 'Catignano', 68010, 'N', 'C354'),
  (5703, 'Cepagatti', 68011, 'N', 'C474'),
  (5704, 'CittÃ  Sant''Angelo', 68012, 'N', 'C750'),
  (5705, 'Civitaquana', 68013, 'N', 'C771'),
  (5706, 'Civitella Casanova', 68014, 'N', 'C779'),
  (5707, 'Collecorvino', 68015, 'N', 'C853'),
  (5708, 'Corvara', 68016, 'N', 'D078'),
  (5709, 'Cugnoli', 68017, 'N', 'D201'),
  (5710, 'Elice', 68018, 'N', 'D394'),
  (5711, 'Farindola', 68019, 'N', 'D501'),
  (5712, 'Lettomanoppello', 68020, 'N', 'E558'),
  (5713, 'Loreto Aprutino', 68021, 'N', 'E691'),
  (5714, 'Manoppello', 68022, 'N', 'E892'),
  (5715, 'Montebello di Bertona', 68023, 'N', 'F441'),
  (5716, 'Montesilvano', 68024, 'N', 'F646'),
  (5717, 'Moscufo', 68025, 'N', 'F765'),
  (5718, 'Nocciano', 68026, 'N', 'F908'),
  (5719, 'Penne', 68027, 'N', 'G438'),
  (5720, 'Pescara', 68028, 'N', 'G482'),
  (5721, 'Pescosansonesco', 68029, 'N', 'G499'),
  (5722, 'Pianella', 68030, 'N', 'G555'),
  (5723, 'Picciano', 68031, 'N', 'G589'),
  (5724, 'Pietranico', 68032, 'N', 'G621'),
  (5725, 'Popoli', 68033, 'N', 'G878'),
  (5726, 'Roccamorice', 68034, 'N', 'H425'),
  (5727, 'Rosciano', 68035, 'N', 'H562'),
  (5728, 'Salle', 68036, 'N', 'H715'),
  (5729, 'San Valentino in Abruzzo Citer', 68038, 'N', 'I376'),
  (5730, 'Sant''Eufemia a Maiella', 68037, 'N', 'I332'),
  (5731, 'Scafa', 68039, 'N', 'I482'),
  (5732, 'Serramonacesca', 68040, 'N', 'I649'),
  (5733, 'Spoltore', 68041, 'N', 'I922'),
  (5734, 'Tocco da Casauria', 68042, 'N', 'L186'),
  (5735, 'Torre de'' Passeri', 68043, 'N', 'L263'),
  (5736, 'Turrivalignani', 68044, 'N', 'L475'),
  (5737, 'Vicoli', 68045, 'N', 'L846'),
  (5738, 'Villa Celiera', 68046, 'N', 'L922'),
  (5739, 'Altino', 69001, 'N', 'A235'),
  (5740, 'Archi', 69002, 'N', 'A367'),
  (5741, 'Ari', 69003, 'N', 'A398'),
  (5742, 'Arielli', 69004, 'N', 'A402'),
  (5743, 'Atessa', 69005, 'N', 'A485'),
  (5744, 'Bomba', 69006, 'N', 'A956'),
  (5745, 'Borrello', 69007, 'N', 'B057'),
  (5746, 'Bucchianico', 69008, 'N', 'B238'),
  (5747, 'Canosa Sannita', 69010, 'N', 'B620'),
  (5748, 'Carpineto Sinello', 69011, 'N', 'B826'),
  (5749, 'Carunchio', 69012, 'N', 'B853'),
  (5750, 'Casacanditella', 69013, 'N', 'B859'),
  (5751, 'Casalanguida', 69014, 'N', 'B861'),
  (5752, 'Casalbordino', 69015, 'N', 'B865'),
  (5753, 'Casalincontrada', 69016, 'N', 'B896'),
  (5754, 'Casoli', 69017, 'N', 'B985'),
  (5755, 'Castel Frentano', 69018, 'N', 'C114'),
  (5756, 'Castelguidone', 69019, 'N', 'C123'),
  (5757, 'Castiglione Messer Marino', 69020, 'N', 'C298'),
  (5758, 'Celenza sul Trigno', 69021, 'N', 'C428'),
  (5759, 'Chieti', 69022, 'N', 'C632'),
  (5760, 'Civitaluparella', 69023, 'N', 'C768'),
  (5761, 'Civitella Messer Raimondo', 69024, 'N', 'C776'),
  (5762, 'Colledimacine', 69025, 'N', 'C855'),
  (5763, 'Colledimezzo', 69026, 'N', 'C856'),
  (5764, 'Crecchio', 69027, 'N', 'D137'),
  (5765, 'Cupello', 69028, 'N', 'D209'),
  (5766, 'Dogliola', 69029, 'N', 'D315'),
  (5767, 'Fallo', 69104, 'N', 'D480'),
  (5768, 'Fara Filiorum Petri', 69030, 'N', 'D494'),
  (5769, 'Fara San Martino', 69031, 'N', 'D495'),
  (5770, 'Filetto', 69032, 'N', 'D592'),
  (5771, 'Fossacesia', 69033, 'N', 'D738'),
  (5772, 'Fraine', 69034, 'N', 'D757'),
  (5773, 'Francavilla al Mare', 69035, 'N', 'D763'),
  (5774, 'Fresagrandinaria', 69036, 'N', 'D796'),
  (5775, 'Frisa', 69037, 'N', 'D803'),
  (5776, 'Furci', 69038, 'N', 'D823'),
  (5777, 'Gamberale', 69039, 'N', 'D898'),
  (5778, 'Gessopalena', 69040, 'N', 'D996'),
  (5779, 'Gissi', 69041, 'N', 'E052'),
  (5780, 'Giuliano Teatino', 69042, 'N', 'E056'),
  (5781, 'Guardiagrele', 69043, 'N', 'E243'),
  (5782, 'Guilmi', 69044, 'N', 'E266'),
  (5783, 'Lama dei Peligni', 69045, 'N', 'E424'),
  (5784, 'Lanciano', 69046, 'N', 'E435'),
  (5785, 'Lentella', 69047, 'N', 'E531'),
  (5786, 'Lettopalena', 69048, 'N', 'E559'),
  (5787, 'Liscia', 69049, 'N', 'E611'),
  (5788, 'Miglianico', 69050, 'N', 'F196'),
  (5789, 'Montazzoli', 69051, 'N', 'F433'),
  (5790, 'Montebello sul Sangro', 69009, 'N', 'B268'),
  (5791, 'Monteferrante', 69052, 'N', 'F498'),
  (5792, 'Montelapiano', 69053, 'N', 'F535'),
  (5793, 'Montenerodomo', 69054, 'N', 'F578'),
  (5794, 'Monteodorisio', 69055, 'N', 'F582'),
  (5795, 'Mozzagrogna', 69056, 'N', 'F785'),
  (5796, 'Orsogna', 69057, 'N', 'G128'),
  (5797, 'Ortona', 69058, 'N', 'G141'),
  (5798, 'Paglieta', 69059, 'N', 'G237'),
  (5799, 'Palena', 69060, 'N', 'G271'),
  (5800, 'Palmoli', 69061, 'N', 'G290'),
  (5801, 'Palombaro', 69062, 'N', 'G294'),
  (5802, 'Pennadomo', 69063, 'N', 'G434'),
  (5803, 'Pennapiedimonte', 69064, 'N', 'G435'),
  (5804, 'Perano', 69065, 'N', 'G441'),
  (5805, 'Pietraferrazzana', 69103, 'N', 'G613'),
  (5806, 'Pizzoferrato', 69066, 'N', 'G724'),
  (5807, 'Poggiofiorito', 69067, 'N', 'G760'),
  (5808, 'Pollutri', 69068, 'N', 'G799'),
  (5809, 'Pretoro', 69069, 'N', 'H052'),
  (5810, 'Quadri', 69070, 'N', 'H098'),
  (5811, 'Rapino', 69071, 'N', 'H184'),
  (5812, 'Ripa Teatina', 69072, 'N', 'H320'),
  (5813, 'Rocca San Giovanni', 69074, 'N', 'H439'),
  (5814, 'Roccamontepiano', 69073, 'N', 'H424'),
  (5815, 'Roccascalegna', 69075, 'N', 'H442'),
  (5816, 'Roccaspinalveti', 69076, 'N', 'H448'),
  (5817, 'Roio del Sangro', 69077, 'N', 'H495'),
  (5818, 'Rosello', 69078, 'N', 'H566'),
  (5819, 'San Buono', 69079, 'N', 'H784'),
  (5820, 'San Giovanni Lipioni', 69080, 'N', 'H923'),
  (5821, 'San Giovanni Teatino', 69081, 'N', 'D690'),
  (5822, 'San Martino sulla Marrucina', 69082, 'N', 'H991'),
  (5823, 'San Salvo', 69083, 'N', 'I148'),
  (5824, 'San Vito Chietino', 69086, 'N', 'I394'),
  (5825, 'Santa Maria Imbaro', 69084, 'N', 'I244'),
  (5826, 'Sant''Eusanio del Sangro', 69085, 'N', 'I335'),
  (5827, 'Scerni', 69087, 'N', 'I520'),
  (5828, 'Schiavi di Abruzzo', 69088, 'N', 'I526'),
  (5829, 'Taranta Peligna', 69089, 'N', 'L047'),
  (5830, 'Tollo', 69090, 'N', 'L194'),
  (5831, 'Torino di Sangro', 69091, 'N', 'L218'),
  (5832, 'Tornareccio', 69092, 'N', 'L224'),
  (5833, 'Torrebruna', 69093, 'N', 'L253'),
  (5834, 'Torrevecchia Teatina', 69094, 'N', 'L284'),
  (5835, 'Torricella Peligna', 69095, 'N', 'L291'),
  (5836, 'Treglio', 69096, 'N', 'L363'),
  (5837, 'Tufillo', 69097, 'N', 'L459'),
  (5838, 'Vacri', 69098, 'N', 'L526'),
  (5839, 'Vasto', 69099, 'N', 'E372'),
  (5840, 'Villa Santa Maria', 69102, 'N', 'M022'),
  (5841, 'Villalfonsina', 69100, 'N', 'L961'),
  (5842, 'Villamagna', 69101, 'N', 'L964'),
  (5843, 'Acquaviva Collecroce', 70001, 'N', 'A050'),
  (5844, 'Baranello', 70002, 'N', 'A616'),
  (5845, 'Bojano', 70003, 'N', 'A930'),
  (5846, 'Bonefro', 70004, 'N', 'A971'),
  (5847, 'Busso', 70005, 'N', 'B295'),
  (5848, 'Campobasso', 70006, 'N', 'B519'),
  (5849, 'Campochiaro', 70007, 'N', 'B522'),
  (5850, 'Campodipietra', 70008, 'N', 'B528'),
  (5851, 'Campolieto', 70009, 'N', 'B544'),
  (5852, 'Campomarino', 70010, 'N', 'B550'),
  (5853, 'Casacalenda', 70011, 'N', 'B858'),
  (5854, 'Casalciprano', 70012, 'N', 'B871'),
  (5855, 'Castelbottaccio', 70013, 'N', 'C066'),
  (5856, 'Castellino del Biferno', 70014, 'N', 'C175'),
  (5857, 'Castelmauro', 70015, 'N', 'C197'),
  (5858, 'Castropignano', 70016, 'N', 'C346'),
  (5859, 'Cercemaggiore', 70017, 'N', 'C486'),
  (5860, 'Cercepiccola', 70018, 'N', 'C488'),
  (5861, 'Civitacampomarano', 70019, 'N', 'C764'),
  (5862, 'Colle d''Anchise', 70020, 'N', 'C854'),
  (5863, 'Colletorto', 70021, 'N', 'C875'),
  (5864, 'Duronia', 70022, 'N', 'C772'),
  (5865, 'Ferrazzano', 70023, 'N', 'D550'),
  (5866, 'Fossalto', 70024, 'N', 'D737'),
  (5867, 'Gambatesa', 70025, 'N', 'D896'),
  (5868, 'Gildone', 70026, 'N', 'E030'),
  (5869, 'Guardialfiera', 70027, 'N', 'E244'),
  (5870, 'Guardiaregia', 70028, 'N', 'E248'),
  (5871, 'Guglionesi', 70029, 'N', 'E259'),
  (5872, 'Jelsi', 70030, 'N', 'E381'),
  (5873, 'Larino', 70031, 'N', 'E456'),
  (5874, 'Limosano', 70032, 'N', 'E599'),
  (5875, 'Lucito', 70033, 'N', 'E722'),
  (5876, 'Lupara', 70034, 'N', 'E748'),
  (5877, 'Macchia Valfortore', 70035, 'N', 'E780'),
  (5878, 'Mafalda', 70036, 'N', 'E799'),
  (5879, 'Matrice', 70037, 'N', 'F055'),
  (5880, 'Mirabello Sannitico', 70038, 'N', 'F233'),
  (5881, 'Molise', 70039, 'N', 'F294'),
  (5882, 'Monacilioni', 70040, 'N', 'F322'),
  (5883, 'Montagano', 70041, 'N', 'F391'),
  (5884, 'Montecilfone', 70042, 'N', 'F475'),
  (5885, 'Montefalcone nel Sannio', 70043, 'N', 'F495'),
  (5886, 'Montelongo', 70044, 'N', 'F548'),
  (5887, 'Montemitro', 70045, 'N', 'F569'),
  (5888, 'Montenero di Bisaccia', 70046, 'N', 'F576'),
  (5889, 'Montorio nei Frentani', 70047, 'N', 'F689'),
  (5890, 'Morrone del Sannio', 70048, 'N', 'F748'),
  (5891, 'Oratino', 70049, 'N', 'G086'),
  (5892, 'Palata', 70050, 'N', 'G257'),
  (5893, 'Petacciato', 70051, 'N', 'G506'),
  (5894, 'Petrella Tifernina', 70052, 'N', 'G512'),
  (5895, 'Pietracatella', 70053, 'N', 'G609'),
  (5896, 'Pietracupa', 70054, 'N', 'G610'),
  (5897, 'Portocannone', 70055, 'N', 'G910'),
  (5898, 'Provvidenti', 70056, 'N', 'H083'),
  (5899, 'Riccia', 70057, 'N', 'H273'),
  (5900, 'Ripabottoni', 70058, 'N', 'H311'),
  (5901, 'Ripalimosani', 70059, 'N', 'H313'),
  (5902, 'Roccavivara', 70060, 'N', 'H454'),
  (5903, 'Rotello', 70061, 'N', 'H589'),
  (5904, 'Salcito', 70062, 'N', 'H693'),
  (5905, 'San Biase', 70063, 'N', 'H782'),
  (5906, 'San Felice del Molise', 70064, 'N', 'H833'),
  (5907, 'San Giacomo degli Schiavoni', 70065, 'N', 'H867'),
  (5908, 'San Giovanni in Galdo', 70066, 'N', 'H920'),
  (5909, 'San Giuliano del Sannio', 70067, 'N', 'H928'),
  (5910, 'San Giuliano di Puglia', 70068, 'N', 'H929'),
  (5911, 'San Martino in Pensilis', 70069, 'N', 'H990'),
  (5912, 'San Massimo', 70070, 'N', 'I023'),
  (5913, 'San Polo Matese', 70071, 'N', 'I122'),
  (5914, 'Santa Croce di Magliano', 70072, 'N', 'I181'),
  (5915, 'Sant''Angelo Limosano', 70073, 'N', 'I289'),
  (5916, 'Sant''Elia a Pianisi', 70074, 'N', 'I320'),
  (5917, 'Sepino', 70075, 'N', 'I618'),
  (5918, 'Spinete', 70076, 'N', 'I910'),
  (5919, 'Tavenna', 70077, 'N', 'L069'),
  (5920, 'Termoli', 70078, 'N', 'L113'),
  (5921, 'Torella del Sannio', 70079, 'N', 'L215'),
  (5922, 'Toro', 70080, 'N', 'L230'),
  (5923, 'Trivento', 70081, 'N', 'L435'),
  (5924, 'Tufara', 70082, 'N', 'L458'),
  (5925, 'Ururi', 70083, 'N', 'L505'),
  (5926, 'Vinchiaturo', 70084, 'N', 'M057'),
  (5927, 'Acquaviva d''Isernia', 94001, 'N', 'A051'),
  (5928, 'Agnone', 94002, 'N', 'A080'),
  (5929, 'Bagnoli del Trigno', 94003, 'N', 'A567'),
  (5930, 'Belmonte del Sannio', 94004, 'N', 'A761'),
  (5931, 'Cantalupo nel Sannio', 94005, 'N', 'B630'),
  (5932, 'Capracotta', 94006, 'N', 'B682'),
  (5933, 'Carovilli', 94007, 'N', 'B810'),
  (5934, 'Carpinone', 94008, 'N', 'B830'),
  (5935, 'Castel del Giudice', 94009, 'N', 'C082'),
  (5936, 'Castel San Vincenzo', 94012, 'N', 'C270'),
  (5937, 'Castelpetroso', 94010, 'N', 'C246'),
  (5938, 'Castelpizzuto', 94011, 'N', 'C247'),
  (5939, 'Castelverrino', 94013, 'N', 'C200'),
  (5940, 'Cerro al Volturno', 94014, 'N', 'C534'),
  (5941, 'Chiauci', 94015, 'N', 'C620'),
  (5942, 'Civitanova del Sannio', 94016, 'N', 'C769'),
  (5943, 'Colli a Volturno', 94017, 'N', 'C878'),
  (5944, 'Conca Casale', 94018, 'N', 'C941'),
  (5945, 'Filignano', 94019, 'N', 'D595'),
  (5946, 'ForlÃ¬ del Sannio', 94020, 'N', 'D703'),
  (5947, 'Fornelli', 94021, 'N', 'D715'),
  (5948, 'Frosolone', 94022, 'N', 'D811'),
  (5949, 'Isernia', 94023, 'N', 'E335'),
  (5950, 'Longano', 94024, 'N', 'E669'),
  (5951, 'Macchia d''Isernia', 94025, 'N', 'E778'),
  (5952, 'Macchiagodena', 94026, 'N', 'E779'),
  (5953, 'Miranda', 94027, 'N', 'F239'),
  (5954, 'Montaquila', 94028, 'N', 'F429'),
  (5955, 'Montenero Val Cocchiara', 94029, 'N', 'F580'),
  (5956, 'Monteroduni', 94030, 'N', 'F601'),
  (5957, 'Pesche', 94031, 'N', 'G486'),
  (5958, 'Pescolanciano', 94032, 'N', 'G495'),
  (5959, 'Pescopennataro', 94033, 'N', 'G497'),
  (5960, 'Pettoranello del Molise', 94034, 'N', 'G523'),
  (5961, 'Pietrabbondante', 94035, 'N', 'G606'),
  (5962, 'Pizzone', 94036, 'N', 'G727'),
  (5963, 'Poggio Sannita', 94037, 'N', 'B317'),
  (5964, 'Pozzilli', 94038, 'N', 'G954'),
  (5965, 'Rionero Sannitico', 94039, 'N', 'H308'),
  (5966, 'Roccamandolfi', 94040, 'N', 'H420'),
  (5967, 'Roccasicura', 94041, 'N', 'H445'),
  (5968, 'Rocchetta a Volturno', 94042, 'N', 'H458'),
  (5969, 'San Pietro Avellana', 94043, 'N', 'I096'),
  (5970, 'Santa Maria del Molise', 94045, 'N', 'I238'),
  (5971, 'Sant''Agapito', 94044, 'N', 'I189'),
  (5972, 'Sant''Angelo del Pesco', 94046, 'N', 'I282'),
  (5973, 'Sant''Elena Sannita', 94047, 'N', 'B466'),
  (5974, 'Scapoli', 94048, 'N', 'I507'),
  (5975, 'Sessano del Molise', 94049, 'N', 'I679'),
  (5976, 'Sesto Campano', 94050, 'N', 'I682'),
  (5977, 'Vastogirardi', 94051, 'N', 'L696'),
  (5978, 'Venafro', 94052, 'N', 'L725'),
  (5979, 'Ailano', 61001, 'N', 'A106'),
  (5980, 'Alife', 61002, 'N', 'A200'),
  (5981, 'Alvignano', 61003, 'N', 'A243'),
  (5982, 'Arienzo', 61004, 'N', 'A403'),
  (5983, 'Aversa', 61005, 'N', 'A512'),
  (5984, 'Baia e Latina', 61006, 'N', 'A579'),
  (5985, 'Bellona', 61007, 'N', 'A755'),
  (5986, 'Caianello', 61008, 'N', 'B361'),
  (5987, 'Caiazzo', 61009, 'N', 'B362'),
  (5988, 'Calvi Risorta', 61010, 'N', 'B445'),
  (5989, 'Camigliano', 61011, 'N', 'B477'),
  (5990, 'Cancello ed Arnone', 61012, 'N', 'B581'),
  (5991, 'Capodrise', 61013, 'N', 'B667'),
  (5992, 'Capriati a Volturno', 61014, 'N', 'B704'),
  (5993, 'Capua', 61015, 'N', 'B715'),
  (5994, 'Carinaro', 61016, 'N', 'B779'),
  (5995, 'Carinola', 61017, 'N', 'B781'),
  (5996, 'Casagiove', 61018, 'N', 'B860'),
  (5997, 'Casal di Principe', 61019, 'N', 'B872'),
  (5998, 'Casaluce', 61020, 'N', 'B916'),
  (5999, 'Casapesenna', 61103, 'N', 'M260'),
  (6000, 'Casapulla', 61021, 'N', 'B935'),
  (6001, 'Caserta', 61022, 'N', 'B963'),
  (6002, 'Castel Campagnano', 61023, 'N', 'B494'),
  (6003, 'Castel di Sasso', 61024, 'N', 'C097'),
  (6004, 'Castel Morrone', 61026, 'N', 'C211'),
  (6005, 'Castel Volturno', 61027, 'N', 'C291'),
  (6006, 'Castello del Matese', 61025, 'N', 'C178'),
  (6007, 'Cellole', 61102, 'N', 'M262'),
  (6008, 'Cervino', 61028, 'N', 'C558'),
  (6009, 'Cesa', 61029, 'N', 'C561'),
  (6010, 'Ciorlano', 61030, 'N', 'C716'),
  (6011, 'Conca della Campania', 61031, 'N', 'C939'),
  (6012, 'Curti', 61032, 'N', 'D228'),
  (6013, 'Dragoni', 61033, 'N', 'D361'),
  (6014, 'Falciano del Massico', 61101, 'N', 'D471'),
  (6015, 'Fontegreca', 61034, 'N', 'D683'),
  (6016, 'Formicola', 61035, 'N', 'D709'),
  (6017, 'Francolise', 61036, 'N', 'D769'),
  (6018, 'Frignano', 61037, 'N', 'D799'),
  (6019, 'Gallo Matese', 61038, 'N', 'D884'),
  (6020, 'Galluccio', 61039, 'N', 'D886'),
  (6021, 'Giano Vetusto', 61040, 'N', 'E011'),
  (6022, 'Gioia Sannitica', 61041, 'N', 'E039'),
  (6023, 'Grazzanise', 61042, 'N', 'E158'),
  (6024, 'Gricignano di Aversa', 61043, 'N', 'E173'),
  (6025, 'Letino', 61044, 'N', 'E554'),
  (6026, 'Liberi', 61045, 'N', 'E570'),
  (6027, 'Lusciano', 61046, 'N', 'E754'),
  (6028, 'Macerata Campania', 61047, 'N', 'E784'),
  (6029, 'Maddaloni', 61048, 'N', 'E791'),
  (6030, 'Marcianise', 61049, 'N', 'E932'),
  (6031, 'Marzano Appio', 61050, 'N', 'E998'),
  (6032, 'Mignano Monte Lungo', 61051, 'N', 'F203'),
  (6033, 'Mondragone', 61052, 'N', 'F352'),
  (6034, 'Orta di Atella', 61053, 'N', 'G130'),
  (6035, 'Parete', 61054, 'N', 'G333'),
  (6036, 'Pastorano', 61055, 'N', 'G364'),
  (6037, 'Piana di Monte Verna', 61056, 'N', 'G541'),
  (6038, 'Piedimonte Matese', 61057, 'N', 'G596'),
  (6039, 'Pietramelara', 61058, 'N', 'G620'),
  (6040, 'Pietravairano', 61059, 'N', 'G630'),
  (6041, 'Pignataro Maggiore', 61060, 'N', 'G661'),
  (6042, 'Pontelatone', 61061, 'N', 'G849'),
  (6043, 'Portico di Caserta', 61062, 'N', 'G903'),
  (6044, 'Prata Sannita', 61063, 'N', 'G991'),
  (6045, 'Pratella', 61064, 'N', 'G995'),
  (6046, 'Presenzano', 61065, 'N', 'H045'),
  (6047, 'Raviscanina', 61066, 'N', 'H202'),
  (6048, 'Recale', 61067, 'N', 'H210'),
  (6049, 'Riardo', 61068, 'N', 'H268'),
  (6050, 'Rocca d''Evandro', 61069, 'N', 'H398'),
  (6051, 'Roccamonfina', 61070, 'N', 'H423'),
  (6052, 'Roccaromana', 61071, 'N', 'H436'),
  (6053, 'Rocchetta e Croce', 61072, 'N', 'H459'),
  (6054, 'Ruviano', 61073, 'N', 'H165'),
  (6055, 'San Cipriano d''Aversa', 61074, 'N', 'H798'),
  (6056, 'San Felice a Cancello', 61075, 'N', 'H834'),
  (6057, 'San Gregorio Matese', 61076, 'N', 'H939'),
  (6058, 'San Marcellino', 61077, 'N', 'H978'),
  (6059, 'San Marco Evangelista', 61104, 'N', 'F043'),
  (6060, 'San Nicola la Strada', 61078, 'N', 'I056'),
  (6061, 'San Pietro Infine', 61079, 'N', 'I113'),
  (6062, 'San Potito Sannitico', 61080, 'N', 'I130'),
  (6063, 'San Prisco', 61081, 'N', 'I131'),
  (6064, 'San Tammaro', 61085, 'N', 'I261'),
  (6065, 'Santa Maria a Vico', 61082, 'N', 'I233'),
  (6066, 'Santa Maria Capua Vetere', 61083, 'N', 'I234'),
  (6067, 'Santa Maria la Fossa', 61084, 'N', 'I247'),
  (6068, 'Sant''Angelo d''Alife', 61086, 'N', 'I273'),
  (6069, 'Sant''Arpino', 61087, 'N', 'I306'),
  (6070, 'Sessa Aurunca', 61088, 'N', 'I676'),
  (6071, 'Sparanise', 61089, 'N', 'I885'),
  (6072, 'Succivo', 61090, 'N', 'I993'),
  (6073, 'Teano', 61091, 'N', 'L083'),
  (6074, 'Teverola', 61092, 'N', 'L155'),
  (6075, 'Tora e Piccilli', 61093, 'N', 'L205'),
  (6076, 'Trentola-Ducenta', 61094, 'N', 'L379'),
  (6077, 'Vairano Patenora', 61095, 'N', 'L540'),
  (6078, 'Valle Agricola', 61096, 'N', 'L594'),
  (6079, 'Valle di Maddaloni', 61097, 'N', 'L591'),
  (6080, 'Villa di Briano', 61098, 'N', 'D801'),
  (6081, 'Villa Literno', 61099, 'N', 'L844'),
  (6082, 'Vitulazio', 61100, 'N', 'M092'),
  (6083, 'Airola', 62001, 'N', 'A110'),
  (6084, 'Amorosi', 62002, 'N', 'A265'),
  (6085, 'Apice', 62003, 'N', 'A328'),
  (6086, 'Apollosa', 62004, 'N', 'A330'),
  (6087, 'Arpaia', 62005, 'N', 'A431'),
  (6088, 'Arpaise', 62006, 'N', 'A432'),
  (6089, 'Baselice', 62007, 'N', 'A696'),
  (6090, 'Benevento', 62008, 'N', 'A783'),
  (6091, 'Bonea', 62009, 'N', 'A970'),
  (6092, 'Bucciano', 62010, 'N', 'B239'),
  (6093, 'Buonalbergo', 62011, 'N', 'B267'),
  (6094, 'Calvi', 62012, 'N', 'B444'),
  (6095, 'Campolattaro', 62013, 'N', 'B541'),
  (6096, 'Campoli del Monte Taburno', 62014, 'N', 'B542'),
  (6097, 'Casalduni', 62015, 'N', 'B873'),
  (6098, 'Castelfranco in Miscano', 62016, 'N', 'C106'),
  (6099, 'Castelpagano', 62017, 'N', 'C245'),
  (6100, 'Castelpoto', 62018, 'N', 'C250'),
  (6101, 'Castelvenere', 62019, 'N', 'C280'),
  (6102, 'Castelvetere in Val Fortore', 62020, 'N', 'C284'),
  (6103, 'Cautano', 62021, 'N', 'C359'),
  (6104, 'Ceppaloni', 62022, 'N', 'C476'),
  (6105, 'Cerreto Sannita', 62023, 'N', 'C525'),
  (6106, 'Circello', 62024, 'N', 'C719'),
  (6107, 'Colle Sannita', 62025, 'N', 'C846'),
  (6108, 'Cusano Mutri', 62026, 'N', 'D230'),
  (6109, 'Dugenta', 62027, 'N', 'D380'),
  (6110, 'Durazzano', 62028, 'N', 'D386'),
  (6111, 'Faicchio', 62029, 'N', 'D469'),
  (6112, 'Foglianise', 62030, 'N', 'D644'),
  (6113, 'Foiano di Val Fortore', 62031, 'N', 'D650'),
  (6114, 'Forchia', 62032, 'N', 'D693'),
  (6115, 'Fragneto l''Abate', 62033, 'N', 'D755'),
  (6116, 'Fragneto Monforte', 62034, 'N', 'D756'),
  (6117, 'Frasso Telesino', 62035, 'N', 'D784'),
  (6118, 'Ginestra degli Schiavoni', 62036, 'N', 'E034'),
  (6119, 'Guardia Sanframondi', 62037, 'N', 'E249'),
  (6120, 'Limatola', 62038, 'N', 'E589'),
  (6121, 'Melizzano', 62039, 'N', 'F113'),
  (6122, 'Moiano', 62040, 'N', 'F274'),
  (6123, 'Molinara', 62041, 'N', 'F287'),
  (6124, 'Montefalcone di Val Fortore', 62042, 'N', 'F494');
INSERT INTO tbl_comuni (idcomune, denominazione, codiceistat, statoestero, codcatastale) VALUES
  (6125, 'Montesarchio', 62043, 'N', 'F636'),
  (6126, 'Morcone', 62044, 'N', 'F717'),
  (6127, 'Paduli', 62045, 'N', 'G227'),
  (6128, 'Pago Veiano', 62046, 'N', 'G243'),
  (6129, 'Pannarano', 62047, 'N', 'G311'),
  (6130, 'Paolisi', 62048, 'N', 'G318'),
  (6131, 'Paupisi', 62049, 'N', 'G386'),
  (6132, 'Pesco Sannita', 62050, 'N', 'G494'),
  (6133, 'Pietraroja', 62051, 'N', 'G626'),
  (6134, 'Pietrelcina', 62052, 'N', 'G631'),
  (6135, 'Ponte', 62053, 'N', 'G827'),
  (6136, 'Pontelandolfo', 62054, 'N', 'G848'),
  (6137, 'Puglianello', 62055, 'N', 'H087'),
  (6138, 'Reino', 62056, 'N', 'H227'),
  (6139, 'San Bartolomeo in Galdo', 62057, 'N', 'H764'),
  (6140, 'San Giorgio del Sannio', 62058, 'N', 'H894'),
  (6141, 'San Giorgio La Molara', 62059, 'N', 'H898'),
  (6142, 'San Leucio del Sannio', 62060, 'N', 'H953'),
  (6143, 'San Lorenzello', 62061, 'N', 'H955'),
  (6144, 'San Lorenzo Maggiore', 62062, 'N', 'H967'),
  (6145, 'San Lupo', 62063, 'N', 'H973'),
  (6146, 'San Marco dei Cavoti', 62064, 'N', 'H984'),
  (6147, 'San Martino Sannita', 62065, 'N', 'I002'),
  (6148, 'San Nazzaro', 62066, 'N', 'I049'),
  (6149, 'San Nicola Manfredi', 62067, 'N', 'I062'),
  (6150, 'San Salvatore Telesino', 62068, 'N', 'I145'),
  (6151, 'Santa Croce del Sannio', 62069, 'N', 'I179'),
  (6152, 'Sant''Agata de'' Goti', 62070, 'N', 'I197'),
  (6153, 'Sant''Angelo a Cupolo', 62071, 'N', 'I277'),
  (6154, 'Sant''Arcangelo Trimonte', 62078, 'N', 'F557'),
  (6155, 'Sassinoro', 62072, 'N', 'I455'),
  (6156, 'Solopaca', 62073, 'N', 'I809'),
  (6157, 'Telese Terme', 62074, 'N', 'L086'),
  (6158, 'Tocco Caudio', 62075, 'N', 'L185'),
  (6159, 'Torrecuso', 62076, 'N', 'L254'),
  (6160, 'Vitulano', 62077, 'N', 'M093'),
  (6161, 'Acerra', 63001, 'N', 'A024'),
  (6162, 'Afragola', 63002, 'N', 'A064'),
  (6163, 'Agerola', 63003, 'N', 'A068'),
  (6164, 'Anacapri', 63004, 'N', 'A268'),
  (6165, 'Arzano', 63005, 'N', 'A455'),
  (6166, 'Bacoli', 63006, 'N', 'A535'),
  (6167, 'Barano d''Ischia', 63007, 'N', 'A617'),
  (6168, 'Boscoreale', 63008, 'N', 'B076'),
  (6169, 'Boscotrecase', 63009, 'N', 'B077'),
  (6170, 'Brusciano', 63010, 'N', 'B227'),
  (6171, 'Caivano', 63011, 'N', 'B371'),
  (6172, 'Calvizzano', 63012, 'N', 'B452'),
  (6173, 'Camposano', 63013, 'N', 'B565'),
  (6174, 'Capri', 63014, 'N', 'B696'),
  (6175, 'Carbonara di Nola', 63015, 'N', 'B740'),
  (6176, 'Cardito', 63016, 'N', 'B759'),
  (6177, 'Casalnuovo di Napoli', 63017, 'N', 'B905'),
  (6178, 'Casamarciano', 63018, 'N', 'B922'),
  (6179, 'Casamicciola Terme', 63019, 'N', 'B924'),
  (6180, 'Casandrino', 63020, 'N', 'B925'),
  (6181, 'Casavatore', 63021, 'N', 'B946'),
  (6182, 'Casola di Napoli', 63022, 'N', 'B980'),
  (6183, 'Casoria', 63023, 'N', 'B990'),
  (6184, 'Castellammare di Stabia', 63024, 'N', 'C129'),
  (6185, 'Castello di Cisterna', 63025, 'N', 'C188'),
  (6186, 'Cercola', 63026, 'N', 'C495'),
  (6187, 'Cicciano', 63027, 'N', 'C675'),
  (6188, 'Cimitile', 63028, 'N', 'C697'),
  (6189, 'Comiziano', 63029, 'N', 'C929'),
  (6190, 'Crispano', 63030, 'N', 'D170'),
  (6191, 'Ercolano', 63064, 'N', 'H243'),
  (6192, 'Forio', 63031, 'N', 'D702'),
  (6193, 'Frattamaggiore', 63032, 'N', 'D789'),
  (6194, 'Frattaminore', 63033, 'N', 'D790'),
  (6195, 'Giugliano in Campania', 63034, 'N', 'E054'),
  (6196, 'Gragnano', 63035, 'N', 'E131'),
  (6197, 'Grumo Nevano', 63036, 'N', 'E224'),
  (6198, 'Ischia', 63037, 'N', 'E329'),
  (6199, 'Lacco Ameno', 63038, 'N', 'E396'),
  (6200, 'Lettere', 63039, 'N', 'E557'),
  (6201, 'Liveri', 63040, 'N', 'E620'),
  (6202, 'Marano di Napoli', 63041, 'N', 'E906'),
  (6203, 'Mariglianella', 63042, 'N', 'E954'),
  (6204, 'Marigliano', 63043, 'N', 'E955'),
  (6205, 'Massa di Somma', 63092, 'N', 'M289'),
  (6206, 'Massa Lubrense', 63044, 'N', 'F030'),
  (6207, 'Melito di Napoli', 63045, 'N', 'F111'),
  (6208, 'Meta', 63046, 'N', 'F162'),
  (6209, 'Monte di Procida', 63047, 'N', 'F488'),
  (6210, 'Mugnano di Napoli', 63048, 'N', 'F799'),
  (6211, 'Napoli', 63049, 'N', 'F839'),
  (6212, 'Nola', 63050, 'N', 'F924'),
  (6213, 'Ottaviano', 63051, 'N', 'G190'),
  (6214, 'Palma Campania', 63052, 'N', 'G283'),
  (6215, 'Piano di Sorrento', 63053, 'N', 'G568'),
  (6216, 'Pimonte', 63054, 'N', 'G670'),
  (6217, 'Poggiomarino', 63055, 'N', 'G762'),
  (6218, 'Pollena Trocchia', 63056, 'N', 'G795'),
  (6219, 'Pomigliano d''Arco', 63057, 'N', 'G812'),
  (6220, 'Pompei', 63058, 'N', 'G813'),
  (6221, 'Portici', 63059, 'N', 'G902'),
  (6222, 'Pozzuoli', 63060, 'N', 'G964'),
  (6223, 'Procida', 63061, 'N', 'H072'),
  (6224, 'Qualiano', 63062, 'N', 'H101'),
  (6225, 'Quarto', 63063, 'N', 'H114'),
  (6226, 'Roccarainola', 63065, 'N', 'H433'),
  (6227, 'San Gennaro Vesuviano', 63066, 'N', 'H860'),
  (6228, 'San Giorgio a Cremano', 63067, 'N', 'H892'),
  (6229, 'San Giuseppe Vesuviano', 63068, 'N', 'H931'),
  (6230, 'San Paolo Bel Sito', 63069, 'N', 'I073'),
  (6231, 'San Sebastiano al Vesuvio', 63070, 'N', 'I151'),
  (6232, 'San Vitaliano', 63075, 'N', 'I391'),
  (6233, 'Santa Maria la CaritÃ ', 63090, 'N', 'M273'),
  (6234, 'Sant''Agnello', 63071, 'N', 'I208'),
  (6235, 'Sant''Anastasia', 63072, 'N', 'I262'),
  (6236, 'Sant''Antimo', 63073, 'N', 'I293'),
  (6237, 'Sant''Antonio Abate', 63074, 'N', 'I300'),
  (6238, 'Saviano', 63076, 'N', 'I469'),
  (6239, 'Scisciano', 63077, 'N', 'I540'),
  (6240, 'Serrara Fontana', 63078, 'N', 'I652'),
  (6241, 'Somma Vesuviana', 63079, 'N', 'I820'),
  (6242, 'Sorrento', 63080, 'N', 'I862'),
  (6243, 'Striano', 63081, 'N', 'I978'),
  (6244, 'Terzigno', 63082, 'N', 'L142'),
  (6245, 'Torre Annunziata', 63083, 'N', 'L245'),
  (6246, 'Torre del Greco', 63084, 'N', 'L259'),
  (6247, 'Trecase', 63091, 'N', 'M280'),
  (6248, 'Tufino', 63085, 'N', 'L460'),
  (6249, 'Vico Equense', 63086, 'N', 'L845'),
  (6250, 'Villaricca', 63087, 'N', 'G309'),
  (6251, 'Visciano', 63088, 'N', 'M072'),
  (6252, 'Volla', 63089, 'N', 'M115'),
  (6253, 'Aiello del Sabato', 64001, 'N', 'A101'),
  (6254, 'Altavilla Irpina', 64002, 'N', 'A228'),
  (6255, 'Andretta', 64003, 'N', 'A284'),
  (6256, 'Aquilonia', 64004, 'N', 'A347'),
  (6257, 'Ariano Irpino', 64005, 'N', 'A399'),
  (6258, 'Atripalda', 64006, 'N', 'A489'),
  (6259, 'Avella', 64007, 'N', 'A508'),
  (6260, 'Avellino', 64008, 'N', 'A509'),
  (6261, 'Bagnoli Irpino', 64009, 'N', 'A566'),
  (6262, 'Baiano', 64010, 'N', 'A580'),
  (6263, 'Bisaccia', 64011, 'N', 'A881'),
  (6264, 'Bonito', 64012, 'N', 'A975'),
  (6265, 'Cairano', 64013, 'N', 'B367'),
  (6266, 'Calabritto', 64014, 'N', 'B374'),
  (6267, 'Calitri', 64015, 'N', 'B415'),
  (6268, 'Candida', 64016, 'N', 'B590'),
  (6269, 'Caposele', 64017, 'N', 'B674'),
  (6270, 'Capriglia Irpina', 64018, 'N', 'B706'),
  (6271, 'Carife', 64019, 'N', 'B776'),
  (6272, 'Casalbore', 64020, 'N', 'B866'),
  (6273, 'Cassano Irpino', 64021, 'N', 'B997'),
  (6274, 'Castel Baronia', 64022, 'N', 'C058'),
  (6275, 'Castelfranci', 64023, 'N', 'C105'),
  (6276, 'Castelvetere sul Calore', 64024, 'N', 'C283'),
  (6277, 'Cervinara', 64025, 'N', 'C557'),
  (6278, 'Cesinali', 64026, 'N', 'C576'),
  (6279, 'Chianche', 64027, 'N', 'C606'),
  (6280, 'Chiusano di San Domenico', 64028, 'N', 'C659'),
  (6281, 'Contrada', 64029, 'N', 'C971'),
  (6282, 'Conza della Campania', 64030, 'N', 'C976'),
  (6283, 'Domicella', 64031, 'N', 'D331'),
  (6284, 'Flumeri', 64032, 'N', 'D638'),
  (6285, 'Fontanarosa', 64033, 'N', 'D671'),
  (6286, 'Forino', 64034, 'N', 'D701'),
  (6287, 'Frigento', 64035, 'N', 'D798'),
  (6288, 'Gesualdo', 64036, 'N', 'D998'),
  (6289, 'Greci', 64037, 'N', 'E161'),
  (6290, 'Grottaminarda', 64038, 'N', 'E206'),
  (6291, 'Grottolella', 64039, 'N', 'E214'),
  (6292, 'Guardia Lombardi', 64040, 'N', 'E245'),
  (6293, 'Lacedonia', 64041, 'N', 'E397'),
  (6294, 'Lapio', 64042, 'N', 'E448'),
  (6295, 'Lauro', 64043, 'N', 'E487'),
  (6296, 'Lioni', 64044, 'N', 'E605'),
  (6297, 'Luogosano', 64045, 'N', 'E746'),
  (6298, 'Manocalzati', 64046, 'N', 'E891'),
  (6299, 'Marzano di Nola', 64047, 'N', 'E997'),
  (6300, 'Melito Irpino', 64048, 'N', 'F110'),
  (6301, 'Mercogliano', 64049, 'N', 'F141'),
  (6302, 'Mirabella Eclano', 64050, 'N', 'F230'),
  (6303, 'Montaguto', 64051, 'N', 'F397'),
  (6304, 'Montecalvo Irpino', 64052, 'N', 'F448'),
  (6305, 'Montefalcione', 64053, 'N', 'F491'),
  (6306, 'Monteforte Irpino', 64054, 'N', 'F506'),
  (6307, 'Montefredane', 64055, 'N', 'F511'),
  (6308, 'Montefusco', 64056, 'N', 'F512'),
  (6309, 'Montella', 64057, 'N', 'F546'),
  (6310, 'Montemarano', 64058, 'N', 'F559'),
  (6311, 'Montemiletto', 64059, 'N', 'F566'),
  (6312, 'Monteverde', 64060, 'N', 'F660'),
  (6313, 'Montoro Inferiore', 64061, 'N', 'F693'),
  (6314, 'Montoro Superiore', 64062, 'N', 'F694'),
  (6315, 'Morra De Sanctis', 64063, 'N', 'F744'),
  (6316, 'Moschiano', 64064, 'N', 'F762'),
  (6317, 'Mugnano del Cardinale', 64065, 'N', 'F798'),
  (6318, 'Nusco', 64066, 'N', 'F988'),
  (6319, 'Ospedaletto d''Alpinolo', 64067, 'N', 'G165'),
  (6320, 'Pago del Vallo di Lauro', 64068, 'N', 'G242'),
  (6321, 'Parolise', 64069, 'N', 'G340'),
  (6322, 'Paternopoli', 64070, 'N', 'G370'),
  (6323, 'Petruro Irpino', 64071, 'N', 'G519'),
  (6324, 'Pietradefusi', 64072, 'N', 'G611'),
  (6325, 'Pietrastornina', 64073, 'N', 'G629'),
  (6326, 'Prata di Principato Ultra', 64074, 'N', 'G990'),
  (6327, 'Pratola Serra', 64075, 'N', 'H006'),
  (6328, 'Quadrelle', 64076, 'N', 'H097'),
  (6329, 'Quindici', 64077, 'N', 'H128'),
  (6330, 'Rocca San Felice', 64079, 'N', 'H438'),
  (6331, 'Roccabascerana', 64078, 'N', 'H382'),
  (6332, 'Rotondi', 64080, 'N', 'H592'),
  (6333, 'Salza Irpina', 64081, 'N', 'H733'),
  (6334, 'San Mango sul Calore', 64082, 'N', 'H975'),
  (6335, 'San Martino Valle Caudina', 64083, 'N', 'I016'),
  (6336, 'San Michele di Serino', 64084, 'N', 'I034'),
  (6337, 'San Nicola Baronia', 64085, 'N', 'I061'),
  (6338, 'San Potito Ultra', 64086, 'N', 'I129'),
  (6339, 'San Sossio Baronia', 64087, 'N', 'I163'),
  (6340, 'Santa Lucia di Serino', 64088, 'N', 'I219'),
  (6341, 'Santa Paolina', 64093, 'N', 'I301'),
  (6342, 'Sant''Andrea di Conza', 64089, 'N', 'I264'),
  (6343, 'Sant''Angelo a Scala', 64091, 'N', 'I280'),
  (6344, 'Sant''Angelo all''Esca', 64090, 'N', 'I279'),
  (6345, 'Sant''Angelo dei Lombardi', 64092, 'N', 'I281'),
  (6346, 'Santo Stefano del Sole', 64095, 'N', 'I357'),
  (6347, 'Savignano Irpino', 64096, 'N', 'I471'),
  (6348, 'Scampitella', 64097, 'N', 'I493'),
  (6349, 'Senerchia', 64098, 'N', 'I606'),
  (6350, 'Serino', 64099, 'N', 'I630'),
  (6351, 'Sirignano', 64100, 'N', 'I756'),
  (6352, 'Solofra', 64101, 'N', 'I805'),
  (6353, 'Sorbo Serpico', 64102, 'N', 'I843'),
  (6354, 'Sperone', 64103, 'N', 'I893'),
  (6355, 'Sturno', 64104, 'N', 'I990'),
  (6356, 'Summonte', 64105, 'N', 'L004'),
  (6357, 'Taurano', 64106, 'N', 'L061'),
  (6358, 'Taurasi', 64107, 'N', 'L062'),
  (6359, 'Teora', 64108, 'N', 'L102'),
  (6360, 'Torella dei Lombardi', 64109, 'N', 'L214'),
  (6361, 'Torre Le Nocelle', 64110, 'N', 'L272'),
  (6362, 'Torrioni', 64111, 'N', 'L301'),
  (6363, 'Trevico', 64112, 'N', 'L399'),
  (6364, 'Tufo', 64113, 'N', 'L461'),
  (6365, 'Vallata', 64114, 'N', 'L589'),
  (6366, 'Vallesaccarda', 64115, 'N', 'L616'),
  (6367, 'Venticano', 64116, 'N', 'L739'),
  (6368, 'Villamaina', 64117, 'N', 'L965'),
  (6369, 'Villanova del Battista', 64118, 'N', 'L973'),
  (6370, 'Volturara Irpina', 64119, 'N', 'M130'),
  (6371, 'Zungoli', 64120, 'N', 'M203'),
  (6372, 'Acerno', 65001, 'N', 'A023'),
  (6373, 'Agropoli', 65002, 'N', 'A091'),
  (6374, 'Albanella', 65003, 'N', 'A128'),
  (6375, 'Alfano', 65004, 'N', 'A186'),
  (6376, 'Altavilla Silentina', 65005, 'N', 'A230'),
  (6377, 'Amalfi', 65006, 'N', 'A251'),
  (6378, 'Angri', 65007, 'N', 'A294'),
  (6379, 'Aquara', 65008, 'N', 'A343'),
  (6380, 'Ascea', 65009, 'N', 'A460'),
  (6381, 'Atena Lucana', 65010, 'N', 'A484'),
  (6382, 'Atrani', 65011, 'N', 'A487'),
  (6383, 'Auletta', 65012, 'N', 'A495'),
  (6384, 'Baronissi', 65013, 'N', 'A674'),
  (6385, 'Battipaglia', 65014, 'N', 'A717'),
  (6386, 'Bellizzi', 65158, 'N', 'M294'),
  (6387, 'Bellosguardo', 65015, 'N', 'A756'),
  (6388, 'Bracigliano', 65016, 'N', 'B115'),
  (6389, 'Buccino', 65017, 'N', 'B242'),
  (6390, 'Buonabitacolo', 65018, 'N', 'B266'),
  (6391, 'Caggiano', 65019, 'N', 'B351'),
  (6392, 'Calvanico', 65020, 'N', 'B437'),
  (6393, 'Camerota', 65021, 'N', 'B476'),
  (6394, 'Campagna', 65022, 'N', 'B492'),
  (6395, 'Campora', 65023, 'N', 'B555'),
  (6396, 'Cannalonga', 65024, 'N', 'B608'),
  (6397, 'Capaccio', 65025, 'N', 'B644'),
  (6398, 'Casal Velino', 65028, 'N', 'B895'),
  (6399, 'Casalbuono', 65026, 'N', 'B868'),
  (6400, 'Casaletto Spartano', 65027, 'N', 'B888'),
  (6401, 'Caselle in Pittari', 65029, 'N', 'B959'),
  (6402, 'Castel San Giorgio', 65034, 'N', 'C259'),
  (6403, 'Castel San Lorenzo', 65035, 'N', 'C262'),
  (6404, 'Castelcivita', 65030, 'N', 'C069'),
  (6405, 'Castellabate', 65031, 'N', 'C125'),
  (6406, 'Castelnuovo Cilento', 65032, 'N', 'C231'),
  (6407, 'Castelnuovo di Conza', 65033, 'N', 'C235'),
  (6408, 'Castiglione del Genovesi', 65036, 'N', 'C306'),
  (6409, 'Cava de'' Tirreni', 65037, 'N', 'C361'),
  (6410, 'Celle di Bulgheria', 65038, 'N', 'C444'),
  (6411, 'Centola', 65039, 'N', 'C470'),
  (6412, 'Ceraso', 65040, 'N', 'C485'),
  (6413, 'Cetara', 65041, 'N', 'C584'),
  (6414, 'Cicerale', 65042, 'N', 'C676'),
  (6415, 'Colliano', 65043, 'N', 'C879'),
  (6416, 'Conca dei Marini', 65044, 'N', 'C940'),
  (6417, 'Controne', 65045, 'N', 'C973'),
  (6418, 'Contursi Terme', 65046, 'N', 'C974'),
  (6419, 'Corbara', 65047, 'N', 'C984'),
  (6420, 'Corleto Monforte', 65048, 'N', 'D011'),
  (6421, 'Cuccaro Vetere', 65049, 'N', 'D195'),
  (6422, 'Eboli', 65050, 'N', 'D390'),
  (6423, 'Felitto', 65051, 'N', 'D527'),
  (6424, 'Fisciano', 65052, 'N', 'D615'),
  (6425, 'Furore', 65053, 'N', 'D826'),
  (6426, 'Futani', 65054, 'N', 'D832'),
  (6427, 'Giffoni Sei Casali', 65055, 'N', 'E026'),
  (6428, 'Giffoni Valle Piana', 65056, 'N', 'E027'),
  (6429, 'Gioi', 65057, 'N', 'E037'),
  (6430, 'Giungano', 65058, 'N', 'E060'),
  (6431, 'Ispani', 65059, 'N', 'E365'),
  (6432, 'Laureana Cilento', 65060, 'N', 'E480'),
  (6433, 'Laurino', 65061, 'N', 'E485'),
  (6434, 'Laurito', 65062, 'N', 'E486'),
  (6435, 'Laviano', 65063, 'N', 'E498'),
  (6436, 'Lustra', 65064, 'N', 'E767'),
  (6437, 'Magliano Vetere', 65065, 'N', 'E814'),
  (6438, 'Maiori', 65066, 'N', 'E839'),
  (6439, 'Mercato San Severino', 65067, 'N', 'F138'),
  (6440, 'Minori', 65068, 'N', 'F223'),
  (6441, 'Moio della Civitella', 65069, 'N', 'F278'),
  (6442, 'Montano Antilia', 65070, 'N', 'F426'),
  (6443, 'Monte San Giacomo', 65075, 'N', 'F618'),
  (6444, 'Montecorice', 65071, 'N', 'F479'),
  (6445, 'Montecorvino Pugliano', 65072, 'N', 'F480'),
  (6446, 'Montecorvino Rovella', 65073, 'N', 'F481'),
  (6447, 'Monteforte Cilento', 65074, 'N', 'F507'),
  (6448, 'Montesano sulla Marcellana', 65076, 'N', 'F625'),
  (6449, 'Morigerati', 65077, 'N', 'F731'),
  (6450, 'Nocera Inferiore', 65078, 'N', 'F912'),
  (6451, 'Nocera Superiore', 65079, 'N', 'F913'),
  (6452, 'Novi Velia', 65080, 'N', 'F967'),
  (6453, 'Ogliastro Cilento', 65081, 'N', 'G011'),
  (6454, 'Olevano sul Tusciano', 65082, 'N', 'G023'),
  (6455, 'Oliveto Citra', 65083, 'N', 'G039'),
  (6456, 'Omignano', 65084, 'N', 'G063'),
  (6457, 'Orria', 65085, 'N', 'G121'),
  (6458, 'Ottati', 65086, 'N', 'G192'),
  (6459, 'Padula', 65087, 'N', 'G226'),
  (6460, 'Pagani', 65088, 'N', 'G230'),
  (6461, 'Palomonte', 65089, 'N', 'G292'),
  (6462, 'Pellezzano', 65090, 'N', 'G426'),
  (6463, 'Perdifumo', 65091, 'N', 'G447'),
  (6464, 'Perito', 65092, 'N', 'G455'),
  (6465, 'Pertosa', 65093, 'N', 'G476'),
  (6466, 'Petina', 65094, 'N', 'G509'),
  (6467, 'Piaggine', 65095, 'N', 'G538'),
  (6468, 'Pisciotta', 65096, 'N', 'G707'),
  (6469, 'Polla', 65097, 'N', 'G793'),
  (6470, 'Pollica', 65098, 'N', 'G796'),
  (6471, 'Pontecagnano Faiano', 65099, 'N', 'G834'),
  (6472, 'Positano', 65100, 'N', 'G932'),
  (6473, 'Postiglione', 65101, 'N', 'G939'),
  (6474, 'Praiano', 65102, 'N', 'G976'),
  (6475, 'Prignano Cilento', 65103, 'N', 'H062'),
  (6476, 'Ravello', 65104, 'N', 'H198'),
  (6477, 'Ricigliano', 65105, 'N', 'H277'),
  (6478, 'Roccadaspide', 65106, 'N', 'H394'),
  (6479, 'Roccagloriosa', 65107, 'N', 'H412'),
  (6480, 'Roccapiemonte', 65108, 'N', 'H431'),
  (6481, 'Rofrano', 65109, 'N', 'H485'),
  (6482, 'Romagnano al Monte', 65110, 'N', 'H503'),
  (6483, 'Roscigno', 65111, 'N', 'H564'),
  (6484, 'Rutino', 65112, 'N', 'H644'),
  (6485, 'Sacco', 65113, 'N', 'H654'),
  (6486, 'Sala Consilina', 65114, 'N', 'H683'),
  (6487, 'Salento', 65115, 'N', 'H686'),
  (6488, 'Salerno', 65116, 'N', 'H703'),
  (6489, 'Salvitelle', 65117, 'N', 'H732'),
  (6490, 'San Cipriano Picentino', 65118, 'N', 'H800'),
  (6491, 'San Giovanni a Piro', 65119, 'N', 'H907'),
  (6492, 'San Gregorio Magno', 65120, 'N', 'H943'),
  (6493, 'San Mango Piemonte', 65121, 'N', 'H977'),
  (6494, 'San Marzano sul Sarno', 65122, 'N', 'I019'),
  (6495, 'San Mauro Cilento', 65123, 'N', 'I031'),
  (6496, 'San Mauro la Bruca', 65124, 'N', 'I032'),
  (6497, 'San Pietro al Tanagro', 65125, 'N', 'I089'),
  (6498, 'San Rufo', 65126, 'N', 'I143'),
  (6499, 'San Valentino Torio', 65132, 'N', 'I377'),
  (6500, 'Santa Marina', 65127, 'N', 'I253'),
  (6501, 'Sant''Angelo a Fasanella', 65128, 'N', 'I278'),
  (6502, 'Sant''Arsenio', 65129, 'N', 'I307'),
  (6503, 'Sant''Egidio del Monte Albino', 65130, 'N', 'I317'),
  (6504, 'Santomenna', 65131, 'N', 'I260'),
  (6505, 'Sanza', 65133, 'N', 'I410'),
  (6506, 'Sapri', 65134, 'N', 'I422'),
  (6507, 'Sarno', 65135, 'N', 'I438'),
  (6508, 'Sassano', 65136, 'N', 'I451'),
  (6509, 'Scafati', 65137, 'N', 'I483'),
  (6510, 'Scala', 65138, 'N', 'I486'),
  (6511, 'Serramezzana', 65139, 'N', 'I648'),
  (6512, 'Serre', 65140, 'N', 'I666'),
  (6513, 'Sessa Cilento', 65141, 'N', 'I677'),
  (6514, 'Siano', 65142, 'N', 'I720'),
  (6515, 'Sicignano degli Alburni', 65143, 'N', 'M253'),
  (6516, 'Stella Cilento', 65144, 'N', 'G887'),
  (6517, 'Stio', 65145, 'N', 'I960'),
  (6518, 'Teggiano', 65146, 'N', 'D292'),
  (6519, 'Torchiara', 65147, 'N', 'L212'),
  (6520, 'Torraca', 65148, 'N', 'L233'),
  (6521, 'Torre Orsaia', 65149, 'N', 'L274'),
  (6522, 'Tortorella', 65150, 'N', 'L306'),
  (6523, 'Tramonti', 65151, 'N', 'L323'),
  (6524, 'Trentinara', 65152, 'N', 'L377'),
  (6525, 'Valle dell''Angelo', 65153, 'N', 'G540'),
  (6526, 'Vallo della Lucania', 65154, 'N', 'L628'),
  (6527, 'Valva', 65155, 'N', 'L656'),
  (6528, 'Vibonati', 65156, 'N', 'L835'),
  (6529, 'Vietri sul Mare', 65157, 'N', 'L860'),
  (6530, 'Accadia', 71001, 'N', 'A015'),
  (6531, 'Alberona', 71002, 'N', 'A150'),
  (6532, 'Anzano di Puglia', 71003, 'N', 'A320'),
  (6533, 'Apricena', 71004, 'N', 'A339'),
  (6534, 'Ascoli Satriano', 71005, 'N', 'A463'),
  (6535, 'Biccari', 71006, 'N', 'A854'),
  (6536, 'Bovino', 71007, 'N', 'B104'),
  (6537, 'Cagnano Varano', 71008, 'N', 'B357'),
  (6538, 'Candela', 71009, 'N', 'B584'),
  (6539, 'Carapelle', 71010, 'N', 'B724'),
  (6540, 'Carlantino', 71011, 'N', 'B784'),
  (6541, 'Carpino', 71012, 'N', 'B829'),
  (6542, 'Casalnuovo Monterotaro', 71013, 'N', 'B904'),
  (6543, 'Casalvecchio di Puglia', 71014, 'N', 'B917'),
  (6544, 'Castelluccio dei Sauri', 71015, 'N', 'C198'),
  (6545, 'Castelluccio Valmaggiore', 71016, 'N', 'C202'),
  (6546, 'Castelnuovo della Daunia', 71017, 'N', 'C222'),
  (6547, 'Celenza Valfortore', 71018, 'N', 'C429'),
  (6548, 'Celle di San Vito', 71019, 'N', 'C442'),
  (6549, 'Cerignola', 71020, 'N', 'C514'),
  (6550, 'Chieuti', 71021, 'N', 'C633'),
  (6551, 'Deliceto', 71022, 'N', 'D269'),
  (6552, 'Faeto', 71023, 'N', 'D459'),
  (6553, 'Foggia', 71024, 'N', 'D643'),
  (6554, 'Ischitella', 71025, 'N', 'E332'),
  (6555, 'Isole Tremiti', 71026, 'N', 'E363'),
  (6556, 'Lesina', 71027, 'N', 'E549'),
  (6557, 'Lucera', 71028, 'N', 'E716'),
  (6558, 'Manfredonia', 71029, 'N', 'E885'),
  (6559, 'Mattinata', 71031, 'N', 'F059'),
  (6560, 'Monte Sant''Angelo', 71033, 'N', 'F631'),
  (6561, 'Monteleone di Puglia', 71032, 'N', 'F538'),
  (6562, 'Motta Montecorvino', 71034, 'N', 'F777'),
  (6563, 'Ordona', 71063, 'N', 'M266'),
  (6564, 'Orsara di Puglia', 71035, 'N', 'G125'),
  (6565, 'Orta Nova', 71036, 'N', 'G131'),
  (6566, 'Panni', 71037, 'N', 'G312'),
  (6567, 'Peschici', 71038, 'N', 'G487'),
  (6568, 'Pietramontecorvino', 71039, 'N', 'G604'),
  (6569, 'Poggio Imperiale', 71040, 'N', 'G761'),
  (6570, 'Rignano Garganico', 71041, 'N', 'H287'),
  (6571, 'Rocchetta Sant''Antonio', 71042, 'N', 'H467'),
  (6572, 'Rodi Garganico', 71043, 'N', 'H480'),
  (6573, 'Roseto Valfortore', 71044, 'N', 'H568'),
  (6574, 'San Giovanni Rotondo', 71046, 'N', 'H926'),
  (6575, 'San Marco in Lamis', 71047, 'N', 'H985'),
  (6576, 'San Marco la Catola', 71048, 'N', 'H986'),
  (6577, 'San Nicandro Garganico', 71049, 'N', 'I054'),
  (6578, 'San Paolo di Civitate', 71050, 'N', 'I072'),
  (6579, 'San Severo', 71051, 'N', 'I158'),
  (6580, 'Sant''Agata di Puglia', 71052, 'N', 'I193'),
  (6581, 'Serracapriola', 71053, 'N', 'I641'),
  (6582, 'Stornara', 71054, 'N', 'I962'),
  (6583, 'Stornarella', 71055, 'N', 'I963'),
  (6584, 'Torremaggiore', 71056, 'N', 'L273'),
  (6585, 'Troia', 71058, 'N', 'L447'),
  (6586, 'Vico del Gargano', 71059, 'N', 'L842'),
  (6587, 'Vieste', 71060, 'N', 'L858'),
  (6588, 'Volturara Appula', 71061, 'N', 'M131'),
  (6589, 'Volturino', 71062, 'N', 'M132'),
  (6590, 'Zapponeta', 71064, 'N', 'M267'),
  (6591, 'Acquaviva delle Fonti', 72001, 'N', 'A048'),
  (6592, 'Adelfia', 72002, 'N', 'A055'),
  (6593, 'Alberobello', 72003, 'N', 'A149'),
  (6594, 'Altamura', 72004, 'N', 'A225'),
  (6595, 'Bari', 72006, 'N', 'A662'),
  (6596, 'Binetto', 72008, 'N', 'A874'),
  (6597, 'Bitetto', 72010, 'N', 'A892'),
  (6598, 'Bitonto', 72011, 'N', 'A893'),
  (6599, 'Bitritto', 72012, 'N', 'A894'),
  (6600, 'Capurso', 72014, 'N', 'B716'),
  (6601, 'Casamassima', 72015, 'N', 'B923'),
  (6602, 'Cassano delle Murge', 72016, 'N', 'B998'),
  (6603, 'Castellana Grotte', 72017, 'N', 'C134'),
  (6604, 'Cellamare', 72018, 'N', 'C436'),
  (6605, 'Conversano', 72019, 'N', 'C975'),
  (6606, 'Corato', 72020, 'N', 'C983'),
  (6607, 'Gioia del Colle', 72021, 'N', 'E038'),
  (6608, 'Giovinazzo', 72022, 'N', 'E047'),
  (6609, 'Gravina in Puglia', 72023, 'N', 'E155'),
  (6610, 'Grumo Appula', 72024, 'N', 'E223'),
  (6611, 'Locorotondo', 72025, 'N', 'E645'),
  (6612, 'Modugno', 72027, 'N', 'F262'),
  (6613, 'Mola di Bari', 72028, 'N', 'F280'),
  (6614, 'Molfetta', 72029, 'N', 'F284'),
  (6615, 'Monopoli', 72030, 'N', 'F376'),
  (6616, 'Noci', 72031, 'N', 'F915'),
  (6617, 'Noicattaro', 72032, 'N', 'F923'),
  (6618, 'Palo del Colle', 72033, 'N', 'G291'),
  (6619, 'Poggiorsini', 72034, 'N', 'G769'),
  (6620, 'Polignano a Mare', 72035, 'N', 'G787'),
  (6621, 'Putignano', 72036, 'N', 'H096'),
  (6622, 'Rutigliano', 72037, 'N', 'H643'),
  (6623, 'Ruvo di Puglia', 72038, 'N', 'H645'),
  (6624, 'Sammichele di Bari', 72039, 'N', 'H749'),
  (6625, 'Sannicandro di Bari', 72040, 'N', 'I053'),
  (6626, 'Santeramo in Colle', 72041, 'N', 'I330'),
  (6627, 'Terlizzi', 72043, 'N', 'L109'),
  (6628, 'Toritto', 72044, 'N', 'L220'),
  (6629, 'Triggiano', 72046, 'N', 'L425'),
  (6630, 'Turi', 72047, 'N', 'L472'),
  (6631, 'Valenzano', 72048, 'N', 'L571'),
  (6632, 'Avetrana', 73001, 'N', 'A514'),
  (6633, 'Carosino', 73002, 'N', 'B808'),
  (6634, 'Castellaneta', 73003, 'N', 'C136'),
  (6635, 'Crispiano', 73004, 'N', 'D171'),
  (6636, 'Faggiano', 73005, 'N', 'D463'),
  (6637, 'Fragagnano', 73006, 'N', 'D754'),
  (6638, 'Ginosa', 73007, 'N', 'E036'),
  (6639, 'Grottaglie', 73008, 'N', 'E205'),
  (6640, 'Laterza', 73009, 'N', 'E469'),
  (6641, 'Leporano', 73010, 'N', 'E537'),
  (6642, 'Lizzano', 73011, 'N', 'E630'),
  (6643, 'Manduria', 73012, 'N', 'E882'),
  (6644, 'Martina Franca', 73013, 'N', 'E986'),
  (6645, 'Maruggio', 73014, 'N', 'E995'),
  (6646, 'Massafra', 73015, 'N', 'F027'),
  (6647, 'Monteiasi', 73016, 'N', 'F531'),
  (6648, 'Montemesola', 73017, 'N', 'F563'),
  (6649, 'Monteparano', 73018, 'N', 'F587'),
  (6650, 'Mottola', 73019, 'N', 'F784'),
  (6651, 'Palagianello', 73020, 'N', 'G251'),
  (6652, 'Palagiano', 73021, 'N', 'G252'),
  (6653, 'Pulsano', 73022, 'N', 'H090'),
  (6654, 'Roccaforzata', 73023, 'N', 'H409'),
  (6655, 'San Giorgio Ionico', 73024, 'N', 'H882'),
  (6656, 'San Marzano di San Giuseppe', 73025, 'N', 'I018'),
  (6657, 'Sava', 73026, 'N', 'I467'),
  (6658, 'Statte', 73029, 'N', 'M298'),
  (6659, 'Taranto', 73027, 'N', 'L049'),
  (6660, 'Torricella', 73028, 'N', 'L294'),
  (6661, 'Brindisi', 74001, 'N', 'B180'),
  (6662, 'Carovigno', 74002, 'N', 'B809'),
  (6663, 'Ceglie Messapica', 74003, 'N', 'C424'),
  (6664, 'Cellino San Marco', 74004, 'N', 'C448'),
  (6665, 'Cisternino', 74005, 'N', 'C741'),
  (6666, 'Erchie', 74006, 'N', 'D422'),
  (6667, 'Fasano', 74007, 'N', 'D508'),
  (6668, 'Francavilla Fontana', 74008, 'N', 'D761'),
  (6669, 'Latiano', 74009, 'N', 'E471'),
  (6670, 'Mesagne', 74010, 'N', 'F152'),
  (6671, 'Oria', 74011, 'N', 'G098'),
  (6672, 'Ostuni', 74012, 'N', 'G187'),
  (6673, 'San Donaci', 74013, 'N', 'H822'),
  (6674, 'San Michele Salentino', 74014, 'N', 'I045'),
  (6675, 'San Pancrazio Salentino', 74015, 'N', 'I066'),
  (6676, 'San Pietro Vernotico', 74016, 'N', 'I119'),
  (6677, 'San Vito dei Normanni', 74017, 'N', 'I396'),
  (6678, 'Torchiarolo', 74018, 'N', 'L213'),
  (6679, 'Torre Santa Susanna', 74019, 'N', 'L280'),
  (6680, 'Villa Castelli', 74020, 'N', 'L920'),
  (6681, 'Acquarica del Capo', 75001, 'N', 'A042'),
  (6682, 'Alessano', 75002, 'N', 'A184'),
  (6683, 'Alezio', 75003, 'N', 'A185'),
  (6684, 'Alliste', 75004, 'N', 'A208'),
  (6685, 'Andrano', 75005, 'N', 'A281'),
  (6686, 'Aradeo', 75006, 'N', 'A350'),
  (6687, 'Arnesano', 75007, 'N', 'A425'),
  (6688, 'Bagnolo del Salento', 75008, 'N', 'A572'),
  (6689, 'Botrugno', 75009, 'N', 'B086'),
  (6690, 'Calimera', 75010, 'N', 'B413'),
  (6691, 'Campi Salentina', 75011, 'N', 'B506'),
  (6692, 'Cannole', 75012, 'N', 'B616'),
  (6693, 'Caprarica di Lecce', 75013, 'N', 'B690'),
  (6694, 'Carmiano', 75014, 'N', 'B792'),
  (6695, 'Carpignano Salentino', 75015, 'N', 'B822'),
  (6696, 'Casarano', 75016, 'N', 'B936'),
  (6697, 'Castri di Lecce', 75017, 'N', 'C334'),
  (6698, 'Castrignano de'' Greci', 75018, 'N', 'C335'),
  (6699, 'Castrignano del Capo', 75019, 'N', 'C336'),
  (6700, 'Castro', 75096, 'N', 'M261'),
  (6701, 'Cavallino', 75020, 'N', 'C377'),
  (6702, 'Collepasso', 75021, 'N', 'C865'),
  (6703, 'Copertino', 75022, 'N', 'C978'),
  (6704, 'Corigliano d''Otranto', 75023, 'N', 'D006'),
  (6705, 'Corsano', 75024, 'N', 'D044'),
  (6706, 'Cursi', 75025, 'N', 'D223'),
  (6707, 'Cutrofiano', 75026, 'N', 'D237'),
  (6708, 'Diso', 75027, 'N', 'D305'),
  (6709, 'Gagliano del Capo', 75028, 'N', 'D851'),
  (6710, 'Galatina', 75029, 'N', 'D862'),
  (6711, 'Galatone', 75030, 'N', 'D863'),
  (6712, 'Gallipoli', 75031, 'N', 'D883'),
  (6713, 'Giuggianello', 75032, 'N', 'E053'),
  (6714, 'Giurdignano', 75033, 'N', 'E061'),
  (6715, 'Guagnano', 75034, 'N', 'E227'),
  (6716, 'Lecce', 75035, 'N', 'E506'),
  (6717, 'Lequile', 75036, 'N', 'E538'),
  (6718, 'Leverano', 75037, 'N', 'E563'),
  (6719, 'Lizzanello', 75038, 'N', 'E629'),
  (6720, 'Maglie', 75039, 'N', 'E815'),
  (6721, 'Martano', 75040, 'N', 'E979'),
  (6722, 'Martignano', 75041, 'N', 'E984'),
  (6723, 'Matino', 75042, 'N', 'F054'),
  (6724, 'Melendugno', 75043, 'N', 'F101'),
  (6725, 'Melissano', 75044, 'N', 'F109'),
  (6726, 'Melpignano', 75045, 'N', 'F117'),
  (6727, 'Miggiano', 75046, 'N', 'F194'),
  (6728, 'Minervino di Lecce', 75047, 'N', 'F221'),
  (6729, 'Monteroni di Lecce', 75048, 'N', 'F604'),
  (6730, 'Montesano Salentino', 75049, 'N', 'F623'),
  (6731, 'Morciano di Leuca', 75050, 'N', 'F716'),
  (6732, 'Muro Leccese', 75051, 'N', 'F816'),
  (6733, 'NardÃ²', 75052, 'N', 'F842'),
  (6734, 'Neviano', 75053, 'N', 'F881'),
  (6735, 'Nociglia', 75054, 'N', 'F916'),
  (6736, 'Novoli', 75055, 'N', 'F970'),
  (6737, 'Ortelle', 75056, 'N', 'G136'),
  (6738, 'Otranto', 75057, 'N', 'G188'),
  (6739, 'Palmariggi', 75058, 'N', 'G285'),
  (6740, 'Parabita', 75059, 'N', 'G325'),
  (6741, 'PatÃ¹', 75060, 'N', 'G378'),
  (6742, 'Poggiardo', 75061, 'N', 'G751'),
  (6743, 'Porto Cesareo', 75097, 'N', 'M263'),
  (6744, 'Presicce', 75062, 'N', 'H047'),
  (6745, 'Racale', 75063, 'N', 'H147'),
  (6746, 'Ruffano', 75064, 'N', 'H632'),
  (6747, 'Salice Salentino', 75065, 'N', 'H708'),
  (6748, 'Salve', 75066, 'N', 'H729'),
  (6749, 'San Cassiano', 75095, 'N', 'M264'),
  (6750, 'San Cesario di Lecce', 75068, 'N', 'H793'),
  (6751, 'San Donato di Lecce', 75069, 'N', 'H826'),
  (6752, 'San Pietro in Lama', 75071, 'N', 'I115'),
  (6753, 'Sanarica', 75067, 'N', 'H757'),
  (6754, 'Sannicola', 75070, 'N', 'I059'),
  (6755, 'Santa Cesarea Terme', 75072, 'N', 'I172'),
  (6756, 'Scorrano', 75073, 'N', 'I549'),
  (6757, 'SeclÃ¬', 75074, 'N', 'I559'),
  (6758, 'Sogliano Cavour', 75075, 'N', 'I780'),
  (6759, 'Soleto', 75076, 'N', 'I800'),
  (6760, 'Specchia', 75077, 'N', 'I887'),
  (6761, 'Spongano', 75078, 'N', 'I923'),
  (6762, 'Squinzano', 75079, 'N', 'I930'),
  (6763, 'Sternatia', 75080, 'N', 'I950'),
  (6764, 'Supersano', 75081, 'N', 'L008'),
  (6765, 'Surano', 75082, 'N', 'L010'),
  (6766, 'Surbo', 75083, 'N', 'L011'),
  (6767, 'Taurisano', 75084, 'N', 'L064'),
  (6768, 'Taviano', 75085, 'N', 'L074'),
  (6769, 'Tiggiano', 75086, 'N', 'L166'),
  (6770, 'Trepuzzi', 75087, 'N', 'L383'),
  (6771, 'Tricase', 75088, 'N', 'L419'),
  (6772, 'Tuglie', 75089, 'N', 'L462'),
  (6773, 'Ugento', 75090, 'N', 'L484'),
  (6774, 'Uggiano la Chiesa', 75091, 'N', 'L485'),
  (6775, 'Veglie', 75092, 'N', 'L711'),
  (6776, 'Vernole', 75093, 'N', 'L776'),
  (6777, 'Zollino', 75094, 'N', 'M187'),
  (6778, 'Andria', 110001, 'N', 'A285'),
  (6779, 'Barletta', 110002, 'N', 'A669'),
  (6780, 'Bisceglie', 110003, 'N', 'A883'),
  (6781, 'Canosa di Puglia', 110004, 'N', 'B619'),
  (6782, 'Margherita di Savoia', 110005, 'N', 'E946'),
  (6783, 'Minervino Murge', 110006, 'N', 'F220'),
  (6784, 'San Ferdinando di Puglia', 110007, 'N', 'H839'),
  (6785, 'Spinazzola', 110008, 'N', 'I907'),
  (6786, 'Trani', 110009, 'N', 'L328'),
  (6787, 'Trinitapoli', 110010, 'N', 'B915'),
  (6788, 'Abriola', 76001, 'N', 'A013'),
  (6789, 'Acerenza', 76002, 'N', 'A020'),
  (6790, 'Albano di Lucania', 76003, 'N', 'A131'),
  (6791, 'Anzi', 76004, 'N', 'A321'),
  (6792, 'Armento', 76005, 'N', 'A415'),
  (6793, 'Atella', 76006, 'N', 'A482'),
  (6794, 'Avigliano', 76007, 'N', 'A519'),
  (6795, 'Balvano', 76008, 'N', 'A604'),
  (6796, 'Banzi', 76009, 'N', 'A612'),
  (6797, 'Baragiano', 76010, 'N', 'A615'),
  (6798, 'Barile', 76011, 'N', 'A666'),
  (6799, 'Bella', 76012, 'N', 'A743'),
  (6800, 'Brienza', 76013, 'N', 'B173'),
  (6801, 'Brindisi Montagna', 76014, 'N', 'B181'),
  (6802, 'Calvello', 76015, 'N', 'B440'),
  (6803, 'Calvera', 76016, 'N', 'B443'),
  (6804, 'Campomaggiore', 76017, 'N', 'B549'),
  (6805, 'Cancellara', 76018, 'N', 'B580'),
  (6806, 'Carbone', 76019, 'N', 'B743'),
  (6807, 'Castelgrande', 76021, 'N', 'C120'),
  (6808, 'Castelluccio Inferiore', 76022, 'N', 'C199'),
  (6809, 'Castelluccio Superiore', 76023, 'N', 'C201'),
  (6810, 'Castelmezzano', 76024, 'N', 'C209'),
  (6811, 'Castelsaraceno', 76025, 'N', 'C271'),
  (6812, 'Castronuovo di Sant''Andrea', 76026, 'N', 'C345'),
  (6813, 'Cersosimo', 76027, 'N', 'C539'),
  (6814, 'Chiaromonte', 76028, 'N', 'C619'),
  (6815, 'Corleto Perticara', 76029, 'N', 'D010'),
  (6816, 'Episcopia', 76030, 'N', 'D414'),
  (6817, 'Fardella', 76031, 'N', 'D497'),
  (6818, 'Filiano', 76032, 'N', 'D593'),
  (6819, 'Forenza', 76033, 'N', 'D696'),
  (6820, 'Francavilla in Sinni', 76034, 'N', 'D766'),
  (6821, 'Gallicchio', 76035, 'N', 'D876'),
  (6822, 'Genzano di Lucania', 76036, 'N', 'D971'),
  (6823, 'Ginestra', 76099, 'N', 'E033'),
  (6824, 'Grumento Nova', 76037, 'N', 'E221'),
  (6825, 'Guardia Perticara', 76038, 'N', 'E246'),
  (6826, 'Lagonegro', 76039, 'N', 'E409'),
  (6827, 'Latronico', 76040, 'N', 'E474'),
  (6828, 'Laurenzana', 76041, 'N', 'E482'),
  (6829, 'Lauria', 76042, 'N', 'E483'),
  (6830, 'Lavello', 76043, 'N', 'E493'),
  (6831, 'Maratea', 76044, 'N', 'E919'),
  (6832, 'Marsico Nuovo', 76045, 'N', 'E976'),
  (6833, 'Marsicovetere', 76046, 'N', 'E977'),
  (6834, 'Maschito', 76047, 'N', 'F006'),
  (6835, 'Melfi', 76048, 'N', 'F104'),
  (6836, 'Missanello', 76049, 'N', 'F249'),
  (6837, 'Moliterno', 76050, 'N', 'F295'),
  (6838, 'Montemilone', 76051, 'N', 'F568'),
  (6839, 'Montemurro', 76052, 'N', 'F573'),
  (6840, 'Muro Lucano', 76053, 'N', 'F817'),
  (6841, 'Nemoli', 76054, 'N', 'F866'),
  (6842, 'Noepoli', 76055, 'N', 'F917'),
  (6843, 'Oppido Lucano', 76056, 'N', 'G081'),
  (6844, 'Palazzo San Gervasio', 76057, 'N', 'G261'),
  (6845, 'Paterno', 76100, 'N', 'M269'),
  (6846, 'Pescopagano', 76058, 'N', 'G496'),
  (6847, 'Picerno', 76059, 'N', 'G590'),
  (6848, 'Pietragalla', 76060, 'N', 'G616'),
  (6849, 'Pietrapertosa', 76061, 'N', 'G623'),
  (6850, 'Pignola', 76062, 'N', 'G663'),
  (6851, 'Potenza', 76063, 'N', 'G942'),
  (6852, 'Rapolla', 76064, 'N', 'H186'),
  (6853, 'Rapone', 76065, 'N', 'H187'),
  (6854, 'Rionero in Vulture', 76066, 'N', 'H307'),
  (6855, 'Ripacandida', 76067, 'N', 'H312'),
  (6856, 'Rivello', 76068, 'N', 'H348'),
  (6857, 'Roccanova', 76069, 'N', 'H426'),
  (6858, 'Rotonda', 76070, 'N', 'H590'),
  (6859, 'Ruoti', 76071, 'N', 'H641'),
  (6860, 'Ruvo del Monte', 76072, 'N', 'H646'),
  (6861, 'San Chirico Nuovo', 76073, 'N', 'H795'),
  (6862, 'San Chirico Raparo', 76074, 'N', 'H796'),
  (6863, 'San Costantino Albanese', 76075, 'N', 'H808'),
  (6864, 'San Fele', 76076, 'N', 'H831'),
  (6865, 'San Martino d''Agri', 76077, 'N', 'H994'),
  (6866, 'San Paolo Albanese', 76020, 'N', 'B906'),
  (6867, 'San Severino Lucano', 76078, 'N', 'I157'),
  (6868, 'Sant''Angelo Le Fratte', 76079, 'N', 'I288'),
  (6869, 'Sant''Arcangelo', 76080, 'N', 'I305'),
  (6870, 'Sarconi', 76081, 'N', 'I426'),
  (6871, 'Sasso di Castalda', 76082, 'N', 'I457'),
  (6872, 'Satriano di Lucania', 76083, 'N', 'G614'),
  (6873, 'Savoia di Lucania', 76084, 'N', 'H730'),
  (6874, 'Senise', 76085, 'N', 'I610'),
  (6875, 'Spinoso', 76086, 'N', 'I917'),
  (6876, 'Teana', 76087, 'N', 'L082'),
  (6877, 'Terranova di Pollino', 76088, 'N', 'L126'),
  (6878, 'Tito', 76089, 'N', 'L181'),
  (6879, 'Tolve', 76090, 'N', 'L197'),
  (6880, 'Tramutola', 76091, 'N', 'L326'),
  (6881, 'Trecchina', 76092, 'N', 'L357'),
  (6882, 'Trivigno', 76093, 'N', 'L439'),
  (6883, 'Vaglio Basilicata', 76094, 'N', 'L532'),
  (6884, 'Venosa', 76095, 'N', 'L738'),
  (6885, 'Vietri di Potenza', 76096, 'N', 'L859'),
  (6886, 'Viggianello', 76097, 'N', 'L873'),
  (6887, 'Viggiano', 76098, 'N', 'L874'),
  (6888, 'Accettura', 77001, 'N', 'A017'),
  (6889, 'Aliano', 77002, 'N', 'A196'),
  (6890, 'Bernalda', 77003, 'N', 'A801'),
  (6891, 'Calciano', 77004, 'N', 'B391'),
  (6892, 'Cirigliano', 77005, 'N', 'C723'),
  (6893, 'Colobraro', 77006, 'N', 'C888'),
  (6894, 'Craco', 77007, 'N', 'D128'),
  (6895, 'Ferrandina', 77008, 'N', 'D547'),
  (6896, 'Garaguso', 77009, 'N', 'D909'),
  (6897, 'Gorgoglione', 77010, 'N', 'E093'),
  (6898, 'Grassano', 77011, 'N', 'E147'),
  (6899, 'Grottole', 77012, 'N', 'E213'),
  (6900, 'Irsina', 77013, 'N', 'E326'),
  (6901, 'Matera', 77014, 'N', 'F052'),
  (6902, 'Miglionico', 77015, 'N', 'F201'),
  (6903, 'Montalbano Jonico', 77016, 'N', 'F399'),
  (6904, 'Montescaglioso', 77017, 'N', 'F637'),
  (6905, 'Nova Siri', 77018, 'N', 'A942'),
  (6906, 'Oliveto Lucano', 77019, 'N', 'G037'),
  (6907, 'Pisticci', 77020, 'N', 'G712'),
  (6908, 'Policoro', 77021, 'N', 'G786'),
  (6909, 'Pomarico', 77022, 'N', 'G806'),
  (6910, 'Rotondella', 77023, 'N', 'H591'),
  (6911, 'Salandra', 77024, 'N', 'H687'),
  (6912, 'San Giorgio Lucano', 77025, 'N', 'H888'),
  (6913, 'San Mauro Forte', 77026, 'N', 'I029'),
  (6914, 'Scanzano Jonico', 77031, 'N', 'M256'),
  (6915, 'Stigliano', 77027, 'N', 'I954'),
  (6916, 'Tricarico', 77028, 'N', 'L418'),
  (6917, 'Tursi', 77029, 'N', 'L477'),
  (6918, 'Valsinni', 77030, 'N', 'D513'),
  (6919, 'Acquaformosa', 78001, 'N', 'A033'),
  (6920, 'Acquappesa', 78002, 'N', 'A041'),
  (6921, 'Acri', 78003, 'N', 'A053'),
  (6922, 'Aiello Calabro', 78004, 'N', 'A102'),
  (6923, 'Aieta', 78005, 'N', 'A105'),
  (6924, 'Albidona', 78006, 'N', 'A160'),
  (6925, 'Alessandria del Carretto', 78007, 'N', 'A183'),
  (6926, 'Altilia', 78008, 'N', 'A234'),
  (6927, 'Altomonte', 78009, 'N', 'A240'),
  (6928, 'Amantea', 78010, 'N', 'A253'),
  (6929, 'Amendolara', 78011, 'N', 'A263'),
  (6930, 'Aprigliano', 78012, 'N', 'A340'),
  (6931, 'Belmonte Calabro', 78013, 'N', 'A762'),
  (6932, 'Belsito', 78014, 'N', 'A768'),
  (6933, 'Belvedere Marittimo', 78015, 'N', 'A773'),
  (6934, 'Bianchi', 78016, 'N', 'A842'),
  (6935, 'Bisignano', 78017, 'N', 'A887'),
  (6936, 'Bocchigliero', 78018, 'N', 'A912'),
  (6937, 'Bonifati', 78019, 'N', 'A973'),
  (6938, 'Buonvicino', 78020, 'N', 'B270'),
  (6939, 'Calopezzati', 78021, 'N', 'B424'),
  (6940, 'Caloveto', 78022, 'N', 'B426'),
  (6941, 'Campana', 78023, 'N', 'B500'),
  (6942, 'Canna', 78024, 'N', 'B607'),
  (6943, 'Cariati', 78025, 'N', 'B774'),
  (6944, 'Carolei', 78026, 'N', 'B802'),
  (6945, 'Carpanzano', 78027, 'N', 'B813'),
  (6946, 'Casole Bruzio', 78028, 'N', 'B983'),
  (6947, 'Cassano all''Ionio', 78029, 'N', 'C002'),
  (6948, 'Castiglione Cosentino', 78030, 'N', 'C301'),
  (6949, 'Castrolibero', 78031, 'N', 'C108'),
  (6950, 'Castroregio', 78032, 'N', 'C348'),
  (6951, 'Castrovillari', 78033, 'N', 'C349'),
  (6952, 'Celico', 78034, 'N', 'C430'),
  (6953, 'Cellara', 78035, 'N', 'C437'),
  (6954, 'Cerchiara di Calabria', 78036, 'N', 'C489'),
  (6955, 'Cerisano', 78037, 'N', 'C515'),
  (6956, 'Cervicati', 78038, 'N', 'C554'),
  (6957, 'Cerzeto', 78039, 'N', 'C560'),
  (6958, 'Cetraro', 78040, 'N', 'C588'),
  (6959, 'Civita', 78041, 'N', 'C763'),
  (6960, 'Cleto', 78042, 'N', 'C795'),
  (6961, 'Colosimi', 78043, 'N', 'C905'),
  (6962, 'Corigliano Calabro', 78044, 'N', 'D005'),
  (6963, 'Cosenza', 78045, 'N', 'D086'),
  (6964, 'Cropalati', 78046, 'N', 'D180'),
  (6965, 'Crosia', 78047, 'N', 'D184'),
  (6966, 'Diamante', 78048, 'N', 'D289'),
  (6967, 'Dipignano', 78049, 'N', 'D304'),
  (6968, 'Domanico', 78050, 'N', 'D328'),
  (6969, 'Fagnano Castello', 78051, 'N', 'D464'),
  (6970, 'Falconara Albanese', 78052, 'N', 'D473'),
  (6971, 'Figline Vegliaturo', 78053, 'N', 'D582'),
  (6972, 'Firmo', 78054, 'N', 'D614'),
  (6973, 'Fiumefreddo Bruzio', 78055, 'N', 'D624'),
  (6974, 'Francavilla Marittima', 78056, 'N', 'D764'),
  (6975, 'Frascineto', 78057, 'N', 'D774'),
  (6976, 'Fuscaldo', 78058, 'N', 'D828'),
  (6977, 'Grimaldi', 78059, 'N', 'E180'),
  (6978, 'Grisolia', 78060, 'N', 'E185'),
  (6979, 'Guardia Piemontese', 78061, 'N', 'E242'),
  (6980, 'Lago', 78062, 'N', 'E407'),
  (6981, 'Laino Borgo', 78063, 'N', 'E417'),
  (6982, 'Laino Castello', 78064, 'N', 'E419'),
  (6983, 'Lappano', 78065, 'N', 'E450'),
  (6984, 'Lattarico', 78066, 'N', 'E475'),
  (6985, 'Longobardi', 78067, 'N', 'E677'),
  (6986, 'Longobucco', 78068, 'N', 'E678'),
  (6987, 'Lungro', 78069, 'N', 'E745'),
  (6988, 'Luzzi', 78070, 'N', 'E773'),
  (6989, 'MaierÃ ', 78071, 'N', 'E835'),
  (6990, 'Malito', 78072, 'N', 'E859'),
  (6991, 'Malvito', 78073, 'N', 'E872'),
  (6992, 'Mandatoriccio', 78074, 'N', 'E878'),
  (6993, 'Mangone', 78075, 'N', 'E888'),
  (6994, 'Marano Marchesato', 78076, 'N', 'E914'),
  (6995, 'Marano Principato', 78077, 'N', 'E915'),
  (6996, 'Marzi', 78078, 'N', 'F001'),
  (6997, 'Mendicino', 78079, 'N', 'F125'),
  (6998, 'Mongrassano', 78080, 'N', 'F370'),
  (6999, 'Montalto Uffugo', 78081, 'N', 'F416'),
  (7000, 'Montegiordano', 78082, 'N', 'F519'),
  (7001, 'Morano Calabro', 78083, 'N', 'F708'),
  (7002, 'Mormanno', 78084, 'N', 'F735'),
  (7003, 'Mottafollone', 78085, 'N', 'F775'),
  (7004, 'Nocara', 78086, 'N', 'F907'),
  (7005, 'Oriolo', 78087, 'N', 'G110'),
  (7006, 'Orsomarso', 78088, 'N', 'G129'),
  (7007, 'Paludi', 78089, 'N', 'G298'),
  (7008, 'Panettieri', 78090, 'N', 'G307'),
  (7009, 'Paola', 78091, 'N', 'G317'),
  (7010, 'Papasidero', 78092, 'N', 'G320'),
  (7011, 'Parenti', 78093, 'N', 'G331'),
  (7012, 'Paterno Calabro', 78094, 'N', 'G372'),
  (7013, 'Pedace', 78095, 'N', 'G400'),
  (7014, 'Pedivigliano', 78096, 'N', 'G411'),
  (7015, 'Piane Crati', 78097, 'N', 'G553'),
  (7016, 'Pietrafitta', 78098, 'N', 'G615'),
  (7017, 'Pietrapaola', 78099, 'N', 'G622'),
  (7018, 'Plataci', 78100, 'N', 'G733'),
  (7019, 'Praia a Mare', 78101, 'N', 'G975'),
  (7020, 'Rende', 78102, 'N', 'H235'),
  (7021, 'Rocca Imperiale', 78103, 'N', 'H416'),
  (7022, 'Roggiano Gravina', 78104, 'N', 'H488'),
  (7023, 'Rogliano', 78105, 'N', 'H490'),
  (7024, 'Rose', 78106, 'N', 'H565'),
  (7025, 'Roseto Capo Spulico', 78107, 'N', 'H572'),
  (7026, 'Rossano', 78108, 'N', 'H579'),
  (7027, 'Rota Greca', 78109, 'N', 'H585'),
  (7028, 'Rovito', 78110, 'N', 'H621'),
  (7029, 'San Basile', 78111, 'N', 'H765'),
  (7030, 'San Benedetto Ullano', 78112, 'N', 'H774'),
  (7031, 'San Cosmo Albanese', 78113, 'N', 'H806'),
  (7032, 'San Demetrio Corone', 78114, 'N', 'H818'),
  (7033, 'San Donato di Ninea', 78115, 'N', 'H825'),
  (7034, 'San Fili', 78116, 'N', 'H841'),
  (7035, 'San Giorgio Albanese', 78118, 'N', 'H881'),
  (7036, 'San Giovanni in Fiore', 78119, 'N', 'H919'),
  (7037, 'San Lorenzo Bellizzi', 78120, 'N', 'H961'),
  (7038, 'San Lorenzo del Vallo', 78121, 'N', 'H962'),
  (7039, 'San Lucido', 78122, 'N', 'H971'),
  (7040, 'San Marco Argentano', 78123, 'N', 'H981'),
  (7041, 'San Martino di Finita', 78124, 'N', 'H992'),
  (7042, 'San Nicola Arcella', 78125, 'N', 'I060'),
  (7043, 'San Pietro in Amantea', 78126, 'N', 'I108'),
  (7044, 'San Pietro in Guarano', 78127, 'N', 'I114'),
  (7045, 'San Sosti', 78128, 'N', 'I165'),
  (7046, 'San Vincenzo La Costa', 78135, 'N', 'I388'),
  (7047, 'Sangineto', 78117, 'N', 'H877'),
  (7048, 'Santa Caterina Albanese', 78129, 'N', 'I171'),
  (7049, 'Santa Domenica Talao', 78130, 'N', 'I183'),
  (7050, 'Santa Maria del Cedro', 78132, 'N', 'C717'),
  (7051, 'Santa Sofia d''Epiro', 78133, 'N', 'I309'),
  (7052, 'Sant''Agata di Esaro', 78131, 'N', 'I192'),
  (7053, 'Santo Stefano di Rogliano', 78134, 'N', 'I359'),
  (7054, 'Saracena', 78136, 'N', 'I423'),
  (7055, 'Scala Coeli', 78137, 'N', 'I485'),
  (7056, 'Scalea', 78138, 'N', 'I489'),
  (7057, 'Scigliano', 78139, 'N', 'D290'),
  (7058, 'Serra d''Aiello', 78140, 'N', 'I642'),
  (7059, 'Serra Pedace', 78141, 'N', 'I650'),
  (7060, 'Spezzano Albanese', 78142, 'N', 'I895'),
  (7061, 'Spezzano della Sila', 78143, 'N', 'I896'),
  (7062, 'Spezzano Piccolo', 78144, 'N', 'I898'),
  (7063, 'Tarsia', 78145, 'N', 'L055'),
  (7064, 'Terranova da Sibari', 78146, 'N', 'L124'),
  (7065, 'Terravecchia', 78147, 'N', 'L134'),
  (7066, 'Torano Castello', 78148, 'N', 'L206'),
  (7067, 'Tortora', 78149, 'N', 'L305'),
  (7068, 'Trebisacce', 78150, 'N', 'L353'),
  (7069, 'Trenta', 78151, 'N', 'L375'),
  (7070, 'Vaccarizzo Albanese', 78152, 'N', 'L524'),
  (7071, 'Verbicaro', 78153, 'N', 'L747'),
  (7072, 'Villapiana', 78154, 'N', 'B903'),
  (7073, 'Zumpano', 78155, 'N', 'M202'),
  (7074, 'Albi', 79002, 'N', 'A155'),
  (7075, 'Amaroni', 79003, 'N', 'A255'),
  (7076, 'Amato', 79004, 'N', 'A257'),
  (7077, 'Andali', 79005, 'N', 'A272'),
  (7078, 'Argusto', 79007, 'N', 'A397'),
  (7079, 'Badolato', 79008, 'N', 'A542'),
  (7080, 'Belcastro', 79009, 'N', 'A736'),
  (7081, 'Borgia', 79011, 'N', 'B002'),
  (7082, 'Botricello', 79012, 'N', 'B085'),
  (7083, 'Caraffa di Catanzaro', 79017, 'N', 'B717'),
  (7084, 'Cardinale', 79018, 'N', 'B758'),
  (7085, 'Carlopoli', 79020, 'N', 'B790'),
  (7086, 'Catanzaro', 79023, 'N', 'C352'),
  (7087, 'Cenadi', 79024, 'N', 'C453'),
  (7088, 'Centrache', 79025, 'N', 'C472'),
  (7089, 'Cerva', 79027, 'N', 'C542'),
  (7090, 'Chiaravalle Centrale', 79029, 'N', 'C616'),
  (7091, 'Cicala', 79030, 'N', 'C674'),
  (7092, 'Conflenti', 79033, 'N', 'C960'),
  (7093, 'Cortale', 79034, 'N', 'D049'),
  (7094, 'Cropani', 79036, 'N', 'D181'),
  (7095, 'Curinga', 79039, 'N', 'D218'),
  (7096, 'Davoli', 79042, 'N', 'D257'),
  (7097, 'Decollatura', 79043, 'N', 'D261'),
  (7098, 'Falerna', 79047, 'N', 'D476'),
  (7099, 'Feroleto Antico', 79048, 'N', 'D544'),
  (7100, 'Fossato Serralta', 79052, 'N', 'D744'),
  (7101, 'Gagliato', 79055, 'N', 'D852'),
  (7102, 'Gasperina', 79056, 'N', 'D932'),
  (7103, 'Gimigliano', 79058, 'N', 'E031'),
  (7104, 'Girifalco', 79059, 'N', 'E050'),
  (7105, 'Gizzeria', 79060, 'N', 'E068'),
  (7106, 'Guardavalle', 79061, 'N', 'E239'),
  (7107, 'Isca sullo Ionio', 79063, 'N', 'E328'),
  (7108, 'Jacurso', 79065, 'N', 'E274'),
  (7109, 'Lamezia Terme', 79160, 'N', 'M208'),
  (7110, 'Magisano', 79068, 'N', 'E806'),
  (7111, 'Maida', 79069, 'N', 'E834'),
  (7112, 'Marcedusa', 79071, 'N', 'E923'),
  (7113, 'Marcellinara', 79072, 'N', 'E925'),
  (7114, 'Martirano', 79073, 'N', 'E990'),
  (7115, 'Martirano Lombardo', 79074, 'N', 'E991'),
  (7116, 'Miglierina', 79077, 'N', 'F200'),
  (7117, 'Montauro', 79080, 'N', 'F432'),
  (7118, 'Montepaone', 79081, 'N', 'F586'),
  (7119, 'Motta Santa Lucia', 79083, 'N', 'F780'),
  (7120, 'Nocera Terinese', 79087, 'N', 'F910'),
  (7121, 'Olivadi', 79088, 'N', 'G034'),
  (7122, 'Palermiti', 79089, 'N', 'G272'),
  (7123, 'Pentone', 79092, 'N', 'G439'),
  (7124, 'Petrizzi', 79094, 'N', 'G517'),
  (7125, 'PetronÃ ', 79095, 'N', 'G518'),
  (7126, 'Pianopoli', 79096, 'N', 'D546'),
  (7127, 'Platania', 79099, 'N', 'G734'),
  (7128, 'San Floro', 79108, 'N', 'H846'),
  (7129, 'San Mango d''Aquino', 79110, 'N', 'H976'),
  (7130, 'San Pietro a Maida', 79114, 'N', 'I093'),
  (7131, 'San Pietro Apostolo', 79115, 'N', 'I095'),
  (7132, 'San Sostene', 79116, 'N', 'I164'),
  (7133, 'San Vito sullo Ionio', 79122, 'N', 'I393'),
  (7134, 'Santa Caterina dello Ionio', 79117, 'N', 'I170'),
  (7135, 'Sant''Andrea Apostolo dello Ion', 79118, 'N', 'I266'),
  (7136, 'Satriano', 79123, 'N', 'I463'),
  (7137, 'Sellia', 79126, 'N', 'I589'),
  (7138, 'Sellia Marina', 79127, 'N', 'I590'),
  (7139, 'Serrastretta', 79129, 'N', 'I655'),
  (7140, 'Sersale', 79130, 'N', 'I671'),
  (7141, 'Settingiano', 79131, 'N', 'I704'),
  (7142, 'Simeri Crichi', 79133, 'N', 'I745'),
  (7143, 'Sorbo San Basile', 79134, 'N', 'I844'),
  (7144, 'Soverato', 79137, 'N', 'I872'),
  (7145, 'Soveria Mannelli', 79138, 'N', 'I874'),
  (7146, 'Soveria Simeri', 79139, 'N', 'I875'),
  (7147, 'Squillace', 79142, 'N', 'I929'),
  (7148, 'StalettÃ¬', 79143, 'N', 'I937'),
  (7149, 'Taverna', 79146, 'N', 'L070'),
  (7150, 'Tiriolo', 79147, 'N', 'L177'),
  (7151, 'Torre di Ruggiero', 79148, 'N', 'L240'),
  (7152, 'Vallefiorita', 79151, 'N', 'I322'),
  (7153, 'Zagarise', 79157, 'N', 'M140'),
  (7154, 'Africo', 80001, 'N', 'A065'),
  (7155, 'Agnana Calabra', 80002, 'N', 'A077'),
  (7156, 'Anoia', 80003, 'N', 'A303'),
  (7157, 'Antonimina', 80004, 'N', 'A314'),
  (7158, 'Ardore', 80005, 'N', 'A385'),
  (7159, 'Bagaladi', 80006, 'N', 'A544'),
  (7160, 'Bagnara Calabra', 80007, 'N', 'A552'),
  (7161, 'Benestare', 80008, 'N', 'A780'),
  (7162, 'Bianco', 80009, 'N', 'A843'),
  (7163, 'Bivongi', 80010, 'N', 'A897'),
  (7164, 'Bova', 80011, 'N', 'B097'),
  (7165, 'Bova Marina', 80013, 'N', 'B099'),
  (7166, 'Bovalino', 80012, 'N', 'B098'),
  (7167, 'Brancaleone', 80014, 'N', 'B118'),
  (7168, 'Bruzzano Zeffirio', 80015, 'N', 'B234'),
  (7169, 'Calanna', 80016, 'N', 'B379'),
  (7170, 'Camini', 80017, 'N', 'B481'),
  (7171, 'Campo Calabro', 80018, 'N', 'B516'),
  (7172, 'Candidoni', 80019, 'N', 'B591'),
  (7173, 'Canolo', 80020, 'N', 'B617'),
  (7174, 'Caraffa del Bianco', 80021, 'N', 'B718'),
  (7175, 'Cardeto', 80022, 'N', 'B756'),
  (7176, 'Careri', 80023, 'N', 'B766'),
  (7177, 'Casignana', 80024, 'N', 'B966'),
  (7178, 'Caulonia', 80025, 'N', 'C285'),
  (7179, 'CiminÃ ', 80026, 'N', 'C695'),
  (7180, 'Cinquefrondi', 80027, 'N', 'C710'),
  (7181, 'Cittanova', 80028, 'N', 'C747'),
  (7182, 'Condofuri', 80029, 'N', 'C954'),
  (7183, 'Cosoleto', 80030, 'N', 'D089'),
  (7184, 'Delianuova', 80031, 'N', 'D268'),
  (7185, 'Feroleto della Chiesa', 80032, 'N', 'D545'),
  (7186, 'Ferruzzano', 80033, 'N', 'D557'),
  (7187, 'Fiumara', 80034, 'N', 'D619'),
  (7188, 'Galatro', 80035, 'N', 'D864'),
  (7189, 'Gerace', 80036, 'N', 'D975'),
  (7190, 'Giffone', 80037, 'N', 'E025'),
  (7191, 'Gioia Tauro', 80038, 'N', 'E041'),
  (7192, 'Gioiosa Ionica', 80039, 'N', 'E044'),
  (7193, 'Grotteria', 80040, 'N', 'E212'),
  (7194, 'Laganadi', 80041, 'N', 'E402'),
  (7195, 'Laureana di Borrello', 80042, 'N', 'E479'),
  (7196, 'Locri', 80043, 'N', 'D976'),
  (7197, 'Mammola', 80044, 'N', 'E873'),
  (7198, 'Marina di Gioiosa Ionica', 80045, 'N', 'E956'),
  (7199, 'Maropati', 80046, 'N', 'E968'),
  (7200, 'Martone', 80047, 'N', 'E993'),
  (7201, 'MelicuccÃ ', 80048, 'N', 'F105'),
  (7202, 'Melicucco', 80049, 'N', 'F106'),
  (7203, 'Melito di Porto Salvo', 80050, 'N', 'F112'),
  (7204, 'Molochio', 80051, 'N', 'F301'),
  (7205, 'Monasterace', 80052, 'N', 'F324'),
  (7206, 'Montebello Ionico', 80053, 'N', 'D746'),
  (7207, 'Motta San Giovanni', 80054, 'N', 'F779'),
  (7208, 'Oppido Mamertina', 80055, 'N', 'G082'),
  (7209, 'Palizzi', 80056, 'N', 'G277'),
  (7210, 'Palmi', 80057, 'N', 'G288'),
  (7211, 'Pazzano', 80058, 'N', 'G394'),
  (7212, 'Placanica', 80059, 'N', 'G729'),
  (7213, 'PlatÃ¬', 80060, 'N', 'G735'),
  (7214, 'Polistena', 80061, 'N', 'G791'),
  (7215, 'Portigliola', 80062, 'N', 'G905'),
  (7216, 'Reggio di Calabria', 80063, 'N', 'H224'),
  (7217, 'Riace', 80064, 'N', 'H265'),
  (7218, 'Rizziconi', 80065, 'N', 'H359'),
  (7219, 'Roccaforte del Greco', 80066, 'N', 'H408'),
  (7220, 'Roccella Ionica', 80067, 'N', 'H456'),
  (7221, 'Roghudi', 80068, 'N', 'H489'),
  (7222, 'Rosarno', 80069, 'N', 'H558'),
  (7223, 'Samo', 80070, 'N', 'H013'),
  (7224, 'San Ferdinando', 80097, 'N', 'M277'),
  (7225, 'San Giorgio Morgeto', 80071, 'N', 'H889'),
  (7226, 'San Giovanni di Gerace', 80072, 'N', 'H903'),
  (7227, 'San Lorenzo', 80073, 'N', 'H959'),
  (7228, 'San Luca', 80074, 'N', 'H970'),
  (7229, 'San Pietro di CaridÃ ', 80075, 'N', 'I102'),
  (7230, 'San Procopio', 80076, 'N', 'I132'),
  (7231, 'San Roberto', 80077, 'N', 'I139'),
  (7232, 'Santa Cristina d''Aspromonte', 80078, 'N', 'I176'),
  (7233, 'Sant''Agata del Bianco', 80079, 'N', 'I198'),
  (7234, 'Sant''Alessio in Aspromonte', 80080, 'N', 'I214'),
  (7235, 'Sant''Eufemia d''Aspromonte', 80081, 'N', 'I333'),
  (7236, 'Sant''Ilario dello Ionio', 80082, 'N', 'I341'),
  (7237, 'Santo Stefano in Aspromonte', 80083, 'N', 'I371'),
  (7238, 'Scido', 80084, 'N', 'I536'),
  (7239, 'Scilla', 80085, 'N', 'I537'),
  (7240, 'Seminara', 80086, 'N', 'I600'),
  (7241, 'Serrata', 80087, 'N', 'I656'),
  (7242, 'Siderno', 80088, 'N', 'I725'),
  (7243, 'Sinopoli', 80089, 'N', 'I753'),
  (7244, 'Staiti', 80090, 'N', 'I936'),
  (7245, 'Stignano', 80091, 'N', 'I955'),
  (7246, 'Stilo', 80092, 'N', 'I956'),
  (7247, 'Taurianova', 80093, 'N', 'L063'),
  (7248, 'Terranova Sappo Minulio', 80094, 'N', 'L127'),
  (7249, 'Varapodio', 80095, 'N', 'L673'),
  (7250, 'Villa San Giovanni', 80096, 'N', 'M018'),
  (7251, 'Belvedere di Spinello', 101001, 'N', 'A772'),
  (7252, 'Caccuri', 101002, 'N', 'B319'),
  (7253, 'Carfizzi', 101003, 'N', 'B771'),
  (7254, 'Casabona', 101004, 'N', 'B857'),
  (7255, 'Castelsilano', 101005, 'N', 'B968'),
  (7256, 'Cerenzia', 101006, 'N', 'C501'),
  (7257, 'CirÃ²', 101007, 'N', 'C725'),
  (7258, 'CirÃ² Marina', 101008, 'N', 'C726'),
  (7259, 'Cotronei', 101009, 'N', 'D123'),
  (7260, 'Crotone', 101010, 'N', 'D122'),
  (7261, 'Crucoli', 101011, 'N', 'D189'),
  (7262, 'Cutro', 101012, 'N', 'D236'),
  (7263, 'Isola di Capo Rizzuto', 101013, 'N', 'E339'),
  (7264, 'Melissa', 101014, 'N', 'F108'),
  (7265, 'Mesoraca', 101015, 'N', 'F157'),
  (7266, 'Pallagorio', 101016, 'N', 'G278'),
  (7267, 'Petilia Policastro', 101017, 'N', 'G508'),
  (7268, 'Rocca di Neto', 101019, 'N', 'H403'),
  (7269, 'Roccabernarda', 101018, 'N', 'H383'),
  (7270, 'San Mauro Marchesato', 101020, 'N', 'I026'),
  (7271, 'San Nicola dell''Alto', 101021, 'N', 'I057'),
  (7272, 'Santa Severina', 101022, 'N', 'I308'),
  (7273, 'Savelli', 101023, 'N', 'I468'),
  (7274, 'Scandale', 101024, 'N', 'I494'),
  (7275, 'Strongoli', 101025, 'N', 'I982'),
  (7276, 'Umbriatico', 101026, 'N', 'L492'),
  (7277, 'Verzino', 101027, 'N', 'L802'),
  (7278, 'Acquaro', 102001, 'N', 'A043'),
  (7279, 'Arena', 102002, 'N', 'A386'),
  (7280, 'Briatico', 102003, 'N', 'B169'),
  (7281, 'Brognaturo', 102004, 'N', 'B197'),
  (7282, 'Capistrano', 102005, 'N', 'B655'),
  (7283, 'Cessaniti', 102006, 'N', 'C581'),
  (7284, 'DasÃ ', 102007, 'N', 'D253'),
  (7285, 'Dinami', 102008, 'N', 'D303'),
  (7286, 'Drapia', 102009, 'N', 'D364'),
  (7287, 'Fabrizia', 102010, 'N', 'D453'),
  (7288, 'Filadelfia', 102011, 'N', 'D587'),
  (7289, 'Filandari', 102012, 'N', 'D589'),
  (7290, 'Filogaso', 102013, 'N', 'D596'),
  (7291, 'Francavilla Angitola', 102014, 'N', 'D762'),
  (7292, 'Francica', 102015, 'N', 'D767'),
  (7293, 'Gerocarne', 102016, 'N', 'D988'),
  (7294, 'Ionadi', 102017, 'N', 'E321'),
  (7295, 'Joppolo', 102018, 'N', 'E389'),
  (7296, 'Limbadi', 102019, 'N', 'E590'),
  (7297, 'Maierato', 102020, 'N', 'E836'),
  (7298, 'Mileto', 102021, 'N', 'F207'),
  (7299, 'Mongiana', 102022, 'N', 'F364'),
  (7300, 'Monterosso Calabro', 102023, 'N', 'F607'),
  (7301, 'Nardodipace', 102024, 'N', 'F843'),
  (7302, 'Nicotera', 102025, 'N', 'F893'),
  (7303, 'Parghelia', 102026, 'N', 'G335'),
  (7304, 'Pizzo', 102027, 'N', 'G722'),
  (7305, 'Pizzoni', 102028, 'N', 'G728'),
  (7306, 'Polia', 102029, 'N', 'G785'),
  (7307, 'Ricadi', 102030, 'N', 'H271'),
  (7308, 'Rombiolo', 102031, 'N', 'H516'),
  (7309, 'San Calogero', 102032, 'N', 'H785'),
  (7310, 'San Costantino Calabro', 102033, 'N', 'H807'),
  (7311, 'San Gregorio d''Ippona', 102034, 'N', 'H941'),
  (7312, 'San Nicola da Crissa', 102035, 'N', 'I058'),
  (7313, 'Sant''Onofrio', 102036, 'N', 'I350'),
  (7314, 'Serra San Bruno', 102037, 'N', 'I639'),
  (7315, 'Simbario', 102038, 'N', 'I744'),
  (7316, 'Sorianello', 102039, 'N', 'I853'),
  (7317, 'Soriano Calabro', 102040, 'N', 'I854'),
  (7318, 'Spadola', 102041, 'N', 'I884'),
  (7319, 'Spilinga', 102042, 'N', 'I905'),
  (7320, 'Stefanaconi', 102043, 'N', 'I945'),
  (7321, 'Tropea', 102044, 'N', 'L452'),
  (7322, 'Vallelonga', 102045, 'N', 'L607'),
  (7323, 'Vazzano', 102046, 'N', 'L699'),
  (7324, 'Vibo Valentia', 102047, 'N', 'F537'),
  (7325, 'Zaccanopoli', 102048, 'N', 'M138'),
  (7326, 'Zambrone', 102049, 'N', 'M143'),
  (7327, 'Zungri', 102050, 'N', 'M204'),
  (7328, 'Alcamo', 81001, 'N', 'A176'),
  (7329, 'Buseto Palizzolo', 81002, 'N', 'B288');
INSERT INTO tbl_comuni (idcomune, denominazione, codiceistat, statoestero, codcatastale) VALUES
  (7330, 'Calatafimi-Segesta', 81003, 'N', 'B385'),
  (7331, 'Campobello di Mazara', 81004, 'N', 'B521'),
  (7332, 'Castellammare del Golfo', 81005, 'N', 'C130'),
  (7333, 'Castelvetrano', 81006, 'N', 'C286'),
  (7334, 'Custonaci', 81007, 'N', 'D234'),
  (7335, 'Erice', 81008, 'N', 'D423'),
  (7336, 'Favignana', 81009, 'N', 'D518'),
  (7337, 'Gibellina', 81010, 'N', 'E023'),
  (7338, 'Marsala', 81011, 'N', 'E974'),
  (7339, 'Mazara del Vallo', 81012, 'N', 'F061'),
  (7340, 'Paceco', 81013, 'N', 'G208'),
  (7341, 'Pantelleria', 81014, 'N', 'G315'),
  (7342, 'Partanna', 81015, 'N', 'G347'),
  (7343, 'Petrosino', 81024, 'N', 'M281'),
  (7344, 'Poggioreale', 81016, 'N', 'G767'),
  (7345, 'Salaparuta', 81017, 'N', 'H688'),
  (7346, 'Salemi', 81018, 'N', 'H700'),
  (7347, 'San Vito Lo Capo', 81020, 'N', 'I407'),
  (7348, 'Santa Ninfa', 81019, 'N', 'I291'),
  (7349, 'Trapani', 81021, 'N', 'L331'),
  (7350, 'Valderice', 81022, 'N', 'G319'),
  (7351, 'Vita', 81023, 'N', 'M081'),
  (7352, 'Alia', 82001, 'N', 'A195'),
  (7353, 'Alimena', 82002, 'N', 'A202'),
  (7354, 'Aliminusa', 82003, 'N', 'A203'),
  (7355, 'Altavilla Milicia', 82004, 'N', 'A229'),
  (7356, 'Altofonte', 82005, 'N', 'A239'),
  (7357, 'Bagheria', 82006, 'N', 'A546'),
  (7358, 'Balestrate', 82007, 'N', 'A592'),
  (7359, 'Baucina', 82008, 'N', 'A719'),
  (7360, 'Belmonte Mezzagno', 82009, 'N', 'A764'),
  (7361, 'Bisacquino', 82010, 'N', 'A882'),
  (7362, 'Blufi', 82082, 'N', 'M268'),
  (7363, 'Bolognetta', 82011, 'N', 'A946'),
  (7364, 'Bompietro', 82012, 'N', 'A958'),
  (7365, 'Borgetto', 82013, 'N', 'A991'),
  (7366, 'Caccamo', 82014, 'N', 'B315'),
  (7367, 'Caltavuturo', 82015, 'N', 'B430'),
  (7368, 'Campofelice di Fitalia', 82016, 'N', 'B533'),
  (7369, 'Campofelice di Roccella', 82017, 'N', 'B532'),
  (7370, 'Campofiorito', 82018, 'N', 'B535'),
  (7371, 'Camporeale', 82019, 'N', 'B556'),
  (7372, 'Capaci', 82020, 'N', 'B645'),
  (7373, 'Carini', 82021, 'N', 'B780'),
  (7374, 'Castelbuono', 82022, 'N', 'C067'),
  (7375, 'Casteldaccia', 82023, 'N', 'C074'),
  (7376, 'Castellana Sicula', 82024, 'N', 'C135'),
  (7377, 'Castronovo di Sicilia', 82025, 'N', 'C344'),
  (7378, 'CefalÃ  Diana', 82026, 'N', 'C420'),
  (7379, 'CefalÃ¹', 82027, 'N', 'C421'),
  (7380, 'Cerda', 82028, 'N', 'C496'),
  (7381, 'Chiusa Sclafani', 82029, 'N', 'C654'),
  (7382, 'Ciminna', 82030, 'N', 'C696'),
  (7383, 'Cinisi', 82031, 'N', 'C708'),
  (7384, 'Collesano', 82032, 'N', 'C871'),
  (7385, 'Contessa Entellina', 82033, 'N', 'C968'),
  (7386, 'Corleone', 82034, 'N', 'D009'),
  (7387, 'Ficarazzi', 82035, 'N', 'D567'),
  (7388, 'Gangi', 82036, 'N', 'D907'),
  (7389, 'Geraci Siculo', 82037, 'N', 'D977'),
  (7390, 'Giardinello', 82038, 'N', 'E013'),
  (7391, 'Giuliana', 82039, 'N', 'E055'),
  (7392, 'Godrano', 82040, 'N', 'E074'),
  (7393, 'Gratteri', 82041, 'N', 'E149'),
  (7394, 'Isnello', 82042, 'N', 'E337'),
  (7395, 'Isola delle Femmine', 82043, 'N', 'E350'),
  (7396, 'Lascari', 82044, 'N', 'E459'),
  (7397, 'Lercara Friddi', 82045, 'N', 'E541'),
  (7398, 'Marineo', 82046, 'N', 'E957'),
  (7399, 'Mezzojuso', 82047, 'N', 'F184'),
  (7400, 'Misilmeri', 82048, 'N', 'F246'),
  (7401, 'Monreale', 82049, 'N', 'F377'),
  (7402, 'Montelepre', 82050, 'N', 'F544'),
  (7403, 'Montemaggiore Belsito', 82051, 'N', 'F553'),
  (7404, 'Palazzo Adriano', 82052, 'N', 'G263'),
  (7405, 'Palermo', 82053, 'N', 'G273'),
  (7406, 'Partinico', 82054, 'N', 'G348'),
  (7407, 'Petralia Soprana', 82055, 'N', 'G510'),
  (7408, 'Petralia Sottana', 82056, 'N', 'G511'),
  (7409, 'Piana degli Albanesi', 82057, 'N', 'G543'),
  (7410, 'Polizzi Generosa', 82058, 'N', 'G792'),
  (7411, 'Pollina', 82059, 'N', 'G797'),
  (7412, 'Prizzi', 82060, 'N', 'H070'),
  (7413, 'Roccamena', 82061, 'N', 'H422'),
  (7414, 'Roccapalumba', 82062, 'N', 'H428'),
  (7415, 'San Cipirello', 82063, 'N', 'H797'),
  (7416, 'San Giuseppe Jato', 82064, 'N', 'H933'),
  (7417, 'San Mauro Castelverde', 82065, 'N', 'I028'),
  (7418, 'Santa Cristina Gela', 82066, 'N', 'I174'),
  (7419, 'Santa Flavia', 82067, 'N', 'I188'),
  (7420, 'Sciara', 82068, 'N', 'I534'),
  (7421, 'Scillato', 82081, 'N', 'I538'),
  (7422, 'Sclafani Bagni', 82069, 'N', 'I541'),
  (7423, 'Termini Imerese', 82070, 'N', 'L112'),
  (7424, 'Terrasini', 82071, 'N', 'L131'),
  (7425, 'Torretta', 82072, 'N', 'L282'),
  (7426, 'Trabia', 82073, 'N', 'L317'),
  (7427, 'Trappeto', 82074, 'N', 'L332'),
  (7428, 'Ustica', 82075, 'N', 'L519'),
  (7429, 'Valledolmo', 82076, 'N', 'L603'),
  (7430, 'Ventimiglia di Sicilia', 82077, 'N', 'L740'),
  (7431, 'Vicari', 82078, 'N', 'L837'),
  (7432, 'Villabate', 82079, 'N', 'L916'),
  (7433, 'Villafrati', 82080, 'N', 'L951'),
  (7434, 'Acquedolci', 83107, 'N', 'M211'),
  (7435, 'Alcara li Fusi', 83001, 'N', 'A177'),
  (7436, 'AlÃ¬', 83002, 'N', 'A194'),
  (7437, 'AlÃ¬ Terme', 83003, 'N', 'A201'),
  (7438, 'Antillo', 83004, 'N', 'A313'),
  (7439, 'Barcellona Pozzo di Gotto', 83005, 'N', 'A638'),
  (7440, 'BasicÃ²', 83006, 'N', 'A698'),
  (7441, 'Brolo', 83007, 'N', 'B198'),
  (7442, 'Capizzi', 83008, 'N', 'B660'),
  (7443, 'Capo d''Orlando', 83009, 'N', 'B666'),
  (7444, 'Capri Leone', 83010, 'N', 'B695'),
  (7445, 'Caronia', 83011, 'N', 'B804'),
  (7446, 'Casalvecchio Siculo', 83012, 'N', 'B918'),
  (7447, 'Castel di Lucio', 83013, 'N', 'C094'),
  (7448, 'Castell''Umberto', 83014, 'N', 'C051'),
  (7449, 'Castelmola', 83015, 'N', 'C210'),
  (7450, 'Castroreale', 83016, 'N', 'C347'),
  (7451, 'CesarÃ²', 83017, 'N', 'C568'),
  (7452, 'CondrÃ²', 83018, 'N', 'C956'),
  (7453, 'Falcone', 83019, 'N', 'D474'),
  (7454, 'Ficarra', 83020, 'N', 'D569'),
  (7455, 'Fiumedinisi', 83021, 'N', 'D622'),
  (7456, 'Floresta', 83022, 'N', 'D635'),
  (7457, 'Fondachelli-Fantina', 83023, 'N', 'D661'),
  (7458, 'Forza d''AgrÃ²', 83024, 'N', 'D733'),
  (7459, 'Francavilla di Sicilia', 83025, 'N', 'D765'),
  (7460, 'FrazzanÃ²', 83026, 'N', 'D793'),
  (7461, 'Furci Siculo', 83027, 'N', 'D824'),
  (7462, 'Furnari', 83028, 'N', 'D825'),
  (7463, 'Gaggi', 83029, 'N', 'D844'),
  (7464, 'Galati Mamertino', 83030, 'N', 'D861'),
  (7465, 'Gallodoro', 83031, 'N', 'D885'),
  (7466, 'Giardini-Naxos', 83032, 'N', 'E014'),
  (7467, 'Gioiosa Marea', 83033, 'N', 'E043'),
  (7468, 'Graniti', 83034, 'N', 'E142'),
  (7469, 'Gualtieri SicaminÃ²', 83035, 'N', 'E233'),
  (7470, 'Itala', 83036, 'N', 'E374'),
  (7471, 'Leni', 83037, 'N', 'E523'),
  (7472, 'Letojanni', 83038, 'N', 'E555'),
  (7473, 'Librizzi', 83039, 'N', 'E571'),
  (7474, 'Limina', 83040, 'N', 'E594'),
  (7475, 'Lipari', 83041, 'N', 'E606'),
  (7476, 'Longi', 83042, 'N', 'E674'),
  (7477, 'Malfa', 83043, 'N', 'E855'),
  (7478, 'Malvagna', 83044, 'N', 'E869'),
  (7479, 'Mandanici', 83045, 'N', 'E876'),
  (7480, 'MazzarrÃ  Sant''Andrea', 83046, 'N', 'F066'),
  (7481, 'MerÃ¬', 83047, 'N', 'F147'),
  (7482, 'Messina', 83048, 'N', 'F158'),
  (7483, 'Milazzo', 83049, 'N', 'F206'),
  (7484, 'Militello Rosmarino', 83050, 'N', 'F210'),
  (7485, 'Mirto', 83051, 'N', 'F242'),
  (7486, 'Mistretta', 83052, 'N', 'F251'),
  (7487, 'Moio Alcantara', 83053, 'N', 'F277'),
  (7488, 'Monforte San Giorgio', 83054, 'N', 'F359'),
  (7489, 'Mongiuffi Melia', 83055, 'N', 'F368'),
  (7490, 'Montagnareale', 83056, 'N', 'F395'),
  (7491, 'Montalbano Elicona', 83057, 'N', 'F400'),
  (7492, 'Motta Camastra', 83058, 'N', 'F772'),
  (7493, 'Motta d''Affermo', 83059, 'N', 'F773'),
  (7494, 'Naso', 83060, 'N', 'F848'),
  (7495, 'Nizza di Sicilia', 83061, 'N', 'F901'),
  (7496, 'Novara di Sicilia', 83062, 'N', 'F951'),
  (7497, 'Oliveri', 83063, 'N', 'G036'),
  (7498, 'Pace del Mela', 83064, 'N', 'G209'),
  (7499, 'Pagliara', 83065, 'N', 'G234'),
  (7500, 'Patti', 83066, 'N', 'G377'),
  (7501, 'Pettineo', 83067, 'N', 'G522'),
  (7502, 'Piraino', 83068, 'N', 'G699'),
  (7503, 'Raccuja', 83069, 'N', 'H151'),
  (7504, 'Reitano', 83070, 'N', 'H228'),
  (7505, 'Roccafiorita', 83071, 'N', 'H405'),
  (7506, 'Roccalumera', 83072, 'N', 'H418'),
  (7507, 'Roccavaldina', 83073, 'N', 'H380'),
  (7508, 'Roccella Valdemone', 83074, 'N', 'H455'),
  (7509, 'RodÃ¬ Milici', 83075, 'N', 'H479'),
  (7510, 'Rometta', 83076, 'N', 'H519'),
  (7511, 'San Filippo del Mela', 83077, 'N', 'H842'),
  (7512, 'San Fratello', 83078, 'N', 'H850'),
  (7513, 'San Marco d''Alunzio', 83079, 'N', 'H982'),
  (7514, 'San Pier Niceto', 83080, 'N', 'I084'),
  (7515, 'San Piero Patti', 83081, 'N', 'I086'),
  (7516, 'San Salvatore di Fitalia', 83082, 'N', 'I147'),
  (7517, 'San Teodoro', 83090, 'N', 'I328'),
  (7518, 'Santa Domenica Vittoria', 83083, 'N', 'I184'),
  (7519, 'Santa Lucia del Mela', 83086, 'N', 'I220'),
  (7520, 'Santa Marina Salina', 83087, 'N', 'I254'),
  (7521, 'Santa Teresa di Riva', 83089, 'N', 'I311'),
  (7522, 'Sant''Agata di Militello', 83084, 'N', 'I199'),
  (7523, 'Sant''Alessio Siculo', 83085, 'N', 'I215'),
  (7524, 'Sant''Angelo di Brolo', 83088, 'N', 'I283'),
  (7525, 'Santo Stefano di Camastra', 83091, 'N', 'I370'),
  (7526, 'Saponara', 83092, 'N', 'I420'),
  (7527, 'Savoca', 83093, 'N', 'I477'),
  (7528, 'Scaletta Zanclea', 83094, 'N', 'I492'),
  (7529, 'Sinagra', 83095, 'N', 'I747'),
  (7530, 'Spadafora', 83096, 'N', 'I881'),
  (7531, 'Taormina', 83097, 'N', 'L042'),
  (7532, 'Terme Vigliatore', 83106, 'N', 'M210'),
  (7533, 'Torregrotta', 83098, 'N', 'L271'),
  (7534, 'Torrenova', 83108, 'N', 'M286'),
  (7535, 'Tortorici', 83099, 'N', 'L308'),
  (7536, 'Tripi', 83100, 'N', 'L431'),
  (7537, 'Tusa', 83101, 'N', 'L478'),
  (7538, 'Ucria', 83102, 'N', 'L482'),
  (7539, 'Valdina', 83103, 'N', 'L561'),
  (7540, 'Venetico', 83104, 'N', 'L735'),
  (7541, 'Villafranca Tirrena', 83105, 'N', 'L950'),
  (7542, 'Agrigento', 84001, 'N', 'A089'),
  (7543, 'Alessandria della Rocca', 84002, 'N', 'A181'),
  (7544, 'Aragona', 84003, 'N', 'A351'),
  (7545, 'Bivona', 84004, 'N', 'A896'),
  (7546, 'Burgio', 84005, 'N', 'B275'),
  (7547, 'Calamonaci', 84006, 'N', 'B377'),
  (7548, 'Caltabellotta', 84007, 'N', 'B427'),
  (7549, 'Camastra', 84008, 'N', 'B460'),
  (7550, 'Cammarata', 84009, 'N', 'B486'),
  (7551, 'Campobello di Licata', 84010, 'N', 'B520'),
  (7552, 'CanicattÃ¬', 84011, 'N', 'B602'),
  (7553, 'Casteltermini', 84012, 'N', 'C275'),
  (7554, 'Castrofilippo', 84013, 'N', 'C341'),
  (7555, 'Cattolica Eraclea', 84014, 'N', 'C356'),
  (7556, 'Cianciana', 84015, 'N', 'C668'),
  (7557, 'Comitini', 84016, 'N', 'C928'),
  (7558, 'Favara', 84017, 'N', 'D514'),
  (7559, 'Grotte', 84018, 'N', 'E209'),
  (7560, 'Joppolo Giancaxio', 84019, 'N', 'E390'),
  (7561, 'Lampedusa e Linosa', 84020, 'N', 'E431'),
  (7562, 'Licata', 84021, 'N', 'E573'),
  (7563, 'Lucca Sicula', 84022, 'N', 'E714'),
  (7564, 'Menfi', 84023, 'N', 'F126'),
  (7565, 'Montallegro', 84024, 'N', 'F414'),
  (7566, 'Montevago', 84025, 'N', 'F655'),
  (7567, 'Naro', 84026, 'N', 'F845'),
  (7568, 'Palma di Montechiaro', 84027, 'N', 'G282'),
  (7569, 'Porto Empedocle', 84028, 'N', 'F299'),
  (7570, 'Racalmuto', 84029, 'N', 'H148'),
  (7571, 'Raffadali', 84030, 'N', 'H159'),
  (7572, 'Ravanusa', 84031, 'N', 'H194'),
  (7573, 'Realmonte', 84032, 'N', 'H205'),
  (7574, 'Ribera', 84033, 'N', 'H269'),
  (7575, 'Sambuca di Sicilia', 84034, 'N', 'H743'),
  (7576, 'San Biagio Platani', 84035, 'N', 'H778'),
  (7577, 'San Giovanni Gemini', 84036, 'N', 'H914'),
  (7578, 'Santa Elisabetta', 84037, 'N', 'I185'),
  (7579, 'Santa Margherita di Belice', 84038, 'N', 'I224'),
  (7580, 'Sant''Angelo Muxaro', 84039, 'N', 'I290'),
  (7581, 'Santo Stefano Quisquina', 84040, 'N', 'I356'),
  (7582, 'Sciacca', 84041, 'N', 'I533'),
  (7583, 'Siculiana', 84042, 'N', 'I723'),
  (7584, 'Villafranca Sicula', 84043, 'N', 'L944'),
  (7585, 'Acquaviva Platani', 85001, 'N', 'A049'),
  (7586, 'Bompensiere', 85002, 'N', 'A957'),
  (7587, 'Butera', 85003, 'N', 'B302'),
  (7588, 'Caltanissetta', 85004, 'N', 'B429'),
  (7589, 'Campofranco', 85005, 'N', 'B537'),
  (7590, 'Delia', 85006, 'N', 'D267'),
  (7591, 'Gela', 85007, 'N', 'D960'),
  (7592, 'Marianopoli', 85008, 'N', 'E953'),
  (7593, 'Mazzarino', 85009, 'N', 'F065'),
  (7594, 'Milena', 85010, 'N', 'E618'),
  (7595, 'Montedoro', 85011, 'N', 'F489'),
  (7596, 'Mussomeli', 85012, 'N', 'F830'),
  (7597, 'Niscemi', 85013, 'N', 'F899'),
  (7598, 'Resuttano', 85014, 'N', 'H245'),
  (7599, 'Riesi', 85015, 'N', 'H281'),
  (7600, 'San Cataldo', 85016, 'N', 'H792'),
  (7601, 'Santa Caterina Villarmosa', 85017, 'N', 'I169'),
  (7602, 'Serradifalco', 85018, 'N', 'I644'),
  (7603, 'Sommatino', 85019, 'N', 'I824'),
  (7604, 'Sutera', 85020, 'N', 'L016'),
  (7605, 'Vallelunga Pratameno', 85021, 'N', 'L609'),
  (7606, 'Villalba', 85022, 'N', 'L959'),
  (7607, 'Agira', 86001, 'N', 'A070'),
  (7608, 'Aidone', 86002, 'N', 'A098'),
  (7609, 'Assoro', 86003, 'N', 'A478'),
  (7610, 'Barrafranca', 86004, 'N', 'A676'),
  (7611, 'Calascibetta', 86005, 'N', 'B381'),
  (7612, 'Catenanuova', 86006, 'N', 'C353'),
  (7613, 'Centuripe', 86007, 'N', 'C471'),
  (7614, 'Cerami', 86008, 'N', 'C480'),
  (7615, 'Enna', 86009, 'N', 'C342'),
  (7616, 'Gagliano Castelferrato', 86010, 'N', 'D849'),
  (7617, 'Leonforte', 86011, 'N', 'E536'),
  (7618, 'Nicosia', 86012, 'N', 'F892'),
  (7619, 'Nissoria', 86013, 'N', 'F900'),
  (7620, 'Piazza Armerina', 86014, 'N', 'G580'),
  (7621, 'Pietraperzia', 86015, 'N', 'G624'),
  (7622, 'Regalbuto', 86016, 'N', 'H221'),
  (7623, 'Sperlinga', 86017, 'N', 'I891'),
  (7624, 'Troina', 86018, 'N', 'L448'),
  (7625, 'Valguarnera Caropepe', 86019, 'N', 'L583'),
  (7626, 'Villarosa', 86020, 'N', 'M011'),
  (7627, 'Aci Bonaccorsi', 87001, 'N', 'A025'),
  (7628, 'Aci Castello', 87002, 'N', 'A026'),
  (7629, 'Aci Catena', 87003, 'N', 'A027'),
  (7630, 'Aci Sant''Antonio', 87005, 'N', 'A029'),
  (7631, 'Acireale', 87004, 'N', 'A028'),
  (7632, 'Adrano', 87006, 'N', 'A056'),
  (7633, 'Belpasso', 87007, 'N', 'A766'),
  (7634, 'Biancavilla', 87008, 'N', 'A841'),
  (7635, 'Bronte', 87009, 'N', 'B202'),
  (7636, 'Calatabiano', 87010, 'N', 'B384'),
  (7637, 'Caltagirone', 87011, 'N', 'B428'),
  (7638, 'Camporotondo Etneo', 87012, 'N', 'B561'),
  (7639, 'Castel di Iudica', 87013, 'N', 'C091'),
  (7640, 'Castiglione di Sicilia', 87014, 'N', 'C297'),
  (7641, 'Catania', 87015, 'N', 'C351'),
  (7642, 'Fiumefreddo di Sicilia', 87016, 'N', 'D623'),
  (7643, 'Giarre', 87017, 'N', 'E017'),
  (7644, 'Grammichele', 87018, 'N', 'E133'),
  (7645, 'Gravina di Catania', 87019, 'N', 'E156'),
  (7646, 'Licodia Eubea', 87020, 'N', 'E578'),
  (7647, 'Linguaglossa', 87021, 'N', 'E602'),
  (7648, 'Maletto', 87022, 'N', 'E854'),
  (7649, 'Maniace', 87057, 'N', 'M283'),
  (7650, 'Mascali', 87023, 'N', 'F004'),
  (7651, 'Mascalucia', 87024, 'N', 'F005'),
  (7652, 'Mazzarrone', 87056, 'N', 'M271'),
  (7653, 'Militello in Val di Catania', 87025, 'N', 'F209'),
  (7654, 'Milo', 87026, 'N', 'F214'),
  (7655, 'Mineo', 87027, 'N', 'F217'),
  (7656, 'Mirabella Imbaccari', 87028, 'N', 'F231'),
  (7657, 'Misterbianco', 87029, 'N', 'F250'),
  (7658, 'Motta Sant''Anastasia', 87030, 'N', 'F781'),
  (7659, 'Nicolosi', 87031, 'N', 'F890'),
  (7660, 'Palagonia', 87032, 'N', 'G253'),
  (7661, 'PaternÃ²', 87033, 'N', 'G371'),
  (7662, 'Pedara', 87034, 'N', 'G402'),
  (7663, 'Piedimonte Etneo', 87035, 'N', 'G597'),
  (7664, 'Raddusa', 87036, 'N', 'H154'),
  (7665, 'Ragalna', 87058, 'N', 'M287'),
  (7666, 'Ramacca', 87037, 'N', 'H168'),
  (7667, 'Randazzo', 87038, 'N', 'H175'),
  (7668, 'Riposto', 87039, 'N', 'H325'),
  (7669, 'San Cono', 87040, 'N', 'H805'),
  (7670, 'San Giovanni la Punta', 87041, 'N', 'H922'),
  (7671, 'San Gregorio di Catania', 87042, 'N', 'H940'),
  (7672, 'San Michele di Ganzaria', 87043, 'N', 'I035'),
  (7673, 'San Pietro Clarenza', 87044, 'N', 'I098'),
  (7674, 'Santa Maria di Licodia', 87047, 'N', 'I240'),
  (7675, 'Santa Venerina', 87048, 'N', 'I314'),
  (7676, 'Sant''Agata li Battiati', 87045, 'N', 'I202'),
  (7677, 'Sant''Alfio', 87046, 'N', 'I216'),
  (7678, 'Scordia', 87049, 'N', 'I548'),
  (7679, 'Trecastagni', 87050, 'N', 'L355'),
  (7680, 'Tremestieri Etneo', 87051, 'N', 'L369'),
  (7681, 'Valverde', 87052, 'N', 'L658'),
  (7682, 'Viagrande', 87053, 'N', 'L828'),
  (7683, 'Vizzini', 87054, 'N', 'M100'),
  (7684, 'Zafferana Etnea', 87055, 'N', 'M139'),
  (7685, 'Acate', 88001, 'N', 'A014'),
  (7686, 'Chiaramonte Gulfi', 88002, 'N', 'C612'),
  (7687, 'Comiso', 88003, 'N', 'C927'),
  (7688, 'Giarratana', 88004, 'N', 'E016'),
  (7689, 'Ispica', 88005, 'N', 'E366'),
  (7690, 'Modica', 88006, 'N', 'F258'),
  (7691, 'Monterosso Almo', 88007, 'N', 'F610'),
  (7692, 'Pozzallo', 88008, 'N', 'G953'),
  (7693, 'Ragusa', 88009, 'N', 'H163'),
  (7694, 'Santa Croce Camerina', 88010, 'N', 'I178'),
  (7695, 'Scicli', 88011, 'N', 'I535'),
  (7696, 'Vittoria', 88012, 'N', 'M088'),
  (7697, 'Augusta', 89001, 'N', 'A494'),
  (7698, 'Avola', 89002, 'N', 'A522'),
  (7699, 'Buccheri', 89003, 'N', 'B237'),
  (7700, 'Buscemi', 89004, 'N', 'B287'),
  (7701, 'Canicattini Bagni', 89005, 'N', 'B603'),
  (7702, 'Carlentini', 89006, 'N', 'B787'),
  (7703, 'Cassaro', 89007, 'N', 'C006'),
  (7704, 'Ferla', 89008, 'N', 'D540'),
  (7705, 'Floridia', 89009, 'N', 'D636'),
  (7706, 'Francofonte', 89010, 'N', 'D768'),
  (7707, 'Lentini', 89011, 'N', 'E532'),
  (7708, 'Melilli', 89012, 'N', 'F107'),
  (7709, 'Noto', 89013, 'N', 'F943'),
  (7710, 'Pachino', 89014, 'N', 'G211'),
  (7711, 'Palazzolo Acreide', 89015, 'N', 'G267'),
  (7712, 'Portopalo di Capo Passero', 89020, 'N', 'M257'),
  (7713, 'Priolo Gargallo', 89021, 'N', 'M279'),
  (7714, 'Rosolini', 89016, 'N', 'H574'),
  (7715, 'Siracusa', 89017, 'N', 'I754'),
  (7716, 'Solarino', 89018, 'N', 'I785'),
  (7717, 'Sortino', 89019, 'N', 'I864'),
  (7718, 'Alghero', 90003, 'N', 'A192'),
  (7719, 'Anela', 90004, 'N', 'A287'),
  (7720, 'Ardara', 90005, 'N', 'A379'),
  (7721, 'Banari', 90007, 'N', 'A606'),
  (7722, 'Benetutti', 90008, 'N', 'A781'),
  (7723, 'Bessude', 90010, 'N', 'A827'),
  (7724, 'Bonnanaro', 90011, 'N', 'A976'),
  (7725, 'Bono', 90012, 'N', 'A977'),
  (7726, 'Bonorva', 90013, 'N', 'A978'),
  (7727, 'Borutta', 90015, 'N', 'B064'),
  (7728, 'Bottidda', 90016, 'N', 'B094'),
  (7729, 'Bultei', 90018, 'N', 'B264'),
  (7730, 'Bulzi', 90019, 'N', 'B265'),
  (7731, 'Burgos', 90020, 'N', 'B276'),
  (7732, 'Cargeghe', 90022, 'N', 'B772'),
  (7733, 'Castelsardo', 90023, 'N', 'C272'),
  (7734, 'Cheremule', 90024, 'N', 'C600'),
  (7735, 'Chiaramonti', 90025, 'N', 'C613'),
  (7736, 'Codrongianos', 90026, 'N', 'C818'),
  (7737, 'Cossoine', 90027, 'N', 'D100'),
  (7738, 'Erula', 90088, 'N', 'M292'),
  (7739, 'Esporlatu', 90028, 'N', 'D441'),
  (7740, 'Florinas', 90029, 'N', 'D637'),
  (7741, 'Giave', 90030, 'N', 'E019'),
  (7742, 'Illorai', 90031, 'N', 'E285'),
  (7743, 'Ittireddu', 90032, 'N', 'E376'),
  (7744, 'Ittiri', 90033, 'N', 'E377'),
  (7745, 'Laerru', 90034, 'N', 'E401'),
  (7746, 'Mara', 90038, 'N', 'E902'),
  (7747, 'Martis', 90039, 'N', 'E992'),
  (7748, 'Monteleone Rocca Doria', 90040, 'N', 'F542'),
  (7749, 'Mores', 90042, 'N', 'F721'),
  (7750, 'Muros', 90043, 'N', 'F818'),
  (7751, 'Nughedu San NicolÃ²', 90044, 'N', 'F975'),
  (7752, 'Nule', 90045, 'N', 'F976'),
  (7753, 'Nulvi', 90046, 'N', 'F977'),
  (7754, 'Olmedo', 90048, 'N', 'G046'),
  (7755, 'Osilo', 90050, 'N', 'G156'),
  (7756, 'Ossi', 90051, 'N', 'G178'),
  (7757, 'Ozieri', 90052, 'N', 'G203'),
  (7758, 'Padria', 90053, 'N', 'G225'),
  (7759, 'Pattada', 90055, 'N', 'G376'),
  (7760, 'Perfugas', 90056, 'N', 'G450'),
  (7761, 'Ploaghe', 90057, 'N', 'G740'),
  (7762, 'Porto Torres', 90058, 'N', 'G924'),
  (7763, 'Pozzomaggiore', 90059, 'N', 'G962'),
  (7764, 'Putifigari', 90060, 'N', 'H095'),
  (7765, 'Romana', 90061, 'N', 'H507'),
  (7766, 'Santa Maria Coghinas', 90087, 'N', 'M284'),
  (7767, 'Sassari', 90064, 'N', 'I452'),
  (7768, 'Sedini', 90065, 'N', 'I565'),
  (7769, 'Semestene', 90066, 'N', 'I598'),
  (7770, 'Sennori', 90067, 'N', 'I614'),
  (7771, 'Siligo', 90068, 'N', 'I732'),
  (7772, 'Sorso', 90069, 'N', 'I863'),
  (7773, 'Stintino', 90089, 'N', 'M290'),
  (7774, 'Tergu', 90086, 'N', 'M282'),
  (7775, 'Thiesi', 90071, 'N', 'L158'),
  (7776, 'Tissi', 90072, 'N', 'L180'),
  (7777, 'Torralba', 90073, 'N', 'L235'),
  (7778, 'Tula', 90075, 'N', 'L464'),
  (7779, 'Uri', 90076, 'N', 'L503'),
  (7780, 'Usini', 90077, 'N', 'L509'),
  (7781, 'Valledoria', 90079, 'N', 'L604'),
  (7782, 'Viddalba', 90082, 'N', 'M259'),
  (7783, 'Villanova Monteleone', 90078, 'N', 'L989'),
  (7784, 'Aritzo', 91001, 'N', 'A407'),
  (7785, 'Atzara', 91003, 'N', 'A492'),
  (7786, 'Austis', 91004, 'N', 'A503'),
  (7787, 'BelvÃ¬', 91007, 'N', 'A776'),
  (7788, 'Birori', 91008, 'N', 'A880'),
  (7789, 'Bitti', 91009, 'N', 'A895'),
  (7790, 'Bolotana', 91010, 'N', 'A948'),
  (7791, 'Borore', 91011, 'N', 'B056'),
  (7792, 'Bortigali', 91012, 'N', 'B062'),
  (7793, 'Desulo', 91016, 'N', 'D287'),
  (7794, 'Dorgali', 91017, 'N', 'D345'),
  (7795, 'Dualchi', 91018, 'N', 'D376'),
  (7796, 'Fonni', 91024, 'N', 'D665'),
  (7797, 'Gadoni', 91025, 'N', 'D842'),
  (7798, 'GaltellÃ¬', 91027, 'N', 'D888'),
  (7799, 'Gavoi', 91028, 'N', 'D947'),
  (7800, 'Irgoli', 91033, 'N', 'E323'),
  (7801, 'Lei', 91038, 'N', 'E517'),
  (7802, 'Loculi', 91040, 'N', 'E646'),
  (7803, 'LodÃ¨', 91041, 'N', 'E647'),
  (7804, 'Lodine', 91104, 'N', 'E649'),
  (7805, 'Lula', 91043, 'N', 'E736'),
  (7806, 'Macomer', 91044, 'N', 'E788'),
  (7807, 'Mamoiada', 91046, 'N', 'E874'),
  (7808, 'Meana Sardo', 91047, 'N', 'F073'),
  (7809, 'Noragugume', 91050, 'N', 'F933'),
  (7810, 'Nuoro', 91051, 'N', 'F979'),
  (7811, 'Oliena', 91055, 'N', 'G031'),
  (7812, 'Ollolai', 91056, 'N', 'G044'),
  (7813, 'Olzai', 91057, 'N', 'G058'),
  (7814, 'OnanÃ¬', 91058, 'N', 'G064'),
  (7815, 'Onifai', 91059, 'N', 'G070'),
  (7816, 'Oniferi', 91060, 'N', 'G071'),
  (7817, 'Orani', 91061, 'N', 'G084'),
  (7818, 'Orgosolo', 91062, 'N', 'G097'),
  (7819, 'Orosei', 91063, 'N', 'G119'),
  (7820, 'Orotelli', 91064, 'N', 'G120'),
  (7821, 'Ortueri', 91066, 'N', 'G146'),
  (7822, 'Orune', 91067, 'N', 'G147'),
  (7823, 'Osidda', 91068, 'N', 'G154'),
  (7824, 'Ottana', 91070, 'N', 'G191'),
  (7825, 'Ovodda', 91071, 'N', 'G201'),
  (7826, 'Posada', 91073, 'N', 'G929'),
  (7827, 'Sarule', 91077, 'N', 'I448'),
  (7828, 'Silanus', 91083, 'N', 'I730'),
  (7829, 'Sindia', 91084, 'N', 'I748'),
  (7830, 'Siniscola', 91085, 'N', 'I751'),
  (7831, 'Sorgono', 91086, 'N', 'I851'),
  (7832, 'Teti', 91090, 'N', 'L153'),
  (7833, 'Tiana', 91091, 'N', 'L160'),
  (7834, 'Tonara', 91093, 'N', 'L202'),
  (7835, 'TorpÃ¨', 91094, 'N', 'L231'),
  (7836, 'Armungia', 92002, 'N', 'A419'),
  (7837, 'Assemini', 92003, 'N', 'A474'),
  (7838, 'Ballao', 92004, 'N', 'A597'),
  (7839, 'Barrali', 92005, 'N', 'A677'),
  (7840, 'Burcei', 92008, 'N', 'B274'),
  (7841, 'Cagliari', 92009, 'N', 'B354'),
  (7842, 'Capoterra', 92011, 'N', 'B675'),
  (7843, 'Castiadas', 92106, 'N', 'M288'),
  (7844, 'Decimomannu', 92015, 'N', 'D259'),
  (7845, 'Decimoputzu', 92016, 'N', 'D260'),
  (7846, 'Dolianova', 92017, 'N', 'D323'),
  (7847, 'Domus de Maria', 92018, 'N', 'D333'),
  (7848, 'Donori', 92020, 'N', 'D344'),
  (7849, 'Elmas', 92108, 'N', 'D399'),
  (7850, 'Escalaplano', 92110, 'N', 'D430'),
  (7851, 'Escolca', 92111, 'N', 'D431'),
  (7852, 'Esterzili', 92112, 'N', 'D443'),
  (7853, 'Gergei', 92113, 'N', 'D982'),
  (7854, 'Gesico', 92024, 'N', 'D994'),
  (7855, 'Goni', 92027, 'N', 'E084'),
  (7856, 'Guamaggiore', 92030, 'N', 'E234'),
  (7857, 'Guasila', 92031, 'N', 'E252'),
  (7858, 'Isili', 92114, 'N', 'E336'),
  (7859, 'Mandas', 92036, 'N', 'E877'),
  (7860, 'Maracalagonis', 92037, 'N', 'E903'),
  (7861, 'Monastir', 92038, 'N', 'F333'),
  (7862, 'Monserrato', 92109, 'N', 'F383'),
  (7863, 'Muravera', 92039, 'N', 'F808'),
  (7864, 'Nuragus', 92115, 'N', 'F981'),
  (7865, 'Nurallao', 92116, 'N', 'F982'),
  (7866, 'Nuraminis', 92042, 'N', 'F983'),
  (7867, 'Nurri', 92117, 'N', 'F986'),
  (7868, 'Orroli', 92118, 'N', 'G122'),
  (7869, 'Ortacesus', 92044, 'N', 'G133'),
  (7870, 'Pimentel', 92048, 'N', 'G669'),
  (7871, 'Pula', 92050, 'N', 'H088'),
  (7872, 'Quartu Sant''Elena', 92051, 'N', 'H118'),
  (7873, 'Quartucciu', 92105, 'N', 'H119'),
  (7874, 'Sadali', 92119, 'N', 'H659'),
  (7875, 'Samatzai', 92053, 'N', 'H739'),
  (7876, 'San Basilio', 92054, 'N', 'H766'),
  (7877, 'San NicolÃ² Gerrei', 92058, 'N', 'G383'),
  (7878, 'San Sperate', 92059, 'N', 'I166'),
  (7879, 'San Vito', 92064, 'N', 'I402'),
  (7880, 'Sant''Andrea Frius', 92061, 'N', 'I271'),
  (7881, 'Sarroch', 92066, 'N', 'I443'),
  (7882, 'Selargius', 92068, 'N', 'I580'),
  (7883, 'Selegas', 92069, 'N', 'I582'),
  (7884, 'SenorbÃ¬', 92070, 'N', 'I615'),
  (7885, 'Serdiana', 92071, 'N', 'I624'),
  (7886, 'Serri', 92120, 'N', 'I668'),
  (7887, 'Sestu', 92074, 'N', 'I695'),
  (7888, 'Settimo San Pietro', 92075, 'N', 'I699'),
  (7889, 'Seulo', 92121, 'N', 'I707'),
  (7890, 'Siliqua', 92078, 'N', 'I734'),
  (7891, 'Silius', 92079, 'N', 'I735'),
  (7892, 'Sinnai', 92080, 'N', 'I752'),
  (7893, 'Siurgus Donigala', 92081, 'N', 'I765'),
  (7894, 'Soleminis', 92082, 'N', 'I797'),
  (7895, 'Suelli', 92083, 'N', 'I995'),
  (7896, 'Teulada', 92084, 'N', 'L154'),
  (7897, 'Ussana', 92088, 'N', 'L512'),
  (7898, 'Uta', 92090, 'N', 'L521'),
  (7899, 'Vallermosa', 92091, 'N', 'L613'),
  (7900, 'Villa San Pietro', 92099, 'N', 'I118'),
  (7901, 'Villanova Tulo', 92122, 'N', 'L992'),
  (7902, 'Villaputzu', 92097, 'N', 'L998'),
  (7903, 'Villasalto', 92098, 'N', 'M016'),
  (7904, 'Villasimius', 92100, 'N', 'B738'),
  (7905, 'Villasor', 92101, 'N', 'M025'),
  (7906, 'Villaspeciosa', 92102, 'N', 'M026'),
  (7907, 'Abbasanta', 95001, 'N', 'A007'),
  (7908, 'Aidomaggiore', 95002, 'N', 'A097'),
  (7909, 'Albagiara', 95003, 'N', 'A126'),
  (7910, 'Ales', 95004, 'N', 'A180'),
  (7911, 'Allai', 95005, 'N', 'A204'),
  (7912, 'Arborea', 95006, 'N', 'A357'),
  (7913, 'Ardauli', 95007, 'N', 'A380'),
  (7914, 'Assolo', 95008, 'N', 'A477'),
  (7915, 'Asuni', 95009, 'N', 'A480'),
  (7916, 'Baradili', 95010, 'N', 'A614'),
  (7917, 'Baratili San Pietro', 95011, 'N', 'A621'),
  (7918, 'Baressa', 95012, 'N', 'A655'),
  (7919, 'Bauladu', 95013, 'N', 'A721'),
  (7920, 'BidonÃ¬', 95014, 'N', 'A856'),
  (7921, 'Bonarcado', 95015, 'N', 'A960'),
  (7922, 'Boroneddu', 95016, 'N', 'B055'),
  (7923, 'Bosa', 95079, 'N', 'B068'),
  (7924, 'Busachi', 95017, 'N', 'B281'),
  (7925, 'Cabras', 95018, 'N', 'B314'),
  (7926, 'Cuglieri', 95019, 'N', 'D200'),
  (7927, 'Curcuris', 95077, 'N', 'D214'),
  (7928, 'Flussio', 95080, 'N', 'D640'),
  (7929, 'Fordongianus', 95020, 'N', 'D695'),
  (7930, 'Genoni', 95081, 'N', 'D968'),
  (7931, 'Ghilarza', 95021, 'N', 'E004'),
  (7932, 'Gonnoscodina', 95022, 'N', 'E087'),
  (7933, 'GonnosnÃ²', 95023, 'N', 'D585'),
  (7934, 'Gonnostramatza', 95024, 'N', 'E088'),
  (7935, 'Laconi', 95082, 'N', 'E400'),
  (7936, 'Magomadas', 95083, 'N', 'E825'),
  (7937, 'Marrubiu', 95025, 'N', 'E972'),
  (7938, 'Masullas', 95026, 'N', 'F050'),
  (7939, 'Milis', 95027, 'N', 'F208'),
  (7940, 'Modolo', 95084, 'N', 'F261'),
  (7941, 'Mogorella', 95028, 'N', 'F270'),
  (7942, 'Mogoro', 95029, 'N', 'F272'),
  (7943, 'Montresta', 95085, 'N', 'F698'),
  (7944, 'Morgongiori', 95030, 'N', 'F727'),
  (7945, 'Narbolia', 95031, 'N', 'F840'),
  (7946, 'Neoneli', 95032, 'N', 'F867'),
  (7947, 'Norbello', 95033, 'N', 'F934'),
  (7948, 'Nughedu Santa Vittoria', 95034, 'N', 'F974'),
  (7949, 'Nurachi', 95035, 'N', 'F980'),
  (7950, 'Nureci', 95036, 'N', 'F985'),
  (7951, 'Ollastra', 95037, 'N', 'G043'),
  (7952, 'Oristano', 95038, 'N', 'G113'),
  (7953, 'Palmas Arborea', 95039, 'N', 'G286'),
  (7954, 'Pau', 95040, 'N', 'G379'),
  (7955, 'Paulilatino', 95041, 'N', 'G384'),
  (7956, 'Pompu', 95042, 'N', 'G817'),
  (7957, 'Riola Sardo', 95043, 'N', 'H301'),
  (7958, 'Ruinas', 95044, 'N', 'F271'),
  (7959, 'Sagama', 95086, 'N', 'H661'),
  (7960, 'Samugheo', 95045, 'N', 'H756'),
  (7961, 'San NicolÃ² d''Arcidano', 95046, 'N', 'A368'),
  (7962, 'San Vero Milis', 95050, 'N', 'I384'),
  (7963, 'Santa Giusta', 95047, 'N', 'I205'),
  (7964, 'Santu Lussurgiu', 95049, 'N', 'I374'),
  (7965, 'Scano di Montiferro', 95051, 'N', 'I503'),
  (7966, 'Sedilo', 95052, 'N', 'I564'),
  (7967, 'Seneghe', 95053, 'N', 'I605'),
  (7968, 'Senis', 95054, 'N', 'I609'),
  (7969, 'Sennariolo', 95055, 'N', 'I613'),
  (7970, 'Siamaggiore', 95056, 'N', 'I717'),
  (7971, 'Siamanna', 95057, 'N', 'I718'),
  (7972, 'Siapiccia', 95076, 'N', 'I721'),
  (7973, 'Simala', 95058, 'N', 'I742'),
  (7974, 'Simaxis', 95059, 'N', 'I743'),
  (7975, 'Sini', 95060, 'N', 'I749'),
  (7976, 'Siris', 95061, 'N', 'I757'),
  (7977, 'SoddÃ¬', 95078, 'N', 'I778'),
  (7978, 'Solarussa', 95062, 'N', 'I791'),
  (7979, 'Sorradile', 95063, 'N', 'I861'),
  (7980, 'Suni', 95087, 'N', 'L006'),
  (7981, 'Tadasuni', 95064, 'N', 'L023'),
  (7982, 'Terralba', 95065, 'N', 'L122'),
  (7983, 'Tinnura', 95088, 'N', 'L172'),
  (7984, 'Tramatza', 95066, 'N', 'L321'),
  (7985, 'Tresnuraghes', 95067, 'N', 'L393'),
  (7986, 'UlÃ  Tirso', 95068, 'N', 'L488'),
  (7987, 'Uras', 95069, 'N', 'L496'),
  (7988, 'Usellus', 95070, 'N', 'L508'),
  (7989, 'Villa Sant''Antonio', 95048, 'N', 'I298'),
  (7990, 'Villa Verde', 95073, 'N', 'A609'),
  (7991, 'Villanova Truschedu', 95071, 'N', 'L991'),
  (7992, 'Villaurbana', 95072, 'N', 'M030'),
  (7993, 'Zeddiani', 95074, 'N', 'M153'),
  (7994, 'Zerfaliu', 95075, 'N', 'M168'),
  (7995, 'Aggius', 104001, 'N', 'A069'),
  (7996, 'Aglientu', 104002, 'N', 'H848'),
  (7997, 'AlÃ  dei Sardi', 104003, 'N', 'A115'),
  (7998, 'Arzachena', 104004, 'N', 'A453'),
  (7999, 'Badesi', 104005, 'N', 'M214'),
  (8000, 'Berchidda', 104006, 'N', 'A789'),
  (8001, 'Bortigiadas', 104007, 'N', 'B063'),
  (8002, 'BuddusÃ²', 104008, 'N', 'B246'),
  (8003, 'Budoni', 104009, 'N', 'B248'),
  (8004, 'Calangianus', 104010, 'N', 'B378'),
  (8005, 'Golfo Aranci', 104011, 'N', 'M274'),
  (8006, 'La Maddalena', 104012, 'N', 'E425'),
  (8007, 'Loiri Porto San Paolo', 104013, 'N', 'M275'),
  (8008, 'Luogosanto', 104014, 'N', 'E747'),
  (8009, 'Luras', 104015, 'N', 'E752'),
  (8010, 'Monti', 104016, 'N', 'F667'),
  (8011, 'Olbia', 104017, 'N', 'G015'),
  (8012, 'Oschiri', 104018, 'N', 'G153'),
  (8013, 'Padru', 104019, 'N', 'M301'),
  (8014, 'Palau', 104020, 'N', 'G258'),
  (8015, 'San Teodoro', 104023, 'N', 'I329'),
  (8016, 'Santa Teresa Gallura', 104022, 'N', 'I312'),
  (8017, 'Sant''Antonio di Gallura', 104021, 'N', 'M276'),
  (8018, 'Telti', 104024, 'N', 'L088'),
  (8019, 'Tempio Pausania', 104025, 'N', 'L093'),
  (8020, 'TrinitÃ  d''Agultu e Vignola', 104026, 'N', 'L428'),
  (8021, 'Arzana', 105001, 'N', 'A454'),
  (8022, 'Bari Sardo', 105002, 'N', 'A663'),
  (8023, 'Baunei', 105003, 'N', 'A722'),
  (8024, 'Cardedu', 105004, 'N', 'M285'),
  (8025, 'Elini', 105005, 'N', 'D395'),
  (8026, 'Gairo', 105006, 'N', 'D859'),
  (8027, 'Girasole', 105007, 'N', 'E049'),
  (8028, 'Ilbono', 105008, 'N', 'E283'),
  (8029, 'Jerzu', 105009, 'N', 'E387'),
  (8030, 'Lanusei', 105010, 'N', 'E441'),
  (8031, 'Loceri', 105011, 'N', 'E644'),
  (8032, 'Lotzorai', 105012, 'N', 'E700'),
  (8033, 'Osini', 105013, 'N', 'G158'),
  (8034, 'Perdasdefogu', 105014, 'N', 'G445'),
  (8035, 'Seui', 105015, 'N', 'I706'),
  (8036, 'Talana', 105016, 'N', 'L036'),
  (8037, 'Tertenia', 105017, 'N', 'L140'),
  (8038, 'TortolÃ¬', 105018, 'N', 'A355'),
  (8039, 'Triei', 105019, 'N', 'L423'),
  (8040, 'Ulassai', 105020, 'N', 'L489'),
  (8041, 'Urzulei', 105021, 'N', 'L506'),
  (8042, 'Ussassai', 105022, 'N', 'L514'),
  (8043, 'Villagrande Strisaili', 105023, 'N', 'L953'),
  (8044, 'Arbus', 106001, 'N', 'A359'),
  (8045, 'Barumini', 106002, 'N', 'A681'),
  (8046, 'Collinas', 106003, 'N', 'C882'),
  (8047, 'Furtei', 106004, 'N', 'D827'),
  (8048, 'Genuri', 106005, 'N', 'D970'),
  (8049, 'Gesturi', 106006, 'N', 'D997'),
  (8050, 'Gonnosfanadiga', 106007, 'N', 'E085'),
  (8051, 'Guspini', 106008, 'N', 'E270'),
  (8052, 'Las Plassas', 106009, 'N', 'E464'),
  (8053, 'Lunamatrona', 106010, 'N', 'E742'),
  (8054, 'Pabillonis', 106011, 'N', 'G207'),
  (8055, 'Pauli Arbarei', 106012, 'N', 'G382'),
  (8056, 'Samassi', 106013, 'N', 'H738'),
  (8057, 'San Gavino Monreale', 106014, 'N', 'H856'),
  (8058, 'Sanluri', 106015, 'N', 'H974'),
  (8059, 'Sardara', 106016, 'N', 'I428'),
  (8060, 'Segariu', 106017, 'N', 'I570'),
  (8061, 'Serramanna', 106018, 'N', 'I647'),
  (8062, 'Serrenti', 106019, 'N', 'I667'),
  (8063, 'Setzu', 106020, 'N', 'I705'),
  (8064, 'Siddi', 106021, 'N', 'I724'),
  (8065, 'Tuili', 106022, 'N', 'L463'),
  (8066, 'Turri', 106023, 'N', 'L473'),
  (8067, 'Ussaramanna', 106024, 'N', 'L513'),
  (8068, 'Villacidro', 106025, 'N', 'L924'),
  (8069, 'Villamar', 106026, 'N', 'L966'),
  (8070, 'Villanovaforru', 106027, 'N', 'L986'),
  (8071, 'Villanovafranca', 106028, 'N', 'L987'),
  (8072, 'Buggerru', 107001, 'N', 'B250'),
  (8073, 'Calasetta', 107002, 'N', 'B383'),
  (8074, 'Carbonia', 107003, 'N', 'B745'),
  (8075, 'Carloforte', 107004, 'N', 'B789'),
  (8076, 'Domusnovas', 107005, 'N', 'D334'),
  (8077, 'Fluminimaggiore', 107006, 'N', 'D639'),
  (8078, 'Giba', 107007, 'N', 'E022'),
  (8079, 'Gonnesa', 107008, 'N', 'E086'),
  (8080, 'Iglesias', 107009, 'N', 'E281'),
  (8081, 'Masainas', 107010, 'N', 'M270'),
  (8082, 'Musei', 107011, 'N', 'F822'),
  (8083, 'Narcao', 107012, 'N', 'F841'),
  (8084, 'Nuxis', 107013, 'N', 'F991'),
  (8085, 'Perdaxius', 107014, 'N', 'G446'),
  (8086, 'Piscinas', 107015, 'N', 'M291'),
  (8087, 'Portoscuso', 107016, 'N', 'G922'),
  (8088, 'San Giovanni Suergiu', 107017, 'N', 'G287'),
  (8089, 'Santadi', 107018, 'N', 'I182'),
  (8090, 'Sant''Anna Arresi', 107019, 'N', 'M209'),
  (8091, 'Sant''Antioco', 107020, 'N', 'I294'),
  (8092, 'Tratalias', 107021, 'N', 'L337'),
  (8093, 'Villamassargia', 107022, 'N', 'L968'),
  (8094, 'Villaperuccio', 107023, 'N', 'M278'),
  (8294, 'Albania', 100, 'S', 'Z100'),
  (8295, 'Andorra', 101, 'S', 'Z101'),
  (8296, 'Austria', 102, 'S', 'Z102'),
  (8297, 'Belgio', 103, 'S', 'Z103'),
  (8298, 'Bulgaria', 104, 'S', 'Z104'),
  (8299, 'Cecoslovacchia', 105, 'S', 'Z105'),
  (8300, 'CittÃ  Del Vaticano', 106, 'S', 'Z106'),
  (8301, 'Danimarca', 107, 'S', 'Z107'),
  (8302, 'Faer Oer (isole)', 108, 'S', 'Z108'),
  (8303, 'Finlandia', 109, 'S', 'Z109'),
  (8304, 'Francia', 110, 'S', 'Z110'),
  (8305, 'Germania Repubblica Democratic', 111, 'S', 'Z111'),
  (8306, 'Germania', 112, 'S', 'Z112'),
  (8307, 'Gibilterra', 113, 'S', 'Z113'),
  (8308, 'Gran Bretagna E Irlanda Del No', 114, 'S', 'Z114'),
  (8309, 'Grecia', 115, 'S', 'Z115'),
  (8310, 'Irlanda=eire', 116, 'S', 'Z116'),
  (8311, 'Islanda', 117, 'S', 'Z117'),
  (8312, 'Iugoslavia', 118, 'S', 'Z118'),
  (8313, 'Liechtenstein', 119, 'S', 'Z119'),
  (8314, 'Lussemburgo', 120, 'S', 'Z120'),
  (8315, 'Malta', 121, 'S', 'Z121'),
  (8316, 'Man (isola)', 122, 'S', 'Z122'),
  (8317, 'Monaco', 123, 'S', 'Z123'),
  (8318, 'Normanne (isole)=isole Del Can', 124, 'S', 'Z124'),
  (8319, 'Norvegia', 125, 'S', 'Z125'),
  (8320, 'Paesi Bassi', 126, 'S', 'Z126'),
  (8321, 'Repubblica Di Polonia', 127, 'S', 'Z127'),
  (8322, 'Portogallo', 128, 'S', 'Z128'),
  (8323, 'Romania', 129, 'S', 'Z129'),
  (8324, 'San Marino', 130, 'S', 'Z130'),
  (8325, 'Spagna', 131, 'S', 'Z131'),
  (8326, 'Svezia', 132, 'S', 'Z132'),
  (8327, 'Svizzera', 133, 'S', 'Z133'),
  (8328, 'Ungheria', 134, 'S', 'Z134'),
  (8329, 'Unione Repubbliche Socialiste ', 135, 'S', 'Z135'),
  (8330, 'Georgia', 254, 'S', 'Z254'),
  (8331, 'Armenia', 252, 'S', 'Z252'),
  (8332, 'Ucraina', 138, 'S', 'Z138'),
  (8333, 'Bielorussia=russia Bianca', 139, 'S', 'Z139'),
  (8334, 'Moldavia', 140, 'S', 'Z140'),
  (8335, 'Azerbaigian', 253, 'S', 'Z253'),
  (8336, 'Kirghizistan', 256, 'S', 'Z256'),
  (8337, 'Uzbekistan', 259, 'S', 'Z259'),
  (8338, 'Estonia', 144, 'S', 'Z144'),
  (8339, 'Lettonia', 145, 'S', 'Z145'),
  (8340, 'Lituania', 146, 'S', 'Z146'),
  (8341, 'Tagikistan', 257, 'S', 'Z257'),
  (8342, 'Macedonia', 148, 'S', 'Z148'),
  (8343, 'Croazia', 149, 'S', 'Z149'),
  (8344, 'Slovenia', 150, 'S', 'Z150'),
  (8345, 'Turkemenistan', 258, 'S', 'Z258'),
  (8346, 'Kazakistan', 255, 'S', 'Z255'),
  (8347, 'Bosnia Ed Erzegovina', 153, 'S', 'Z153'),
  (8348, 'Russia=federazione Russa', 154, 'S', 'Z154'),
  (8349, 'Slovacchia', 155, 'S', 'Z155'),
  (8350, 'Ceca Repubblica', 156, 'S', 'Z156'),
  (8351, 'Serbia E Montenegro', 157, 'S', 'Z157'),
  (8352, 'Serbia', 158, 'S', 'Z158'),
  (8353, 'Montenegro', 159, 'S', 'Z159'),
  (8354, 'Kossovo', 160, 'S', 'Z160'),
  (8355, 'Territori Palestinesi', 161, 'S', 'Z161'),
  (8356, 'Afghanistan', 200, 'S', 'Z200'),
  (8357, 'Arabia Meridionale Federazione', 201, 'S', 'Z201'),
  (8358, 'Arabia Meridionale Protettorat', 202, 'S', 'Z202'),
  (8359, 'Arabia Saudita', 203, 'S', 'Z203'),
  (8360, 'Bahrein', 204, 'S', 'Z204'),
  (8361, 'Bhutan', 205, 'S', 'Z205'),
  (8362, 'Birmania', 206, 'S', 'Z206'),
  (8363, 'Brunei', 207, 'S', 'Z207'),
  (8364, 'Cambogia', 208, 'S', 'Z208'),
  (8365, 'Sri Lanka', 209, 'S', 'Z209'),
  (8366, 'Cina Repubblica Popolare', 210, 'S', 'Z210'),
  (8367, 'Cipro', 211, 'S', 'Z211'),
  (8368, 'Cocos (isole)', 212, 'S', 'Z212'),
  (8369, 'Corea Del Sud', 213, 'S', 'Z213'),
  (8370, 'Corea Del Nord', 214, 'S', 'Z214'),
  (8371, 'Emirati Arabi Uniti', 215, 'S', 'Z215'),
  (8372, 'Filippine', 216, 'S', 'Z216'),
  (8373, 'Repubblica Della Cina Nazional', 217, 'S', 'Z217'),
  (8374, 'Gaza (territorio Di)', 218, 'S', 'Z218'),
  (8375, 'Giappone', 219, 'S', 'Z219'),
  (8376, 'Giordania', 220, 'S', 'Z220'),
  (8377, 'Hong Kong', 221, 'S', 'Z221'),
  (8378, 'India', 222, 'S', 'Z222'),
  (8379, 'Indonesia', 223, 'S', 'Z223'),
  (8380, 'Iran', 224, 'S', 'Z224'),
  (8381, 'Iraq', 225, 'S', 'Z225'),
  (8382, 'Israele', 226, 'S', 'Z226'),
  (8383, 'Kuwait', 227, 'S', 'Z227'),
  (8384, 'Laos', 228, 'S', 'Z228'),
  (8385, 'Libano', 229, 'S', 'Z229'),
  (8386, 'Malaysia', 247, 'S', 'Z247'),
  (8387, 'Macao', 231, 'S', 'Z231'),
  (8388, 'Maldive', 232, 'S', 'Z232'),
  (8389, 'Mongolia', 233, 'S', 'Z233'),
  (8390, 'Nepal', 234, 'S', 'Z234'),
  (8391, 'Oman', 235, 'S', 'Z235'),
  (8392, 'Pakistan', 236, 'S', 'Z236'),
  (8393, 'Qatar', 237, 'S', 'Z237'),
  (8394, 'Ryukyu (isole)', 238, 'S', 'Z238'),
  (8395, 'Sikkim', 239, 'S', 'Z239'),
  (8396, 'Siria', 240, 'S', 'Z240'),
  (8397, 'Thailandia', 241, 'S', 'Z241'),
  (8398, 'Timor (isola)', 242, 'S', 'Z242'),
  (8399, 'Turchia', 243, 'S', 'Z243'),
  (8400, 'Vietnam Del Sud', 244, 'S', 'Z244'),
  (8401, 'Vietnam Del Nord', 245, 'S', 'Z245'),
  (8402, 'Yemen', 246, 'S', 'Z246'),
  (8403, 'Singapore', 248, 'S', 'Z248'),
  (8404, 'Bangladesh', 249, 'S', 'Z249'),
  (8405, 'Yemen Repubblica Democratica P', 250, 'S', 'Z250'),
  (8406, 'Vietnam', 251, 'S', 'Z251'),
  (8407, 'Namibia', 300, 'S', 'Z300'),
  (8408, 'Algeria', 301, 'S', 'Z301'),
  (8409, 'Angola', 302, 'S', 'Z302'),
  (8410, 'Basutoland-sud Africa Britanni', 303, 'S', 'Z303'),
  (8411, 'Beciuania-sud Africa Britannic', 304, 'S', 'Z304'),
  (8412, 'Burundi', 305, 'S', 'Z305'),
  (8413, 'Camerun', 306, 'S', 'Z306'),
  (8414, 'Capo Verde', 307, 'S', 'Z307'),
  (8415, 'Centrafricana Repubblica', 308, 'S', 'Z308'),
  (8416, 'Ciad', 309, 'S', 'Z309'),
  (8417, 'Comore', 310, 'S', 'Z310'),
  (8418, 'Congo Repubblica Popolare', 311, 'S', 'Z311'),
  (8419, 'Congo Repubblica Democratica', 312, 'S', 'Z312'),
  (8420, 'Costa Di Avorio', 313, 'S', 'Z313'),
  (8421, 'Benin', 314, 'S', 'Z314'),
  (8422, 'Etiopia', 315, 'S', 'Z315'),
  (8423, 'Gabon', 316, 'S', 'Z316'),
  (8424, 'Gambia', 317, 'S', 'Z317'),
  (8425, 'Ghana', 318, 'S', 'Z318'),
  (8426, 'Guinea', 319, 'S', 'Z319'),
  (8427, 'Guinea Bissau', 320, 'S', 'Z320'),
  (8428, 'Guinea Equatoriale', 321, 'S', 'Z321'),
  (8429, 'Kenya', 322, 'S', 'Z322'),
  (8430, 'Ifni', 323, 'S', 'Z323'),
  (8431, 'La Reunion (isola)', 324, 'S', 'Z324'),
  (8432, 'Liberia', 325, 'S', 'Z325'),
  (8433, 'Libia', 326, 'S', 'Z326'),
  (8434, 'Madagascar', 327, 'S', 'Z327'),
  (8435, 'Malawi', 328, 'S', 'Z328'),
  (8436, 'Mali', 329, 'S', 'Z329'),
  (8437, 'Marocco', 330, 'S', 'Z330'),
  (8438, 'Mauritania', 331, 'S', 'Z331'),
  (8439, 'Maurizio', 332, 'S', 'Z332'),
  (8440, 'Mozambico', 333, 'S', 'Z333'),
  (8441, 'Niger', 334, 'S', 'Z334'),
  (8442, 'Nigeria', 335, 'S', 'Z335'),
  (8443, 'Egitto', 336, 'S', 'Z336'),
  (8444, 'Zimbabwe', 337, 'S', 'Z337'),
  (8445, 'Ruanda', 338, 'S', 'Z338'),
  (8446, 'Sahara Spagnolo', 339, 'S', 'Z339'),
  (8447, 'Sant Elena (isola)', 340, 'S', 'Z340'),
  (8448, 'Sao TomÃ¨ E Principe', 341, 'S', 'Z341'),
  (8449, 'Seicelle', 342, 'S', 'Z342'),
  (8450, 'Senegal', 343, 'S', 'Z343'),
  (8451, 'Sierra Leone', 344, 'S', 'Z344'),
  (8452, 'Somalia', 345, 'S', 'Z345'),
  (8453, 'Territorio Francese Degli Afar', 346, 'S', 'Z346'),
  (8454, 'Sudafricana Repubblica', 347, 'S', 'Z347'),
  (8455, 'Sudan', 348, 'S', 'Z348'),
  (8456, 'Swaziland', 349, 'S', 'Z349'),
  (8457, 'Tanganica', 350, 'S', 'Z350'),
  (8458, 'Togo', 351, 'S', 'Z351'),
  (8459, 'Tunisia', 352, 'S', 'Z352'),
  (8460, 'Uganda', 353, 'S', 'Z353'),
  (8461, 'Burkina', 354, 'S', 'Z354'),
  (8462, 'Zambia', 355, 'S', 'Z355'),
  (8463, 'Zanzibar', 356, 'S', 'Z356'),
  (8464, 'Tanzania', 357, 'S', 'Z357'),
  (8465, 'Botswana', 358, 'S', 'Z358'),
  (8466, 'Lesotho', 359, 'S', 'Z359'),
  (8467, 'Mayotte (isola)', 360, 'S', 'Z360'),
  (8468, 'Gibuti', 361, 'S', 'Z361'),
  (8469, 'Sahara Meridionale', 362, 'S', 'Z362'),
  (8470, 'Sahara Settentrionale', 363, 'S', 'Z363'),
  (8471, 'Bophuthatswana', 364, 'S', 'Z364'),
  (8472, 'Transkei', 365, 'S', 'Z365'),
  (8473, 'Venda', 366, 'S', 'Z366'),
  (8474, 'Ciskei', 367, 'S', 'Z367'),
  (8475, 'Eritrea', 368, 'S', 'Z368'),
  (8476, 'Nyasaland', 369, 'S', 'Z369'),
  (8477, 'Congo Belga', 370, 'S', 'Z370'),
  (8478, 'Bermuda (isole)', 400, 'S', 'Z400'),
  (8479, 'Canada', 401, 'S', 'Z401'),
  (8480, 'Groenlandia', 402, 'S', 'Z402'),
  (8481, 'Saint Pierre Et Miquelon (isol', 403, 'S', 'Z403'),
  (8482, 'Stati Uniti di America', 404, 'S', 'Z404'),
  (8483, 'Antille Britanniche', 523, 'S', 'Z523'),
  (8484, 'Antille Olandesi', 501, 'S', 'Z501'),
  (8485, 'Bahama', 502, 'S', 'Z502'),
  (8486, 'Costa Rica', 503, 'S', 'Z503'),
  (8487, 'Cuba', 504, 'S', 'Z504'),
  (8488, 'Dominicana Repubblica', 505, 'S', 'Z505'),
  (8489, 'El Salvador', 506, 'S', 'Z506'),
  (8490, 'Giamaica', 507, 'S', 'Z507'),
  (8491, 'Guadalupa', 508, 'S', 'Z508'),
  (8492, 'Guatemala', 509, 'S', 'Z509'),
  (8493, 'Haiti', 510, 'S', 'Z510'),
  (8494, 'Honduras', 511, 'S', 'Z511'),
  (8495, 'Belize', 512, 'S', 'Z512'),
  (8496, 'Martinica', 513, 'S', 'Z513'),
  (8497, 'Messico', 514, 'S', 'Z514'),
  (8498, 'Nicaragua', 515, 'S', 'Z515'),
  (8499, 'Panama', 516, 'S', 'Z516'),
  (8500, 'Panama Zona Del Canale', 517, 'S', 'Z517'),
  (8501, 'Puerto Rico', 518, 'S', 'Z518'),
  (8502, 'Turks E Caicos (isole)', 519, 'S', 'Z519'),
  (8503, 'Vergini Americane (isole)', 520, 'S', 'Z520'),
  (8504, 'Barbados', 522, 'S', 'Z522'),
  (8505, 'Grenada', 524, 'S', 'Z524'),
  (8506, 'Vergini Britanniche (isole)', 525, 'S', 'Z525'),
  (8507, 'Dominica', 526, 'S', 'Z526'),
  (8508, 'Saint Lucia', 527, 'S', 'Z527'),
  (8509, 'Saint Vincent E Grenadine', 528, 'S', 'Z528'),
  (8510, 'Anguilla (isola)', 529, 'S', 'Z529'),
  (8511, 'Cayman (isole)', 530, 'S', 'Z530'),
  (8512, 'Montserrat', 531, 'S', 'Z531'),
  (8513, 'Antigua E Barbuda', 532, 'S', 'Z532'),
  (8514, 'Saint Kitts E Nevis=saint Chri', 533, 'S', 'Z533'),
  (8515, 'Argentina', 600, 'S', 'Z600'),
  (8516, 'Bolivia', 601, 'S', 'Z601'),
  (8517, 'Brasile', 602, 'S', 'Z602'),
  (8518, 'Cile', 603, 'S', 'Z603'),
  (8519, 'Colombia', 604, 'S', 'Z604'),
  (8520, 'Ecuador', 605, 'S', 'Z605'),
  (8521, 'Guyana', 606, 'S', 'Z606'),
  (8522, 'Guayana=guiana Francese', 607, 'S', 'Z607'),
  (8523, 'Suriname', 608, 'S', 'Z608'),
  (8524, 'Malvine=falkland (isole)', 609, 'S', 'Z609'),
  (8525, 'Paraguay', 610, 'S', 'Z610'),
  (8526, 'PerÃ¹', 611, 'S', 'Z611'),
  (8527, 'Trinidad E Tobago', 612, 'S', 'Z612'),
  (8528, 'Uruguay', 613, 'S', 'Z613'),
  (8529, 'Venezuela', 614, 'S', 'Z614'),
  (8530, 'Australia', 700, 'S', 'Z700'),
  (8531, 'Caroline (isole)=stati Federat', 701, 'S', 'Z701'),
  (8532, 'Christmas (isola)', 702, 'S', 'Z702'),
  (8533, 'Cook (isole)', 703, 'S', 'Z703'),
  (8534, 'Figi=viti', 704, 'S', 'Z704'),
  (8535, 'Gilbert E Ellice (isole)', 705, 'S', 'Z705'),
  (8536, 'Guam (isola)', 706, 'S', 'Z706'),
  (8537, 'Irian Occidentale', 707, 'S', 'Z707'),
  (8538, 'Macquarie (isole)', 708, 'S', 'Z708'),
  (8539, 'Marcus (isole)', 709, 'S', 'Z709'),
  (8540, 'Marianne (isole)', 710, 'S', 'Z710'),
  (8541, 'Marshall', 711, 'S', 'Z711'),
  (8542, 'Midway (isole)', 712, 'S', 'Z712'),
  (8543, 'Nauru', 713, 'S', 'Z713'),
  (8544, 'Niue=savage (isole)', 714, 'S', 'Z714'),
  (8545, 'Norfolk (isole E Isole Del Mar', 715, 'S', 'Z715'),
  (8546, 'Nuova Caledonia (isole E Dipen', 716, 'S', 'Z716'),
  (8547, 'Nuove Ebridi (isole Condominio', 717, 'S', 'Z717'),
  (8548, 'Nuova Guinea', 718, 'S', 'Z718'),
  (8549, 'Nuova Zelanda', 719, 'S', 'Z719'),
  (8550, 'Papuasia', 720, 'S', 'Z720'),
  (8551, 'Isole Cilene (pasqua E Sala Y ', 721, 'S', 'Z721'),
  (8552, 'Pitcairn (e Dipendenze)', 722, 'S', 'Z722'),
  (8553, 'Polinesia Francese (isole)', 723, 'S', 'Z723'),
  (8554, 'Salomone', 724, 'S', 'Z724'),
  (8555, 'Samoa Americane (isole)', 725, 'S', 'Z725'),
  (8556, 'Samoa', 726, 'S', 'Z726'),
  (8557, 'Tokelau=isole Dell unione', 727, 'S', 'Z727'),
  (8558, 'Tonga=isole Degli Amici', 728, 'S', 'Z728'),
  (8559, 'Wallis E Futuna (isole)', 729, 'S', 'Z729'),
  (8560, 'Papua Nuova Guinea', 730, 'S', 'Z730'),
  (8561, 'Kiribati', 731, 'S', 'Z731'),
  (8562, 'Tuvalu', 732, 'S', 'Z732'),
  (8563, 'Vanuatu', 733, 'S', 'Z733'),
  (8564, 'Palau', 734, 'S', 'Z734'),
  (8565, 'Micronesia Stati Federati', 735, 'S', 'Z735'),
  (8566, 'Dipendenze Canadesi', 800, 'S', 'Z800'),
  (8567, 'Dipendenze Norvegesi Artiche', 801, 'S', 'Z801'),
  (8568, 'Dipendenze Russe', 802, 'S', 'Z802'),
  (8569, 'Dipendenze Australiane', 900, 'S', 'Z900'),
  (8570, 'Dipendenze Britanniche', 901, 'S', 'Z901'),
  (8571, 'Dipendenze Francesi', 902, 'S', 'Z902'),
  (8572, 'Dipendenze Neozelandesi', 903, 'S', 'Z903'),
  (8573, 'Dipendenze Norvegesi Antartich', 904, 'S', 'Z904'),
  (8574, 'Dipendenze Statunitensi', 905, 'S', 'Z905'),
  (8575, 'Dipendenze Sudafricane', 906, 'S', 'Z906'),
  (9999, 'NON DEFINITO', NULL, 'A', '');


INSERT INTO tbl_materiesidi (tiposcuola, descrizione, codice, descrizionebreve) VALUES
  (4, 'LINGUA E LETTERATURA ITALIANA', 11, 'LING. LET. ITALIANA'),
  (4, 'LINGUA E LETTERE ITALIANE', 12, 'LING. LET. ITALIANE'),
  (4, 'LINGUA E CULTURA ITALIANA', 13, 'LING. CULT. ITALIANA'),
  (4, 'SLOVENO', 14, 'SLOVENO'),
  (4, 'LINGUA E CULTURA LATINA', 15, 'LING. CULT. LATINA'),
  (4, 'LINGUA E CULTURA GRECA', 16, 'LING. CULT. GRECA'),
  (4, 'LINGUA LATINA', 17, 'LINGUA LATINA'),
  (4, 'LINGUA E LETTERATURA CLASSICA', 18, 'LING. LET. CLASSICA'),
  (4, 'LINGUA E LETTERATURA CLASSICA (LATINO)', 19, 'LING. LET.CL. LATINO'),
  (4, 'LINGUA E LETTERATURA CLASSICA (GRECO)', 20, 'LING. LET.CL. GRECO'),
  (4, 'SCIENZE UMANE E SOCIALI', 23, 'SC. UMA. SOC.'),
  (4, 'SCIENZE UMANE (ANTROPOLOGIA, PEDAGOGIA, PSICOLOGIA E SOCIOLOGIA)', 24, 'SC. ANT.PED.PSI.SOC'),
  (4, 'LINGUA E CULTURA STRANIERA', 25, 'LING. CULT. STRA.'),
  (4, 'LINGUA E CULTURA STRANIERA 1', 26, 'LING. CULT. STRA.1'),
  (4, 'LINGUA E CULTURA STRANIERA 2', 27, 'LING. CULT. STRA.2'),
  (4, 'LINGUA INGLESE', 28, 'LINGUA INGLESE'),
  (4, 'SECONDA LINGUA STRANIERA', 29, 'SEC. LIN. STRANIERA'),
  (4, 'SECONDA LINGUA COMUNITARIA', 30, 'SEC. LIN. COMUNIT.'),
  (4, 'LINGUA E CULTURA STRANIERA 1 E CONVERSAZIONE CON DOCENTE MADRELINGUA', 31, 'LI.CULT.STRA. 1 CONV'),
  (4, 'LINGUA E CULTURA STRANIERA 2 E CONVERSAZIONE CON DOCENTE MADRELINGUA', 32, 'LI.CULT.STRA. 2 CONV'),
  (4, 'LINGUA E CULTURA STRANIERA 3 E CONVERSAZIONE CON DOCENTE MADRELINGUA', 33, 'LI.CULT.STRA. 3 CONV'),
  (4, 'LINGUA EUROPEA 1', 34, 'LINGUA EUROPEA 1'),
  (4, 'LINGUA EUROPEA 2', 35, 'LINGUA EUROPEA 2'),
  (4, 'LINGUA STRANIERA 1', 36, 'LINGUA STRANIERA 1'),
  (4, 'LINGUA STRANIERA 2', 37, 'LINGUA STRANIERA 2'),
  (4, 'LINGUA STRANIERA 3', 38, 'LINGUA STRANIERA 3'),
  (4, 'STORIA E GEOGRAFIA', 39, 'STORIA E GEOGRAFIA'),
  (4, 'STORIA', 40, 'STORIA'),
  (4, 'GEOGRAFIA', 41, 'GEOGRAFIA'),
  (4, 'MATEMATICA CON INFORMATICA AL PRIMO BIENNIO', 42, 'MAT. INFO. I BIENNIO'),
  (4, 'MATEMATICA', 43, 'MATEMATICA'),
  (4, 'INFORMATICA', 44, 'INFORMATICA'),
  (4, 'INFORMATICA E LABORATORIO', 45, 'INFORMATICA LAB.'),
  (4, 'MATEMATICA E INFORMATICA', 46, 'MAT. INFO.'),
  (4, 'FISICA', 47, 'FISICA'),
  (4, 'SCIENZE NATURALI (BIOLOGIA, CHIMICA, SCIENZE DELLA TERRA)', 48, 'SC.BIO.CHI.SC.TER.'),
  (4, 'SCIENZE INTEGRATE (SCIENZE DELLA TERRA E BIOLOGIA)', 49, 'SC.INT.SE.TER.BIO.'),
  (4, 'SCIENZE INTEGRATE (FISICA)', 50, 'SC.INT.FISICA'),
  (4, 'SCIENZE INTEGRATE (CHIMICA)', 51, 'SC.INT.CHIMICA'),
  (4, 'SCIENZE DELLA TERRA E GEOGRAFIA, CHIMICA, BIOLOGIA', 52, 'SC.TER.GEO.CHI.BIO'),
  (4, 'SCIENZE', 53, 'SCIENZE'),
  (4, 'DISEGNO E STORIA DELLâ€™ARTE', 54, 'DIS. E ST.ARTE'),
  (4, 'STORIA DELLâ€™ARTE', 55, 'STORIA DELLâ€™ARTE'),
  (4, 'DISCIPLINE GRAFICHE E PITTORICHE', 56, 'DISC.GRA.PIT.'),
  (4, 'DISCIPLINE GEOMETRICHE', 57, 'DISC. GEOM.'),
  (4, 'DISCIPLINE PLASTICHE E SCULTOREE', 58, 'DISC. PLAST. SCULT.'),
  (4, 'LABORATORIO ARTISTICO', 59, 'LAB. ARTISTICO'),
  (4, 'MUSICA', 60, 'MUSICA'),
  (4, 'ESECUZIONE E INTERPRETAZIONE', 61, 'ESEC. INTERP.'),
  (4, 'TEORIA, ANALISI E COMPOSIZIONE', 62, 'TEO. ANA. COMP.'),
  (4, 'STORIA DELLA MUSICA', 63, 'STORIA DELLA MUSICA'),
  (4, 'LABORATORIO DI MUSICA Dâ€™INSIEME', 64, 'LAB. MUS. INSIEME'),
  (4, 'TECNOLOGIE MUSICALI', 65, 'TECNOLOGIE MUSICALI'),
  (4, 'TECNICHE DELLA DANZA ', 66, 'TEC. DELLA DANZA'),
  (4, 'LABORATORIO COREUTICO ', 67, 'LAB. COREUTICO'),
  (4, 'TEORIA E PRATICA MUSICALE PER LA DANZA', 68, 'TEO.PRA.MUS.DANZA'),
  (4, 'EDUCAZIONE CIVICA, GIURIDICA E ECONOMICA', 69, 'ED.CIV.GIU.ECO.'),
  (4, 'DIRITTO ED ECONOMIA', 70, 'DIRITTO ED ECONOMIA'),
  (4, 'DIRITTO ED ECONOMIA POLITICA', 71, 'DIR. EC. POLITICA'),
  (4, 'ECONOMIA AZIENDALE', 72, 'ECO.AZ.'),
  (4, 'TECNOLOGIE E TECNICHE DI RAPPRESENTAZIONE GRAFICA', 73, 'TECNOL. TEC.RAP.GRA.'),
  (4, 'TECNOLOGIE INFORMATICHE', 74, 'TECN. INFORMATICO'),
  (4, 'TECNOLOGIE DELLâ€™INFORMAZIONE E DELLA COMUNICAZIONE', 75, 'TECN. INF. COM.'),
  (4, 'ECOLOGIA E PEDOLOGIA', 76, 'ECOLOGIA E PEDOLOGIA'),
  (4, 'LABORATORI TECNOLOGICI ED ESERCITAZIONI', 77, 'LAB. TEC. ESERC.'),
  (4, 'ELEMENTI DI STORIA DELLâ€™ARTE ED ESPRESSIONI GRAFICHE', 78, 'EL.ST.ARTE ESP.GRA.'),
  (4, 'METODOLOGIE OPERATIVE', 79, 'METOD. OPERATIVE'),
  (4, 'ANATOMIA FISIOLOGIA IGIENE', 80, 'ANAT. FISIO. IGIE.'),
  (4, 'RAPPRESENTAZIONE E MODELLAZIONE ODONTOTECNICA', 81, 'RAP. MOD. ODONTO.'),
  (4, 'ESERCITAZIONI DI LABORATORIO DI ODONTOTECNICA', 82, 'ES. LAB. ODONTO.'),
  (4, 'DISCIPLINE SANITARIE (ANATOMIA, FISIOPATOLOGIA OCULARE E IGIENE)', 83, 'DISC, SANITARIE'),
  (4, 'OTTICA, OTTICA APPLICATA', 84, 'OTT. OTT. APPLICATA'),
  (4, 'ESERCITAZIONI DI LENTI OFTALMICHE', 85, 'ES. LENTI OFT.'),
  (4, 'SCIENZA DEGLI ALIMENTI', 86, 'SC. ALIMENTI'),
  (4, 'LABORATORIO DI SERVIZI ENOGASTRONOMICI – SETTORE CUCINA', 87, 'LAB.SER.ENOGA.CUCINA'),
  (4, 'LABORATORIO DI SERVIZI ENOGASTRONOMICI – SETTORE SALA E VENDITA', 88, 'LAB.SER.ENOGA.SALA'),
  (4, 'LABORATORIO DI SERVIZI DI ACCOGLIENZA TURISTICA', 89, 'LAB.SER. ACC. TUR.'),
  (4, 'TECNICHE PROFESSIONALI DEI SERVIZI COMMERCIALI', 90, 'TEC.PROF.SERV.COM.'),
  (4, 'LETTERE CLASSICHE', 91, 'LETTERE CLASSICHE'),
  (4, 'SCIENZE E TECNOLOGIE APPLICATE', 92, 'SC. TECN. APP.'),
  (4, 'EDUCAZIONE MUSICALE', 93, 'EDUC. MUSICALE'),
  (4, 'AGRONOMIA TERRITORIALE ED ECOSISTEMI FORESTALI', 94, 'AGRO.TER.ECO'),
  (4, 'ARTE E TERRITORIO', 96, 'ARTE.TER.'),
  (4, 'BIOLOGIA APPLICATA', 97, 'BIO.APP.'),
  (4, 'BIOLOGIA, MICROBIOLOGIA E TECNOLOGIE DI CONTROLLO AMBIENTALE              ', 98, 'BIO.MICRO.AMB.'),
  (4, 'BIOLOGIA, MICROBIOLOGIA E TECNOLOGIE DI CONTROLLO SANITARIO     ', 99, 'BIO.MICO.SAN'),
  (4, 'BIOTECNOLOGIE AGRARIE', 100, 'BIOTEC.AGR.'),
  (4, 'CHIMICA (DEI MATERIALI)', 101, 'CHIMI. MATE.'),
  (4, 'CHIMICA ANALITICA E STRUMENTALE   ', 102, 'CHIMI. ANA.'),
  (4, 'CHIMICA APPLICATA E NOBILITAZIONE DEI MATERIALI PER I PRODOTTI MODA   ', 103, 'CHIMI.MODA'),
  (4, 'CHIMICA APPLICATA E PROCESSI DI TRASFORMAZIONE', 104, 'CHIMI.TRASFO.'),
  (4, 'CHIMICA ORGANICA E BIOCHIMICA', 105, 'CHIMI.BIO.'),
  (4, 'COMPLEMENTI DI MATEMATICA', 106, 'COMPL.MAT.'),
  (4, 'DIRITTO', 107, 'DIR.'),
  (4, 'DIRITTO E LEGISLAZIONE SOCIO-SANITARIA', 108, 'DIR.LEG.SAN.'),
  (4, 'DIRITTO E LEGISLAZIONE TURISTICA', 109, 'DIR.TUR'),
  (4, 'DIRITTO E PRATICA COMMERCIALE, LEGISLAZIONE SOCIO-SANITARIA ', 110, 'DIR.PRAT.SAN.'),
  (4, 'DIRITTO E TECNICHE AMMINISTRATIVE DELLA STRUTTURA RICETTIVA', 111, 'DIR.TEC.AM.'),
  (4, 'DISCIPLINE AUDIOVISIVE E MULTIMEDIALI ', 112, 'DISC.AUDIO'),
  (4, 'DISCIPLINE GEOMETRICHE E SCENOTECNICHE', 113, 'DISC.GEO.SCENO'),
  (4, 'DISCIPLINE GRAFICHE ', 114, 'DISC.GRAF.'),
  (4, 'DISCIPLINE PITTORICHE E/O DISCIPLINE PLASTICHE E SCULTOREE', 115, 'DISC.PIT.SCULT'),
  (4, 'DISCIPLINE PROGETTUALI ARCHITETTURA E AMBIENTE', 116, 'DISC.ARC.AMB'),
  (4, 'DISCIPLINE PROGETTUALI DESIGN', 117, 'DISC.PROG.DES.'),
  (4, 'DISCIPLINE PROGETTUALI SCENOGRAFICHE', 118, 'DISC.PROG.SCENO.'),
  (4, 'DISCIPLINE SANITARIE (ANATOMIA, FISIOPATOLOGIA OCULARE E IGIENE)', 119, 'DISC.SAN.'),
  (4, 'DISCIPLINE TURISTICHE E AZIENDALI', 120, 'DISC.TUR.AZIE.'),
  (4, 'DISEGNO, PROGETTAZIONE E ORGANIZZAZIONE INDUSTRIALE                 ', 121, 'DIS.PROG.IND.'),
  (4, 'ECONOMIA AGRARIA E DELLO SVILUPPO TERRITORIALE', 122, 'ECO.AGR'),
  (4, 'ECONOMIA AZIENDALE E GEO-POLITICA', 123, 'ECO.AZ.GEO'),
  (4, 'ECONOMIA E MARKETING DELLE AZIENDE DELLA MODA  ', 124, 'ECO.MKTG.MODA'),
  (4, 'ECONOMIA POLITICA', 125, 'ECO.POLI.'),
  (4, 'ECONOMIA, ESTIMO, MARKETING E LEGISLAZIONE', 126, 'ECO.ESTI.MKTG.LEG'),
  (4, 'ELETTROTECNICA ED ELETTRONICA', 127, 'ELETTRO.ELE'),
  (4, 'ELETTROTECNICA, ELETTRONICA E AUTOMAZIONE', 128, 'ELETTRO.AUTO.'),
  (4, 'ESERCITAZIONI DI CONTATTOLOGIA', 129, 'ESER.CONTAT.'),
  (4, 'ESERCITAZIONI DI LABORATORIO  DI  ODONTOTECNICA', 130, 'ESER.ODO'),
  (4, 'ESERCITAZIONI DI LENTI OFTALMICHE', 131, 'ESER.LENTI.'),
  (4, 'ESERCITAZIONI DI OPTOMETRIA', 132, 'ESER.OPTO'),
  (4, 'FILOSOFIA', 133, 'FILOSOFIA'),
  (4, 'FISICA AMBIENTALE                       ', 134, 'FISICA.AMB.'),
  (4, 'GENIO RURALE', 135, 'GENIO.RUR.'),
  (4, 'GEOGRAFIA TURISTICA', 136, 'GEOGR.TUR'),
  (4, 'GEOLOGIA E GEOLOGIA APPLICATA', 137, 'GEO.APPL.'),
  (4, 'GEOPEDOLOGIA, ECONOMIA ED ESTIMO', 138, 'GEOPED.ECO.ESTI'),
  (4, 'GESTIONE DEL CANTIERE E SICUREZZA DELLâ€™AMBIENTE DI LAVORO', 139, 'GEST.CANT.'),
  (4, 'GESTIONE PROGETTO, ORGANIZZAZIONE Dâ€™IMPRESA', 140, 'GEST.PROG.'),
  (4, 'IDEAZIONE, PROGETTAZIONE E INDUSTRIALIZZAZIONE DEI PRODOTTI MODA', 141, 'IDEA.MOD'),
  (4, 'IGIENE E CULTURA MEDICO-SANITARIA ', 142, 'IGIE.CULT.'),
  (4, 'IGIENE, ANATOMIA, FISIOLOGIA, PATOLOGIA', 143, 'IGIE.ANATO'),
  (4, 'IMPIANTI ENERGETICI, DISEGNO E PROGETTAZIONE', 144, 'IMP.ENERG.'),
  (4, 'LABORATORI TECNICI', 145, 'LAB.TEC.'),
  (4, 'LABORATORI TECNOLOGICI ED ESERCITAZIONI (solo ITP)', 146, 'LAB.TECNO.ESE.'),
  (4, 'LABORATORIO DI ARCHITETTURA', 147, 'LAB. ARC'),
  (4, 'LABORATORIO AUDIOVISIVO E MULTIMEDIALE', 148, 'LAB.AUDIO.MULT.'),
  (4, 'LABORATORIO COREOGRAFICO', 149, 'LAB.COREO'),
  (4, 'LABORATORIO DELLA FIGURAZIONE', 150, 'LAB. FIGU'),
  (4, 'LABORATORIO DEL DESIGN', 151, 'LAB.DES.'),
  (4, 'LABORATORIO DI GRAFICA', 152, 'LAB.GRAF.'),
  (4, 'LABORATORIO DI SCENOGRAFIA', 153, 'LAB.SCENO'),
  (4, 'LABORATORIO DI SERVIZI DI ACCOGLIENZA TURISTICA', 154, 'LAB.TUR.'),
  (4, 'LABORATORIO DI SERVIZI ENOGASTRONOMICI - SETTORE CUCINA', 155, 'LAB.ENO.CUC.'),
  (4, 'LABORATORIO DI SERVIZI ENOGASTRONOMICI – SETTORE SALA E VENDITA', 156, 'LAB.ENO.SAL'),
  (4, 'LEGISLAZIONE SANITARIA          ', 157, 'LEG.SAN.'),
  (4, 'LOGISTICA', 158, 'LOGISTICA'),
  (4, 'MECCANICA E MACCHINE ', 159, 'MEC.MAC.'),
  (4, 'MECCANICA, MACCHINE E SISTEMI PROPULSIVI', 160, 'MEC.MAC.PROP.'),
  (4, 'MECCANICA, MACCHINE ED ENERGIA', 161, 'MEC.MAC.ENE.'),
  (4, 'METODOLOGIE OPERATIVE ', 162, 'MET.OP.'),
  (4, 'PRODUZIONI ANIMALI', 163, 'PROD.ANI.'),
  (4, 'PRODUZIONI VEGETALI', 164, 'PROD.VEG.'),
  (4, 'PROGETTAZIONE E  REALIZZAZIONE DEL PRODOTTO', 165, 'PROG.PROD.'),
  (4, 'PROGETTAZIONE MULTIMEDIALE', 166, 'PROG.MULT'),
  (4, 'PROGETTAZIONE, COSTRUZIONI E IMPIANTI', 167, 'PROG.COSTR.IMP.'),
  (4, 'PSICOLOGIA GENERALE ED APPLICATA', 168, 'PSICO.APPL.'),
  (4, 'RAPPRESENTAZIONE E MODELLAZIONE ODONTOTECNICA ', 169, 'RAP.ODO'),
  (4, 'RELAZIONI INTERNAZIONALI  ', 170, 'RELAZ.INT.'),
  (4, 'SCIENZA E CULTURA DELLâ€™ALIMENTAZIONE', 171, 'SC.CULT.ALI.'),
  (4, 'SCIENZE DEI MATERIALI DENTALI E LABORATORIO', 172, 'SC.MAT.DENT.'),
  (4, 'SCIENZE DELLA NAVIGAZIONE E STRUTTURA DEI MEZZI DI TRASPORTO', 173, 'SC.NAV.MEZ.TRAS.'),
  (4, 'SCIENZE DELLA NAVIGAZIONE, STRUTTURA E COSTRUZIONE DEL MEZZO ', 174, 'SC.NAV.MEZ.COSTR.'),
  (4, 'SISTEMI AUTOMATICI', 175, 'SIST.AUTO.'),
  (4, 'SISTEMI E AUTOMAZIONE', 176, 'SIST.E.AUTO'),
  (4, 'SISTEMI E RETI ', 177, 'SIST.RET.'),
  (4, 'STORIA DELLA DANZA', 178, 'STORIA.DANZA'),
  (4, 'STRUTTURA, COSTRUZIONE, SISTEMI E IMPIANTI DEL MEZZO', 179, 'STRUT.COSTR.'),
  (4, 'TECNICHE DI ALLEVAMENTO VEGETALE E ANIMALE', 180, 'TEC.ALLE.'),
  (4, 'TECNICHE DI PRODUZIONE E DI ORGANIZZAZIONE', 181, 'TEC.PROD.'),
  (4, 'TECNICHE PROFESSIONALI DEI SERVIZI COMMERCIALI', 182, 'TEC.PROF.'),
  (4, 'TECNOLOGIE APPLICATE AI MATERIALI E AI PROCESSI PRODUTTIVI ', 183, 'TECNO.APPL.'),
  (4, 'TECNOLOGIE CHIMICHE INDUSTRIALI', 184, 'TECNO.CHIM.'),
  (4, 'TECNOLOGIE DEI MATERIALI E DEI PROCESSI PRODUTTIVI E ORGANIZZATIVI DELLA MODA                                                                        ', 185, 'TECNO.MAT.'),
  (4, 'TECNOLOGIE DEI PROCESSI DI PRODUZIONE', 186, 'TECNO.PROC'),
  (4, 'TECNOLOGIE DELLA COMUNICAZIONE    ', 187, 'TECNO.COM'),
  (4, 'TECNOLOGIE E PROGETTAZIONE DI SISTEMI ELETTRICI ED ELETTRONICI  ', 188, 'TECNO.PROG.ELE.'),
  (4, 'TECNOLOGIE E PROGETTAZIONE DI SISTEMI INFORMATICI E DI TELECOMUNICAZIONI ', 189, 'TECNO.PROG.INFO.'),
  (4, 'TECNOLOGIE E TECNICHE DI INSTALLAZIONE E DI MANUTENZIONE', 190, 'TECNO.INST.MANU.'),
  (4, 'TECNOLOGIE ELETTRICO-ELETTRONICHE E APPLICAZIONI', 191, 'TECNO.ELET.'),
  (4, 'TECNOLOGIE MECCANICHE DI PROCESSO E PRODOTTO', 192, 'TECNO.MEC.PROD.'),
  (4, 'TECNOLOGIE MECCANICHE E APPLICAZIONI', 193, 'TECNO.MEC.APPL.'),
  (4, 'TECNOLOGIE PER LA GESTIONE DEL TERRITORIO E DELLâ€™AMBIENTE', 194, 'TECNO.TER.AMB.'),
  (4, 'TELECOMUNICAZIONI', 195, 'TELECOM.'),
  (4, 'TEORIA DELLA COMUNICAZIONE', 196, 'TEORIA.COM.'),
  (4, 'TERZA LINGUA STRANIERA               ', 197, 'TERZ.LING.STRANIERA'),
  (4, 'TOPOGRAFIA', 198, 'TOPOGRAFIA'),
  (4, 'TOPOGRAFIA E COSTRUZIONI', 199, 'TOPOGRAFIA.COSTR'),
  (4, 'TRASFORMAZIONE DEI PRODOTTI', 200, 'TRASF.PRODOTTI'),
  (4, 'AGRONOMIA DEL TERRITORIO MONTANO E SISTEMAZIONI IDRAULICO-FORESTALI', 201, 'AGRO.TER.MONT'),
  (4, 'ECONOMIA AGRARIA E LEGISLAZIONE DI SETTORE', 202, 'ECO.AGR.LEG.'),
  (4, 'SOCIOLOGIA RURALE, VALORIZZAZIONE E SVILUPPO DEL TERRITORIO MONTANO', 203, 'SOC.RUR.'),
  (4, 'SILVICOLTURA E UTILIZZAZIONI FORESTALI', 204, 'SILV.FOR.'),
  (4, 'GESTIONE DI PARCHI, AREE PROTETTE E ASSESTAMENTO FORESTALE', 205, 'GEST.PARC.FOR'),
  (4, 'VALORIZZAZIONE DELLE ATTIVITÀ PRODUTTIVE E LEGISLAZIONE NAZIONALE E COMUNITARIA', 206, 'VAL.AT.LEG.COM'),
  (4, 'SOCIOLOGIA RURALE E STORIA DELLâ€™AGRICOLTURA', 207, 'SOC.RUR.STO.AGR.'),
  (4, 'ECONOMIA DEI MERCATI E MARKETING AGROALIMENTARE ED ELEMENTI DI LOGISTICA', 208, 'ECO.MKTG.AGRO'),
  (4, 'SCIENZA E CULTURA DELLâ€™ALIMENTAZIONE, ANALISI E CONTROLLI MICROBIOLOGICI DEI PRODOTTI ALIMENTARI', 209, 'CULT.AL.MICROBIO.'),
  (4, 'DIRITTO E TECNICHE AMMINISTRATIVE', 210, 'DIR.AM.'),
  (4, 'LABORATORIO DI SERVIZI  ENOGASTRONOMICI - SETTORE PASTICCERIA', 211, 'LAB.ENO.PAST.'),
  (4, 'ANALISI E CONTROLLI CHIMICI DEI PRODOTTI ALIMENTARI', 212, 'ANA.CHI.AL.'),
  (4, 'TECNICHE DI ORGANIZZAZIONE E GESTIONE DEI PROCESSI PRODUTTIVI', 213, 'TEC.ORG.PROD.'),
  (4, 'TECNICHE PROFESSIONALI DEI SERVIZI COMMERCIALI PUBBLICITARI', 214, 'TEC.PROF.SERV.COM.PUBL.'),
  (4, 'STORIA DELLâ€™ARTE ED ESPRESSIONI GRAFICO – ARTISTICHE', 215, 'STO.ARTE.GRAF.'),
  (4, 'TECNICHE DI COMUNICAZIONE', 216, 'TEC.COM.'),
  (4, 'TECNOLOGIE ELETTRICO - ELETTRONICHE, DELLâ€™AUTOMAZIONE E APPLICAZIONI', 217, 'TECNO.ELET.AUT.'),
  (4, 'TECNOLOGIE E TECNICHE DI INSTALLAZIONE E DI MANUTENZIONE DI APPARATI E IMPIANTI CIVILI E INDUSTRIALI', 218, 'TECNO.IST.MANU.'),
  (4, 'TECNOLOGIE E TECNICHE DI DIAGNOSTICA E MANUTENZIONE DEI MEZZI DI TRASPORTO', 219, 'TECNO.MANU.TRAS.'),
  (4, 'TECNICHE DI GESTIONE-CONDUZIONE DI MACCHINARI E IMPIANTI', 220, 'TEC.MAC.IMP'),
  (4, 'DISEGNO PROFESSIONALE E VISUALIZZAZIONI DIGITALI', 221, 'DIS.PROF.DIG'),
  (4, 'STORIA E STILI DELLâ€™ARREDAMENTO', 222, 'STO.STI.AR.'),
  (4, 'STORIA DELLE ARTI VISIVE', 223, 'STO.ARTE.VISI.'),
  (4, 'LINGUAGGI E TECNICHE DELLA PROGETTAZIONE E COMUNICAZIONE AUDIOVISIVA', 224, 'LING.TEC.PROG.AUDIOVID.'),
  (4, 'LABORATORI TECNOLOGICI ED ESERCITAZIONI TESSILI - ABBIGLIAMENTO', 225, 'LABO.TES.AB.'),
  (4, 'TECNOLOGIE APPLICATE AI MATERIALI E AI PROCESSI PRODUTTIVI TESSILI - ABBIGLIAMENTO', 226, 'TECNO.TES.AB.'),
  (4, 'PROGETTAZIONE TESSILE - ABBIGLIAMENTO, MODA E COSTUME', 227, 'PROG.TES.AB.MODA.CO.'),
  (4, 'TECNICHE DI DISTRIBUZIONE E MARKETING', 228, 'TEC.DIST.MKTG.'),
  (4, 'DISEGNO PROFESSIONALE RAPPRESENTAZIONI GRAFICHE DIGITALI', 229, 'DIS.PROF.GRAF.DIG.'),
  (4, 'STORIA DELLE ARTI APPLICATE', 230, 'STO.ART.APPL.'),
  (4, 'ORGANIZZAZIONE E GESTIONE DEI PROCESSI PRODUTTIVI     ', 231, 'ORG.PROD.'),
  (4, 'GESTIONE DELLâ€™AMBIENTE E DEL TERRITORIO', 232, 'GEST.AMB.TER'),
  (4, 'VITICOLTURA E DIFESA DELLA VITE', 233, 'VITICOLTURA'),
  (4, 'ENOLOGIA ', 234, 'ENOLOGIA'),
  (4, 'BIOTECNOLOGIE VITIVINICOLE', 235, 'BIO.VITI'),
  (4, 'TECNICA AMMINISTRATIVA ED ECONOMIA SOCIALE', 236, 'TEC.AM.ECO.SOC.'),
  (4, 'VALORIZZAZIONE DELLE ATTIVITÀ PRODUTTIVE E LEGISLAZIONE DI SETTORE', 237, 'VAL.AT.PORD.LEG'),
  (4, 'TECNOLOGIE MECCANICHE DI PROCESSO E PRODOTTO NELLâ€™INDUSTRIA DELLâ€™OCCHIALE', 238, 'TECNO.OCCHIALE'),
  (4, 'SCIENZA DEI MATERIALI', 239, 'SCIENZA.MATE.'),
  (4, 'STRUTTURA, COSTRUZIONE, SISTEMI E IMPIANTI DEL MEZZO AEREO ', 241, 'STRUT.AEREO'),
  (4, 'STRUTTURA, COSTRUZIONE, SISTEMI E IMPIANTI DEL MEZZO NAVALE', 242, 'STRUT.NAV.'),
  (4, 'SCIENZE DELLA NAVIGAZIONE, STRUTTURA E COSTRUZIONE DEL MEZZO NAVALE', 243, 'SCIE.NAV.MEZZO.NAV'),
  (4, 'IMPIANTI DI CARTIERA E DISEGNO', 244, 'IMP.CARTIERA'),
  (4, 'CHIMICA CARTARIA', 245, 'CHIMI.CART.'),
  (4, 'TECNOLOGIE DEI PROCESSI DI PRODUZIONE E LABORATORIO', 246, 'TECNO.PROD.LAB.'),
  (4, 'CHIMICA ANALITICA E ANALISI APPLICATE ', 247, 'CHIMI.ANA.APPL.'),
  (4, 'TECNOLOGIE E BIOTECNOLOGIE CONCIARIE', 248, 'TECNO.CONCIARIE'),
  (4, 'TECNOLOGIE  DEL LEGNO NELLE COSTRUZIONI', 249, 'TECNO.LEGNO'),
  (4, 'TECNOLOGIE MECCANICHE E PLASTURGICHE, DISEGNO E ORGANIZZAZIONE AZIENDALE', 250, 'TECNO.PLAST.'),
  (4, 'MATEMATICA E COMPLEMENTI DI MATEMATICA ', 251, 'MAT.COMPL.MAT'),
  (4, 'GNATOLOGIA', 252, 'GNAT.'),
  (1, 'ITALIANO', 1001, 'ITALIANO'),
  (1, 'SLOVENO', 1002, 'SLOVENO'),
  (1, 'LINGUA INGLESE', 1003, 'INGLESE'),
  (1, 'STORIA', 1004, 'STORIA'),
  (1, 'GEOGRAFIA', 1005, 'GEOGRAFIA'),
  (1, 'MATEMATICA ', 1006, 'MATEMATICA'),
  (1, 'SCIENZE', 1007, 'SCIENZE'),
  (1, 'MUSICA', 1008, 'MUSICA'),
  (1, 'ARTE E IMMAGINE', 1009, 'ARTE IMMAGINE'),
  (1, 'TECNOLOGIA', 1010, 'TECNOLOGIA'),
  (1, 'EDUCAZIONE FISICA', 1555, 'EDU.FISI.'),
  (1, 'RELIGIONE CATTOLICA/ATTIVITA'' ALTERNATIVA', 1666, 'RELIG. CATT./ ATT. ALTER'),
  (1, 'COMPORTAMENTO', 1999, 'COMPORTAMENTO'),
  (2, 'ITALIANO', 2001, 'ITALIANO'),
  (2, 'SLOVENO', 2002, 'SLOVENO'),
  (2, 'LINGUA INGLESE', 2003, 'INGLESE'),
  (2, 'STORIA', 2004, 'STORIA'),
  (2, 'GEOGRAFIA', 2005, 'GEOGRAFIA'),
  (2, 'MATEMATICA', 2006, 'MATEMATICA'),
  (2, 'SCIENZE', 2007, 'SCIENZE'),
  (2, 'TECNOLOGIA', 2008, 'TECNOLOGIA'),
  (2, 'ARTE E IMMAGINE', 2010, 'ARTE IMMAGINE'),
  (2, 'DISCIPLINE PITTORICHE', 2011, 'DISC. PITTORICHE'),
  (2, 'DISCIPLINE PLASTICHE', 2012, 'DISC. PLASTICHE'),
  (2, 'MUSICA', 2013, 'MUSICA'),
  (2, 'STRUMENTO MUSICALE', 2014, ''),
  (2, 'SECONDA LINGUA COMUNITARIA', 2015, ''),
  (2, 'EDUCAZIONE FISICA', 2555, 'EDU.FIS.'),
  (2, 'RELIGIONE CATTOLICA/ATTIVITA'' ALTERNATIVA', 2666, 'RELIG. CATT./ ATT. ALTER'),
  (2, 'DISCIPLINA AUTONOMIA', 2777, 'DISCIPLINA AUTONOMIA'),
  (2, 'COMPORTAMENTO', 2999, 'COMPORTAMENTO'),
  (4, 'SCIENZE MOTORIE E SPORTIVE', 5555, 'SC. MOT. SPORT.'),
  (4, 'RELIGIONE CATTOLICA/ATTIVITA'' ALTERNATIVA', 6666, 'RELIG. CATT./ ATT. ALTER'),
  (4, 'DISCIPLINA AUTONOMIA', 7777, 'MATERIA AUTONOMIA'),
  (4, 'DISCIPLINA FLESSIBILITA''', 8888, 'MATERIA FLEX'),
  (4, 'COMPORTAMENTO', 9999, 'COMPORTAMENTO');


INSERT INTO tbl_certcompcompetenze (idccc, numprogressivo, compcheuropea, compprofilo, livscuola, valido) VALUES
(1, 1, 'Comunicazione nella madrelingua o lingua di istruzione', 'Ha una padronanza della lingua italiana che gli consente di comprendere e produrre enunciati e testi di una certa complessitÃ , di esprimere le proprie idee, di adottare un registro linguistico appropriato alle diverse situazioni.', 2, 1),
(2, 2, 'Comunicazione nella lingua straniera', 'Ãˆ in grado di esprimersi in lingua inglese a livello elementare (A2 del Quadro Comune Europeo di Riferimento) e, in una seconda lingua europea, di affrontare una comunicazione essenziale in semplici situazioni di vita quotidiana. Utilizza la lingua inglese anche con le tecnologie dellâ€™informazione e della comunicazione.', 2, 1),
(3, 3, 'Competenza matematica e competenze di base in scienza e tecnologia', 'Utilizza le sue conoscenze matematiche e scientifico-tecnologiche per analizzare dati e fatti della realtÃ  e per verificare lâ€™attendibilitÃ  di analisi quantitative proposte da altri. Utilizza il pensiero logico-scientifico per affrontare problemi e situazioni sulla base di elementi certi. Ha consapevolezza dei limiti delle affermazioni che riguardano questioni complesse.', 2, 1),
(4, 4, 'Competenze digitali', 'Utilizza con consapevolezza e responsabilitÃ  le tecnologie per ricercare, produrre ed elaborare dati e informazioni, per interagire con altre persone, come supporto alla creativitÃ  e alla soluzione di problemi.', 2, 1),
(5, 5, 'Imparare ad imparare', 'Possiede un patrimonio organico di conoscenze e nozioni di base ed Ã¨ allo stesso tempo capace di ricercare e di organizzare nuove informazioni. Si impegna in nuovi apprendimenti in modo autonomo.', 2, 1),
(6, 6, 'Competenze sociali e civiche', 'Ha cura e rispetto di sÃ¨ e degli altri come presupposto di uno stile di vita sano e corretto. Eâ€™ consapevole della necessitÃ  del rispetto di una convivenza civile, pacifica e solidale. Si impegna per portare a compimento il lavoro iniziato, da solo o insieme ad altri.', 2, 1),
(7, 7, 'Spirito di iniziativa *', 'Ha spirito di iniziativa ed Ã¨ capace di produrre idee e progetti creativi. Si assume le proprie responsabilitÃ , chiede aiuto quando si trova in difficoltÃ  e sa fornire aiuto a chi lo chiede. Ãˆ disposto ad analizzare se stesso e a misurarsi con le novitÃ  e gli imprevisti.', 2, 1),
(8, 8, 'Consapevolezza ed espressione culturale', 'Riconosce ed apprezza le diverse identitÃ , le tradizioni culturali e religiose, in unâ€™ottica di dialogo e di rispetto reciproco.', 2, 1),
(9, 8, 'Consapevolezza ed espressione culturale', 'Si orienta nello spazio e nel tempo e interpreta i sistemi simbolici e culturali della societÃ ', 2, 1),
(10, 8, 'Consapevolezza ed espressione culturale', 'In relazione alle proprie potenzialitÃ  e al proprio talento si esprime negli ambiti che gli sono piÃ¹ congeniali: motori, artistici e musicali.', 2, 1),
(11, 1, 'Comunicazione nella madrelingua o lingua di istruzione', 'Ha una padronanza della lingua italiana che gli consente di comprendere enunciati, di raccontare le proprie esperienze e di adottare un registro linguistico appropriato alle diverse situazioni.', 1, 1),
(12, 2, 'Comunicazione nelle lingue straniere', 'Ãˆ in grado di sostenere in lingua inglese una comunicazione essenziale in semplici situazioni di vita quotidiana.', 1, 1),
(13, 3, 'Competenza matematica e competenze di base in scienza e tecnologia', 'Utilizza le sue conoscenze matematiche e scientifico-tecnologiche per trovare e giustificare soluzioni a problemi reali.', 1, 1),
(14, 4, 'Competenze digitali', 'Usa con responsabilitÃ  le tecnologie in contesti comunicativi concreti per ricercare informazioni e per interagire con altre persone, come supporto alla creativitÃ  e alla soluzione di problemi semplici.', 1, 1),
(15, 5, 'Imparare ad imparare', 'Possiede un patrimonio di conoscenze e nozioni di base ed Ã¨ in grado di ricercare nuove informazioni. Si impegna in nuovi apprendimenti anche in modo autonomo.', 1, 1),
(16, 6, 'Competenze sociali e civiche', 'Ha cura e rispetto di sÃ¨, degli altri e dellâ€™ambiente. Rispetta le regole condivise e collabora con gli altri. Si impegna per portare a compimento il lavoro iniziato, da solo o insieme agli altri.', 1, 1),
(17, 7, 'Spirito di iniziativa', 'Dimostra originalitÃ  e spirito di iniziativa. Ãˆ in grado di realizzare semplici progetti. Si assume le proprie responsabilitÃ , chiede aiuto quando si trova in difficoltÃ  e sa fornire aiuto a chi lo chiede.', 1, 1),
(18, 8, 'Consapevolezza ed espressione culturale', 'Si orienta nello spazio e nel tempo, osservando e descrivendo ambienti, fatti, fenomeni e produzioni artistiche.', 1, 1),
(19, 8, 'Consapevolezza ed espressione culturale', 'Riconosce le diverse identitÃ , le tradizioni culturali e religiose in unâ€™ottica di dialogo e di rispetto reciproco.', 1, 1),
(20, 8, 'Consapevolezza ed espressione culturale', 'In relazione alle proprie potenzialitÃ  e al proprio talento si esprime negli ambiti che gli sono piÃ¹ congeniali: motori, artistici e musicali.', 1, 1),
(21, 9, '', 'Lâ€™alunno/a ha inoltre mostrato significative competenze nello svolgimento di attivitÃ  scolastiche e/o extrascolastiche, relativamente a:', 1, 1),
(22, 9, '', 'Lâ€™alunno/a ha inoltre mostrato significative competenze nello svolgimento di attivitÃ  scolastiche e/o extrascolastiche, relativamente a:', 2, 1);

INSERT INTO tbl_certcomplivelli (idccl, livello, indicatoreesplicativo, indicatorenumerico, livscuola, valido) VALUES
(1, 'A - Avanzato', 'Lâ€™alunno/a svolge compiti e risolve problemi complessi, mostrando padronanza nellâ€™uso delle conoscenze e delle abilitÃ ; propone e sostiene le proprie opinioni e assume in modo responsabile decisioni consapevoli.', 4, 1, 1),
(2, 'B - Intermedio', 'Lâ€™alunno/a svolge compiti e risolve problemi in situazioni nuove, compie scelte consapevoli, mostrando di saper utilizzare le conoscenze e le abilitÃ  acquisite.', 3, 1, 1),
(3, 'C - Base', 'Lâ€™alunno/a svolge compiti semplici anche in situazioni nuove, mostrando di possedere conoscenze e abilitÃ  fondamentali e di saper applicare basilari regole e procedure apprese.', 2, 1, 1),
(4, 'D - Iniziale', 'Lâ€™alunno/a, se opportunamente guidato/a, svolge compiti semplici in situazioni note.', 1, 1, 1),
(5, 'A - Avanzato', 'Lâ€™alunno/a svolge compiti e risolve problemi complessi, mostrando padronanza nellâ€™uso delle conoscenze e delle abilitÃ ; propone e sostiene le proprie opinioni e assume in modo responsabile decisioni consapevoli.', 4, 2, 1),
(6, 'B - Intermedio', 'Lâ€™alunno/a svolge compiti e risolve problemi in situazioni nuove, compie scelte consapevoli, mostrando di saper utilizzare le conoscenze e le abilitÃ  acquisite.', 3, 2, 1),
(7, 'C - Base', 'Lâ€™alunno/a svolge compiti semplici anche in situazioni nuove, mostrando di possedere conoscenze e abilitÃ  fondamentali e di saper applicare basilari regole e procedure apprese.', 2, 2, 1),
(8, 'D - Iniziale', 'Lâ€™alunno/a, se opportunamente guidato/a, svolge compiti semplici in situazioni note.', 1, 2, 1);


CREATE TABLE IF NOT EXISTS tbl_obiettivi (
  idobiettivo int(11) AUTO_INCREMENT PRIMARY KEY,
  idclasse int(11) not null,
  idmateria int(11) not null,
  progressivo tinyint,
  obiettivo text not null
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS tbl_valutazioniobiettivi (
  idvalutazioneobiettivo int(11) AUTO_INCREMENT PRIMARY KEY,
  idalunno int(11) not null,
  idobiettivo int(11) not null,
  periodo char(1) not null,
  idlivelloobiettivo int(11) not null default 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS tbl_livelliobiettivi (
  idlivelloobiettivo int(11) AUTO_INCREMENT PRIMARY KEY,
  descrizione char(50) not null,
  abbreviazione char(10) not null 
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO tbl_livelliobiettivi VALUES
  (1, 'In via di prima acquisizione', 'PRIMA ACQ'),
  (2, 'Base', 'BASE'),
  (3, 'Intermedio', 'INTERM'),
  (4, 'Avanzato', 'AVANZ');

CREATE TABLE IF NOT EXISTS tbl_slotcolloqui (
  idslotcolloqui int(11) AUTO_INCREMENT PRIMARY KEY,
  iddocente int(11) not null,
  idgiornatacolloqui int(11) not null,
  idalunno int(11) not null,
  orainizio time not null,
  orafine time not null
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS tbl_giornatacolloqui (
  idgiornatacolloqui int(11) AUTO_INCREMENT PRIMARY KEY,
  data date not null,
  orainizio time not null,
  orafine time not null,
  durataslot tinyint not null,
  attiva boolean default false
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS tbl_colloquiclasse (
  idcolloquioclasse int(11) AUTO_INCREMENT PRIMARY KEY,
  idgiornatacolloqui int(11) not null,
  idclasse int(11) not null
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS tbl_assenzedocenticolloqui (
  idassenzadocentecolloquio int(11) AUTO_INCREMENT PRIMARY KEY,
  idgiornatacolloqui int(11) not null,
  iddocente int(11) not null
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
